/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* AArch64PreLegalizerCombinerImpl Combiner Match Table                       *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GICOMBINER_DEPS
#include "llvm/ADT/SparseBitVector.h"
namespace llvm {
extern cl::OptionCategory GICombinerOptionCategory;
} // end namespace llvm
#endif // ifdef GET_GICOMBINER_DEPS

#ifdef GET_GICOMBINER_TYPES
struct AArch64PreLegalizerCombinerImplRuleConfig {
  SparseBitVector<> DisabledRules;

  bool isRuleEnabled(unsigned RuleID) const;
  bool parseCommandLineOption();
  bool setRuleEnabled(StringRef RuleIdentifier);
  bool setRuleDisabled(StringRef RuleIdentifier);
};

static std::optional<uint64_t> getRuleIdxForIdentifier(StringRef RuleIdentifier) {
  uint64_t I;
  // getAtInteger(...) returns false on success
  bool Parsed = !RuleIdentifier.getAsInteger(0, I);
  if (Parsed)
    return I;

#ifndef NDEBUG
  switch (RuleIdentifier.size()) {
  default: break;
  case 9:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "opy_prop", 8) != 0)
        break;
      return 13;	 // "copy_prop"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ors", 7) != 0)
          break;
        return 193;	 // "match_ors"
      case 'u':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "lo_by_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case '0':	 // 1 string to match.
          return 144;	 // "mulo_by_0"
        case '2':	 // 1 string to match.
          return 143;	 // "mulo_by_2"
        }
        break;
      }
      break;
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "neg_zext", 8) != 0)
        break;
      return 198;	 // "nneg_zext"
    }
    break;
  case 10:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2p_to_p2i", 9) != 0)
        break;
      return 89;	 // "i2p_to_p2i"
    case 'm':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ands", 8) != 0)
          break;
        return 192;	 // "match_ands"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_to_shl", 8) != 0)
          break;
        return 14;	 // "mul_to_shl"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2i_to_i2p", 9) != 0)
        break;
      return 88;	 // "p2i_to_i2p"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_trunc", 8) != 0)
          break;
        return 196;	 // "sext_trunc"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_to_add", 8) != 0)
          break;
        return 15;	 // "sub_to_add"
      }
      break;
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc", 9) != 0)
        break;
      return 197;	 // "zext_trunc"
    }
    break;
  case 11:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_sub_reg", 10) != 0)
        break;
      return 94;	 // "add_sub_reg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_addos", 10) != 0)
        break;
      return 212;	 // "match_addos"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ub_add_reg", 10) != 0)
        break;
      return 187;	 // "sub_add_reg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_shift", 10) != 0)
        break;
      return 131;	 // "trunc_shift"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_cst", 10) != 0)
        break;
      return 206;	 // "unmerge_cst"
    }
    break;
  case 12:	 // 11 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinusB", 11) != 0)
        break;
      return 2;	 // "APlusBMinusB"
    case 'B':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusAPlusA", 11) != 0)
        break;
      return 3;	 // "BMinusAPlusA"
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dde_to_addo", 11) != 0)
        break;
      return 145;	 // "adde_to_addo"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "sub_to_fneg", 11) != 0)
        break;
      return 189;	 // "fsub_to_fneg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ulh_to_lshr", 11) != 0)
        break;
      return 175;	 // "mulh_to_lshr"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ot_cmp_fold", 11) != 0)
        break;
      return 132;	 // "not_cmp_fold"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_or", 11) != 0)
        break;
      return 127;	 // "redundant_or"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_pow2", 10) != 0)
          break;
        return 173;	 // "sdiv_by_pow2"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_of_sext", 10) != 0)
          break;
        return 48;	 // "sext_of_sext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "div_by_pow2", 11) != 0)
        break;
      return 174;	 // "udiv_by_pow2"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_zext", 11) != 0)
        break;
      return 46;	 // "zext_of_zext"
    }
    break;
  case 13:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_of_vscale", 12) != 0)
        break;
      return 37;	 // "add_of_vscale"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_shift", 12) != 0)
        break;
      return 161;	 // "commute_shift"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_and_mask", 12) != 0)
        break;
      return 69;	 // "load_and_mask"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_selects", 11) != 0)
          break;
        return 124;	 // "match_selects"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "rge_unmerge", 11) != 0)
          break;
        return 205;	 // "merge_unmerge"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 38;	 // "mul_of_vscale"
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_and", 12) != 0)
        break;
      return 125;	 // "redundant_and"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 172;	 // "sdiv_by_const"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 39;	 // "shl_of_vscale"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_of_vscale", 11) != 0)
          break;
        return 40;	 // "sub_of_vscale"
      }
      break;
    case 'u':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 171;	 // "udiv_by_const"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "merge_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case 'm':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "erge", 4) != 0)
            break;
          return 204;	 // "unmerge_merge"
        case 'u':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "ndef", 4) != 0)
            break;
          return 207;	 // "unmerge_undef"
        }
        break;
      }
      break;
    }
    break;
  case 14:	 // 15 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1PlusC2", 12) != 0)
          break;
        return 12;	 // "AMinusC1PlusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusC1MinusC2", 12) != 0)
          break;
        return 8;	 // "APlusC1MinusC2"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2MinusAPlusC1", 13) != 0)
        break;
      return 9;	 // "C2MinusAPlusC1"
    case 'a':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_", 9) != 0)
        break;
      switch (RuleIdentifier[10]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 52;	 // "anyext_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 51;	 // "anyext_of_zext"
      }
      break;
    case 'b':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'i')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "op_same_val", 11) != 0)
          break;
        return 85;	 // "binop_same_val"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "reverse_shl", 11) != 0)
          break;
        return 159;	 // "bitreverse_shl"
      }
      break;
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "bs_fneg_fold", 12) != 0)
          break;
        return 170;	 // "fabs_fneg_fold"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "eg_fneg_fold", 12) != 0)
          break;
        return 91;	 // "fneg_fneg_fold"
      }
      break;
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ul_by_neg_one", 13) != 0)
        break;
      return 17;	 // "mul_by_neg_one"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eassoc_ptradd", 13) != 0)
        break;
      return 106;	 // "reassoc_ptradd"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 2 strings to match.
        switch (RuleIdentifier[2]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "ect_of_zext", 11) != 0)
            break;
          return 54;	 // "select_of_zext"
        case 'x':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "t_of_anyext", 11) != 0)
            break;
          return 49;	 // "sext_of_anyext"
        }
        break;
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ifts_too_big", 12) != 0)
          break;
        return 105;	 // "shifts_too_big"
      }
      break;
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_anyext", 13) != 0)
        break;
      return 47;	 // "zext_of_anyext"
    }
    break;
  case 15:	 // 12 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1MinusC2", 13) != 0)
          break;
        return 10;	 // "AMinusC1MinusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusZeroMinusB", 13) != 0)
          break;
        return 1;	 // "APlusZeroMinusB"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "1Minus2MinusC2", 14) != 0)
        break;
      return 11;	 // "C1Minus2MinusC2"
    case 'Z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eroMinusAPlusB", 14) != 0)
        break;
      return 0;	 // "ZeroMinusAPlusB"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itreverse_lshr", 14) != 0)
        break;
      return 160;	 // "bitreverse_lshr"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtending_loads", 14) != 0)
        break;
      return 68;	 // "extending_loads"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dempotent_prop", 14) != 0)
        break;
      return 18;	 // "idempotent_prop"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_or_combine", 14) != 0)
        break;
      return 152;	 // "load_or_combine"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_or", 14) != 0)
        break;
      return 62;	 // "narrow_binop_or"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "verlapping_and", 14) != 0)
        break;
      return 142;	 // "overlapping_and"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_same_val", 14) != 0)
        break;
      return 83;	 // "select_same_val"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc_fold", 14) != 0)
        break;
      return 129;	 // "zext_trunc_fold"
    }
    break;
  case 16:	 // 12 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_anyext", 15) != 0)
        break;
      return 50;	 // "anyext_of_anyext"
    case 'n':	 // 5 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_", 12) != 0)
        break;
      switch (RuleIdentifier[13]) {
      default: break;
      case 'a':	 // 2 strings to match.
        switch (RuleIdentifier[14]) {
        default: break;
        case 'd':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 58;	 // "narrow_binop_add"
        case 'n':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 61;	 // "narrow_binop_and"
        }
        break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ul", 2) != 0)
          break;
        return 60;	 // "narrow_binop_mul"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ub", 2) != 0)
          break;
        return 59;	 // "narrow_binop_sub"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "or", 2) != 0)
          break;
        return 63;	 // "narrow_binop_xor"
      }
      break;
    case 's':	 // 3 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_", 6) != 0)
        break;
      switch (RuleIdentifier[7]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "f_anyext", 8) != 0)
          break;
        return 55;	 // "select_of_anyext"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "o_minmax", 8) != 0)
          break;
        return 188;	 // "select_to_minmax"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "ndef_cmp", 8) != 0)
          break;
        return 121;	 // "select_undef_cmp"
      }
      break;
    case 't':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_", 11) != 0)
        break;
      switch (RuleIdentifier[12]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 44;	 // "truncate_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 43;	 // "truncate_of_zext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ndef_to_fp_zero", 15) != 0)
        break;
      return 71;	 // "undef_to_fp_zero"
    }
    break;
  case 17:	 // 14 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'A':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "plusC", 5) != 0)
          break;
        return 6;	 // "APlusBMinusAplusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "PlusA", 5) != 0)
          break;
        return 7;	 // "APlusBMinusCPlusA"
      }
      break;
    case 'a':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "d_p2i_to_ptradd", 15) != 0)
          break;
        return 16;	 // "add_p2i_to_ptradd"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "yext_trunc_fold", 15) != 0)
          break;
        return 90;	 // "anyext_trunc_fold"
      }
      break;
    case 'c':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nonicalize_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 110;	 // "canonicalize_fcmp"
        case 'i':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 109;	 // "canonicalize_icmp"
        }
        break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "nstant_fold_fma", 15) != 0)
          break;
        return 168;	 // "constant_fold_fma"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "iv_rem_to_divrem", 16) != 0)
        break;
      return 153;	 // "div_rem_to_divrem"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "rase_undef_store", 16) != 0)
        break;
      return 81;	 // "erase_undef_store"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_with_zero", 16) != 0)
        break;
      return 149;	 // "ptr_add_with_zero"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_to_iminmax", 15) != 0)
          break;
        return 123;	 // "select_to_iminmax"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ift_immed_chain", 15) != 0)
          break;
        return 150;	 // "shift_immed_chain"
      }
      break;
    case 'u':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "def_to_int_zero", 15) != 0)
          break;
        return 72;	 // "undef_to_int_zero"
      case 'r':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "em_pow2_to_mask", 15) != 0)
          break;
        return 128;	 // "urem_pow2_to_mask"
      }
      break;
    }
    break;
  case 18:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusBPlus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'B':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusC", 6) != 0)
          break;
        return 5;	 // "AMinusBPlusBMinusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusA", 6) != 0)
          break;
        return 4;	 // "AMinusBPlusCMinusA"
      }
      break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_to_zero", 17) != 0)
        break;
      return 86;	 // "binop_left_to_zero"
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_minmax_nan", 15) != 0)
          break;
        return 146;	 // "combine_minmax_nan"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_f", 12) != 0)
          break;
        switch (RuleIdentifier[15]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "bs", 2) != 0)
            break;
          return 135;	 // "constant_fold_fabs"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "eg", 2) != 0)
            break;
          return 134;	 // "constant_fold_fneg"
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xpand_const_fpowi", 17) != 0)
        break;
      return 147;	 // "expand_const_fpowi"
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ld_global_offset", 16) != 0)
          break;
        return 216;	 // "fold_global_offset"
      case 'p':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "trunc_fpext_fold", 16) != 0)
          break;
        return 99;	 // "fptrunc_fpext_fold"
      }
      break;
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 2 strings to match.
        switch (RuleIdentifier[2]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "ect_of_truncate", 15) != 0)
            break;
          return 56;	 // "select_of_truncate"
        case 'x':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "t_inreg_of_load", 15) != 0)
            break;
          return 118;	 // "sext_inreg_of_load"
        }
        break;
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "uffle_to_extract", 16) != 0)
          break;
        return 217;	 // "shuffle_to_extract"
      }
      break;
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_anyext", 17) != 0)
        break;
      return 45;	 // "truncate_of_anyext"
    }
    break;
  case 19:	 // 16 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_to_zero", 18) != 0)
        break;
      return 87;	 // "binop_right_to_zero"
    case 'c':	 // 4 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "onst", 4) != 0)
        break;
      switch (RuleIdentifier[5]) {
      default: break;
      case '_':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+6, "ptradd_to_i2p", 13) != 0)
          break;
        return 141;	 // "const_ptradd_to_i2p"
      case 'a':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+6, "nt_fold_", 8) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'b':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "inop", 4) != 0)
            break;
          return 166;	 // "constant_fold_binop"
        case 'f':	 // 2 strings to match.
          switch (RuleIdentifier[15]) {
          default: break;
          case 'l':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "og2", 3) != 0)
              break;
            return 137;	 // "constant_fold_flog2"
          case 's':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "qrt", 3) != 0)
              break;
            return 136;	 // "constant_fold_fsqrt"
          }
          break;
        }
        break;
      }
      break;
    case 'e':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "xt", 2) != 0)
        break;
      switch (RuleIdentifier[3]) {
      default: break;
      case '_':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "uaddv_to_uaddlv", 15) != 0)
          break;
        return 219;	 // "ext_uaddv_to_uaddlv"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "nd_through_phis", 15) != 0)
          break;
        return 102;	 // "extend_through_phis"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nteger_of_truncate", 18) != 0)
        break;
      return 64;	 // "integer_of_truncate"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_zero", 18) != 0)
        break;
      return 211;	 // "merge_of_x_and_zero"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_immed_chain", 18) != 0)
        break;
      return 108;	 // "ptr_add_immed_chain"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "assoc_comm_binops", 17) != 0)
          break;
        return 107;	 // "reassoc_comm_binops"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_zero", 17) != 0)
          break;
        return 84;	 // "right_identity_zero"
      }
      break;
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_constant_cmp", 17) != 0)
          break;
        return 122;	 // "select_constant_cmp"
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "mplify_", 7) != 0)
          break;
        switch (RuleIdentifier[9]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "dd_to_sub", 9) != 0)
            break;
          return 103;	 // "simplify_add_to_sub"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "eg_minmax", 9) != 0)
            break;
          return 194;	 // "simplify_neg_minmax"
        }
        break;
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nary_undef_to_zero", 18) != 0)
        break;
      return 76;	 // "unary_undef_to_zero"
    }
    break;
  case 20:	 // 8 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nd_or_disjoint_mask", 19) != 0)
        break;
      return 177;	 // "and_or_disjoint_mask"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itcast_bitcast_fold", 19) != 0)
        break;
      return 98;	 // "bitcast_bitcast_fold"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_redundant_trunc", 19) != 0)
        break;
      return 215;	 // "icmp_redundant_trunc"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_undef", 19) != 0)
        break;
      return 210;	 // "merge_of_x_and_undef"
    case 'r':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "edu", 3) != 0)
        break;
      switch (RuleIdentifier[4]) {
      default: break;
      case 'c':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+5, "e_shl_of_extend", 15) != 0)
          break;
        return 119;	 // "reduce_shl_of_extend"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+5, "dant_sext_inreg", 15) != 0)
          break;
        return 126;	 // "redundant_sext_inreg"
      }
      break;
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ry_undef_to_undef", 17) != 0)
          break;
        return 77;	 // "unary_undef_to_undef"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_zext_to_zext", 17) != 0)
          break;
        return 209;	 // "unmerge_zext_to_zext"
      }
      break;
    }
    break;
  case 21:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_concat_vector", 18) != 0)
          break;
        return 195;	 // "combine_concat_vector"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_", 11) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'c':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ast_op", 6) != 0)
            break;
          return 169;	 // "constant_fold_cast_op"
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ptrunc", 6) != 0)
            break;
          return 138;	 // "constant_fold_fptrunc"
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xt_addv_to_udot_addv", 20) != 0)
        break;
      return 218;	 // "ext_addv_to_udot_addv"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "constant_to_constant", 20) != 0)
        break;
      return 214;	 // "fconstant_to_constant"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_vector_elt_oob", 20) != 0)
        break;
      return 24;	 // "insert_vector_elt_oob"
    case 'p':	 // 4 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ush_", 4) != 0)
        break;
      switch (RuleIdentifier[5]) {
      default: break;
      case 'a':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+6, "dd_through_", 11) != 0)
          break;
        switch (RuleIdentifier[17]) {
        default: break;
        case 's':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+18, "ext", 3) != 0)
            break;
          return 223;	 // "push_add_through_sext"
        case 'z':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+18, "ext", 3) != 0)
            break;
          return 221;	 // "push_add_through_zext"
        }
        break;
      case 's':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+6, "ub_through_", 11) != 0)
          break;
        switch (RuleIdentifier[17]) {
        default: break;
        case 's':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+18, "ext", 3) != 0)
            break;
          return 222;	 // "push_sub_through_sext"
        case 'z':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+18, "ext", 3) != 0)
            break;
          return 220;	 // "push_sub_through_zext"
        }
        break;
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_one_fp", 20) != 0)
        break;
      return 93;	 // "right_identity_one_fp"
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ef_to_negative_one", 18) != 0)
          break;
        return 73;	 // "undef_to_negative_one"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_dead_to_trunc", 18) != 0)
          break;
        return 208;	 // "unmerge_dead_to_trunc"
      }
      break;
    }
    break;
  case 22:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_shuffle_concat", 19) != 0)
          break;
        return 199;	 // "combine_shuffle_concat"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_fp_binop", 19) != 0)
          break;
        return 167;	 // "constant_fold_fp_binop"
      }
      break;
    case 'f':	 // 4 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ld_binop_into_select", 20) != 0)
          break;
        return 186;	 // "fold_binop_into_select"
      case 'u':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nnel_shift_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "eft_zero", 8) != 0)
            break;
          return 157;	 // "funnel_shift_left_zero"
        case 'o':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "vershift", 8) != 0)
            break;
          return 158;	 // "funnel_shift_overshift"
        case 't':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "o_rotate", 8) != 0)
            break;
          return 155;	 // "funnel_shift_to_rotate"
        }
        break;
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_lhs_known_bits", 21) != 0)
        break;
      return 112;	 // "icmp_to_lhs_known_bits"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_subo_no_overflow", 21) != 0)
        break;
      return 213;	 // "match_subo_no_overflow"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_any_op", 21) != 0)
        break;
      return 78;	 // "propagate_undef_any_op"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "dundant_neg_operands", 20) != 0)
          break;
        return 176;	 // "redundant_neg_operands"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_one_int", 20) != 0)
          break;
        return 92;	 // "right_identity_one_int"
      }
      break;
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hl_ashr_to_sext_inreg", 21) != 0)
        break;
      return 116;	 // "shl_ashr_to_sext_inreg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_buildvector_fold", 21) != 0)
        break;
      return 96;	 // "trunc_buildvector_fold"
    }
    break;
  case 23:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "uildvector_of_truncate", 22) != 0)
        break;
      return 57;	 // "buildvector_of_truncate"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "unnel_shift_right_zero", 22) != 0)
        break;
      return 156;	 // "funnel_shift_right_zero"
    case 'i':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "tof_const_zero_fold_", 20) != 0)
        break;
      switch (RuleIdentifier[21]) {
      default: break;
      case 's':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 139;	 // "itof_const_zero_fold_si"
      case 'u':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 140;	 // "itof_const_zero_fold_ui"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_all_ops", 22) != 0)
        break;
      return 79;	 // "propagate_undef_all_ops"
    }
    break;
  case 24:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_undef_to_zero", 23) != 0)
        break;
      return 74;	 // "binop_left_undef_to_zero"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element", 23) != 0)
        break;
      return 23;	 // "match_extract_of_element"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_feeding_and", 23) != 0)
        break;
      return 120;	 // "narrow_binop_feeding_and"
    case 's':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_inreg_", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "f_sext_inreg", 12) != 0)
          break;
        return 53;	 // "sext_inreg_of_sext_inreg"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "o_zext_inreg", 12) != 0)
          break;
        return 130;	 // "sext_inreg_to_zext_inreg"
      }
      break;
    case 'x':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "or_of_and_with_same_reg", 23) != 0)
        break;
      return 148;	 // "xor_of_and_with_same_reg"
    }
    break;
  case 25:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "tfield_extract_from_", 20) != 0)
          break;
        switch (RuleIdentifier[22]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "nd", 2) != 0)
            break;
          return 163;	 // "bitfield_extract_from_and"
        case 's':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "hr", 2) != 0)
            break;
          return 164;	 // "bitfield_extract_from_shr"
        }
        break;
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ildvector_identity_fold", 23) != 0)
          break;
        return 95;	 // "buildvector_identity_fold"
      }
      break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_shuffle_undef_rhs", 24) != 0)
        break;
      return 200;	 // "combine_shuffle_undef_rhs"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vec_elt_build_vec", 24) != 0)
        break;
      return 66;	 // "extract_vec_elt_build_vec"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eg_and_one_to_sext_inreg", 24) != 0)
        break;
      return 117;	 // "neg_and_one_to_sext_inreg"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_one_fp", 24) != 0)
        break;
      return 101;	 // "right_identity_neg_one_fp"
    }
    break;
  case 26:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_undef_to_undef", 25) != 0)
        break;
      return 75;	 // "binop_right_undef_to_undef"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_fp_constant_to_rhs", 25) != 0)
        break;
      return 191;	 // "commute_fp_constant_to_rhs"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "unnel_shift_from_or_shift", 25) != 0)
        break;
      return 154;	 // "funnel_shift_from_or_shift"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_zero_fp", 25) != 0)
        break;
      return 100;	 // "right_identity_neg_zero_fp"
    }
    break;
  case 27:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "om", 2) != 0)
        break;
      switch (RuleIdentifier[3]) {
      default: break;
      case 'b':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ine_use_vector_truncate", 23) != 0)
          break;
        return 202;	 // "combine_use_vector_truncate"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ute_int_constant_to_rhs", 23) != 0)
          break;
        return 190;	 // "commute_int_constant_to_rhs"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_or_combine", 26) != 0)
        break;
      return 114;	 // "double_icmp_zero_or_combine"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_binop_in_equality", 26) != 0)
        break;
      return 115;	 // "redundant_binop_in_equality"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_lshr_buildvector_fold", 26) != 0)
        break;
      return 97;	 // "trunc_lshr_buildvector_fold"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_anyext_build_vector", 26) != 0)
        break;
      return 203;	 // "unmerge_anyext_build_vector"
    }
    break;
  case 28:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_and_combine", 27) != 0)
        break;
      return 113;	 // "double_icmp_zero_and_combine"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "pt_brcond_by_inverting_cond", 27) != 0)
        break;
      return 133;	 // "opt_brcond_by_inverting_cond"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_shuffle_mask", 27) != 0)
        break;
      return 80;	 // "propagate_undef_shuffle_mask"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hift_of_shifted_logic_chain", 27) != 0)
        break;
      return 151;	 // "shift_of_shifted_logic_chain"
    }
    break;
  case 29:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_shr_and", 28) != 0)
        break;
      return 165;	 // "bitfield_extract_from_shr_and"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "xtracted_vector_load", 20) != 0)
          break;
        return 70;	 // "combine_extracted_vector_load"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "huffle_disjoint_mask", 20) != 0)
          break;
        return 201;	 // "combine_shuffle_disjoint_mask"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_true_false_known_bits", 28) != 0)
        break;
      return 111;	 // "icmp_to_true_false_known_bits"
    }
    break;
  case 30:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "freeze_of_non_undef_non_poison", 30) != 0)
      break;
    return 41;	 // "freeze_of_non_undef_non_poison"
  case 31:	 // 2 strings to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_vector_element_", 22) != 0)
      break;
    switch (RuleIdentifier[22]) {
    default: break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+23, "lt_undef", 8) != 0)
        break;
      return 22;	 // "insert_vector_element_elt_undef"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+23, "dx_undef", 8) != 0)
        break;
      return 21;	 // "insert_vector_element_idx_undef"
    }
    break;
  case 32:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_sext_inreg", 31) != 0)
        break;
      return 162;	 // "bitfield_extract_from_sext_inreg"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_f", 8) != 0)
        break;
      switch (RuleIdentifier[9]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "dd_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 178;	 // "combine_fadd_fmul_to_fmad_or_fma"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "ub_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 182;	 // "combine_fsub_fmul_to_fmad_or_fma"
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_not_const", 31) != 0)
        break;
      return 25;	 // "extract_vector_element_not_const"
    }
    break;
  case 34:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_all_elts_from_build_vector", 34) != 0)
      break;
    return 67;	 // "extract_all_elts_from_build_vector"
  case 35:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_build_vector", 35) != 0)
      break;
    return 27;	 // "extract_vector_element_build_vector"
  case 36:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'f':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "add_fma_fmul_to_fmad_or_fma", 27) != 0)
          break;
        return 180;	 // "combine_fadd_fma_fmul_to_fmad_or_fma"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "nsert_vec_elts_build_vector", 27) != 0)
          break;
        return 65;	 // "combine_insert_vec_elts_build_vector"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_extract_vec_elt_out_of_bounds", 35) != 0)
        break;
      return 82;	 // "insert_extract_vec_elt_out_of_bounds"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_index", 35) != 0)
        break;
      return 20;	 // "match_extract_of_element_undef_index"
    }
    break;
  case 37:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fsub_fneg_fmul_to_fmad_or_fma", 36) != 0)
        break;
      return 183;	 // "combine_fsub_fneg_fmul_to_fmad_or_fma"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_shuffle_vector", 36) != 0)
        break;
      return 35;	 // "extract_vector_element_shuffle_vector"
    case 'h':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oist_logic_op_with_same_opcode_hands", 36) != 0)
        break;
      return 104;	 // "hoist_logic_op_with_same_opcode_hands"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_vector", 36) != 0)
        break;
      return 19;	 // "match_extract_of_element_undef_vector"
    }
    break;
  case 38:	 // 2 strings to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_f", 9) != 0)
      break;
    switch (RuleIdentifier[9]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+10, "dd_fpext_fmul_to_fmad_or_fma", 28) != 0)
        break;
      return 179;	 // "combine_fadd_fpext_fmul_to_fmad_or_fma"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+10, "ub_fpext_fmul_to_fmad_or_fma", 28) != 0)
        break;
      return 184;	 // "combine_fsub_fpext_fmul_to_fmad_or_fma"
    }
    break;
  case 40:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_different_indices", 40) != 0)
      break;
    return 26;	 // "extract_vector_element_different_indices"
  case 42:	 // 8 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fadd_fpext_fma_fmul_to_fmad_or_fma", 41) != 0)
        break;
      return 181;	 // "combine_fadd_fpext_fma_fmul_to_fmad_or_fma"
    case 'e':	 // 7 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_build_vector_trunc", 40) != 0)
        break;
      switch (RuleIdentifier[41]) {
      default: break;
      case '2':	 // 1 string to match.
        return 28;	 // "extract_vector_element_build_vector_trunc2"
      case '3':	 // 1 string to match.
        return 29;	 // "extract_vector_element_build_vector_trunc3"
      case '4':	 // 1 string to match.
        return 30;	 // "extract_vector_element_build_vector_trunc4"
      case '5':	 // 1 string to match.
        return 31;	 // "extract_vector_element_build_vector_trunc5"
      case '6':	 // 1 string to match.
        return 32;	 // "extract_vector_element_build_vector_trunc6"
      case '7':	 // 1 string to match.
        return 33;	 // "extract_vector_element_build_vector_trunc7"
      case '8':	 // 1 string to match.
        return 34;	 // "extract_vector_element_build_vector_trunc8"
      }
      break;
    }
    break;
  case 43:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma", 43) != 0)
      break;
    return 185;	 // "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma"
  case 44:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_vector_element_extract_vector_element", 44) != 0)
      break;
    return 36;	 // "insert_vector_element_extract_vector_element"
  case 46:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "push_freeze_to_prevent_poison_from_propagating", 46) != 0)
      break;
    return 42;	 // "push_freeze_to_prevent_poison_from_propagating"
  }
#endif // ifndef NDEBUG

  return std::nullopt;
}
static std::optional<std::pair<uint64_t, uint64_t>> getRuleRangeForIdentifier(StringRef RuleIdentifier) {
  std::pair<StringRef, StringRef> RangePair = RuleIdentifier.split('-');
  if (!RangePair.second.empty()) {
    const auto First = getRuleIdxForIdentifier(RangePair.first);
    const auto Last = getRuleIdxForIdentifier(RangePair.second);
    if (!First || !Last)
      return std::nullopt;
    if (First >= Last)
      report_fatal_error("Beginning of range should be before end of range");
    return {{*First, *Last + 1}};
  }
  if (RangePair.first == "*") {
    return {{0, 224}};
  }
  const auto I = getRuleIdxForIdentifier(RangePair.first);
  if (!I)
    return std::nullopt;
  return {{*I, *I + 1}};
}

bool AArch64PreLegalizerCombinerImplRuleConfig::setRuleEnabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.reset(I);
  return true;
}

bool AArch64PreLegalizerCombinerImplRuleConfig::setRuleDisabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.set(I);
  return true;
}

static std::vector<std::string> AArch64PreLegalizerCombinerOption;
static cl::list<std::string> AArch64PreLegalizerCombinerDisableOption(
    "aarch64prelegalizercombiner-disable-rule",
    cl::desc("Disable one or more combiner rules temporarily in the AArch64PreLegalizerCombiner pass"),
    cl::CommaSeparated,
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &Str) {
      AArch64PreLegalizerCombinerOption.push_back(Str);
    }));
static cl::list<std::string> AArch64PreLegalizerCombinerOnlyEnableOption(
    "aarch64prelegalizercombiner-only-enable-rule",
    cl::desc("Disable all rules in the AArch64PreLegalizerCombiner pass then re-enable the specified ones"),
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &CommaSeparatedArg) {
      StringRef Str = CommaSeparatedArg;
      AArch64PreLegalizerCombinerOption.push_back("*");
      do {
        auto X = Str.split(",");
        AArch64PreLegalizerCombinerOption.push_back(("!" + X.first).str());
        Str = X.second;
      } while (!Str.empty());
    }));


bool AArch64PreLegalizerCombinerImplRuleConfig::isRuleEnabled(unsigned RuleID) const {
    return  !DisabledRules.test(RuleID);
}
bool AArch64PreLegalizerCombinerImplRuleConfig::parseCommandLineOption() {
  for (StringRef Identifier : AArch64PreLegalizerCombinerOption) {
    bool Enabled = Identifier.consume_front("!");
    if (Enabled && !setRuleEnabled(Identifier))
      return false;
    if (!Enabled && !setRuleDisabled(Identifier))
      return false;
  }
  return true;
}

#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_TYPES
const unsigned MAX_SUBTARGET_PREDICATES = 1;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_CLASS_MEMBERS
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS
#ifdef GET_GICOMBINER_CLASS_MEMBERS
  mutable MatcherState State;
  typedef ComplexRendererFns(AArch64PreLegalizerCombinerImpl::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AArch64PreLegalizerCombinerImpl::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AArch64PreLegalizerCombinerImpl::ComplexMatcherMemFn ComplexPredicateFns[];
  static AArch64PreLegalizerCombinerImpl::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS

#ifdef GET_GICOMBINER_IMPL
// LLT Objects.
enum {
  GILLT_s1,
};
const static size_t NumTypeObjects = 1;
const static LLT TypeObjects[] = {
  LLT::scalar(1),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasDotProdBit = 0,
};

PredicateBitset AArch64PreLegalizerCombinerImpl::
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasDotProd())
    Features.set(Feature_HasDotProdBit);
  return Features;
}

void AArch64PreLegalizerCombinerImpl::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AArch64Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AArch64PreLegalizerCombinerImpl::
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasDotProd,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasDotProdBit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
};
// See constructor for table contents

AArch64PreLegalizerCombinerImpl::ComplexMatcherMemFn
AArch64PreLegalizerCombinerImpl::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
};

enum {
  GICXXPred_MI_Predicate_GICombiner0 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_GICombiner1,
  GICXXPred_MI_Predicate_GICombiner2,
  GICXXPred_MI_Predicate_GICombiner3,
  GICXXPred_MI_Predicate_GICombiner4,
  GICXXPred_MI_Predicate_GICombiner5,
  GICXXPred_MI_Predicate_GICombiner6,
  GICXXPred_MI_Predicate_GICombiner7,
  GICXXPred_MI_Predicate_GICombiner8,
  GICXXPred_MI_Predicate_GICombiner9,
};
bool AArch64PreLegalizerCombinerImpl::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_GICombiner0: {
    return isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner1: {
    return isGuaranteedNotToBeUndefOrPoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner2: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), 1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner3: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -0.0);
  }
  case GICXXPred_MI_Predicate_GICombiner4: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner5: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_EQ &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner6: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_NE &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner7: {
    return MRI.hasOneNonDBGUse(State.MIs[0]->getOperand(2).getReg()) &&
                    Helper.isLegalOrBeforeLegalizer(
                      {TargetOpcode::G_SEXT_INREG, {MRI.getType(State.MIs[1]->getOperand(1).getReg())}});
  }
  case GICXXPred_MI_Predicate_GICombiner8: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_LSHR,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  case GICXXPred_MI_Predicate_GICombiner9: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_SHL,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64PreLegalizerCombinerImpl::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64PreLegalizerCombinerImpl::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64PreLegalizerCombinerImpl::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
enum {
  GICXXPred_Simple_IsRule0Enabled = GICXXPred_Invalid + 1,
  GICXXPred_Simple_IsRule1Enabled,
  GICXXPred_Simple_IsRule2Enabled,
  GICXXPred_Simple_IsRule3Enabled,
  GICXXPred_Simple_IsRule4Enabled,
  GICXXPred_Simple_IsRule5Enabled,
  GICXXPred_Simple_IsRule6Enabled,
  GICXXPred_Simple_IsRule7Enabled,
  GICXXPred_Simple_IsRule8Enabled,
  GICXXPred_Simple_IsRule9Enabled,
  GICXXPred_Simple_IsRule10Enabled,
  GICXXPred_Simple_IsRule11Enabled,
  GICXXPred_Simple_IsRule12Enabled,
  GICXXPred_Simple_IsRule13Enabled,
  GICXXPred_Simple_IsRule14Enabled,
  GICXXPred_Simple_IsRule15Enabled,
  GICXXPred_Simple_IsRule16Enabled,
  GICXXPred_Simple_IsRule17Enabled,
  GICXXPred_Simple_IsRule18Enabled,
  GICXXPred_Simple_IsRule19Enabled,
  GICXXPred_Simple_IsRule20Enabled,
  GICXXPred_Simple_IsRule21Enabled,
  GICXXPred_Simple_IsRule22Enabled,
  GICXXPred_Simple_IsRule23Enabled,
  GICXXPred_Simple_IsRule24Enabled,
  GICXXPred_Simple_IsRule25Enabled,
  GICXXPred_Simple_IsRule26Enabled,
  GICXXPred_Simple_IsRule27Enabled,
  GICXXPred_Simple_IsRule28Enabled,
  GICXXPred_Simple_IsRule29Enabled,
  GICXXPred_Simple_IsRule30Enabled,
  GICXXPred_Simple_IsRule31Enabled,
  GICXXPred_Simple_IsRule32Enabled,
  GICXXPred_Simple_IsRule33Enabled,
  GICXXPred_Simple_IsRule34Enabled,
  GICXXPred_Simple_IsRule35Enabled,
  GICXXPred_Simple_IsRule36Enabled,
  GICXXPred_Simple_IsRule37Enabled,
  GICXXPred_Simple_IsRule38Enabled,
  GICXXPred_Simple_IsRule39Enabled,
  GICXXPred_Simple_IsRule40Enabled,
  GICXXPred_Simple_IsRule41Enabled,
  GICXXPred_Simple_IsRule42Enabled,
  GICXXPred_Simple_IsRule43Enabled,
  GICXXPred_Simple_IsRule44Enabled,
  GICXXPred_Simple_IsRule45Enabled,
  GICXXPred_Simple_IsRule46Enabled,
  GICXXPred_Simple_IsRule47Enabled,
  GICXXPred_Simple_IsRule48Enabled,
  GICXXPred_Simple_IsRule49Enabled,
  GICXXPred_Simple_IsRule50Enabled,
  GICXXPred_Simple_IsRule51Enabled,
  GICXXPred_Simple_IsRule52Enabled,
  GICXXPred_Simple_IsRule53Enabled,
  GICXXPred_Simple_IsRule54Enabled,
  GICXXPred_Simple_IsRule55Enabled,
  GICXXPred_Simple_IsRule56Enabled,
  GICXXPred_Simple_IsRule57Enabled,
  GICXXPred_Simple_IsRule58Enabled,
  GICXXPred_Simple_IsRule59Enabled,
  GICXXPred_Simple_IsRule60Enabled,
  GICXXPred_Simple_IsRule61Enabled,
  GICXXPred_Simple_IsRule62Enabled,
  GICXXPred_Simple_IsRule63Enabled,
  GICXXPred_Simple_IsRule64Enabled,
  GICXXPred_Simple_IsRule65Enabled,
  GICXXPred_Simple_IsRule66Enabled,
  GICXXPred_Simple_IsRule67Enabled,
  GICXXPred_Simple_IsRule68Enabled,
  GICXXPred_Simple_IsRule69Enabled,
  GICXXPred_Simple_IsRule70Enabled,
  GICXXPred_Simple_IsRule71Enabled,
  GICXXPred_Simple_IsRule72Enabled,
  GICXXPred_Simple_IsRule73Enabled,
  GICXXPred_Simple_IsRule74Enabled,
  GICXXPred_Simple_IsRule75Enabled,
  GICXXPred_Simple_IsRule76Enabled,
  GICXXPred_Simple_IsRule77Enabled,
  GICXXPred_Simple_IsRule78Enabled,
  GICXXPred_Simple_IsRule79Enabled,
  GICXXPred_Simple_IsRule80Enabled,
  GICXXPred_Simple_IsRule81Enabled,
  GICXXPred_Simple_IsRule82Enabled,
  GICXXPred_Simple_IsRule83Enabled,
  GICXXPred_Simple_IsRule84Enabled,
  GICXXPred_Simple_IsRule85Enabled,
  GICXXPred_Simple_IsRule86Enabled,
  GICXXPred_Simple_IsRule87Enabled,
  GICXXPred_Simple_IsRule88Enabled,
  GICXXPred_Simple_IsRule89Enabled,
  GICXXPred_Simple_IsRule90Enabled,
  GICXXPred_Simple_IsRule91Enabled,
  GICXXPred_Simple_IsRule92Enabled,
  GICXXPred_Simple_IsRule93Enabled,
  GICXXPred_Simple_IsRule94Enabled,
  GICXXPred_Simple_IsRule95Enabled,
  GICXXPred_Simple_IsRule96Enabled,
  GICXXPred_Simple_IsRule97Enabled,
  GICXXPred_Simple_IsRule98Enabled,
  GICXXPred_Simple_IsRule99Enabled,
  GICXXPred_Simple_IsRule100Enabled,
  GICXXPred_Simple_IsRule101Enabled,
  GICXXPred_Simple_IsRule102Enabled,
  GICXXPred_Simple_IsRule103Enabled,
  GICXXPred_Simple_IsRule104Enabled,
  GICXXPred_Simple_IsRule105Enabled,
  GICXXPred_Simple_IsRule106Enabled,
  GICXXPred_Simple_IsRule107Enabled,
  GICXXPred_Simple_IsRule108Enabled,
  GICXXPred_Simple_IsRule109Enabled,
  GICXXPred_Simple_IsRule110Enabled,
  GICXXPred_Simple_IsRule111Enabled,
  GICXXPred_Simple_IsRule112Enabled,
  GICXXPred_Simple_IsRule113Enabled,
  GICXXPred_Simple_IsRule114Enabled,
  GICXXPred_Simple_IsRule115Enabled,
  GICXXPred_Simple_IsRule116Enabled,
  GICXXPred_Simple_IsRule117Enabled,
  GICXXPred_Simple_IsRule118Enabled,
  GICXXPred_Simple_IsRule119Enabled,
  GICXXPred_Simple_IsRule120Enabled,
  GICXXPred_Simple_IsRule121Enabled,
  GICXXPred_Simple_IsRule122Enabled,
  GICXXPred_Simple_IsRule123Enabled,
  GICXXPred_Simple_IsRule124Enabled,
  GICXXPred_Simple_IsRule125Enabled,
  GICXXPred_Simple_IsRule126Enabled,
  GICXXPred_Simple_IsRule127Enabled,
  GICXXPred_Simple_IsRule128Enabled,
  GICXXPred_Simple_IsRule129Enabled,
  GICXXPred_Simple_IsRule130Enabled,
  GICXXPred_Simple_IsRule131Enabled,
  GICXXPred_Simple_IsRule132Enabled,
  GICXXPred_Simple_IsRule133Enabled,
  GICXXPred_Simple_IsRule134Enabled,
  GICXXPred_Simple_IsRule135Enabled,
  GICXXPred_Simple_IsRule136Enabled,
  GICXXPred_Simple_IsRule137Enabled,
  GICXXPred_Simple_IsRule138Enabled,
  GICXXPred_Simple_IsRule139Enabled,
  GICXXPred_Simple_IsRule140Enabled,
  GICXXPred_Simple_IsRule141Enabled,
  GICXXPred_Simple_IsRule142Enabled,
  GICXXPred_Simple_IsRule143Enabled,
  GICXXPred_Simple_IsRule144Enabled,
  GICXXPred_Simple_IsRule145Enabled,
  GICXXPred_Simple_IsRule146Enabled,
  GICXXPred_Simple_IsRule147Enabled,
  GICXXPred_Simple_IsRule148Enabled,
  GICXXPred_Simple_IsRule149Enabled,
  GICXXPred_Simple_IsRule150Enabled,
  GICXXPred_Simple_IsRule151Enabled,
  GICXXPred_Simple_IsRule152Enabled,
  GICXXPred_Simple_IsRule153Enabled,
  GICXXPred_Simple_IsRule154Enabled,
  GICXXPred_Simple_IsRule155Enabled,
  GICXXPred_Simple_IsRule156Enabled,
  GICXXPred_Simple_IsRule157Enabled,
  GICXXPred_Simple_IsRule158Enabled,
  GICXXPred_Simple_IsRule159Enabled,
  GICXXPred_Simple_IsRule160Enabled,
  GICXXPred_Simple_IsRule161Enabled,
  GICXXPred_Simple_IsRule162Enabled,
  GICXXPred_Simple_IsRule163Enabled,
  GICXXPred_Simple_IsRule164Enabled,
  GICXXPred_Simple_IsRule165Enabled,
  GICXXPred_Simple_IsRule166Enabled,
  GICXXPred_Simple_IsRule167Enabled,
  GICXXPred_Simple_IsRule168Enabled,
  GICXXPred_Simple_IsRule169Enabled,
  GICXXPred_Simple_IsRule170Enabled,
  GICXXPred_Simple_IsRule171Enabled,
  GICXXPred_Simple_IsRule172Enabled,
  GICXXPred_Simple_IsRule173Enabled,
  GICXXPred_Simple_IsRule174Enabled,
  GICXXPred_Simple_IsRule175Enabled,
  GICXXPred_Simple_IsRule176Enabled,
  GICXXPred_Simple_IsRule177Enabled,
  GICXXPred_Simple_IsRule178Enabled,
  GICXXPred_Simple_IsRule179Enabled,
  GICXXPred_Simple_IsRule180Enabled,
  GICXXPred_Simple_IsRule181Enabled,
  GICXXPred_Simple_IsRule182Enabled,
  GICXXPred_Simple_IsRule183Enabled,
  GICXXPred_Simple_IsRule184Enabled,
  GICXXPred_Simple_IsRule185Enabled,
  GICXXPred_Simple_IsRule186Enabled,
  GICXXPred_Simple_IsRule187Enabled,
  GICXXPred_Simple_IsRule188Enabled,
  GICXXPred_Simple_IsRule189Enabled,
  GICXXPred_Simple_IsRule190Enabled,
  GICXXPred_Simple_IsRule191Enabled,
  GICXXPred_Simple_IsRule192Enabled,
  GICXXPred_Simple_IsRule193Enabled,
  GICXXPred_Simple_IsRule194Enabled,
  GICXXPred_Simple_IsRule195Enabled,
  GICXXPred_Simple_IsRule196Enabled,
  GICXXPred_Simple_IsRule197Enabled,
  GICXXPred_Simple_IsRule198Enabled,
  GICXXPred_Simple_IsRule199Enabled,
  GICXXPred_Simple_IsRule200Enabled,
  GICXXPred_Simple_IsRule201Enabled,
  GICXXPred_Simple_IsRule202Enabled,
  GICXXPred_Simple_IsRule203Enabled,
  GICXXPred_Simple_IsRule204Enabled,
  GICXXPred_Simple_IsRule205Enabled,
  GICXXPred_Simple_IsRule206Enabled,
  GICXXPred_Simple_IsRule207Enabled,
  GICXXPred_Simple_IsRule208Enabled,
  GICXXPred_Simple_IsRule209Enabled,
  GICXXPred_Simple_IsRule210Enabled,
  GICXXPred_Simple_IsRule211Enabled,
  GICXXPred_Simple_IsRule212Enabled,
  GICXXPred_Simple_IsRule213Enabled,
  GICXXPred_Simple_IsRule214Enabled,
  GICXXPred_Simple_IsRule215Enabled,
  GICXXPred_Simple_IsRule216Enabled,
  GICXXPred_Simple_IsRule217Enabled,
  GICXXPred_Simple_IsRule218Enabled,
  GICXXPred_Simple_IsRule219Enabled,
  GICXXPred_Simple_IsRule220Enabled,
  GICXXPred_Simple_IsRule221Enabled,
  GICXXPred_Simple_IsRule222Enabled,
  GICXXPred_Simple_IsRule223Enabled,
};

bool AArch64PreLegalizerCombinerImpl::testSimplePredicate(unsigned Predicate) const {
    return RuleConfig.isRuleEnabled(Predicate - GICXXPred_Invalid - 1);
}
// Custom renderers.
enum {
  GICR_Invalid,
};
AArch64PreLegalizerCombinerImpl::CustomRendererFn
AArch64PreLegalizerCombinerImpl::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool AArch64PreLegalizerCombinerImpl::tryCombineAllImpl(MachineInstr &I) const {
  const TargetSubtargetInfo &ST = MF.getSubtarget();
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  B.setInstrAndDebugLoc(I);
  State.MIs.clear();
  State.MIs.push_back(&I);
  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), *ST.getInstrInfo(), MRI, *MRI.getTargetRegisterInfo(), *ST.getRegBankInfo(), AvailableFeatures, /*CoverageInfo*/ nullptr)) {
    return true;
  }

  return false;
}

enum {
  GICXXCustomAction_GICombiner0 = GICXXCustomAction_Invalid + 1,
  GICXXCustomAction_GICombiner1,
  GICXXCustomAction_GICombiner2,
  GICXXCustomAction_GICombiner3,
  GICXXCustomAction_GICombiner4,
  GICXXCustomAction_GICombiner5,
  GICXXCustomAction_GICombiner6,
  GICXXCustomAction_GICombiner7,
  GICXXCustomAction_GICombiner8,
  GICXXCustomAction_GICombiner9,
  GICXXCustomAction_GICombiner10,
  GICXXCustomAction_GICombiner11,
  GICXXCustomAction_GICombiner12,
  GICXXCustomAction_GICombiner13,
  GICXXCustomAction_GICombiner14,
  GICXXCustomAction_GICombiner15,
  GICXXCustomAction_GICombiner16,
  GICXXCustomAction_GICombiner17,
  GICXXCustomAction_GICombiner18,
  GICXXCustomAction_GICombiner19,
  GICXXCustomAction_GICombiner20,
  GICXXCustomAction_GICombiner21,
  GICXXCustomAction_GICombiner22,
  GICXXCustomAction_GICombiner23,
  GICXXCustomAction_GICombiner24,
  GICXXCustomAction_GICombiner25,
  GICXXCustomAction_GICombiner26,
  GICXXCustomAction_GICombiner27,
  GICXXCustomAction_GICombiner28,
  GICXXCustomAction_GICombiner29,
  GICXXCustomAction_GICombiner30,
  GICXXCustomAction_GICombiner31,
  GICXXCustomAction_GICombiner32,
  GICXXCustomAction_GICombiner33,
  GICXXCustomAction_GICombiner34,
  GICXXCustomAction_GICombiner35,
  GICXXCustomAction_GICombiner36,
  GICXXCustomAction_GICombiner37,
  GICXXCustomAction_GICombiner38,
  GICXXCustomAction_GICombiner39,
  GICXXCustomAction_GICombiner40,
  GICXXCustomAction_GICombiner41,
  GICXXCustomAction_GICombiner42,
  GICXXCustomAction_GICombiner43,
  GICXXCustomAction_GICombiner44,
  GICXXCustomAction_GICombiner45,
  GICXXCustomAction_GICombiner46,
  GICXXCustomAction_GICombiner47,
  GICXXCustomAction_GICombiner48,
  GICXXCustomAction_GICombiner49,
  GICXXCustomAction_GICombiner50,
  GICXXCustomAction_GICombiner51,
  GICXXCustomAction_GICombiner52,
  GICXXCustomAction_GICombiner53,
  GICXXCustomAction_GICombiner54,
  GICXXCustomAction_GICombiner55,
  GICXXCustomAction_GICombiner56,
  GICXXCustomAction_GICombiner57,
  GICXXCustomAction_GICombiner58,
  GICXXCustomAction_GICombiner59,
  GICXXCustomAction_GICombiner60,
  GICXXCustomAction_GICombiner61,
  GICXXCustomAction_GICombiner62,
  GICXXCustomAction_GICombiner63,
  GICXXCustomAction_GICombiner64,
  GICXXCustomAction_GICombiner65,
  GICXXCustomAction_GICombiner66,
  GICXXCustomAction_GICombiner67,
  GICXXCustomAction_GICombiner68,
  GICXXCustomAction_GICombiner69,
  GICXXCustomAction_GICombiner70,
  GICXXCustomAction_GICombiner71,
  GICXXCustomAction_GICombiner72,
  GICXXCustomAction_GICombiner73,
  GICXXCustomAction_GICombiner74,
  GICXXCustomAction_GICombiner75,
  GICXXCustomAction_GICombiner76,
  GICXXCustomAction_GICombiner77,
  GICXXCustomAction_GICombiner78,
  GICXXCustomAction_GICombiner79,
  GICXXCustomAction_GICombiner80,
  GICXXCustomAction_GICombiner81,
  GICXXCustomAction_GICombiner82,
  GICXXCustomAction_GICombiner83,
  GICXXCustomAction_GICombiner84,
  GICXXCustomAction_GICombiner85,
  GICXXCustomAction_GICombiner86,
  GICXXCustomAction_GICombiner87,
  GICXXCustomAction_GICombiner88,
  GICXXCustomAction_GICombiner89,
  GICXXCustomAction_GICombiner90,
  GICXXCustomAction_GICombiner91,
  GICXXCustomAction_GICombiner92,
  GICXXCustomAction_GICombiner93,
  GICXXCustomAction_GICombiner94,
  GICXXCustomAction_GICombiner95,
  GICXXCustomAction_GICombiner96,
  GICXXCustomAction_GICombiner97,
  GICXXCustomAction_GICombiner98,
  GICXXCustomAction_GICombiner99,
  GICXXCustomAction_GICombiner100,
  GICXXCustomAction_GICombiner101,
  GICXXCustomAction_GICombiner102,
  GICXXCustomAction_GICombiner103,
  GICXXCustomAction_GICombiner104,
  GICXXCustomAction_GICombiner105,
  GICXXCustomAction_GICombiner106,
  GICXXCustomAction_GICombiner107,
  GICXXCustomAction_GICombiner108,
  GICXXCustomAction_GICombiner109,
  GICXXCustomAction_GICombiner110,
  GICXXCustomAction_GICombiner111,
  GICXXCustomAction_GICombiner112,
  GICXXCustomAction_GICombiner113,
  GICXXCustomAction_GICombiner114,
  GICXXCustomAction_GICombiner115,
  GICXXCustomAction_GICombiner116,
  GICXXCustomAction_GICombiner117,
  GICXXCustomAction_GICombiner118,
  GICXXCustomAction_GICombiner119,
  GICXXCustomAction_GICombiner120,
  GICXXCustomAction_GICombiner121,
  GICXXCustomAction_GICombiner122,
  GICXXCustomAction_GICombiner123,
  GICXXCustomAction_GICombiner124,
  GICXXCustomAction_GICombiner125,
  GICXXCustomAction_GICombiner126,
  GICXXCustomAction_GICombiner127,
  GICXXCustomAction_GICombiner128,
  GICXXCustomAction_GICombiner129,
  GICXXCustomAction_GICombiner130,
  GICXXCustomAction_GICombiner131,
  GICXXCustomAction_GICombiner132,
  GICXXCustomAction_GICombiner133,
  GICXXCustomAction_GICombiner134,
  GICXXCustomAction_GICombiner135,
  GICXXCustomAction_GICombiner136,
  GICXXCustomAction_GICombiner137,
  GICXXCustomAction_GICombiner138,
  GICXXCustomAction_GICombiner139,
  GICXXCustomAction_GICombiner140,
  GICXXCustomAction_GICombiner141,
  GICXXCustomAction_GICombiner142,
  GICXXCustomAction_GICombiner143,
  GICXXCustomAction_GICombiner144,
  GICXXCustomAction_GICombiner145,
  GICXXCustomAction_GICombiner146,
  GICXXCustomAction_GICombiner147,
  GICXXCustomAction_GICombiner148,
  GICXXCustomAction_GICombiner149,
  GICXXCustomAction_GICombiner150,
  GICXXCustomAction_GICombiner151,
  GICXXCustomAction_GICombiner152,
  GICXXCustomAction_GICombiner153,
  GICXXCustomAction_GICombiner154,
  GICXXCustomAction_GICombiner155,
  GICXXCustomAction_GICombiner156,
  GICXXCustomAction_GICombiner157,
};
bool AArch64PreLegalizerCombinerImpl::runCustomAction(unsigned ApplyID, const MatcherState &State, NewMIVector &OutMIs) const {
  Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
  switch(ApplyID) {
  case GICXXCustomAction_GICombiner0:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAPlusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner1:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC2MinusAPlusC1(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner2:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner3:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC1Minus2MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner4:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1PlusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner5:{
    // Match Patterns
    if(![&](){return Helper.matchCombineCopy(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineCopy(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner6:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner7:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineSubToAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner8:{
    std::pair<Register, bool> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner9:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElement(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner10:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchInsertVectorElementOOB(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner11:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithDifferentIndices(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner12:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner13:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVectorTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner14:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithShuffleVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner15:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner16:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner17:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShlOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner18:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner19:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return !isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI) && Helper.matchFreezeOfSingleMaybePoisonOperand(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner20:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncateOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner21:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner22:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantSextInReg(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner23:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfSelect(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner24:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfBuildVector(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner25:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinop(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner26:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfInteger(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner27:{
    SmallVector<Register, 4> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineInsertVecElts(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineInsertVecElts(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner28:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner29:{
    SmallVector<std::pair<Register, MachineInstr*>> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner30:{
    PreferredTuple GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner31:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineLoadWithAndMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner32:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtractedVectorLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner33:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner34:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner35:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], -1);
    return true;
  }
  case GICXXCustomAction_GICombiner36:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner37:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner38:{
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]->getOperand(0).getParent());
    return true;
  }
  case GICXXCustomAction_GICombiner39:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner40:{
    // Match Patterns
    if(![&](){return Helper.matchAllExplicitUsesAreUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner41:{
    // Match Patterns
    if(![&](){return Helper.matchUndefShuffleVectorMask(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner42:{
    // Match Patterns
    if(![&](){return Helper.matchUndefStore(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.eraseInst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner43:{
    // Match Patterns
    if(![&](){return Helper.matchInsertExtractVecEltOutOfBounds(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner44:{
    // Match Patterns
    if(![&](){return Helper.matchSelectSameVal(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 2);
    return true;
  }
  case GICXXCustomAction_GICombiner45:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsZero(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner46:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineI2PToP2I(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineI2PToP2I(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner47:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){GIMatchData_info = State.MIs[1]->getOperand(1).getReg(); return true;}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineP2IToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner48:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineAnyExtTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner49:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchBuildVectorIdentityFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner50:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner51:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncLshrBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner52:{
    // Match Patterns
    if(![&](){return MRI.getType(State.MIs[1]->getOperand(1).getReg()) == MRI.getType(State.MIs[0]->getOperand(0).getReg());}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], State.MIs[1]->getOperand(1).getReg());
    return true;
  }
  case GICXXCustomAction_GICombiner53:{
    MachineInstr* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner54:{
    std::tuple<Register, Register> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyAddToSub(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyAddToSub(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner55:{
    InstructionStepsMatchInfo GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchHoistLogicOpWithSameOpcodeHands(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildInstructionSteps(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner56:{
    std::optional<int64_t> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftsTooBig(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    if (GIMatchData_matchinfo) {
              Helper.replaceInstWithConstant(*State.MIs[0], *GIMatchData_matchinfo);
            } else {
              Helper.replaceInstWithUndef(*State.MIs[0]);
            }
    return true;
  }
  case GICXXCustomAction_GICombiner57:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocPtrAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner58:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocCommBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner59:{
    PtrAddChain GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner60:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeICmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner61:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeFCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner62:{
    int64_t GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchICmpToTrueFalseKnownBits(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner63:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchICmpToLHSKnownBits(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner64:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchRedundantBinOpInEquality(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner65:{
    std::tuple<Register, int64_t> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAshrShlToSextInreg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyAshShlToSextInreg(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner66:{
    std::tuple<Register, unsigned> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner67:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner68:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinopFeedingAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner69:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantSelectCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner70:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSelectIMinMax(State.MIs[0]->getOperand(0), GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner71:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSelect(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner72:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner73:{
    // Match Patterns
    if(![&](){return Helper.matchRedundantSExtInReg(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner74:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner75:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsKnownToBeAPowerOfTwo(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyURemByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner76:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineZextTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner77:{
    // Match Patterns
    if(![&](){unsigned BitWidth = MRI.getType(State.MIs[0]->getOperand(1).getReg()).getScalarSizeInBits();
                return Helper.getValueTracking()->maskedValueIsZero(State.MIs[0]->getOperand(1).getReg(),
                         APInt::getOneBitSet(BitWidth, State.MIs[0]->getOperand(2).getImm() - 1));}()) {
      return false;
    }
    // Apply Patterns
    Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
              Helper.getBuilder().buildZExtInReg(State.MIs[0]->getOperand(0), State.MIs[0]->getOperand(1), State.MIs[0]->getOperand(2).getImm());
              State.MIs[0]->eraseFromParent();
    return true;
  }
  case GICXXCustomAction_GICombiner78:{
    std::pair<MachineInstr*, LLT> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner79:{
    SmallVector<Register, 4> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchNotCmp(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyNotCmp(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner80:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner81:{
    // Apply Patterns
    Helper.applyCombineConstantFoldFpUnary(*State.MIs[0], State.MIs[1]->getOperand(1).getFPImm());
    return true;
  }
  case GICXXCustomAction_GICombiner82:{
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0]->getOperand(0).getParent(), 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner83:{
    APInt GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner84:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOverlappingAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner85:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner86:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy0(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner87:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddEToAddO(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner88:{
    unsigned GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFMinMaxNaN(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner89:{
    // Match Patterns
    if(![&](){return Helper.matchFPowIExpansion(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExpandFPowI(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());
    return true;
  }
  case GICXXCustomAction_GICombiner90:{
    std::pair<Register, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner91:{
    // Match Patterns
    if(![&](){return Helper.matchPtrAddZero(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddZero(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner92:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner93:{
    ShiftOfShiftedLogic GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner94:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchLoadOrCombine(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner95:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner96:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOrShiftToFunnelShift(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner97:{
    // Match Patterns
    if(![&](){return Helper.matchFunnelShiftToRotate(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftToRotate(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner98:{
    // Match Patterns
    if(![&](){return Helper.matchConstantLargerBitWidth(*State.MIs[0], 3);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftConstantModulo(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner99:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCommuteShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner100:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromSExtInReg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner101:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner102:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShr(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner103:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShrAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner104:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner105:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFPBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner106:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFMA(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner107:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldCastOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner108:{
    // Match Patterns
    if(![&](){return Helper.matchUDivByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner109:{
    // Match Patterns
    if(![&](){return Helper.matchSDivByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner110:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/true);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner111:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/false);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner112:{
    // Match Patterns
    if(![&](){return Helper.matchUMulHToLShr(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUMulHToLShr(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner113:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantNegOperands(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner114:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAndOrDisjointMask(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner115:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner116:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner117:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMAFMulToFMadOrFMA(*State.MIs[0],
                                                                     GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner118:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMAAggressive(
                                                          *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner119:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner120:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFNegFMulToFMadOrFMA(*State.MIs[0],
                                                                      GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner121:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner122:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFNegFMulToFMadOrFMA(
                                                    *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner123:{
    unsigned GIMatchData_select_op_no;
    // Match Patterns
    if(![&](){return Helper.matchFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);
    return true;
  }
  case GICXXCustomAction_GICombiner124:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubAddSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner125:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifySelectToMinMax(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner126:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner127:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner128:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteFPConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner129:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner130:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner131:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyNegMinMax(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner132:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner133:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner134:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchZextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner135:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNonNegZext(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner136:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner137:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleUndefRHS(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner138:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleDisjointMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner139:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner140:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUnmergeValuesAnyExtBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner141:{
    SmallVector<Register, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner142:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMergeUnmerge(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner143:{
    SmallVector<APInt, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner144:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeUndef(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner145:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner146:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeZExtToZExt(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeZExtToZExt(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner147:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndUndef(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner148:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndZero(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner149:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOverflow(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner150:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSuboCarryOut(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner151:{
    // Match Patterns
    if(![&](){return matchFConstantToConstant(*State.MIs[0], MRI);}()) {
      return false;
    }
    // Apply Patterns
    applyFConstantToConstant(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner152:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchICmpRedundantTrunc(*State.MIs[0], MRI, Helper.getValueTracking(), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyICmpRedundantTrunc(*State.MIs[0], MRI, B, Observer, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner153:{
    std::pair<uint64_t, uint64_t> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchFoldGlobalOffset(*State.MIs[0], MRI, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyFoldGlobalOffset(*State.MIs[0], MRI, B, Observer, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner154:{
    // Match Patterns
    if(![&](){return Helper.matchShuffleToExtract(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShuffleToExtract(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner155:{
    std::tuple<Register, Register, bool> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchExtAddvToUdotAddv(*State.MIs[0], MRI, STI, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyExtAddvToUdotAddv(*State.MIs[0], MRI, B, Observer, STI, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner156:{
    std::pair<Register, bool> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchExtUaddvToUaddlv(*State.MIs[0], MRI, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyExtUaddvToUaddlv(*State.MIs[0], MRI, B, Observer, GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner157:{
    // Match Patterns
    if(![&](){return matchPushAddSubExt(*State.MIs[0], MRI, State.MIs[0]->getOperand(0).getReg(), State.MIs[1]->getOperand(1).getReg(), State.MIs[2]->getOperand(1).getReg());}()) {
      return false;
    }
    // Apply Patterns
    applyPushAddSubExt(*State.MIs[0], MRI, B, State.MIs[1]->getOpcode() == TargetOpcode::G_SEXT, State.MIs[0]->getOperand(0).getReg(), State.MIs[1]->getOperand(1).getReg(), State.MIs[2]->getOperand(1).getReg());
    return true;
  }
  }
  llvm_unreachable("Unknown Apply Action");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AArch64PreLegalizerCombinerImpl::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*    0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(20), GIMT_Encode2(296), /*)*//*default:*//*Label 98*/ GIMT_Encode4(7335),
     /*   10 */ /*TargetOpcode::COPY*//*Label 0*/ GIMT_Encode4(1114), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  142 */ /*TargetOpcode::G_ADD*//*Label 1*/ GIMT_Encode4(1126),
     /*  146 */ /*TargetOpcode::G_SUB*//*Label 2*/ GIMT_Encode4(1741),
     /*  150 */ /*TargetOpcode::G_MUL*//*Label 3*/ GIMT_Encode4(2117),
     /*  154 */ /*TargetOpcode::G_SDIV*//*Label 4*/ GIMT_Encode4(2283),
     /*  158 */ /*TargetOpcode::G_UDIV*//*Label 5*/ GIMT_Encode4(2356),
     /*  162 */ /*TargetOpcode::G_SREM*//*Label 6*/ GIMT_Encode4(2440),
     /*  166 */ /*TargetOpcode::G_UREM*//*Label 7*/ GIMT_Encode4(2485), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  178 */ /*TargetOpcode::G_AND*//*Label 8*/ GIMT_Encode4(2552),
     /*  182 */ /*TargetOpcode::G_OR*//*Label 9*/ GIMT_Encode4(2833),
     /*  186 */ /*TargetOpcode::G_XOR*//*Label 10*/ GIMT_Encode4(3078), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  202 */ /*TargetOpcode::G_PHI*//*Label 11*/ GIMT_Encode4(3179), GIMT_Encode4(0),
     /*  210 */ /*TargetOpcode::G_GLOBAL_VALUE*//*Label 12*/ GIMT_Encode4(3191), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  226 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 13*/ GIMT_Encode4(3203), GIMT_Encode4(0),
     /*  234 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 14*/ GIMT_Encode4(3270),
     /*  238 */ /*TargetOpcode::G_BUILD_VECTOR*//*Label 15*/ GIMT_Encode4(3344),
     /*  242 */ /*TargetOpcode::G_BUILD_VECTOR_TRUNC*//*Label 16*/ GIMT_Encode4(3392),
     /*  246 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 17*/ GIMT_Encode4(3404),
     /*  250 */ /*TargetOpcode::G_PTRTOINT*//*Label 18*/ GIMT_Encode4(3416),
     /*  254 */ /*TargetOpcode::G_INTTOPTR*//*Label 19*/ GIMT_Encode4(3459),
     /*  258 */ /*TargetOpcode::G_BITCAST*//*Label 20*/ GIMT_Encode4(3492),
     /*  262 */ /*TargetOpcode::G_FREEZE*//*Label 21*/ GIMT_Encode4(3535), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  302 */ /*TargetOpcode::G_LOAD*//*Label 22*/ GIMT_Encode4(3599),
     /*  306 */ /*TargetOpcode::G_SEXTLOAD*//*Label 23*/ GIMT_Encode4(3611),
     /*  310 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 24*/ GIMT_Encode4(3623), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  326 */ /*TargetOpcode::G_STORE*//*Label 25*/ GIMT_Encode4(3635), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  454 */ /*TargetOpcode::G_ANYEXT*//*Label 26*/ GIMT_Encode4(3647),
     /*  458 */ /*TargetOpcode::G_TRUNC*//*Label 27*/ GIMT_Encode4(3775), GIMT_Encode4(0),
     /*  466 */ /*TargetOpcode::G_FCONSTANT*//*Label 28*/ GIMT_Encode4(4133), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  478 */ /*TargetOpcode::G_SEXT*//*Label 29*/ GIMT_Encode4(4145),
     /*  482 */ /*TargetOpcode::G_SEXT_INREG*//*Label 30*/ GIMT_Encode4(4220),
     /*  486 */ /*TargetOpcode::G_ZEXT*//*Label 31*/ GIMT_Encode4(4286),
     /*  490 */ /*TargetOpcode::G_SHL*//*Label 32*/ GIMT_Encode4(4416),
     /*  494 */ /*TargetOpcode::G_LSHR*//*Label 33*/ GIMT_Encode4(4585),
     /*  498 */ /*TargetOpcode::G_ASHR*//*Label 34*/ GIMT_Encode4(4708),
     /*  502 */ /*TargetOpcode::G_FSHL*//*Label 35*/ GIMT_Encode4(4842),
     /*  506 */ /*TargetOpcode::G_FSHR*//*Label 36*/ GIMT_Encode4(4885),
     /*  510 */ /*TargetOpcode::G_ROTR*//*Label 37*/ GIMT_Encode4(4928),
     /*  514 */ /*TargetOpcode::G_ROTL*//*Label 38*/ GIMT_Encode4(4952),
     /*  518 */ /*TargetOpcode::G_ICMP*//*Label 39*/ GIMT_Encode4(4976),
     /*  522 */ /*TargetOpcode::G_FCMP*//*Label 40*/ GIMT_Encode4(5032), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  534 */ /*TargetOpcode::G_SELECT*//*Label 41*/ GIMT_Encode4(5044),
     /*  538 */ /*TargetOpcode::G_UADDO*//*Label 42*/ GIMT_Encode4(5139),
     /*  542 */ /*TargetOpcode::G_UADDE*//*Label 43*/ GIMT_Encode4(5162),
     /*  546 */ /*TargetOpcode::G_USUBO*//*Label 44*/ GIMT_Encode4(5174),
     /*  550 */ /*TargetOpcode::G_USUBE*//*Label 45*/ GIMT_Encode4(5186),
     /*  554 */ /*TargetOpcode::G_SADDO*//*Label 46*/ GIMT_Encode4(5198),
     /*  558 */ /*TargetOpcode::G_SADDE*//*Label 47*/ GIMT_Encode4(5221),
     /*  562 */ /*TargetOpcode::G_SSUBO*//*Label 48*/ GIMT_Encode4(5233),
     /*  566 */ /*TargetOpcode::G_SSUBE*//*Label 49*/ GIMT_Encode4(5245),
     /*  570 */ /*TargetOpcode::G_UMULO*//*Label 50*/ GIMT_Encode4(5257),
     /*  574 */ /*TargetOpcode::G_SMULO*//*Label 51*/ GIMT_Encode4(5291),
     /*  578 */ /*TargetOpcode::G_UMULH*//*Label 52*/ GIMT_Encode4(5325),
     /*  582 */ /*TargetOpcode::G_SMULH*//*Label 53*/ GIMT_Encode4(5348),
     /*  586 */ /*TargetOpcode::G_UADDSAT*//*Label 54*/ GIMT_Encode4(5360),
     /*  590 */ /*TargetOpcode::G_SADDSAT*//*Label 55*/ GIMT_Encode4(5372), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  602 */ /*TargetOpcode::G_USHLSAT*//*Label 56*/ GIMT_Encode4(5384),
     /*  606 */ /*TargetOpcode::G_SSHLSAT*//*Label 57*/ GIMT_Encode4(5407),
     /*  610 */ /*TargetOpcode::G_SMULFIX*//*Label 58*/ GIMT_Encode4(5430),
     /*  614 */ /*TargetOpcode::G_UMULFIX*//*Label 59*/ GIMT_Encode4(5442),
     /*  618 */ /*TargetOpcode::G_SMULFIXSAT*//*Label 60*/ GIMT_Encode4(5454),
     /*  622 */ /*TargetOpcode::G_UMULFIXSAT*//*Label 61*/ GIMT_Encode4(5466), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  642 */ /*TargetOpcode::G_FADD*//*Label 62*/ GIMT_Encode4(5478),
     /*  646 */ /*TargetOpcode::G_FSUB*//*Label 63*/ GIMT_Encode4(5590),
     /*  650 */ /*TargetOpcode::G_FMUL*//*Label 64*/ GIMT_Encode4(5679),
     /*  654 */ /*TargetOpcode::G_FMA*//*Label 65*/ GIMT_Encode4(5767),
     /*  658 */ /*TargetOpcode::G_FMAD*//*Label 66*/ GIMT_Encode4(5790),
     /*  662 */ /*TargetOpcode::G_FDIV*//*Label 67*/ GIMT_Encode4(5813),
     /*  666 */ /*TargetOpcode::G_FREM*//*Label 68*/ GIMT_Encode4(5847), GIMT_Encode4(0),
     /*  674 */ /*TargetOpcode::G_FPOWI*//*Label 69*/ GIMT_Encode4(5859), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  694 */ /*TargetOpcode::G_FLOG2*//*Label 70*/ GIMT_Encode4(5881), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  710 */ /*TargetOpcode::G_FNEG*//*Label 71*/ GIMT_Encode4(5903), GIMT_Encode4(0),
     /*  718 */ /*TargetOpcode::G_FPTRUNC*//*Label 72*/ GIMT_Encode4(5954),
     /*  722 */ /*TargetOpcode::G_FPTOSI*//*Label 73*/ GIMT_Encode4(5997),
     /*  726 */ /*TargetOpcode::G_FPTOUI*//*Label 74*/ GIMT_Encode4(6019),
     /*  730 */ /*TargetOpcode::G_SITOFP*//*Label 75*/ GIMT_Encode4(6041),
     /*  734 */ /*TargetOpcode::G_UITOFP*//*Label 76*/ GIMT_Encode4(6068), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  746 */ /*TargetOpcode::G_FABS*//*Label 77*/ GIMT_Encode4(6095), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  758 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 78*/ GIMT_Encode4(6174),
     /*  762 */ /*TargetOpcode::G_FMINNUM*//*Label 79*/ GIMT_Encode4(6204),
     /*  766 */ /*TargetOpcode::G_FMAXNUM*//*Label 80*/ GIMT_Encode4(6238),
     /*  770 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 81*/ GIMT_Encode4(6272),
     /*  774 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 82*/ GIMT_Encode4(6284),
     /*  778 */ /*TargetOpcode::G_FMINIMUM*//*Label 83*/ GIMT_Encode4(6296),
     /*  782 */ /*TargetOpcode::G_FMAXIMUM*//*Label 84*/ GIMT_Encode4(6330), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  810 */ /*TargetOpcode::G_PTR_ADD*//*Label 85*/ GIMT_Encode4(6364), GIMT_Encode4(0),
     /*  818 */ /*TargetOpcode::G_SMIN*//*Label 86*/ GIMT_Encode4(6454),
     /*  822 */ /*TargetOpcode::G_SMAX*//*Label 87*/ GIMT_Encode4(6488),
     /*  826 */ /*TargetOpcode::G_UMIN*//*Label 88*/ GIMT_Encode4(6522),
     /*  830 */ /*TargetOpcode::G_UMAX*//*Label 89*/ GIMT_Encode4(6556),
     /*  834 */ /*TargetOpcode::G_ABS*//*Label 90*/ GIMT_Encode4(6590), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  846 */ /*TargetOpcode::G_BR*//*Label 91*/ GIMT_Encode4(6602), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  866 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 92*/ GIMT_Encode4(6614),
     /*  870 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 93*/ GIMT_Encode4(6744),
     /*  874 */ /*TargetOpcode::G_SHUFFLE_VECTOR*//*Label 94*/ GIMT_Encode4(7121), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  914 */ /*TargetOpcode::G_BITREVERSE*//*Label 95*/ GIMT_Encode4(7198), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  966 */ /*TargetOpcode::G_FSQRT*//*Label 96*/ GIMT_Encode4(7287), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 1110 */ /*TargetOpcode::G_VECREDUCE_ADD*//*Label 97*/ GIMT_Encode4(7309),
     /* 1114 */ // Label 0: @1114
     /* 1114 */ GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1125), // Rule ID 13 //
     /* 1119 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule13Enabled),
     /* 1122 */   // MIs[0] d
     /* 1122 */   // No operand predicates
     /* 1122 */   // MIs[0] s
     /* 1122 */   // No operand predicates
     /* 1122 */   // Combiner Rule #13: copy_prop
     /* 1122 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner5),
     /* 1125 */ // Label 99: @1125
     /* 1125 */ GIM_Reject,
     /* 1126 */ // Label 1: @1126
     /* 1126 */ GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1137), // Rule ID 16 //
     /* 1131 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule16Enabled),
     /* 1134 */   // Combiner Rule #16: add_p2i_to_ptradd; wip_match_opcode 'G_ADD'
     /* 1134 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner8),
     /* 1137 */ // Label 100: @1137
     /* 1137 */ GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(1148), // Rule ID 94 //
     /* 1142 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1145 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_ADD'
     /* 1145 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1148 */ // Label 101: @1148
     /* 1148 */ GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(1159), // Rule ID 141 //
     /* 1153 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule103Enabled),
     /* 1156 */   // Combiner Rule #103: simplify_add_to_sub; wip_match_opcode 'G_ADD'
     /* 1156 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 1159 */ // Label 102: @1159
     /* 1159 */ GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(1170), // Rule ID 231 //
     /* 1164 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1167 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_ADD'
     /* 1167 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1170 */ // Label 103: @1170
     /* 1170 */ GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(1181), // Rule ID 279 //
     /* 1175 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 1178 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_ADD'
     /* 1178 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 1181 */ // Label 104: @1181
     /* 1181 */ GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(1192), // Rule ID 308 //
     /* 1186 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 1189 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_ADD'
     /* 1189 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 1192 */ // Label 105: @1192
     /* 1192 */ GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(1226), // Rule ID 0 //
     /* 1197 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule0Enabled),
     /* 1200 */   // MIs[0] root
     /* 1200 */   // No operand predicates
     /* 1200 */   // MIs[0] sub
     /* 1200 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1204 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1208 */   // MIs[1] Operand 1
     /* 1208 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 1212 */   // MIs[1] A
     /* 1212 */   // No operand predicates
     /* 1212 */   // MIs[0] B
     /* 1212 */   // No operand predicates
     /* 1212 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1214 */   // Combiner Rule #0: ZeroMinusAPlusB
     /* 1214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1217 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1219 */   GIR_RootToRootCopy, /*OpIdx*/2, // B
     /* 1221 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // A
     /* 1225 */   GIR_EraseRootFromParent_Done,
     /* 1226 */ // Label 106: @1226
     /* 1226 */ GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(1263), // Rule ID 12 //
     /* 1231 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule12Enabled),
     /* 1234 */   // MIs[0] root
     /* 1234 */   // No operand predicates
     /* 1234 */   // MIs[0] sub
     /* 1234 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1238 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1242 */   // MIs[1] A
     /* 1242 */   // No operand predicates
     /* 1242 */   // MIs[1] c1
     /* 1242 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1246 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1250 */   // MIs[2] imm1
     /* 1250 */   // No operand predicates
     /* 1250 */   // MIs[0] c2
     /* 1250 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1254 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1258 */   // MIs[3] imm2
     /* 1258 */   // No operand predicates
     /* 1258 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1260 */   // Combiner Rule #12: AMinusC1PlusC2
     /* 1260 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner4),
     /* 1263 */ // Label 107: @1263
     /* 1263 */ GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(1297), // Rule ID 3 //
     /* 1268 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule3Enabled),
     /* 1271 */   // MIs[0] root
     /* 1271 */   // No operand predicates
     /* 1271 */   // MIs[0] sub
     /* 1271 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1275 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1279 */   // MIs[1] B
     /* 1279 */   // No operand predicates
     /* 1279 */   // MIs[1] A
     /* 1279 */   // No operand predicates
     /* 1279 */   // MIs[0] A
     /* 1279 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1284 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1289 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1291 */   // Combiner Rule #3: BMinusAPlusA
     /* 1291 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1296 */   GIR_EraseRootFromParent_Done,
     /* 1297 */ // Label 108: @1297
     /* 1297 */ GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(1331), // Rule ID 131 //
     /* 1302 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 1305 */   // MIs[0] dst
     /* 1305 */   // No operand predicates
     /* 1305 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 1305 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1309 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1313 */   // MIs[1] src
     /* 1313 */   // No operand predicates
     /* 1313 */   // MIs[1] __add_sub_reg_match_0.x
     /* 1313 */   // No operand predicates
     /* 1313 */   // MIs[0] __add_sub_reg_match_0.x
     /* 1313 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1318 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1323 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325 */   // Combiner Rule #94: add_sub_reg @ [__add_sub_reg_match_0[1]]
     /* 1325 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1330 */   GIR_EraseRootFromParent_Done,
     /* 1331 */ // Label 109: @1331
     /* 1331 */ GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(1376), // Rule ID 5 //
     /* 1336 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule5Enabled),
     /* 1339 */   // MIs[0] root
     /* 1339 */   // No operand predicates
     /* 1339 */   // MIs[0] sub1
     /* 1339 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1343 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1347 */   // MIs[1] A
     /* 1347 */   // No operand predicates
     /* 1347 */   // MIs[1] B
     /* 1347 */   // No operand predicates
     /* 1347 */   // MIs[0] sub2
     /* 1347 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1351 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1355 */   // MIs[2] B
     /* 1355 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1360 */   // MIs[2] C
     /* 1360 */   // No operand predicates
     /* 1360 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1362 */   // Combiner Rule #5: AMinusBPlusBMinusC
     /* 1362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1365 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1367 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // A
     /* 1371 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 1375 */   GIR_EraseRootFromParent_Done,
     /* 1376 */ // Label 110: @1376
     /* 1376 */ GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(1421), // Rule ID 4 //
     /* 1381 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule4Enabled),
     /* 1384 */   // MIs[0] root
     /* 1384 */   // No operand predicates
     /* 1384 */   // MIs[0] sub1
     /* 1384 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1388 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1392 */   // MIs[1] A
     /* 1392 */   // No operand predicates
     /* 1392 */   // MIs[1] B
     /* 1392 */   // No operand predicates
     /* 1392 */   // MIs[0] sub2
     /* 1392 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1396 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1400 */   // MIs[2] C
     /* 1400 */   // No operand predicates
     /* 1400 */   // MIs[2] A
     /* 1400 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 1405 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1407 */   // Combiner Rule #4: AMinusBPlusCMinusA
     /* 1407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1410 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1412 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 1416 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 1420 */   GIR_EraseRootFromParent_Done,
     /* 1421 */ // Label 111: @1421
     /* 1421 */ GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(1450), // Rule ID 370 //
     /* 1426 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule223Enabled),
     /* 1429 */   // MIs[0] dst
     /* 1429 */   // No operand predicates
     /* 1429 */   // MIs[0] ext1
     /* 1429 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1433 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 1437 */   // MIs[1] src1
     /* 1437 */   // No operand predicates
     /* 1437 */   // MIs[0] ext2
     /* 1437 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1441 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 1445 */   // MIs[2] src2
     /* 1445 */   // No operand predicates
     /* 1445 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1447 */   // Combiner Rule #223: push_add_through_sext
     /* 1447 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner157),
     /* 1450 */ // Label 112: @1450
     /* 1450 */ GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(1485), // Rule ID 39 //
     /* 1455 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule37Enabled),
     /* 1458 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 1464 */   // MIs[0] root
     /* 1464 */   // No operand predicates
     /* 1464 */   // MIs[0] left
     /* 1464 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1468 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1472 */   // MIs[1] imm1
     /* 1472 */   // No operand predicates
     /* 1472 */   // MIs[0] right
     /* 1472 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1476 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1480 */   // MIs[2] imm2
     /* 1480 */   // No operand predicates
     /* 1480 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1482 */   // Combiner Rule #37: add_of_vscale
     /* 1482 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner15),
     /* 1485 */ // Label 113: @1485
     /* 1485 */ GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(1514), // Rule ID 368 //
     /* 1490 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule221Enabled),
     /* 1493 */   // MIs[0] dst
     /* 1493 */   // No operand predicates
     /* 1493 */   // MIs[0] ext1
     /* 1493 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1497 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 1501 */   // MIs[1] src1
     /* 1501 */   // No operand predicates
     /* 1501 */   // MIs[0] ext2
     /* 1501 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1505 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 1509 */   // MIs[2] src2
     /* 1509 */   // No operand predicates
     /* 1509 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1511 */   // Combiner Rule #221: push_add_through_zext
     /* 1511 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner157),
     /* 1514 */ // Label 114: @1514
     /* 1514 */ GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(1548), // Rule ID 1 //
     /* 1519 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule1Enabled),
     /* 1522 */   // MIs[0] root
     /* 1522 */   // No operand predicates
     /* 1522 */   // MIs[0] A
     /* 1522 */   // No operand predicates
     /* 1522 */   // MIs[0] sub
     /* 1522 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1526 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1530 */   // MIs[1] Operand 1
     /* 1530 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 1534 */   // MIs[1] B
     /* 1534 */   // No operand predicates
     /* 1534 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1536 */   // Combiner Rule #1: APlusZeroMinusB
     /* 1536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1539 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1541 */   GIR_RootToRootCopy, /*OpIdx*/1, // A
     /* 1543 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 1547 */   GIR_EraseRootFromParent_Done,
     /* 1548 */ // Label 115: @1548
     /* 1548 */ GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(1582), // Rule ID 2 //
     /* 1553 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule2Enabled),
     /* 1556 */   // MIs[0] root
     /* 1556 */   // No operand predicates
     /* 1556 */   // MIs[0] A
     /* 1556 */   // No operand predicates
     /* 1556 */   // MIs[0] sub
     /* 1556 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1560 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1564 */   // MIs[1] B
     /* 1564 */   // No operand predicates
     /* 1564 */   // MIs[1] A
     /* 1564 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1569 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1574 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1576 */   // Combiner Rule #2: APlusBMinusB
     /* 1576 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1581 */   GIR_EraseRootFromParent_Done,
     /* 1582 */ // Label 116: @1582
     /* 1582 */ GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(1616), // Rule ID 130 //
     /* 1587 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 1590 */   // MIs[0] dst
     /* 1590 */   // No operand predicates
     /* 1590 */   // MIs[0] __add_sub_reg_match_0.x
     /* 1590 */   // No operand predicates
     /* 1590 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 1590 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1594 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1598 */   // MIs[1] src
     /* 1598 */   // No operand predicates
     /* 1598 */   // MIs[1] __add_sub_reg_match_0.x
     /* 1598 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1603 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1608 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1610 */   // Combiner Rule #94: add_sub_reg @ [__add_sub_reg_match_0[0]]
     /* 1610 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1615 */   GIR_EraseRootFromParent_Done,
     /* 1616 */ // Label 117: @1616
     /* 1616 */ GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(1661), // Rule ID 6 //
     /* 1621 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule6Enabled),
     /* 1624 */   // MIs[0] root
     /* 1624 */   // No operand predicates
     /* 1624 */   // MIs[0] A
     /* 1624 */   // No operand predicates
     /* 1624 */   // MIs[0] sub1
     /* 1624 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1628 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1632 */   // MIs[1] B
     /* 1632 */   // No operand predicates
     /* 1632 */   // MIs[1] add1
     /* 1632 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1636 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1640 */   // MIs[2] A
     /* 1640 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1645 */   // MIs[2] C
     /* 1645 */   // No operand predicates
     /* 1645 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1647 */   // Combiner Rule #6: APlusBMinusAplusC
     /* 1647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1650 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1652 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 1656 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 1660 */   GIR_EraseRootFromParent_Done,
     /* 1661 */ // Label 118: @1661
     /* 1661 */ GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(1706), // Rule ID 7 //
     /* 1666 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule7Enabled),
     /* 1669 */   // MIs[0] root
     /* 1669 */   // No operand predicates
     /* 1669 */   // MIs[0] A
     /* 1669 */   // No operand predicates
     /* 1669 */   // MIs[0] sub1
     /* 1669 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1673 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1677 */   // MIs[1] B
     /* 1677 */   // No operand predicates
     /* 1677 */   // MIs[1] add1
     /* 1677 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1681 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1685 */   // MIs[2] C
     /* 1685 */   // No operand predicates
     /* 1685 */   // MIs[2] A
     /* 1685 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1690 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1692 */   // Combiner Rule #7: APlusBMinusCPlusA
     /* 1692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1695 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1697 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 1701 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 1705 */   GIR_EraseRootFromParent_Done,
     /* 1706 */ // Label 119: @1706
     /* 1706 */ GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(1729), // Rule ID 105 //
     /* 1711 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 1714 */   // MIs[0] dst
     /* 1714 */   // No operand predicates
     /* 1714 */   // MIs[0] lhs
     /* 1714 */   // No operand predicates
     /* 1714 */   // MIs[0] Operand 2
     /* 1714 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1718 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1723 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[1]]
     /* 1723 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1728 */   GIR_EraseRootFromParent_Done,
     /* 1729 */ // Label 120: @1729
     /* 1729 */ GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(1740), // Rule ID 149 //
     /* 1734 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule107Enabled),
     /* 1737 */   // MIs[0] root
     /* 1737 */   // No operand predicates
     /* 1737 */   // MIs[0] src1
     /* 1737 */   // No operand predicates
     /* 1737 */   // MIs[0] src2
     /* 1737 */   // No operand predicates
     /* 1737 */   // Combiner Rule #107: reassoc_comm_binops
     /* 1737 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 1740 */ // Label 121: @1740
     /* 1740 */ GIM_Reject,
     /* 1741 */ // Label 2: @1741
     /* 1741 */ GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(1752), // Rule ID 95 //
     /* 1746 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1749 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_SUB'
     /* 1749 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1752 */ // Label 122: @1752
     /* 1752 */ GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(1763), // Rule ID 239 //
     /* 1757 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1760 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SUB'
     /* 1760 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1763 */ // Label 123: @1763
     /* 1763 */ GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(1774), // Rule ID 280 //
     /* 1768 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 1771 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SUB'
     /* 1771 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 1774 */ // Label 124: @1774
     /* 1774 */ GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(1785), // Rule ID 305 //
     /* 1779 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule187Enabled),
     /* 1782 */   // Combiner Rule #187: sub_add_reg; wip_match_opcode 'G_SUB'
     /* 1782 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner124),
     /* 1785 */ // Label 125: @1785
     /* 1785 */ GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(1796), // Rule ID 339 //
     /* 1790 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule194Enabled),
     /* 1793 */   // Combiner Rule #194: simplify_neg_minmax; wip_match_opcode 'G_SUB'
     /* 1793 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner131),
     /* 1796 */ // Label 126: @1796
     /* 1796 */ GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(1833), // Rule ID 8 //
     /* 1801 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule8Enabled),
     /* 1804 */   // MIs[0] root
     /* 1804 */   // No operand predicates
     /* 1804 */   // MIs[0] add
     /* 1804 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1808 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1812 */   // MIs[1] A
     /* 1812 */   // No operand predicates
     /* 1812 */   // MIs[1] c1
     /* 1812 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1816 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1820 */   // MIs[2] imm1
     /* 1820 */   // No operand predicates
     /* 1820 */   // MIs[0] c2
     /* 1820 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1824 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1828 */   // MIs[3] imm2
     /* 1828 */   // No operand predicates
     /* 1828 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1830 */   // Combiner Rule #8: APlusC1MinusC2
     /* 1830 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner0),
     /* 1833 */ // Label 127: @1833
     /* 1833 */ GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(1870), // Rule ID 11 //
     /* 1838 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule11Enabled),
     /* 1841 */   // MIs[0] root
     /* 1841 */   // No operand predicates
     /* 1841 */   // MIs[0] sub1
     /* 1841 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1845 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1849 */   // MIs[1] c1
     /* 1849 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 1853 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1857 */   // MIs[2] imm1
     /* 1857 */   // No operand predicates
     /* 1857 */   // MIs[1] A
     /* 1857 */   // No operand predicates
     /* 1857 */   // MIs[0] c2
     /* 1857 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1861 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1865 */   // MIs[3] imm2
     /* 1865 */   // No operand predicates
     /* 1865 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1867 */   // Combiner Rule #11: C1Minus2MinusC2
     /* 1867 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner3),
     /* 1870 */ // Label 128: @1870
     /* 1870 */ GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(1907), // Rule ID 10 //
     /* 1875 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule10Enabled),
     /* 1878 */   // MIs[0] root
     /* 1878 */   // No operand predicates
     /* 1878 */   // MIs[0] sub1
     /* 1878 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1882 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1886 */   // MIs[1] A
     /* 1886 */   // No operand predicates
     /* 1886 */   // MIs[1] c1
     /* 1886 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1890 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1894 */   // MIs[2] imm1
     /* 1894 */   // No operand predicates
     /* 1894 */   // MIs[0] c2
     /* 1894 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1898 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1902 */   // MIs[3] imm2
     /* 1902 */   // No operand predicates
     /* 1902 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1904 */   // Combiner Rule #10: AMinusC1MinusC2
     /* 1904 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 1907 */ // Label 129: @1907
     /* 1907 */ GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(1936), // Rule ID 369 //
     /* 1912 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule222Enabled),
     /* 1915 */   // MIs[0] dst
     /* 1915 */   // No operand predicates
     /* 1915 */   // MIs[0] ext1
     /* 1915 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1919 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 1923 */   // MIs[1] src1
     /* 1923 */   // No operand predicates
     /* 1923 */   // MIs[0] ext2
     /* 1923 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1927 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 1931 */   // MIs[2] src2
     /* 1931 */   // No operand predicates
     /* 1931 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1933 */   // Combiner Rule #222: push_sub_through_sext
     /* 1933 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner157),
     /* 1936 */ // Label 130: @1936
     /* 1936 */ GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(1965), // Rule ID 367 //
     /* 1941 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule220Enabled),
     /* 1944 */   // MIs[0] dst
     /* 1944 */   // No operand predicates
     /* 1944 */   // MIs[0] ext1
     /* 1944 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1948 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 1952 */   // MIs[1] src1
     /* 1952 */   // No operand predicates
     /* 1952 */   // MIs[0] ext2
     /* 1952 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1956 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 1960 */   // MIs[2] src2
     /* 1960 */   // No operand predicates
     /* 1960 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1962 */   // Combiner Rule #220: push_sub_through_zext
     /* 1962 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner157),
     /* 1965 */ // Label 131: @1965
     /* 1965 */ GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(2008), // Rule ID 159 //
     /* 1970 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule117Enabled),
     /* 1973 */   // MIs[0] dst
     /* 1973 */   // No operand predicates
     /* 1973 */   // MIs[0] Operand 1
     /* 1973 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 1977 */   // MIs[0] and
     /* 1977 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1981 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 1985 */   // MIs[1] x
     /* 1985 */   // No operand predicates
     /* 1985 */   // MIs[1] Operand 2
     /* 1985 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 1989 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner7),
     /* 1993 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1995 */   // Combiner Rule #117: neg_and_one_to_sext_inreg
     /* 1995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 1998 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 2000 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // x
     /* 2004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2007 */   GIR_EraseRootFromParent_Done,
     /* 2008 */ // Label 132: @2008
     /* 2008 */ GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(2045), // Rule ID 9 //
     /* 2013 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule9Enabled),
     /* 2016 */   // MIs[0] root
     /* 2016 */   // No operand predicates
     /* 2016 */   // MIs[0] c2
     /* 2016 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2020 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024 */   // MIs[1] imm2
     /* 2024 */   // No operand predicates
     /* 2024 */   // MIs[0] add
     /* 2024 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2028 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 2032 */   // MIs[2] A
     /* 2032 */   // No operand predicates
     /* 2032 */   // MIs[2] c1
     /* 2032 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 2036 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2040 */   // MIs[3] imm1
     /* 2040 */   // No operand predicates
     /* 2040 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2042 */   // Combiner Rule #9: C2MinusAPlusC1
     /* 2042 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner1),
     /* 2045 */ // Label 133: @2045
     /* 2045 */ GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(2072), // Rule ID 42 //
     /* 2050 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule40Enabled),
     /* 2053 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 2059 */   // MIs[0] root
     /* 2059 */   // No operand predicates
     /* 2059 */   // MIs[0] x
     /* 2059 */   // No operand predicates
     /* 2059 */   // MIs[0] right
     /* 2059 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2063 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 2067 */   // MIs[1] imm
     /* 2067 */   // No operand predicates
     /* 2067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2069 */   // Combiner Rule #40: sub_of_vscale
     /* 2069 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner18),
     /* 2072 */ // Label 134: @2072
     /* 2072 */ GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(2095), // Rule ID 104 //
     /* 2077 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 2080 */   // MIs[0] dst
     /* 2080 */   // No operand predicates
     /* 2080 */   // MIs[0] lhs
     /* 2080 */   // No operand predicates
     /* 2080 */   // MIs[0] Operand 2
     /* 2080 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2084 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2089 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[0]]
     /* 2089 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2094 */   GIR_EraseRootFromParent_Done,
     /* 2095 */ // Label 135: @2095
     /* 2095 */ GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(2116), // Rule ID 15 //
     /* 2100 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule15Enabled),
     /* 2103 */   // MIs[0] d
     /* 2103 */   // No operand predicates
     /* 2103 */   // MIs[0] op1
     /* 2103 */   // No operand predicates
     /* 2103 */   // MIs[0] c
     /* 2103 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2107 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2111 */   // MIs[1] imm
     /* 2111 */   // No operand predicates
     /* 2111 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2113 */   // Combiner Rule #15: sub_to_add
     /* 2113 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner7),
     /* 2116 */ // Label 136: @2116
     /* 2116 */ GIM_Reject,
     /* 2117 */ // Label 3: @2117
     /* 2117 */ GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(2128), // Rule ID 78 //
     /* 2122 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 2125 */   // Combiner Rule #72: undef_to_int_zero; wip_match_opcode 'G_MUL'
     /* 2125 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 2128 */ // Label 137: @2128
     /* 2128 */ GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(2139), // Rule ID 236 //
     /* 2133 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2136 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_MUL'
     /* 2136 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2139 */ // Label 138: @2139
     /* 2139 */ GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(2150), // Rule ID 309 //
     /* 2144 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 2147 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_MUL'
     /* 2147 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2150 */ // Label 139: @2150
     /* 2150 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(2190), // Rule ID 17 //
     /* 2155 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 2158 */   // MIs[0] dst
     /* 2158 */   GIM_RecordRegType, /*MI*/0, /*Op*/0, /*TempTypeIdx*/uint8_t(-1),
     /* 2162 */   // MIs[0] x
     /* 2162 */   // No operand predicates
     /* 2162 */   // MIs[0] Operand 2
     /* 2162 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /* 2166 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 2169 */   GIR_BuildConstant, /*TempRegID*/0, /*Val*/GIMT_Encode8(0),
     /* 2179 */   // Combiner Rule #17: mul_by_neg_one
     /* 2179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 2182 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 2184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2187 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 2189 */   GIR_EraseRootFromParent_Done,
     /* 2190 */ // Label 140: @2190
     /* 2190 */ GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(2225), // Rule ID 40 //
     /* 2195 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule38Enabled),
     /* 2198 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 2204 */   // MIs[0] root
     /* 2204 */   // No operand predicates
     /* 2204 */   // MIs[0] left
     /* 2204 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 2212 */   // MIs[1] scale
     /* 2212 */   // No operand predicates
     /* 2212 */   // MIs[0] x
     /* 2212 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220 */   // MIs[2] imm1
     /* 2220 */   // No operand predicates
     /* 2220 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222 */   // Combiner Rule #38: mul_of_vscale
     /* 2222 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner16),
     /* 2225 */ // Label 141: @2225
     /* 2225 */ GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(2248), // Rule ID 123 //
     /* 2230 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2233 */   // MIs[0] dst
     /* 2233 */   // No operand predicates
     /* 2233 */   // MIs[0] lhs
     /* 2233 */   // No operand predicates
     /* 2233 */   // MIs[0] zero
     /* 2233 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2237 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 2242 */   // Combiner Rule #87: binop_right_to_zero
     /* 2242 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 2247 */   GIR_EraseRootFromParent_Done,
     /* 2248 */ // Label 142: @2248
     /* 2248 */ GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(2271), // Rule ID 128 //
     /* 2253 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule92Enabled),
     /* 2256 */   // MIs[0] dst
     /* 2256 */   // No operand predicates
     /* 2256 */   // MIs[0] x
     /* 2256 */   // No operand predicates
     /* 2256 */   // MIs[0] Operand 2
     /* 2256 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 2260 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2265 */   // Combiner Rule #92: right_identity_one_int
     /* 2265 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2270 */   GIR_EraseRootFromParent_Done,
     /* 2271 */ // Label 143: @2271
     /* 2271 */ GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(2282), // Rule ID 14 //
     /* 2276 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule14Enabled),
     /* 2279 */   // MIs[0] d
     /* 2279 */   // No operand predicates
     /* 2279 */   // MIs[0] op1
     /* 2279 */   // No operand predicates
     /* 2279 */   // MIs[0] op2
     /* 2279 */   // No operand predicates
     /* 2279 */   // Combiner Rule #14: mul_to_shl
     /* 2279 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner6),
     /* 2282 */ // Label 144: @2282
     /* 2282 */ GIM_Reject,
     /* 2283 */ // Label 4: @2283
     /* 2283 */ GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(2294), // Rule ID 119 //
     /* 2288 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2291 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SDIV'
     /* 2291 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2294 */ // Label 145: @2294
     /* 2294 */ GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(2305), // Rule ID 211 //
     /* 2299 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2302 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_SDIV'
     /* 2302 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2305 */ // Label 146: @2305
     /* 2305 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2316), // Rule ID 242 //
     /* 2310 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2313 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SDIV'
     /* 2313 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2316 */ // Label 147: @2316
     /* 2316 */ GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(2327), // Rule ID 260 //
     /* 2321 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule172Enabled),
     /* 2324 */   // Combiner Rule #172: sdiv_by_const; wip_match_opcode 'G_SDIV'
     /* 2324 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner109),
     /* 2327 */ // Label 148: @2327
     /* 2327 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2338), // Rule ID 285 //
     /* 2332 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2335 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SDIV'
     /* 2335 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2338 */ // Label 149: @2338
     /* 2338 */ GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(2355), // Rule ID 261 //
     /* 2343 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule173Enabled),
     /* 2346 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 2352 */   // MIs[0] dst
     /* 2352 */   // No operand predicates
     /* 2352 */   // MIs[0] x
     /* 2352 */   // No operand predicates
     /* 2352 */   // MIs[0] y
     /* 2352 */   // No operand predicates
     /* 2352 */   // Combiner Rule #173: sdiv_by_pow2
     /* 2352 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner110),
     /* 2355 */ // Label 150: @2355
     /* 2355 */ GIM_Reject,
     /* 2356 */ // Label 5: @2356
     /* 2356 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(2367), // Rule ID 81 //
     /* 2361 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 2364 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_UDIV'
     /* 2364 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 2367 */ // Label 151: @2367
     /* 2367 */ GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(2378), // Rule ID 120 //
     /* 2372 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2375 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_UDIV'
     /* 2375 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2378 */ // Label 152: @2378
     /* 2378 */ GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(2389), // Rule ID 212 //
     /* 2383 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2386 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_UDIV'
     /* 2386 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2389 */ // Label 153: @2389
     /* 2389 */ GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(2400), // Rule ID 241 //
     /* 2394 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2397 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UDIV'
     /* 2397 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2400 */ // Label 154: @2400
     /* 2400 */ GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(2411), // Rule ID 259 //
     /* 2405 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule171Enabled),
     /* 2408 */   // Combiner Rule #171: udiv_by_const; wip_match_opcode 'G_UDIV'
     /* 2408 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner108),
     /* 2411 */ // Label 155: @2411
     /* 2411 */ GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(2422), // Rule ID 287 //
     /* 2416 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2419 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UDIV'
     /* 2419 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2422 */ // Label 156: @2422
     /* 2422 */ GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(2439), // Rule ID 262 //
     /* 2427 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 2430 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 2436 */   // MIs[0] dst
     /* 2436 */   // No operand predicates
     /* 2436 */   // MIs[0] x
     /* 2436 */   // No operand predicates
     /* 2436 */   // MIs[0] y
     /* 2436 */   // No operand predicates
     /* 2436 */   // Combiner Rule #174: udiv_by_pow2
     /* 2436 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner111),
     /* 2439 */ // Label 157: @2439
     /* 2439 */ GIM_Reject,
     /* 2440 */ // Label 6: @2440
     /* 2440 */ GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(2451), // Rule ID 121 //
     /* 2445 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2448 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SREM'
     /* 2448 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2451 */ // Label 158: @2451
     /* 2451 */ GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(2462), // Rule ID 213 //
     /* 2456 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2459 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_SREM'
     /* 2459 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2462 */ // Label 159: @2462
     /* 2462 */ GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(2473), // Rule ID 244 //
     /* 2467 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2470 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SREM'
     /* 2470 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2473 */ // Label 160: @2473
     /* 2473 */ GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(2484), // Rule ID 286 //
     /* 2478 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2481 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SREM'
     /* 2481 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2484 */ // Label 161: @2484
     /* 2484 */ GIM_Reject,
     /* 2485 */ // Label 7: @2485
     /* 2485 */ GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2496), // Rule ID 82 //
     /* 2490 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 2493 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_UREM'
     /* 2493 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 2496 */ // Label 162: @2496
     /* 2496 */ GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2507), // Rule ID 122 //
     /* 2501 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2504 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_UREM'
     /* 2504 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2507 */ // Label 163: @2507
     /* 2507 */ GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2518), // Rule ID 170 //
     /* 2512 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule128Enabled),
     /* 2515 */   // Combiner Rule #128: urem_pow2_to_mask; wip_match_opcode 'G_UREM'
     /* 2515 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner75),
     /* 2518 */ // Label 164: @2518
     /* 2518 */ GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2529), // Rule ID 214 //
     /* 2523 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2526 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_UREM'
     /* 2526 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2529 */ // Label 165: @2529
     /* 2529 */ GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2540), // Rule ID 243 //
     /* 2534 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2537 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UREM'
     /* 2537 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2540 */ // Label 166: @2540
     /* 2540 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2551), // Rule ID 288 //
     /* 2545 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2548 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UREM'
     /* 2548 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2551 */ // Label 167: @2551
     /* 2551 */ GIM_Reject,
     /* 2552 */ // Label 8: @2552
     /* 2552 */ GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2563), // Rule ID 73 //
     /* 2557 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule69Enabled),
     /* 2560 */   // Combiner Rule #69: load_and_mask; wip_match_opcode 'G_AND'
     /* 2560 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner31),
     /* 2563 */ // Label 168: @2563
     /* 2563 */ GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2574), // Rule ID 77 //
     /* 2568 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 2571 */   // Combiner Rule #72: undef_to_int_zero; wip_match_opcode 'G_AND'
     /* 2571 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 2574 */ // Label 169: @2574
     /* 2574 */ GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2585), // Rule ID 142 //
     /* 2579 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2582 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_AND'
     /* 2582 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2585 */ // Label 170: @2585
     /* 2585 */ GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2596), // Rule ID 162 //
     /* 2590 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule120Enabled),
     /* 2593 */   // Combiner Rule #120: narrow_binop_feeding_and; wip_match_opcode 'G_AND'
     /* 2593 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 2596 */ // Label 171: @2596
     /* 2596 */ GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2607), // Rule ID 167 //
     /* 2601 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule125Enabled),
     /* 2604 */   // Combiner Rule #125: redundant_and; wip_match_opcode 'G_AND'
     /* 2604 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner72),
     /* 2607 */ // Label 172: @2607
     /* 2607 */ GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2618), // Rule ID 184 //
     /* 2612 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule142Enabled),
     /* 2615 */   // Combiner Rule #142: overlapping_and; wip_match_opcode 'G_AND'
     /* 2615 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner84),
     /* 2618 */ // Label 173: @2618
     /* 2618 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2629), // Rule ID 233 //
     /* 2623 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2626 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_AND'
     /* 2626 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2629 */ // Label 174: @2629
     /* 2629 */ GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2640), // Rule ID 270 //
     /* 2634 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule177Enabled),
     /* 2637 */   // Combiner Rule #177: and_or_disjoint_mask; wip_match_opcode 'G_AND'
     /* 2637 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner114),
     /* 2640 */ // Label 175: @2640
     /* 2640 */ GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2651), // Rule ID 282 //
     /* 2645 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2648 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_AND'
     /* 2648 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2651 */ // Label 176: @2651
     /* 2651 */ GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2662), // Rule ID 310 //
     /* 2656 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 2659 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_AND'
     /* 2659 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2662 */ // Label 177: @2662
     /* 2662 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2673), // Rule ID 337 //
     /* 2667 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 2670 */   // Combiner Rule #192: match_ands; wip_match_opcode 'G_AND'
     /* 2670 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner129),
     /* 2673 */ // Label 178: @2673
     /* 2673 */ GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2771), // Rule ID 155 //
     /* 2678 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule113Enabled),
     /* 2681 */   // MIs[0] root
     /* 2681 */   // No operand predicates
     /* 2681 */   // MIs[0] d1
     /* 2681 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2685 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2689 */   // MIs[1] p
     /* 2689 */   // No operand predicates
     /* 2689 */   // MIs[1] s1
     /* 2689 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 2693 */   // MIs[1] Operand 3
     /* 2693 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 2697 */   // MIs[0] d2
     /* 2697 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2701 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2705 */   // MIs[2] p
     /* 2705 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 2710 */   // MIs[2] s2
     /* 2710 */   // No operand predicates
     /* 2710 */   // MIs[2] Operand 3
     /* 2710 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 2714 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner5),
     /* 2718 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2720 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 2723 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 2733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 2736 */   // Combiner Rule #113: double_icmp_zero_and_combine
     /* 2736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 2739 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2744 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 2748 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 2752 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2756 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 2760 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 2764 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 2767 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2770 */   GIR_EraseRootFromParent_Done,
     /* 2771 */ // Label 179: @2771
     /* 2771 */ GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2808), // Rule ID 226 //
     /* 2776 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule163Enabled),
     /* 2779 */   // MIs[0] root
     /* 2779 */   // No operand predicates
     /* 2779 */   // MIs[0] shift
     /* 2779 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2783 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 2787 */   // MIs[1] x
     /* 2787 */   // No operand predicates
     /* 2787 */   // MIs[1] lsb
     /* 2787 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 2791 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2795 */   // MIs[2] imm1
     /* 2795 */   // No operand predicates
     /* 2795 */   // MIs[0] mask
     /* 2795 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 2799 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2803 */   // MIs[3] imm2
     /* 2803 */   // No operand predicates
     /* 2803 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2805 */   // Combiner Rule #163: bitfield_extract_from_and
     /* 2805 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner101),
     /* 2808 */ // Label 180: @2808
     /* 2808 */ GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2832), // Rule ID 114 //
     /* 2813 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 2816 */   // MIs[0] dst
     /* 2816 */   // No operand predicates
     /* 2816 */   // MIs[0] src
     /* 2816 */   // No operand predicates
     /* 2816 */   // MIs[0] src
     /* 2816 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 2821 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2826 */   // Combiner Rule #85: binop_same_val @ [__binop_same_val_match_0[0]]
     /* 2826 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2831 */   GIR_EraseRootFromParent_Done,
     /* 2832 */ // Label 181: @2832
     /* 2832 */ GIM_Reject,
     /* 2833 */ // Label 9: @2833
     /* 2833 */ GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(2844), // Rule ID 79 //
     /* 2838 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 2841 */   // Combiner Rule #73: undef_to_negative_one; wip_match_opcode 'G_OR'
     /* 2841 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 2844 */ // Label 182: @2844
     /* 2844 */ GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(2855), // Rule ID 143 //
     /* 2849 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2852 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_OR'
     /* 2852 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2855 */ // Label 183: @2855
     /* 2855 */ GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(2866), // Rule ID 169 //
     /* 2860 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule127Enabled),
     /* 2863 */   // Combiner Rule #127: redundant_or; wip_match_opcode 'G_OR'
     /* 2863 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner74),
     /* 2866 */ // Label 184: @2866
     /* 2866 */ GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(2877), // Rule ID 210 //
     /* 2871 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule152Enabled),
     /* 2874 */   // Combiner Rule #152: load_or_combine; wip_match_opcode 'G_OR'
     /* 2874 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner94),
     /* 2877 */ // Label 185: @2877
     /* 2877 */ GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(2888), // Rule ID 215 //
     /* 2882 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule154Enabled),
     /* 2885 */   // Combiner Rule #154: funnel_shift_from_or_shift; wip_match_opcode 'G_OR'
     /* 2885 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner96),
     /* 2888 */ // Label 186: @2888
     /* 2888 */ GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(2899), // Rule ID 237 //
     /* 2893 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2896 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_OR'
     /* 2896 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2899 */ // Label 187: @2899
     /* 2899 */ GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(2910), // Rule ID 283 //
     /* 2904 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2907 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_OR'
     /* 2907 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2910 */ // Label 188: @2910
     /* 2910 */ GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(2921), // Rule ID 311 //
     /* 2915 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 2918 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_OR'
     /* 2918 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2921 */ // Label 189: @2921
     /* 2921 */ GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(2932), // Rule ID 338 //
     /* 2926 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule193Enabled),
     /* 2929 */   // Combiner Rule #193: match_ors; wip_match_opcode 'G_OR'
     /* 2929 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner130),
     /* 2932 */ // Label 190: @2932
     /* 2932 */ GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(3030), // Rule ID 156 //
     /* 2937 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule114Enabled),
     /* 2940 */   // MIs[0] root
     /* 2940 */   // No operand predicates
     /* 2940 */   // MIs[0] d1
     /* 2940 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2944 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2948 */   // MIs[1] p
     /* 2948 */   // No operand predicates
     /* 2948 */   // MIs[1] s1
     /* 2948 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 2952 */   // MIs[1] Operand 3
     /* 2952 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 2956 */   // MIs[0] d2
     /* 2956 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2960 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2964 */   // MIs[2] p
     /* 2964 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 2969 */   // MIs[2] s2
     /* 2969 */   // No operand predicates
     /* 2969 */   // MIs[2] Operand 3
     /* 2969 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 2973 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner6),
     /* 2977 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2979 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 2982 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 2992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 2995 */   // Combiner Rule #114: double_icmp_zero_or_combine
     /* 2995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 2998 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 3003 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 3007 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 3011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 3015 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 3019 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 3023 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 3026 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 3029 */   GIR_EraseRootFromParent_Done,
     /* 3030 */ // Label 191: @3030
     /* 3030 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(3054), // Rule ID 115 //
     /* 3035 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 3038 */   // MIs[0] dst
     /* 3038 */   // No operand predicates
     /* 3038 */   // MIs[0] src
     /* 3038 */   // No operand predicates
     /* 3038 */   // MIs[0] src
     /* 3038 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 3043 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3048 */   // Combiner Rule #85: binop_same_val @ [__binop_same_val_match_0[1]]
     /* 3048 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3053 */   GIR_EraseRootFromParent_Done,
     /* 3054 */ // Label 192: @3054
     /* 3054 */ GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(3077), // Rule ID 106 //
     /* 3059 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 3062 */   // MIs[0] dst
     /* 3062 */   // No operand predicates
     /* 3062 */   // MIs[0] lhs
     /* 3062 */   // No operand predicates
     /* 3062 */   // MIs[0] Operand 2
     /* 3062 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 3066 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3071 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[2]]
     /* 3071 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3076 */   GIR_EraseRootFromParent_Done,
     /* 3077 */ // Label 193: @3077
     /* 3077 */ GIM_Reject,
     /* 3078 */ // Label 10: @3078
     /* 3078 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(3089), // Rule ID 96 //
     /* 3083 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 3086 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_XOR'
     /* 3086 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 3089 */ // Label 194: @3089
     /* 3089 */ GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(3100), // Rule ID 144 //
     /* 3094 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 3097 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_XOR'
     /* 3097 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 3100 */ // Label 195: @3100
     /* 3100 */ GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(3111), // Rule ID 174 //
     /* 3105 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule132Enabled),
     /* 3108 */   // Combiner Rule #132: not_cmp_fold; wip_match_opcode 'G_XOR'
     /* 3108 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner79),
     /* 3111 */ // Label 196: @3111
     /* 3111 */ GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(3122), // Rule ID 198 //
     /* 3116 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 3119 */   // Combiner Rule #148: xor_of_and_with_same_reg; wip_match_opcode 'G_XOR'
     /* 3119 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner90),
     /* 3122 */ // Label 197: @3122
     /* 3122 */ GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(3133), // Rule ID 240 //
     /* 3127 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 3130 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_XOR'
     /* 3130 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 3133 */ // Label 198: @3133
     /* 3133 */ GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(3144), // Rule ID 284 //
     /* 3138 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 3141 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_XOR'
     /* 3141 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 3144 */ // Label 199: @3144
     /* 3144 */ GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(3155), // Rule ID 312 //
     /* 3149 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 3152 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_XOR'
     /* 3152 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 3155 */ // Label 200: @3155
     /* 3155 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(3178), // Rule ID 107 //
     /* 3160 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 3163 */   // MIs[0] dst
     /* 3163 */   // No operand predicates
     /* 3163 */   // MIs[0] lhs
     /* 3163 */   // No operand predicates
     /* 3163 */   // MIs[0] Operand 2
     /* 3163 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 3167 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3172 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[3]]
     /* 3172 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3177 */   GIR_EraseRootFromParent_Done,
     /* 3178 */ // Label 201: @3178
     /* 3178 */ GIM_Reject,
     /* 3179 */ // Label 11: @3179
     /* 3179 */ GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(3190), // Rule ID 140 //
     /* 3184 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule102Enabled),
     /* 3187 */   // Combiner Rule #102: extend_through_phis; wip_match_opcode 'G_PHI'
     /* 3187 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner53),
     /* 3190 */ // Label 202: @3190
     /* 3190 */ GIM_Reject,
     /* 3191 */ // Label 12: @3191
     /* 3191 */ GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(3202), // Rule ID 363 //
     /* 3196 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule216Enabled),
     /* 3199 */   // Combiner Rule #216: fold_global_offset; wip_match_opcode 'G_GLOBAL_VALUE'
     /* 3199 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner153),
     /* 3202 */ // Label 203: @3202
     /* 3202 */ GIM_Reject,
     /* 3203 */ // Label 13: @3203
     /* 3203 */ GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(3214), // Rule ID 348 //
     /* 3208 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule203Enabled),
     /* 3211 */   // Combiner Rule #203: unmerge_anyext_build_vector; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3211 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner140),
     /* 3214 */ // Label 204: @3214
     /* 3214 */ GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(3225), // Rule ID 349 //
     /* 3219 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule204Enabled),
     /* 3222 */   // Combiner Rule #204: unmerge_merge; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3222 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner141),
     /* 3225 */ // Label 205: @3225
     /* 3225 */ GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(3236), // Rule ID 351 //
     /* 3230 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule206Enabled),
     /* 3233 */   // Combiner Rule #206: unmerge_cst; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3233 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner143),
     /* 3236 */ // Label 206: @3236
     /* 3236 */ GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(3247), // Rule ID 352 //
     /* 3241 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule207Enabled),
     /* 3244 */   // Combiner Rule #207: unmerge_undef; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3244 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner144),
     /* 3247 */ // Label 207: @3247
     /* 3247 */ GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(3258), // Rule ID 353 //
     /* 3252 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule208Enabled),
     /* 3255 */   // Combiner Rule #208: unmerge_dead_to_trunc; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3255 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner145),
     /* 3258 */ // Label 208: @3258
     /* 3258 */ GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(3269), // Rule ID 354 //
     /* 3263 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule209Enabled),
     /* 3266 */   // Combiner Rule #209: unmerge_zext_to_zext; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3266 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner146),
     /* 3269 */ // Label 209: @3269
     /* 3269 */ GIM_Reject,
     /* 3270 */ // Label 14: @3270
     /* 3270 */ GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(3281), // Rule ID 350 //
     /* 3275 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule205Enabled),
     /* 3278 */   // Combiner Rule #205: merge_unmerge; wip_match_opcode 'G_MERGE_VALUES'
     /* 3278 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner142),
     /* 3281 */ // Label 210: @3281
     /* 3281 */ GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(3343),
     /* 3286 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 3289 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(3310), // Rule ID 355 //
     /* 3294 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule210Enabled),
     /* 3297 */     // MIs[0] root
     /* 3297 */     // No operand predicates
     /* 3297 */     // MIs[0] x
     /* 3297 */     // No operand predicates
     /* 3297 */     // MIs[0] undef
     /* 3297 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 3301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3307 */     // Combiner Rule #210: merge_of_x_and_undef
     /* 3307 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner147),
     /* 3310 */   // Label 212: @3310
     /* 3310 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(3342), // Rule ID 356 //
     /* 3315 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule211Enabled),
     /* 3318 */     // MIs[0] root
     /* 3318 */     // No operand predicates
     /* 3318 */     // MIs[0] x
     /* 3318 */     // No operand predicates
     /* 3318 */     // MIs[0] zero
     /* 3318 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 3322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3326 */     // MIs[1] Operand 1
     /* 3326 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/1, GIMT_Encode8(0),
     /* 3337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3339 */     // Combiner Rule #211: merge_of_x_and_zero
     /* 3339 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner148),
     /* 3342 */   // Label 213: @3342
     /* 3342 */   GIM_Reject,
     /* 3343 */ // Label 211: @3343
     /* 3343 */ GIM_Reject,
     /* 3344 */ // Label 15: @3344
     /* 3344 */ GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(3355), // Rule ID 69 //
     /* 3349 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule67Enabled),
     /* 3352 */   // Combiner Rule #67: extract_all_elts_from_build_vector; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3352 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner29),
     /* 3355 */ // Label 214: @3355
     /* 3355 */ GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(3366), // Rule ID 98 //
     /* 3360 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 3363 */   // Combiner Rule #79: propagate_undef_all_ops; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3363 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 3366 */ // Label 215: @3366
     /* 3366 */ GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(3377), // Rule ID 133 //
     /* 3371 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule95Enabled),
     /* 3374 */   // Combiner Rule #95: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3374 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 3377 */ // Label 216: @3377
     /* 3377 */ GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(3391), // Rule ID 347 //
     /* 3382 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule202Enabled),
     /* 3385 */   GIM_CheckNumOperandsGE, /*MI*/0, /*Expected*/2,
     /* 3388 */   // MIs[0] dst
     /* 3388 */   // No operand predicates
     /* 3388 */   // MIs[0] unused
     /* 3388 */   // No operand predicates
     /* 3388 */   // Combiner Rule #202: combine_use_vector_truncate
     /* 3388 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner139),
     /* 3391 */ // Label 217: @3391
     /* 3391 */ GIM_Reject,
     /* 3392 */ // Label 16: @3392
     /* 3392 */ GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(3403), // Rule ID 132 //
     /* 3397 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule95Enabled),
     /* 3400 */   // Combiner Rule #95: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR_TRUNC'
     /* 3400 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 3403 */ // Label 218: @3403
     /* 3403 */ GIM_Reject,
     /* 3404 */ // Label 17: @3404
     /* 3404 */ GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(3415), // Rule ID 340 //
     /* 3409 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule195Enabled),
     /* 3412 */   // Combiner Rule #195: combine_concat_vector; wip_match_opcode 'G_CONCAT_VECTORS'
     /* 3412 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner132),
     /* 3415 */ // Label 219: @3415
     /* 3415 */ GIM_Reject,
     /* 3416 */ // Label 18: @3416
     /* 3416 */ GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(3437), // Rule ID 125 //
     /* 3421 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule89Enabled),
     /* 3424 */   // MIs[0] dst
     /* 3424 */   // No operand predicates
     /* 3424 */   // MIs[0] t
     /* 3424 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3428 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTTOPTR),
     /* 3432 */   // MIs[1] ptr
     /* 3432 */   // No operand predicates
     /* 3432 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3434 */   // Combiner Rule #89: i2p_to_p2i
     /* 3434 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner47),
     /* 3437 */ // Label 220: @3437
     /* 3437 */ GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(3458), // Rule ID 90 //
     /* 3442 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3445 */   // MIs[0] dst
     /* 3445 */   // No operand predicates
     /* 3445 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3445 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3449 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3453 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3455 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[3]]
     /* 3455 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3458 */ // Label 221: @3458
     /* 3458 */ GIM_Reject,
     /* 3459 */ // Label 19: @3459
     /* 3459 */ GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(3470), // Rule ID 124 //
     /* 3464 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3467 */   // Combiner Rule #88: p2i_to_i2p; wip_match_opcode 'G_INTTOPTR'
     /* 3467 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner46),
     /* 3470 */ // Label 222: @3470
     /* 3470 */ GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(3491), // Rule ID 91 //
     /* 3475 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3478 */   // MIs[0] dst
     /* 3478 */   // No operand predicates
     /* 3478 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3478 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3482 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3486 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3488 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[4]]
     /* 3488 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3491 */ // Label 223: @3491
     /* 3491 */ GIM_Reject,
     /* 3492 */ // Label 20: @3492
     /* 3492 */ GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(3513), // Rule ID 136 //
     /* 3497 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule98Enabled),
     /* 3500 */   // MIs[0] dst
     /* 3500 */   // No operand predicates
     /* 3500 */   // MIs[0] src1
     /* 3500 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3504 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 3508 */   // MIs[1] src0
     /* 3508 */   // No operand predicates
     /* 3508 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3510 */   // Combiner Rule #98: bitcast_bitcast_fold
     /* 3510 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 3513 */ // Label 224: @3513
     /* 3513 */ GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(3534), // Rule ID 88 //
     /* 3518 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3521 */   // MIs[0] dst
     /* 3521 */   // No operand predicates
     /* 3521 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3521 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3525 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3529 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3531 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[1]]
     /* 3531 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3534 */ // Label 225: @3534
     /* 3534 */ GIM_Reject,
     /* 3535 */ // Label 21: @3535
     /* 3535 */ GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(3564), // Rule ID 18 //
     /* 3540 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 3543 */   // MIs[0] dst
     /* 3543 */   // No operand predicates
     /* 3543 */   // MIs[0] src
     /* 3543 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3547 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FREEZE),
     /* 3551 */   // MIs[1] __idempotent_prop_match_0.x
     /* 3551 */   // No operand predicates
     /* 3551 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3556 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3558 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[0]]
     /* 3558 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3563 */   GIR_EraseRootFromParent_Done,
     /* 3564 */ // Label 226: @3564
     /* 3564 */ GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(3587), // Rule ID 43 //
     /* 3569 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule41Enabled),
     /* 3572 */   // MIs[0] root
     /* 3572 */   // No operand predicates
     /* 3572 */   // MIs[0] src
     /* 3572 */   // No operand predicates
     /* 3572 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner1),
     /* 3576 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3581 */   // Combiner Rule #41: freeze_of_non_undef_non_poison
     /* 3581 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3586 */   GIR_EraseRootFromParent_Done,
     /* 3587 */ // Label 227: @3587
     /* 3587 */ GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(3598), // Rule ID 44 //
     /* 3592 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule42Enabled),
     /* 3595 */   // MIs[0] dst
     /* 3595 */   // No operand predicates
     /* 3595 */   // MIs[0] src
     /* 3595 */   // No operand predicates
     /* 3595 */   // Combiner Rule #42: push_freeze_to_prevent_poison_from_propagating
     /* 3595 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner19),
     /* 3598 */ // Label 228: @3598
     /* 3598 */ GIM_Reject,
     /* 3599 */ // Label 22: @3599
     /* 3599 */ GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(3610), // Rule ID 70 //
     /* 3604 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3607 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_LOAD'
     /* 3607 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3610 */ // Label 229: @3610
     /* 3610 */ GIM_Reject,
     /* 3611 */ // Label 23: @3611
     /* 3611 */ GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(3622), // Rule ID 71 //
     /* 3616 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3619 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_SEXTLOAD'
     /* 3619 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3622 */ // Label 230: @3622
     /* 3622 */ GIM_Reject,
     /* 3623 */ // Label 24: @3623
     /* 3623 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(3634), // Rule ID 72 //
     /* 3628 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3631 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_ZEXTLOAD'
     /* 3631 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3634 */ // Label 231: @3634
     /* 3634 */ GIM_Reject,
     /* 3635 */ // Label 25: @3635
     /* 3635 */ GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(3646), // Rule ID 100 //
     /* 3640 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule81Enabled),
     /* 3643 */   // Combiner Rule #81: erase_undef_store; wip_match_opcode 'G_STORE'
     /* 3643 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 3646 */ // Label 232: @3646
     /* 3646 */ GIM_Reject,
     /* 3647 */ // Label 26: @3647
     /* 3647 */ GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(3658), // Rule ID 126 //
     /* 3652 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule90Enabled),
     /* 3655 */   // Combiner Rule #90: anyext_trunc_fold; wip_match_opcode 'G_ANYEXT'
     /* 3655 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner48),
     /* 3658 */ // Label 233: @3658
     /* 3658 */ GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(3669), // Rule ID 257 //
     /* 3663 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 3666 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_ANYEXT'
     /* 3666 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 3669 */ // Label 234: @3669
     /* 3669 */ GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(3690), // Rule ID 57 //
     /* 3674 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule55Enabled),
     /* 3677 */   // MIs[0] root
     /* 3677 */   // No operand predicates
     /* 3677 */   // MIs[0] select
     /* 3677 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3681 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 3685 */   // MIs[1] cond
     /* 3685 */   // No operand predicates
     /* 3685 */   // MIs[1] true
     /* 3685 */   // No operand predicates
     /* 3685 */   // MIs[1] false
     /* 3685 */   // No operand predicates
     /* 3685 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3687 */   // Combiner Rule #55: select_of_anyext
     /* 3687 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 3690 */ // Label 235: @3690
     /* 3690 */ GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(3711), // Rule ID 52 //
     /* 3695 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule50Enabled),
     /* 3698 */   // MIs[0] root
     /* 3698 */   // No operand predicates
     /* 3698 */   // MIs[0] second
     /* 3698 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3702 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 3706 */   // MIs[1] src
     /* 3706 */   // No operand predicates
     /* 3706 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3708 */   // Combiner Rule #50: anyext_of_anyext
     /* 3708 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3711 */ // Label 236: @3711
     /* 3711 */ GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(3732), // Rule ID 54 //
     /* 3716 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule52Enabled),
     /* 3719 */   // MIs[0] root
     /* 3719 */   // No operand predicates
     /* 3719 */   // MIs[0] second
     /* 3719 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3723 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 3727 */   // MIs[1] src
     /* 3727 */   // No operand predicates
     /* 3727 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3729 */   // Combiner Rule #52: anyext_of_sext
     /* 3729 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3732 */ // Label 237: @3732
     /* 3732 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(3753), // Rule ID 53 //
     /* 3737 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 3740 */   // MIs[0] root
     /* 3740 */   // No operand predicates
     /* 3740 */   // MIs[0] second
     /* 3740 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3744 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 3748 */   // MIs[1] src
     /* 3748 */   // No operand predicates
     /* 3748 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3750 */   // Combiner Rule #51: anyext_of_zext
     /* 3750 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3753 */ // Label 238: @3753
     /* 3753 */ GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(3774), // Rule ID 89 //
     /* 3758 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3761 */   // MIs[0] dst
     /* 3761 */   // No operand predicates
     /* 3761 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3761 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3765 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3769 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3771 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[2]]
     /* 3771 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3774 */ // Label 239: @3774
     /* 3774 */ GIM_Reject,
     /* 3775 */ // Label 27: @3775
     /* 3775 */ GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(3786), // Rule ID 134 //
     /* 3780 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule96Enabled),
     /* 3783 */   // Combiner Rule #96: trunc_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 3783 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner50),
     /* 3786 */ // Label 240: @3786
     /* 3786 */ GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(3797), // Rule ID 135 //
     /* 3791 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule97Enabled),
     /* 3794 */   // Combiner Rule #97: trunc_lshr_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 3794 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner51),
     /* 3797 */ // Label 241: @3797
     /* 3797 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(3808), // Rule ID 173 //
     /* 3802 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule131Enabled),
     /* 3805 */   // Combiner Rule #131: trunc_shift; wip_match_opcode 'G_TRUNC'
     /* 3805 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner78),
     /* 3808 */ // Label 242: @3808
     /* 3808 */ GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(3829), // Rule ID 58 //
     /* 3813 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule56Enabled),
     /* 3816 */   // MIs[0] root
     /* 3816 */   // No operand predicates
     /* 3816 */   // MIs[0] select
     /* 3816 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3820 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 3824 */   // MIs[1] cond
     /* 3824 */   // No operand predicates
     /* 3824 */   // MIs[1] true
     /* 3824 */   // No operand predicates
     /* 3824 */   // MIs[1] false
     /* 3824 */   // No operand predicates
     /* 3824 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3826 */   // Combiner Rule #56: select_of_truncate
     /* 3826 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 3829 */ // Label 243: @3829
     /* 3829 */ GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(3858), // Rule ID 60 //
     /* 3834 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule58Enabled),
     /* 3837 */   // MIs[0] root
     /* 3837 */   // No operand predicates
     /* 3837 */   // MIs[0] binop
     /* 3837 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3841 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 3845 */   // MIs[1] x
     /* 3845 */   // No operand predicates
     /* 3845 */   // MIs[1] const
     /* 3845 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3849 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3853 */   // MIs[2] imm
     /* 3853 */   // No operand predicates
     /* 3853 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3855 */   // Combiner Rule #58: narrow_binop_add
     /* 3855 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3858 */ // Label 244: @3858
     /* 3858 */ GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(3887), // Rule ID 63 //
     /* 3863 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule61Enabled),
     /* 3866 */   // MIs[0] root
     /* 3866 */   // No operand predicates
     /* 3866 */   // MIs[0] binop
     /* 3866 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3870 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 3874 */   // MIs[1] x
     /* 3874 */   // No operand predicates
     /* 3874 */   // MIs[1] const
     /* 3874 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3878 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3882 */   // MIs[2] imm
     /* 3882 */   // No operand predicates
     /* 3882 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3884 */   // Combiner Rule #61: narrow_binop_and
     /* 3884 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3887 */ // Label 245: @3887
     /* 3887 */ GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(3916), // Rule ID 62 //
     /* 3892 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule60Enabled),
     /* 3895 */   // MIs[0] root
     /* 3895 */   // No operand predicates
     /* 3895 */   // MIs[0] binop
     /* 3895 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3899 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 3903 */   // MIs[1] x
     /* 3903 */   // No operand predicates
     /* 3903 */   // MIs[1] const
     /* 3903 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3907 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3911 */   // MIs[2] imm
     /* 3911 */   // No operand predicates
     /* 3911 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3913 */   // Combiner Rule #60: narrow_binop_mul
     /* 3913 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3916 */ // Label 246: @3916
     /* 3916 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(3945), // Rule ID 64 //
     /* 3921 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule62Enabled),
     /* 3924 */   // MIs[0] root
     /* 3924 */   // No operand predicates
     /* 3924 */   // MIs[0] binop
     /* 3924 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3928 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 3932 */   // MIs[1] x
     /* 3932 */   // No operand predicates
     /* 3932 */   // MIs[1] const
     /* 3932 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3936 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3940 */   // MIs[2] imm
     /* 3940 */   // No operand predicates
     /* 3940 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3942 */   // Combiner Rule #62: narrow_binop_or
     /* 3942 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3945 */ // Label 247: @3945
     /* 3945 */ GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(3974), // Rule ID 61 //
     /* 3950 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule59Enabled),
     /* 3953 */   // MIs[0] root
     /* 3953 */   // No operand predicates
     /* 3953 */   // MIs[0] binop
     /* 3953 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3957 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 3961 */   // MIs[1] x
     /* 3961 */   // No operand predicates
     /* 3961 */   // MIs[1] const
     /* 3961 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3965 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3969 */   // MIs[2] imm
     /* 3969 */   // No operand predicates
     /* 3969 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3971 */   // Combiner Rule #59: narrow_binop_sub
     /* 3971 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3974 */ // Label 248: @3974
     /* 3974 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(4003), // Rule ID 65 //
     /* 3979 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule63Enabled),
     /* 3982 */   // MIs[0] root
     /* 3982 */   // No operand predicates
     /* 3982 */   // MIs[0] binop
     /* 3982 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3986 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 3990 */   // MIs[1] x
     /* 3990 */   // No operand predicates
     /* 3990 */   // MIs[1] const
     /* 3990 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3994 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3998 */   // MIs[2] imm
     /* 3998 */   // No operand predicates
     /* 3998 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 4000 */   // Combiner Rule #63: narrow_binop_xor
     /* 4000 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 4003 */ // Label 249: @4003
     /* 4003 */ GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(4024), // Rule ID 47 //
     /* 4008 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule45Enabled),
     /* 4011 */   // MIs[0] root
     /* 4011 */   // No operand predicates
     /* 4011 */   // MIs[0] ext
     /* 4011 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4015 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 4019 */   // MIs[1] src
     /* 4019 */   // No operand predicates
     /* 4019 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4021 */   // Combiner Rule #45: truncate_of_anyext
     /* 4021 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 4024 */ // Label 250: @4024
     /* 4024 */ GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(4048), // Rule ID 59 //
     /* 4029 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule57Enabled),
     /* 4032 */   // MIs[0] root
     /* 4032 */   // No operand predicates
     /* 4032 */   // MIs[0] bv
     /* 4032 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4036 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 4040 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 4043 */   // MIs[1] unused
     /* 4043 */   // No operand predicates
     /* 4043 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4045 */   // Combiner Rule #57: buildvector_of_truncate
     /* 4045 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 4048 */ // Label 251: @4048
     /* 4048 */ GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(4069), // Rule ID 46 //
     /* 4053 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule44Enabled),
     /* 4056 */   // MIs[0] root
     /* 4056 */   // No operand predicates
     /* 4056 */   // MIs[0] ext
     /* 4056 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4060 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 4064 */   // MIs[1] src
     /* 4064 */   // No operand predicates
     /* 4064 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4066 */   // Combiner Rule #44: truncate_of_sext
     /* 4066 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 4069 */ // Label 252: @4069
     /* 4069 */ GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(4090), // Rule ID 45 //
     /* 4074 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule43Enabled),
     /* 4077 */   // MIs[0] root
     /* 4077 */   // No operand predicates
     /* 4077 */   // MIs[0] ext
     /* 4077 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4081 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 4085 */   // MIs[1] src
     /* 4085 */   // No operand predicates
     /* 4085 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4087 */   // Combiner Rule #43: truncate_of_zext
     /* 4087 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 4090 */ // Label 253: @4090
     /* 4090 */ GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(4111), // Rule ID 87 //
     /* 4095 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 4098 */   // MIs[0] dst
     /* 4098 */   // No operand predicates
     /* 4098 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 4098 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4102 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 4106 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4108 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[0]]
     /* 4108 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 4111 */ // Label 254: @4111
     /* 4111 */ GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(4132), // Rule ID 66 //
     /* 4116 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule64Enabled),
     /* 4119 */   // MIs[0] root
     /* 4119 */   // No operand predicates
     /* 4119 */   // MIs[0] int
     /* 4119 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4123 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 4127 */   // MIs[1] imm
     /* 4127 */   // No operand predicates
     /* 4127 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4129 */   // Combiner Rule #64: integer_of_truncate
     /* 4129 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner26),
     /* 4132 */ // Label 255: @4132
     /* 4132 */ GIM_Reject,
     /* 4133 */ // Label 28: @4133
     /* 4133 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(4144), // Rule ID 361 //
     /* 4138 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule214Enabled),
     /* 4141 */   // MIs[0] dst
     /* 4141 */   // No operand predicates
     /* 4141 */   // MIs[0] src
     /* 4141 */   // No operand predicates
     /* 4141 */   // Combiner Rule #214: fconstant_to_constant
     /* 4141 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner151),
     /* 4144 */ // Label 256: @4144
     /* 4144 */ GIM_Reject,
     /* 4145 */ // Label 29: @4145
     /* 4145 */ GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(4156), // Rule ID 256 //
     /* 4150 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 4153 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_SEXT'
     /* 4153 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 4156 */ // Label 257: @4156
     /* 4156 */ GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(4177), // Rule ID 51 //
     /* 4161 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 4164 */   // MIs[0] root
     /* 4164 */   // No operand predicates
     /* 4164 */   // MIs[0] second
     /* 4164 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4168 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 4172 */   // MIs[1] src
     /* 4172 */   // No operand predicates
     /* 4172 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4174 */   // Combiner Rule #49: sext_of_anyext
     /* 4174 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4177 */ // Label 258: @4177
     /* 4177 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(4198), // Rule ID 50 //
     /* 4182 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 4185 */   // MIs[0] root
     /* 4185 */   // No operand predicates
     /* 4185 */   // MIs[0] second
     /* 4185 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4189 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 4193 */   // MIs[1] src
     /* 4193 */   // No operand predicates
     /* 4193 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4195 */   // Combiner Rule #48: sext_of_sext
     /* 4195 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4198 */ // Label 259: @4198
     /* 4198 */ GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(4219), // Rule ID 341 //
     /* 4203 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule196Enabled),
     /* 4206 */   // MIs[0] root
     /* 4206 */   // No operand predicates
     /* 4206 */   // MIs[0] src
     /* 4206 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4210 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 4214 */   // MIs[1] x
     /* 4214 */   // No operand predicates
     /* 4214 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4216 */   // Combiner Rule #196: sext_trunc
     /* 4216 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner133),
     /* 4219 */ // Label 260: @4219
     /* 4219 */ GIM_Reject,
     /* 4220 */ // Label 30: @4220
     /* 4220 */ GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(4231), // Rule ID 160 //
     /* 4225 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule118Enabled),
     /* 4228 */   // Combiner Rule #118: sext_inreg_of_load; wip_match_opcode 'G_SEXT_INREG'
     /* 4228 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner66),
     /* 4231 */ // Label 261: @4231
     /* 4231 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(4242), // Rule ID 168 //
     /* 4236 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule126Enabled),
     /* 4239 */   // Combiner Rule #126: redundant_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 4239 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner73),
     /* 4242 */ // Label 262: @4242
     /* 4242 */ GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(4253), // Rule ID 225 //
     /* 4247 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule162Enabled),
     /* 4250 */   // Combiner Rule #162: bitfield_extract_from_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 4250 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner100),
     /* 4253 */ // Label 263: @4253
     /* 4253 */ GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(4274), // Rule ID 55 //
     /* 4258 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 4261 */   // MIs[0] dst
     /* 4261 */   // No operand predicates
     /* 4261 */   // MIs[0] x
     /* 4261 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4265 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 4269 */   // MIs[1] src
     /* 4269 */   // No operand predicates
     /* 4269 */   // MIs[1] a
     /* 4269 */   // No operand predicates
     /* 4269 */   // MIs[0] b
     /* 4269 */   // No operand predicates
     /* 4269 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4271 */   // Combiner Rule #53: sext_inreg_of_sext_inreg
     /* 4271 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 4274 */ // Label 264: @4274
     /* 4274 */ GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(4285), // Rule ID 172 //
     /* 4279 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule130Enabled),
     /* 4282 */   // MIs[0] dst
     /* 4282 */   // No operand predicates
     /* 4282 */   // MIs[0] src
     /* 4282 */   // No operand predicates
     /* 4282 */   // MIs[0] imm
     /* 4282 */   // No operand predicates
     /* 4282 */   // Combiner Rule #130: sext_inreg_to_zext_inreg
     /* 4282 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner77),
     /* 4285 */ // Label 265: @4285
     /* 4285 */ GIM_Reject,
     /* 4286 */ // Label 31: @4286
     /* 4286 */ GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(4297), // Rule ID 171 //
     /* 4291 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule129Enabled),
     /* 4294 */   // Combiner Rule #129: zext_trunc_fold; wip_match_opcode 'G_ZEXT'
     /* 4294 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner76),
     /* 4297 */ // Label 266: @4297
     /* 4297 */ GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(4308), // Rule ID 255 //
     /* 4302 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 4305 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_ZEXT'
     /* 4305 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 4308 */ // Label 267: @4308
     /* 4308 */ GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(4329), // Rule ID 56 //
     /* 4313 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule54Enabled),
     /* 4316 */   // MIs[0] root
     /* 4316 */   // No operand predicates
     /* 4316 */   // MIs[0] select
     /* 4316 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4320 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 4324 */   // MIs[1] cond
     /* 4324 */   // No operand predicates
     /* 4324 */   // MIs[1] true
     /* 4324 */   // No operand predicates
     /* 4324 */   // MIs[1] false
     /* 4324 */   // No operand predicates
     /* 4324 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4326 */   // Combiner Rule #54: select_of_zext
     /* 4326 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 4329 */ // Label 268: @4329
     /* 4329 */ GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(4350), // Rule ID 49 //
     /* 4334 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule47Enabled),
     /* 4337 */   // MIs[0] root
     /* 4337 */   // No operand predicates
     /* 4337 */   // MIs[0] second
     /* 4337 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4341 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 4345 */   // MIs[1] src
     /* 4345 */   // No operand predicates
     /* 4345 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4347 */   // Combiner Rule #47: zext_of_anyext
     /* 4347 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4350 */ // Label 269: @4350
     /* 4350 */ GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(4377), // Rule ID 342 //
     /* 4355 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule197Enabled),
     /* 4358 */   // MIs[0] root
     /* 4358 */   // No operand predicates
     /* 4358 */   // MIs[0] src
     /* 4358 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4362 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 4366 */   GIM_MIFlags, /*MI*/1, GIMT_Encode4(MachineInstr::NoUWrap),
     /* 4372 */   // MIs[1] x
     /* 4372 */   // No operand predicates
     /* 4372 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4374 */   // Combiner Rule #197: zext_trunc
     /* 4374 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner134),
     /* 4377 */ // Label 270: @4377
     /* 4377 */ GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(4398), // Rule ID 48 //
     /* 4382 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule46Enabled),
     /* 4385 */   // MIs[0] root
     /* 4385 */   // No operand predicates
     /* 4385 */   // MIs[0] second
     /* 4385 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4389 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 4393 */   // MIs[1] src
     /* 4393 */   // No operand predicates
     /* 4393 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4395 */   // Combiner Rule #46: zext_of_zext
     /* 4395 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4398 */ // Label 271: @4398
     /* 4398 */ GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(4415), // Rule ID 343 //
     /* 4403 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule198Enabled),
     /* 4406 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NonNeg),
     /* 4412 */   // MIs[0] root
     /* 4412 */   // No operand predicates
     /* 4412 */   // MIs[0] x
     /* 4412 */   // No operand predicates
     /* 4412 */   // Combiner Rule #198: nneg_zext
     /* 4412 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner135),
     /* 4415 */ // Label 272: @4415
     /* 4415 */ GIM_Reject,
     /* 4416 */ // Label 32: @4416
     /* 4416 */ GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(4427), // Rule ID 80 //
     /* 4421 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 4424 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_SHL'
     /* 4424 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 4427 */ // Label 273: @4427
     /* 4427 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(4438), // Rule ID 83 //
     /* 4432 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4435 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_SHL'
     /* 4435 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4438 */ // Label 274: @4438
     /* 4438 */ GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(4449), // Rule ID 116 //
     /* 4443 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4446 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SHL'
     /* 4446 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4449 */ // Label 275: @4449
     /* 4449 */ GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(4460), // Rule ID 200 //
     /* 4454 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4457 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_SHL'
     /* 4457 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4460 */ // Label 276: @4460
     /* 4460 */ GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(4471), // Rule ID 205 //
     /* 4465 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4468 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_SHL'
     /* 4468 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4471 */ // Label 277: @4471
     /* 4471 */ GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(4482), // Rule ID 224 //
     /* 4476 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule161Enabled),
     /* 4479 */   // Combiner Rule #161: commute_shift; wip_match_opcode 'G_SHL'
     /* 4479 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner99),
     /* 4482 */ // Label 278: @4482
     /* 4482 */ GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(4493), // Rule ID 238 //
     /* 4487 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4490 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SHL'
     /* 4490 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4493 */ // Label 279: @4493
     /* 4493 */ GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(4504), // Rule ID 291 //
     /* 4498 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4501 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SHL'
     /* 4501 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4504 */ // Label 280: @4504
     /* 4504 */ GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(4539), // Rule ID 41 //
     /* 4509 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule39Enabled),
     /* 4512 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 4518 */   // MIs[0] root
     /* 4518 */   // No operand predicates
     /* 4518 */   // MIs[0] left
     /* 4518 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4522 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 4526 */   // MIs[1] imm
     /* 4526 */   // No operand predicates
     /* 4526 */   // MIs[0] x
     /* 4526 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 4530 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 4534 */   // MIs[2] imm1
     /* 4534 */   // No operand predicates
     /* 4534 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 4536 */   // Combiner Rule #39: shl_of_vscale
     /* 4536 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner17),
     /* 4539 */ // Label 281: @4539
     /* 4539 */ GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(4562), // Rule ID 108 //
     /* 4544 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4547 */   // MIs[0] dst
     /* 4547 */   // No operand predicates
     /* 4547 */   // MIs[0] lhs
     /* 4547 */   // No operand predicates
     /* 4547 */   // MIs[0] Operand 2
     /* 4547 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4551 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4556 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[4]]
     /* 4556 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4561 */   GIR_EraseRootFromParent_Done,
     /* 4562 */ // Label 282: @4562
     /* 4562 */ GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(4573), // Rule ID 145 //
     /* 4567 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4570 */   // MIs[0] root
     /* 4570 */   // No operand predicates
     /* 4570 */   // MIs[0] mi.shifted
     /* 4570 */   // No operand predicates
     /* 4570 */   // MIs[0] mi.amt
     /* 4570 */   // No operand predicates
     /* 4570 */   // Combiner Rule #105: shifts_too_big @ [mi[0]]
     /* 4570 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4573 */ // Label 283: @4573
     /* 4573 */ GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(4584), // Rule ID 161 //
     /* 4578 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule119Enabled),
     /* 4581 */   // MIs[0] dst
     /* 4581 */   // No operand predicates
     /* 4581 */   // MIs[0] src0
     /* 4581 */   // No operand predicates
     /* 4581 */   // MIs[0] src1
     /* 4581 */   // No operand predicates
     /* 4581 */   // Combiner Rule #119: reduce_shl_of_extend
     /* 4581 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 4584 */ // Label 284: @4584
     /* 4584 */ GIM_Reject,
     /* 4585 */ // Label 33: @4585
     /* 4585 */ GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(4596), // Rule ID 85 //
     /* 4590 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4593 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_LSHR'
     /* 4593 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4596 */ // Label 285: @4596
     /* 4596 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(4607), // Rule ID 117 //
     /* 4601 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4604 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_LSHR'
     /* 4604 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4607 */ // Label 286: @4607
     /* 4607 */ GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(4618), // Rule ID 202 //
     /* 4612 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4615 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_LSHR'
     /* 4615 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4618 */ // Label 287: @4618
     /* 4618 */ GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(4629), // Rule ID 207 //
     /* 4623 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4626 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_LSHR'
     /* 4626 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4629 */ // Label 288: @4629
     /* 4629 */ GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(4640), // Rule ID 228 //
     /* 4634 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 4637 */   // Combiner Rule #164: bitfield_extract_from_shr; wip_match_opcode 'G_LSHR'
     /* 4637 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 4640 */ // Label 289: @4640
     /* 4640 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(4651), // Rule ID 230 //
     /* 4645 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 4648 */   // Combiner Rule #165: bitfield_extract_from_shr_and; wip_match_opcode 'G_LSHR'
     /* 4648 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 4651 */ // Label 290: @4651
     /* 4651 */ GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(4662), // Rule ID 235 //
     /* 4656 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4659 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_LSHR'
     /* 4659 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4662 */ // Label 291: @4662
     /* 4662 */ GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(4673), // Rule ID 289 //
     /* 4667 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4670 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_LSHR'
     /* 4670 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4673 */ // Label 292: @4673
     /* 4673 */ GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(4696), // Rule ID 110 //
     /* 4678 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4681 */   // MIs[0] dst
     /* 4681 */   // No operand predicates
     /* 4681 */   // MIs[0] lhs
     /* 4681 */   // No operand predicates
     /* 4681 */   // MIs[0] Operand 2
     /* 4681 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4685 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4690 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[6]]
     /* 4690 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4695 */   GIR_EraseRootFromParent_Done,
     /* 4696 */ // Label 293: @4696
     /* 4696 */ GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(4707), // Rule ID 147 //
     /* 4701 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4704 */   // MIs[0] root
     /* 4704 */   // No operand predicates
     /* 4704 */   // MIs[0] mi.shifted
     /* 4704 */   // No operand predicates
     /* 4704 */   // MIs[0] mi.amt
     /* 4704 */   // No operand predicates
     /* 4704 */   // Combiner Rule #105: shifts_too_big @ [mi[2]]
     /* 4704 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4707 */ // Label 294: @4707
     /* 4707 */ GIM_Reject,
     /* 4708 */ // Label 34: @4708
     /* 4708 */ GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(4719), // Rule ID 84 //
     /* 4713 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4716 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_ASHR'
     /* 4716 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4719 */ // Label 295: @4719
     /* 4719 */ GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(4730), // Rule ID 118 //
     /* 4724 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4727 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_ASHR'
     /* 4727 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4730 */ // Label 296: @4730
     /* 4730 */ GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(4741), // Rule ID 158 //
     /* 4735 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule116Enabled),
     /* 4738 */   // Combiner Rule #116: shl_ashr_to_sext_inreg; wip_match_opcode 'G_ASHR'
     /* 4738 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner65),
     /* 4741 */ // Label 297: @4741
     /* 4741 */ GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(4752), // Rule ID 201 //
     /* 4746 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4749 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_ASHR'
     /* 4749 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4752 */ // Label 298: @4752
     /* 4752 */ GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(4763), // Rule ID 206 //
     /* 4757 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4760 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_ASHR'
     /* 4760 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4763 */ // Label 299: @4763
     /* 4763 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(4774), // Rule ID 227 //
     /* 4768 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 4771 */   // Combiner Rule #164: bitfield_extract_from_shr; wip_match_opcode 'G_ASHR'
     /* 4771 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 4774 */ // Label 300: @4774
     /* 4774 */ GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(4785), // Rule ID 229 //
     /* 4779 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 4782 */   // Combiner Rule #165: bitfield_extract_from_shr_and; wip_match_opcode 'G_ASHR'
     /* 4782 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 4785 */ // Label 301: @4785
     /* 4785 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(4796), // Rule ID 234 //
     /* 4790 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4793 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_ASHR'
     /* 4793 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4796 */ // Label 302: @4796
     /* 4796 */ GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(4807), // Rule ID 290 //
     /* 4801 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4804 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_ASHR'
     /* 4804 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4807 */ // Label 303: @4807
     /* 4807 */ GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(4830), // Rule ID 109 //
     /* 4812 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4815 */   // MIs[0] dst
     /* 4815 */   // No operand predicates
     /* 4815 */   // MIs[0] lhs
     /* 4815 */   // No operand predicates
     /* 4815 */   // MIs[0] Operand 2
     /* 4815 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4819 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4824 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[5]]
     /* 4824 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4829 */   GIR_EraseRootFromParent_Done,
     /* 4830 */ // Label 304: @4830
     /* 4830 */ GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(4841), // Rule ID 146 //
     /* 4835 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4838 */   // MIs[0] root
     /* 4838 */   // No operand predicates
     /* 4838 */   // MIs[0] mi.shifted
     /* 4838 */   // No operand predicates
     /* 4838 */   // MIs[0] mi.amt
     /* 4838 */   // No operand predicates
     /* 4838 */   // Combiner Rule #105: shifts_too_big @ [mi[1]]
     /* 4838 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4841 */ // Label 305: @4841
     /* 4841 */ GIM_Reject,
     /* 4842 */ // Label 35: @4842
     /* 4842 */ GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(4853), // Rule ID 216 //
     /* 4847 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule155Enabled),
     /* 4850 */   // Combiner Rule #155: funnel_shift_to_rotate; wip_match_opcode 'G_FSHL'
     /* 4850 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 4853 */ // Label 306: @4853
     /* 4853 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(4864), // Rule ID 220 //
     /* 4858 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule158Enabled),
     /* 4861 */   // Combiner Rule #158: funnel_shift_overshift; wip_match_opcode 'G_FSHL'
     /* 4861 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner98),
     /* 4864 */ // Label 307: @4864
     /* 4864 */ GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(4884), // Rule ID 219 //
     /* 4869 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule157Enabled),
     /* 4872 */   // MIs[0] x
     /* 4872 */   // No operand predicates
     /* 4872 */   // MIs[0] y
     /* 4872 */   // No operand predicates
     /* 4872 */   // MIs[0] z
     /* 4872 */   // No operand predicates
     /* 4872 */   // MIs[0] Operand 3
     /* 4872 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 4876 */   // Combiner Rule #157: funnel_shift_left_zero
     /* 4876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 4879 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 4881 */   GIR_RootToRootCopy, /*OpIdx*/1, // y
     /* 4883 */   GIR_EraseRootFromParent_Done,
     /* 4884 */ // Label 308: @4884
     /* 4884 */ GIM_Reject,
     /* 4885 */ // Label 36: @4885
     /* 4885 */ GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(4896), // Rule ID 217 //
     /* 4890 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule155Enabled),
     /* 4893 */   // Combiner Rule #155: funnel_shift_to_rotate; wip_match_opcode 'G_FSHR'
     /* 4893 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 4896 */ // Label 309: @4896
     /* 4896 */ GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(4907), // Rule ID 221 //
     /* 4901 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule158Enabled),
     /* 4904 */   // Combiner Rule #158: funnel_shift_overshift; wip_match_opcode 'G_FSHR'
     /* 4904 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner98),
     /* 4907 */ // Label 310: @4907
     /* 4907 */ GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(4927), // Rule ID 218 //
     /* 4912 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule156Enabled),
     /* 4915 */   // MIs[0] x
     /* 4915 */   // No operand predicates
     /* 4915 */   // MIs[0] y
     /* 4915 */   // No operand predicates
     /* 4915 */   // MIs[0] z
     /* 4915 */   // No operand predicates
     /* 4915 */   // MIs[0] Operand 3
     /* 4915 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 4919 */   // Combiner Rule #156: funnel_shift_right_zero
     /* 4919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 4922 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 4924 */   GIR_RootToRootCopy, /*OpIdx*/2, // z
     /* 4926 */   GIR_EraseRootFromParent_Done,
     /* 4927 */ // Label 311: @4927
     /* 4927 */ GIM_Reject,
     /* 4928 */ // Label 37: @4928
     /* 4928 */ GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(4951), // Rule ID 113 //
     /* 4933 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4936 */   // MIs[0] dst
     /* 4936 */   // No operand predicates
     /* 4936 */   // MIs[0] lhs
     /* 4936 */   // No operand predicates
     /* 4936 */   // MIs[0] Operand 2
     /* 4936 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4940 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4945 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[9]]
     /* 4945 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4950 */   GIR_EraseRootFromParent_Done,
     /* 4951 */ // Label 312: @4951
     /* 4951 */ GIM_Reject,
     /* 4952 */ // Label 38: @4952
     /* 4952 */ GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(4975), // Rule ID 112 //
     /* 4957 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4960 */   // MIs[0] dst
     /* 4960 */   // No operand predicates
     /* 4960 */   // MIs[0] lhs
     /* 4960 */   // No operand predicates
     /* 4960 */   // MIs[0] Operand 2
     /* 4960 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4964 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4969 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[8]]
     /* 4969 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4974 */   GIR_EraseRootFromParent_Done,
     /* 4975 */ // Label 313: @4975
     /* 4975 */ GIM_Reject,
     /* 4976 */ // Label 39: @4976
     /* 4976 */ GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(4987), // Rule ID 153 //
     /* 4981 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule111Enabled),
     /* 4984 */   // Combiner Rule #111: icmp_to_true_false_known_bits; wip_match_opcode 'G_ICMP'
     /* 4984 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner62),
     /* 4987 */ // Label 314: @4987
     /* 4987 */ GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(4998), // Rule ID 154 //
     /* 4992 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule112Enabled),
     /* 4995 */   // Combiner Rule #112: icmp_to_lhs_known_bits; wip_match_opcode 'G_ICMP'
     /* 4995 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner63),
     /* 4998 */ // Label 315: @4998
     /* 4998 */ GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(5009), // Rule ID 157 //
     /* 5003 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule115Enabled),
     /* 5006 */   // Combiner Rule #115: redundant_binop_in_equality; wip_match_opcode 'G_ICMP'
     /* 5006 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner64),
     /* 5009 */ // Label 316: @5009
     /* 5009 */ GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(5020), // Rule ID 151 //
     /* 5014 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule109Enabled),
     /* 5017 */   // MIs[0] root
     /* 5017 */   // No operand predicates
     /* 5017 */   // MIs[0] pred
     /* 5017 */   // No operand predicates
     /* 5017 */   // MIs[0] lhs
     /* 5017 */   // No operand predicates
     /* 5017 */   // MIs[0] rhs
     /* 5017 */   // No operand predicates
     /* 5017 */   // Combiner Rule #109: canonicalize_icmp
     /* 5017 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner60),
     /* 5020 */ // Label 317: @5020
     /* 5020 */ GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(5031), // Rule ID 362 //
     /* 5025 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule215Enabled),
     /* 5028 */   // MIs[0] dst
     /* 5028 */   // No operand predicates
     /* 5028 */   // MIs[0] tst
     /* 5028 */   // No operand predicates
     /* 5028 */   // MIs[0] src1
     /* 5028 */   // No operand predicates
     /* 5028 */   // MIs[0] src2
     /* 5028 */   // No operand predicates
     /* 5028 */   // Combiner Rule #215: icmp_redundant_trunc
     /* 5028 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner152),
     /* 5031 */ // Label 318: @5031
     /* 5031 */ GIM_Reject,
     /* 5032 */ // Label 40: @5032
     /* 5032 */ GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(5043), // Rule ID 152 //
     /* 5037 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule110Enabled),
     /* 5040 */   // MIs[0] root
     /* 5040 */   // No operand predicates
     /* 5040 */   // MIs[0] pred
     /* 5040 */   // No operand predicates
     /* 5040 */   // MIs[0] lhs
     /* 5040 */   // No operand predicates
     /* 5040 */   // MIs[0] rhs
     /* 5040 */   // No operand predicates
     /* 5040 */   // Combiner Rule #110: canonicalize_fcmp
     /* 5040 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner61),
     /* 5043 */ // Label 319: @5043
     /* 5043 */ GIM_Reject,
     /* 5044 */ // Label 41: @5044
     /* 5044 */ GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(5055), // Rule ID 103 //
     /* 5049 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 5052 */   // Combiner Rule #83: select_same_val; wip_match_opcode 'G_SELECT'
     /* 5052 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 5055 */ // Label 320: @5055
     /* 5055 */ GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(5066), // Rule ID 164 //
     /* 5060 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule122Enabled),
     /* 5063 */   // Combiner Rule #122: select_constant_cmp; wip_match_opcode 'G_SELECT'
     /* 5063 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner69),
     /* 5066 */ // Label 321: @5066
     /* 5066 */ GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(5077), // Rule ID 166 //
     /* 5071 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule124Enabled),
     /* 5074 */   // Combiner Rule #124: match_selects; wip_match_opcode 'G_SELECT'
     /* 5074 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner71),
     /* 5077 */ // Label 322: @5077
     /* 5077 */ GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(5088), // Rule ID 306 //
     /* 5082 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 5085 */   // Combiner Rule #188: select_to_minmax; wip_match_opcode 'G_SELECT'
     /* 5085 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner125),
     /* 5088 */ // Label 323: @5088
     /* 5088 */ GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(5109), // Rule ID 165 //
     /* 5093 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule123Enabled),
     /* 5096 */   // MIs[0] root
     /* 5096 */   // No operand predicates
     /* 5096 */   // MIs[0] tst
     /* 5096 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5100 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 5104 */   // MIs[1] tst1
     /* 5104 */   // No operand predicates
     /* 5104 */   // MIs[1] a
     /* 5104 */   // No operand predicates
     /* 5104 */   // MIs[1] b
     /* 5104 */   // No operand predicates
     /* 5104 */   // MIs[0] x
     /* 5104 */   // No operand predicates
     /* 5104 */   // MIs[0] y
     /* 5104 */   // No operand predicates
     /* 5104 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5106 */   // Combiner Rule #123: select_to_iminmax
     /* 5106 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner70),
     /* 5109 */ // Label 324: @5109
     /* 5109 */ GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(5138), // Rule ID 163 //
     /* 5114 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule121Enabled),
     /* 5117 */   // MIs[0] dst
     /* 5117 */   // No operand predicates
     /* 5117 */   // MIs[0] undef
     /* 5117 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5121 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 5125 */   // MIs[0] x
     /* 5125 */   // No operand predicates
     /* 5125 */   // MIs[0] y
     /* 5125 */   // No operand predicates
     /* 5125 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 5130 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5132 */   // Combiner Rule #121: select_undef_cmp
     /* 5132 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 5137 */   GIR_EraseRootFromParent_Done,
     /* 5138 */ // Label 325: @5138
     /* 5138 */ GIM_Reject,
     /* 5139 */ // Label 42: @5139
     /* 5139 */ GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(5150), // Rule ID 317 //
     /* 5144 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5147 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDO'
     /* 5147 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5150 */ // Label 326: @5150
     /* 5150 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(5161), // Rule ID 358 //
     /* 5155 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule212Enabled),
     /* 5158 */   // Combiner Rule #212: match_addos; wip_match_opcode 'G_UADDO'
     /* 5158 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 5161 */ // Label 327: @5161
     /* 5161 */ GIM_Reject,
     /* 5162 */ // Label 43: @5162
     /* 5162 */ GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(5173), // Rule ID 189 //
     /* 5167 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 5170 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_UADDE'
     /* 5170 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 5173 */ // Label 328: @5173
     /* 5173 */ GIM_Reject,
     /* 5174 */ // Label 44: @5174
     /* 5174 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(5185), // Rule ID 360 //
     /* 5179 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule213Enabled),
     /* 5182 */   // Combiner Rule #213: match_subo_no_overflow; wip_match_opcode 'G_USUBO'
     /* 5182 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner150),
     /* 5185 */ // Label 329: @5185
     /* 5185 */ GIM_Reject,
     /* 5186 */ // Label 45: @5186
     /* 5186 */ GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(5197), // Rule ID 191 //
     /* 5191 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 5194 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_USUBE'
     /* 5194 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 5197 */ // Label 330: @5197
     /* 5197 */ GIM_Reject,
     /* 5198 */ // Label 46: @5198
     /* 5198 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(5209), // Rule ID 318 //
     /* 5203 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5206 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDO'
     /* 5206 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5209 */ // Label 331: @5209
     /* 5209 */ GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(5220), // Rule ID 357 //
     /* 5214 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule212Enabled),
     /* 5217 */   // Combiner Rule #212: match_addos; wip_match_opcode 'G_SADDO'
     /* 5217 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 5220 */ // Label 332: @5220
     /* 5220 */ GIM_Reject,
     /* 5221 */ // Label 47: @5221
     /* 5221 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(5232), // Rule ID 190 //
     /* 5226 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 5229 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_SADDE'
     /* 5229 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 5232 */ // Label 333: @5232
     /* 5232 */ GIM_Reject,
     /* 5233 */ // Label 48: @5233
     /* 5233 */ GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(5244), // Rule ID 359 //
     /* 5238 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule213Enabled),
     /* 5241 */   // Combiner Rule #213: match_subo_no_overflow; wip_match_opcode 'G_SSUBO'
     /* 5241 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner150),
     /* 5244 */ // Label 334: @5244
     /* 5244 */ GIM_Reject,
     /* 5245 */ // Label 49: @5245
     /* 5245 */ GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(5256), // Rule ID 192 //
     /* 5250 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 5253 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_SSUBE'
     /* 5253 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 5256 */ // Label 335: @5256
     /* 5256 */ GIM_Reject,
     /* 5257 */ // Label 50: @5257
     /* 5257 */ GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(5268), // Rule ID 185 //
     /* 5262 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 5265 */   // Combiner Rule #143: mulo_by_2; wip_match_opcode 'G_UMULO'
     /* 5265 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 5268 */ // Label 336: @5268
     /* 5268 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(5279), // Rule ID 187 //
     /* 5273 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 5276 */   // Combiner Rule #144: mulo_by_0; wip_match_opcode 'G_UMULO'
     /* 5276 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 5279 */ // Label 337: @5279
     /* 5279 */ GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(5290), // Rule ID 319 //
     /* 5284 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5287 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULO'
     /* 5287 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5290 */ // Label 338: @5290
     /* 5290 */ GIM_Reject,
     /* 5291 */ // Label 51: @5291
     /* 5291 */ GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(5302), // Rule ID 186 //
     /* 5296 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 5299 */   // Combiner Rule #143: mulo_by_2; wip_match_opcode 'G_SMULO'
     /* 5299 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 5302 */ // Label 339: @5302
     /* 5302 */ GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(5313), // Rule ID 188 //
     /* 5307 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 5310 */   // Combiner Rule #144: mulo_by_0; wip_match_opcode 'G_SMULO'
     /* 5310 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 5313 */ // Label 340: @5313
     /* 5313 */ GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(5324), // Rule ID 320 //
     /* 5318 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5321 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULO'
     /* 5321 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5324 */ // Label 341: @5324
     /* 5324 */ GIM_Reject,
     /* 5325 */ // Label 52: @5325
     /* 5325 */ GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(5336), // Rule ID 263 //
     /* 5330 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule175Enabled),
     /* 5333 */   // Combiner Rule #175: mulh_to_lshr; wip_match_opcode 'G_UMULH'
     /* 5333 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 5336 */ // Label 342: @5336
     /* 5336 */ GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(5347), // Rule ID 321 //
     /* 5341 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5344 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULH'
     /* 5344 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5347 */ // Label 343: @5347
     /* 5347 */ GIM_Reject,
     /* 5348 */ // Label 53: @5348
     /* 5348 */ GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(5359), // Rule ID 322 //
     /* 5353 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5356 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULH'
     /* 5356 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5359 */ // Label 344: @5359
     /* 5359 */ GIM_Reject,
     /* 5360 */ // Label 54: @5360
     /* 5360 */ GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(5371), // Rule ID 323 //
     /* 5365 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5368 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDSAT'
     /* 5368 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5371 */ // Label 345: @5371
     /* 5371 */ GIM_Reject,
     /* 5372 */ // Label 55: @5372
     /* 5372 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(5383), // Rule ID 324 //
     /* 5377 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5380 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDSAT'
     /* 5380 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5383 */ // Label 346: @5383
     /* 5383 */ GIM_Reject,
     /* 5384 */ // Label 56: @5384
     /* 5384 */ GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(5395), // Rule ID 204 //
     /* 5389 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 5392 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_USHLSAT'
     /* 5392 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 5395 */ // Label 347: @5395
     /* 5395 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(5406), // Rule ID 208 //
     /* 5400 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 5403 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_USHLSAT'
     /* 5403 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 5406 */ // Label 348: @5406
     /* 5406 */ GIM_Reject,
     /* 5407 */ // Label 57: @5407
     /* 5407 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(5418), // Rule ID 203 //
     /* 5412 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 5415 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_SSHLSAT'
     /* 5415 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 5418 */ // Label 349: @5418
     /* 5418 */ GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(5429), // Rule ID 209 //
     /* 5423 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 5426 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_SSHLSAT'
     /* 5426 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 5429 */ // Label 350: @5429
     /* 5429 */ GIM_Reject,
     /* 5430 */ // Label 58: @5430
     /* 5430 */ GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(5441), // Rule ID 325 //
     /* 5435 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5438 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIX'
     /* 5438 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5441 */ // Label 351: @5441
     /* 5441 */ GIM_Reject,
     /* 5442 */ // Label 59: @5442
     /* 5442 */ GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(5453), // Rule ID 326 //
     /* 5447 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5450 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIX'
     /* 5450 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5453 */ // Label 352: @5453
     /* 5453 */ GIM_Reject,
     /* 5454 */ // Label 60: @5454
     /* 5454 */ GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(5465), // Rule ID 327 //
     /* 5459 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5462 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIXSAT'
     /* 5462 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5465 */ // Label 353: @5465
     /* 5465 */ GIM_Reject,
     /* 5466 */ // Label 61: @5466
     /* 5466 */ GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(5477), // Rule ID 328 //
     /* 5471 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5474 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIXSAT'
     /* 5474 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5477 */ // Label 354: @5477
     /* 5477 */ GIM_Reject,
     /* 5478 */ // Label 62: @5478
     /* 5478 */ GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(5489), // Rule ID 249 //
     /* 5483 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5486 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FADD'
     /* 5486 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5489 */ // Label 355: @5489
     /* 5489 */ GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(5500), // Rule ID 264 //
     /* 5494 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5497 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FADD'
     /* 5497 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5500 */ // Label 356: @5500
     /* 5500 */ GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(5511), // Rule ID 271 //
     /* 5505 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule178Enabled),
     /* 5508 */   // Combiner Rule #178: combine_fadd_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5508 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner115),
     /* 5511 */ // Label 357: @5511
     /* 5511 */ GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(5522), // Rule ID 272 //
     /* 5516 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule179Enabled),
     /* 5519 */   // Combiner Rule #179: combine_fadd_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5519 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner116),
     /* 5522 */ // Label 358: @5522
     /* 5522 */ GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(5533), // Rule ID 273 //
     /* 5527 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule180Enabled),
     /* 5530 */   // Combiner Rule #180: combine_fadd_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5530 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner117),
     /* 5533 */ // Label 359: @5533
     /* 5533 */ GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(5544), // Rule ID 274 //
     /* 5538 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule181Enabled),
     /* 5541 */   // Combiner Rule #181: combine_fadd_fpext_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5541 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner118),
     /* 5544 */ // Label 360: @5544
     /* 5544 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(5555), // Rule ID 297 //
     /* 5549 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5552 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FADD'
     /* 5552 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5555 */ // Label 361: @5555
     /* 5555 */ GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(5566), // Rule ID 329 //
     /* 5560 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5563 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FADD'
     /* 5563 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5566 */ // Label 362: @5566
     /* 5566 */ GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(5589), // Rule ID 138 //
     /* 5571 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule100Enabled),
     /* 5574 */   // MIs[0] dst
     /* 5574 */   // No operand predicates
     /* 5574 */   // MIs[0] x
     /* 5574 */   // No operand predicates
     /* 5574 */   // MIs[0] y
     /* 5574 */   // No operand predicates
     /* 5574 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner3),
     /* 5578 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5583 */   // Combiner Rule #100: right_identity_neg_zero_fp
     /* 5583 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5588 */   GIR_EraseRootFromParent_Done,
     /* 5589 */ // Label 363: @5589
     /* 5589 */ GIM_Reject,
     /* 5590 */ // Label 63: @5590
     /* 5590 */ GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(5601), // Rule ID 250 //
     /* 5595 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5598 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FSUB'
     /* 5598 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5601 */ // Label 364: @5601
     /* 5601 */ GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(5612), // Rule ID 265 //
     /* 5606 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5609 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FSUB'
     /* 5609 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5612 */ // Label 365: @5612
     /* 5612 */ GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(5623), // Rule ID 275 //
     /* 5617 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule182Enabled),
     /* 5620 */   // Combiner Rule #182: combine_fsub_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5620 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner119),
     /* 5623 */ // Label 366: @5623
     /* 5623 */ GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(5634), // Rule ID 276 //
     /* 5628 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule183Enabled),
     /* 5631 */   // Combiner Rule #183: combine_fsub_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5631 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner120),
     /* 5634 */ // Label 367: @5634
     /* 5634 */ GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(5645), // Rule ID 277 //
     /* 5639 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 5642 */   // Combiner Rule #184: combine_fsub_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5642 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner121),
     /* 5645 */ // Label 368: @5645
     /* 5645 */ GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(5656), // Rule ID 278 //
     /* 5650 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule185Enabled),
     /* 5653 */   // Combiner Rule #185: combine_fsub_fpext_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5653 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 5656 */ // Label 369: @5656
     /* 5656 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(5667), // Rule ID 298 //
     /* 5661 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5664 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FSUB'
     /* 5664 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5667 */ // Label 370: @5667
     /* 5667 */ GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(5678), // Rule ID 307 //
     /* 5672 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 5675 */   // Combiner Rule #189: fsub_to_fneg; wip_match_opcode 'G_FSUB'
     /* 5675 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 5678 */ // Label 371: @5678
     /* 5678 */ GIM_Reject,
     /* 5679 */ // Label 64: @5679
     /* 5679 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(5690), // Rule ID 251 //
     /* 5684 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5687 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FMUL'
     /* 5687 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5690 */ // Label 372: @5690
     /* 5690 */ GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(5701), // Rule ID 266 //
     /* 5695 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5698 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMUL'
     /* 5698 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5701 */ // Label 373: @5701
     /* 5701 */ GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(5712), // Rule ID 296 //
     /* 5706 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5709 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMUL'
     /* 5709 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5712 */ // Label 374: @5712
     /* 5712 */ GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(5723), // Rule ID 330 //
     /* 5717 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5720 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMUL'
     /* 5720 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5723 */ // Label 375: @5723
     /* 5723 */ GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(5746), // Rule ID 129 //
     /* 5728 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule93Enabled),
     /* 5731 */   // MIs[0] dst
     /* 5731 */   // No operand predicates
     /* 5731 */   // MIs[0] x
     /* 5731 */   // No operand predicates
     /* 5731 */   // MIs[0] y
     /* 5731 */   // No operand predicates
     /* 5731 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner2),
     /* 5735 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5740 */   // Combiner Rule #93: right_identity_one_fp
     /* 5740 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5745 */   GIR_EraseRootFromParent_Done,
     /* 5746 */ // Label 376: @5746
     /* 5746 */ GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(5766), // Rule ID 139 //
     /* 5751 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule101Enabled),
     /* 5754 */   // MIs[0] dst
     /* 5754 */   // No operand predicates
     /* 5754 */   // MIs[0] x
     /* 5754 */   // No operand predicates
     /* 5754 */   // MIs[0] y
     /* 5754 */   // No operand predicates
     /* 5754 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner4),
     /* 5758 */   // Combiner Rule #101: right_identity_neg_one_fp
     /* 5758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5761 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 5763 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 5765 */   GIR_EraseRootFromParent_Done,
     /* 5766 */ // Label 377: @5766
     /* 5766 */ GIM_Reject,
     /* 5767 */ // Label 65: @5767
     /* 5767 */ GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(5778), // Rule ID 254 //
     /* 5772 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule168Enabled),
     /* 5775 */   // Combiner Rule #168: constant_fold_fma; wip_match_opcode 'G_FMA'
     /* 5775 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 5778 */ // Label 378: @5778
     /* 5778 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(5789), // Rule ID 269 //
     /* 5783 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5786 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMA'
     /* 5786 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5789 */ // Label 379: @5789
     /* 5789 */ GIM_Reject,
     /* 5790 */ // Label 66: @5790
     /* 5790 */ GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(5801), // Rule ID 253 //
     /* 5795 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule168Enabled),
     /* 5798 */   // Combiner Rule #168: constant_fold_fma; wip_match_opcode 'G_FMAD'
     /* 5798 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 5801 */ // Label 380: @5801
     /* 5801 */ GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(5812), // Rule ID 268 //
     /* 5806 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5809 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMAD'
     /* 5809 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5812 */ // Label 381: @5812
     /* 5812 */ GIM_Reject,
     /* 5813 */ // Label 67: @5813
     /* 5813 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(5824), // Rule ID 252 //
     /* 5818 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5821 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FDIV'
     /* 5821 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5824 */ // Label 382: @5824
     /* 5824 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(5835), // Rule ID 267 //
     /* 5829 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5832 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FDIV'
     /* 5832 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5835 */ // Label 383: @5835
     /* 5835 */ GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(5846), // Rule ID 299 //
     /* 5840 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5843 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FDIV'
     /* 5843 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5846 */ // Label 384: @5846
     /* 5846 */ GIM_Reject,
     /* 5847 */ // Label 68: @5847
     /* 5847 */ GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(5858), // Rule ID 300 //
     /* 5852 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5855 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FREM'
     /* 5855 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5858 */ // Label 385: @5858
     /* 5858 */ GIM_Reject,
     /* 5859 */ // Label 69: @5859
     /* 5859 */ GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(5880), // Rule ID 197 //
     /* 5864 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule147Enabled),
     /* 5867 */   // MIs[0] dst
     /* 5867 */   // No operand predicates
     /* 5867 */   // MIs[0] float
     /* 5867 */   // No operand predicates
     /* 5867 */   // MIs[0] int
     /* 5867 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 5871 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 5875 */   // MIs[1] imm
     /* 5875 */   // No operand predicates
     /* 5875 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5877 */   // Combiner Rule #147: expand_const_fpowi
     /* 5877 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner89),
     /* 5880 */ // Label 386: @5880
     /* 5880 */ GIM_Reject,
     /* 5881 */ // Label 70: @5881
     /* 5881 */ GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(5902), // Rule ID 179 //
     /* 5886 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule137Enabled),
     /* 5889 */   // MIs[0] dst
     /* 5889 */   // No operand predicates
     /* 5889 */   // MIs[0] src0
     /* 5889 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5893 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5897 */   // MIs[1] cst
     /* 5897 */   // No operand predicates
     /* 5897 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5899 */   // Combiner Rule #137: constant_fold_flog2
     /* 5899 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5902 */ // Label 387: @5902
     /* 5902 */ GIM_Reject,
     /* 5903 */ // Label 71: @5903
     /* 5903 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(5924), // Rule ID 176 //
     /* 5908 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule134Enabled),
     /* 5911 */   // MIs[0] dst
     /* 5911 */   // No operand predicates
     /* 5911 */   // MIs[0] src0
     /* 5911 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5915 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5919 */   // MIs[1] cst
     /* 5919 */   // No operand predicates
     /* 5919 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5921 */   // Combiner Rule #134: constant_fold_fneg
     /* 5921 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5924 */ // Label 388: @5924
     /* 5924 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(5953), // Rule ID 127 //
     /* 5929 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule91Enabled),
     /* 5932 */   // MIs[0] dst
     /* 5932 */   // No operand predicates
     /* 5932 */   // MIs[0] t
     /* 5932 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5936 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5940 */   // MIs[1] src
     /* 5940 */   // No operand predicates
     /* 5940 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 5945 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5947 */   // Combiner Rule #91: fneg_fneg_fold
     /* 5947 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 5952 */   GIR_EraseRootFromParent_Done,
     /* 5953 */ // Label 389: @5953
     /* 5953 */ GIM_Reject,
     /* 5954 */ // Label 72: @5954
     /* 5954 */ GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(5975), // Rule ID 180 //
     /* 5959 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule138Enabled),
     /* 5962 */   // MIs[0] dst
     /* 5962 */   // No operand predicates
     /* 5962 */   // MIs[0] src0
     /* 5962 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5966 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5970 */   // MIs[1] cst
     /* 5970 */   // No operand predicates
     /* 5970 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5972 */   // Combiner Rule #138: constant_fold_fptrunc
     /* 5972 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5975 */ // Label 390: @5975
     /* 5975 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(5996), // Rule ID 137 //
     /* 5980 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule99Enabled),
     /* 5983 */   // MIs[0] dst
     /* 5983 */   // No operand predicates
     /* 5983 */   // MIs[0] src1
     /* 5983 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5987 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPEXT),
     /* 5991 */   // MIs[1] src0
     /* 5991 */   // No operand predicates
     /* 5991 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5993 */   // Combiner Rule #99: fptrunc_fpext_fold
     /* 5993 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 5996 */ // Label 391: @5996
     /* 5996 */ GIM_Reject,
     /* 5997 */ // Label 73: @5997
     /* 5997 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(6018), // Rule ID 92 //
     /* 6002 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 6005 */   // MIs[0] dst
     /* 6005 */   // No operand predicates
     /* 6005 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 6005 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6009 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6013 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6015 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[5]]
     /* 6015 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 6018 */ // Label 392: @6018
     /* 6018 */ GIM_Reject,
     /* 6019 */ // Label 74: @6019
     /* 6019 */ GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(6040), // Rule ID 93 //
     /* 6024 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 6027 */   // MIs[0] dst
     /* 6027 */   // No operand predicates
     /* 6027 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 6027 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6031 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6035 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6037 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[6]]
     /* 6037 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 6040 */ // Label 393: @6040
     /* 6040 */ GIM_Reject,
     /* 6041 */ // Label 75: @6041
     /* 6041 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(6052), // Rule ID 76 //
     /* 6046 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 6049 */   // Combiner Rule #71: undef_to_fp_zero; wip_match_opcode 'G_SITOFP'
     /* 6049 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 6052 */ // Label 394: @6052
     /* 6052 */ GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(6067), // Rule ID 181 //
     /* 6057 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule139Enabled),
     /* 6060 */   // MIs[0] dst
     /* 6060 */   // No operand predicates
     /* 6060 */   // MIs[0] Operand 1
     /* 6060 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 6064 */   // Combiner Rule #139: itof_const_zero_fold_si
     /* 6064 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner82),
     /* 6067 */ // Label 395: @6067
     /* 6067 */ GIM_Reject,
     /* 6068 */ // Label 76: @6068
     /* 6068 */ GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(6079), // Rule ID 75 //
     /* 6073 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 6076 */   // Combiner Rule #71: undef_to_fp_zero; wip_match_opcode 'G_UITOFP'
     /* 6076 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 6079 */ // Label 396: @6079
     /* 6079 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(6094), // Rule ID 182 //
     /* 6084 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule140Enabled),
     /* 6087 */   // MIs[0] dst
     /* 6087 */   // No operand predicates
     /* 6087 */   // MIs[0] Operand 1
     /* 6087 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 6091 */   // Combiner Rule #140: itof_const_zero_fold_ui
     /* 6091 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner82),
     /* 6094 */ // Label 397: @6094
     /* 6094 */ GIM_Reject,
     /* 6095 */ // Label 77: @6095
     /* 6095 */ GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(6124), // Rule ID 19 //
     /* 6100 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 6103 */   // MIs[0] dst
     /* 6103 */   // No operand predicates
     /* 6103 */   // MIs[0] src
     /* 6103 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6107 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 6111 */   // MIs[1] __idempotent_prop_match_0.x
     /* 6111 */   // No operand predicates
     /* 6111 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6116 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6118 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[1]]
     /* 6118 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6123 */   GIR_EraseRootFromParent_Done,
     /* 6124 */ // Label 398: @6124
     /* 6124 */ GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(6145), // Rule ID 177 //
     /* 6129 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule135Enabled),
     /* 6132 */   // MIs[0] dst
     /* 6132 */   // No operand predicates
     /* 6132 */   // MIs[0] src0
     /* 6132 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6136 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 6140 */   // MIs[1] cst
     /* 6140 */   // No operand predicates
     /* 6140 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6142 */   // Combiner Rule #135: constant_fold_fabs
     /* 6142 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 6145 */ // Label 399: @6145
     /* 6145 */ GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(6173), // Rule ID 258 //
     /* 6150 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule170Enabled),
     /* 6153 */   // MIs[0] dst
     /* 6153 */   // No operand predicates
     /* 6153 */   // MIs[0] tmp
     /* 6153 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6157 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 6161 */   // MIs[1] x
     /* 6161 */   // No operand predicates
     /* 6161 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6163 */   // Combiner Rule #170: fabs_fneg_fold
     /* 6163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FABS),
     /* 6166 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 6168 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // x
     /* 6172 */   GIR_EraseRootFromParent_Done,
     /* 6173 */ // Label 400: @6173
     /* 6173 */ GIM_Reject,
     /* 6174 */ // Label 78: @6174
     /* 6174 */ GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(6203), // Rule ID 20 //
     /* 6179 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 6182 */   // MIs[0] dst
     /* 6182 */   // No operand predicates
     /* 6182 */   // MIs[0] src
     /* 6182 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6186 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 6190 */   // MIs[1] __idempotent_prop_match_0.x
     /* 6190 */   // No operand predicates
     /* 6190 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6195 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6197 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[2]]
     /* 6197 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6202 */   GIR_EraseRootFromParent_Done,
     /* 6203 */ // Label 401: @6203
     /* 6203 */ GIM_Reject,
     /* 6204 */ // Label 79: @6204
     /* 6204 */ GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(6215), // Rule ID 193 //
     /* 6209 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6212 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMINNUM'
     /* 6212 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6215 */ // Label 402: @6215
     /* 6215 */ GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(6226), // Rule ID 301 //
     /* 6220 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6223 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMINNUM'
     /* 6223 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6226 */ // Label 403: @6226
     /* 6226 */ GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(6237), // Rule ID 331 //
     /* 6231 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6234 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM'
     /* 6234 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6237 */ // Label 404: @6237
     /* 6237 */ GIM_Reject,
     /* 6238 */ // Label 80: @6238
     /* 6238 */ GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(6249), // Rule ID 194 //
     /* 6243 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6246 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMAXNUM'
     /* 6246 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6249 */ // Label 405: @6249
     /* 6249 */ GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(6260), // Rule ID 302 //
     /* 6254 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6257 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMAXNUM'
     /* 6257 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6260 */ // Label 406: @6260
     /* 6260 */ GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(6271), // Rule ID 332 //
     /* 6265 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6268 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM'
     /* 6268 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6271 */ // Label 407: @6271
     /* 6271 */ GIM_Reject,
     /* 6272 */ // Label 81: @6272
     /* 6272 */ GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(6283), // Rule ID 333 //
     /* 6277 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6280 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM_IEEE'
     /* 6280 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6283 */ // Label 408: @6283
     /* 6283 */ GIM_Reject,
     /* 6284 */ // Label 82: @6284
     /* 6284 */ GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(6295), // Rule ID 334 //
     /* 6289 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6292 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM_IEEE'
     /* 6292 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6295 */ // Label 409: @6295
     /* 6295 */ GIM_Reject,
     /* 6296 */ // Label 83: @6296
     /* 6296 */ GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(6307), // Rule ID 195 //
     /* 6301 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6304 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMINIMUM'
     /* 6304 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6307 */ // Label 410: @6307
     /* 6307 */ GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(6318), // Rule ID 303 //
     /* 6312 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6315 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMINIMUM'
     /* 6315 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6318 */ // Label 411: @6318
     /* 6318 */ GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(6329), // Rule ID 335 //
     /* 6323 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6326 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINIMUM'
     /* 6326 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6329 */ // Label 412: @6329
     /* 6329 */ GIM_Reject,
     /* 6330 */ // Label 84: @6330
     /* 6330 */ GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(6341), // Rule ID 196 //
     /* 6335 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6338 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMAXIMUM'
     /* 6338 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6341 */ // Label 413: @6341
     /* 6341 */ GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(6352), // Rule ID 304 //
     /* 6346 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6349 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMAXIMUM'
     /* 6349 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6352 */ // Label 414: @6352
     /* 6352 */ GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(6363), // Rule ID 336 //
     /* 6357 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6360 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXIMUM'
     /* 6360 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6363 */ // Label 415: @6363
     /* 6363 */ GIM_Reject,
     /* 6364 */ // Label 85: @6364
     /* 6364 */ GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(6375), // Rule ID 148 //
     /* 6369 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule106Enabled),
     /* 6372 */   // Combiner Rule #106: reassoc_ptradd; wip_match_opcode 'G_PTR_ADD'
     /* 6372 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner57),
     /* 6375 */ // Label 416: @6375
     /* 6375 */ GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(6386), // Rule ID 150 //
     /* 6380 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule108Enabled),
     /* 6383 */   // Combiner Rule #108: ptr_add_immed_chain; wip_match_opcode 'G_PTR_ADD'
     /* 6383 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner59),
     /* 6386 */ // Label 417: @6386
     /* 6386 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(6397), // Rule ID 183 //
     /* 6391 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule141Enabled),
     /* 6394 */   // Combiner Rule #141: const_ptradd_to_i2p; wip_match_opcode 'G_PTR_ADD'
     /* 6394 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner83),
     /* 6397 */ // Label 418: @6397
     /* 6397 */ GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(6408), // Rule ID 199 //
     /* 6402 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 6405 */   // Combiner Rule #149: ptr_add_with_zero; wip_match_opcode 'G_PTR_ADD'
     /* 6405 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 6408 */ // Label 419: @6408
     /* 6408 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(6419), // Rule ID 232 //
     /* 6413 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6416 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_PTR_ADD'
     /* 6416 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6419 */ // Label 420: @6419
     /* 6419 */ GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(6430), // Rule ID 281 //
     /* 6424 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6427 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_PTR_ADD'
     /* 6427 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6430 */ // Label 421: @6430
     /* 6430 */ GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(6453), // Rule ID 111 //
     /* 6435 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 6438 */   // MIs[0] dst
     /* 6438 */   // No operand predicates
     /* 6438 */   // MIs[0] lhs
     /* 6438 */   // No operand predicates
     /* 6438 */   // MIs[0] Operand 2
     /* 6438 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 6442 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6447 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[7]]
     /* 6447 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6452 */   GIR_EraseRootFromParent_Done,
     /* 6453 */ // Label 422: @6453
     /* 6453 */ GIM_Reject,
     /* 6454 */ // Label 86: @6454
     /* 6454 */ GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(6465), // Rule ID 245 //
     /* 6459 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6462 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SMIN'
     /* 6462 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6465 */ // Label 423: @6465
     /* 6465 */ GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(6476), // Rule ID 292 //
     /* 6470 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6473 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SMIN'
     /* 6473 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6476 */ // Label 424: @6476
     /* 6476 */ GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(6487), // Rule ID 313 //
     /* 6481 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6484 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMIN'
     /* 6484 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6487 */ // Label 425: @6487
     /* 6487 */ GIM_Reject,
     /* 6488 */ // Label 87: @6488
     /* 6488 */ GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(6499), // Rule ID 246 //
     /* 6493 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6496 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SMAX'
     /* 6496 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6499 */ // Label 426: @6499
     /* 6499 */ GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(6510), // Rule ID 293 //
     /* 6504 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6507 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SMAX'
     /* 6507 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6510 */ // Label 427: @6510
     /* 6510 */ GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(6521), // Rule ID 314 //
     /* 6515 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6518 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMAX'
     /* 6518 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6521 */ // Label 428: @6521
     /* 6521 */ GIM_Reject,
     /* 6522 */ // Label 88: @6522
     /* 6522 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(6533), // Rule ID 247 //
     /* 6527 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6530 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UMIN'
     /* 6530 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6533 */ // Label 429: @6533
     /* 6533 */ GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(6544), // Rule ID 294 //
     /* 6538 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6541 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UMIN'
     /* 6541 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6544 */ // Label 430: @6544
     /* 6544 */ GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(6555), // Rule ID 315 //
     /* 6549 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6552 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMIN'
     /* 6552 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6555 */ // Label 431: @6555
     /* 6555 */ GIM_Reject,
     /* 6556 */ // Label 89: @6556
     /* 6556 */ GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(6567), // Rule ID 248 //
     /* 6561 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6564 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UMAX'
     /* 6564 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6567 */ // Label 432: @6567
     /* 6567 */ GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(6578), // Rule ID 295 //
     /* 6572 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6575 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UMAX'
     /* 6575 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6578 */ // Label 433: @6578
     /* 6578 */ GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(6589), // Rule ID 316 //
     /* 6583 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6586 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMAX'
     /* 6586 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6589 */ // Label 434: @6589
     /* 6589 */ GIM_Reject,
     /* 6590 */ // Label 90: @6590
     /* 6590 */ GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(6601), // Rule ID 86 //
     /* 6595 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 6598 */   // Combiner Rule #76: unary_undef_to_zero; wip_match_opcode 'G_ABS'
     /* 6598 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 6601 */ // Label 435: @6601
     /* 6601 */ GIM_Reject,
     /* 6602 */ // Label 91: @6602
     /* 6602 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(6613), // Rule ID 175 //
     /* 6607 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule133Enabled),
     /* 6610 */   // Combiner Rule #133: opt_brcond_by_inverting_cond; wip_match_opcode 'G_BR'
     /* 6610 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 6613 */ // Label 436: @6613
     /* 6613 */ GIM_Reject,
     /* 6614 */ // Label 92: @6614
     /* 6614 */ GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(6625), // Rule ID 26 //
     /* 6619 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule24Enabled),
     /* 6622 */   // Combiner Rule #24: insert_vector_elt_oob; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6622 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner10),
     /* 6625 */ // Label 437: @6625
     /* 6625 */ GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(6636), // Rule ID 67 //
     /* 6630 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule65Enabled),
     /* 6633 */   // Combiner Rule #65: combine_insert_vec_elts_build_vector; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6633 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner27),
     /* 6636 */ // Label 438: @6636
     /* 6636 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(6647), // Rule ID 101 //
     /* 6641 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 6644 */   // Combiner Rule #82: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6644 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 6647 */ // Label 439: @6647
     /* 6647 */ GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(6686), // Rule ID 38 //
     /* 6652 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule36Enabled),
     /* 6655 */   // MIs[0] root
     /* 6655 */   // No operand predicates
     /* 6655 */   // MIs[0] src
     /* 6655 */   // No operand predicates
     /* 6655 */   // MIs[0] elt
     /* 6655 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6659 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 6663 */   // MIs[1] src
     /* 6663 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 6668 */   // MIs[1] idx
     /* 6668 */   // No operand predicates
     /* 6668 */   // MIs[0] idx
     /* 6668 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 6673 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6678 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6680 */   // Combiner Rule #36: insert_vector_element_extract_vector_element
     /* 6680 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6685 */   GIR_EraseRootFromParent_Done,
     /* 6686 */ // Label 440: @6686
     /* 6686 */ GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(6719), // Rule ID 24 //
     /* 6691 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule22Enabled),
     /* 6694 */   // MIs[0] root
     /* 6694 */   // No operand predicates
     /* 6694 */   // MIs[0] src
     /* 6694 */   // No operand predicates
     /* 6694 */   // MIs[0] elt
     /* 6694 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6698 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6702 */   // MIs[0] idx
     /* 6702 */   // No operand predicates
     /* 6702 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner0),
     /* 6706 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6711 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6713 */   // Combiner Rule #22: insert_vector_element_elt_undef
     /* 6713 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6718 */   GIR_EraseRootFromParent_Done,
     /* 6719 */ // Label 441: @6719
     /* 6719 */ GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(6743), // Rule ID 23 //
     /* 6724 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule21Enabled),
     /* 6727 */   // MIs[0] root
     /* 6727 */   // No operand predicates
     /* 6727 */   // MIs[0] src
     /* 6727 */   // No operand predicates
     /* 6727 */   // MIs[0] elt
     /* 6727 */   // No operand predicates
     /* 6727 */   // MIs[0] idx
     /* 6727 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 6731 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6735 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6737 */   // Combiner Rule #21: insert_vector_element_idx_undef
     /* 6737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6740 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 6742 */   GIR_EraseRootFromParent_Done,
     /* 6743 */ // Label 442: @6743
     /* 6743 */ GIM_Reject,
     /* 6744 */ // Label 93: @6744
     /* 6744 */ GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(6755), // Rule ID 25 //
     /* 6749 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule23Enabled),
     /* 6752 */   // Combiner Rule #23: match_extract_of_element; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6752 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 6755 */ // Label 443: @6755
     /* 6755 */ GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(6766), // Rule ID 68 //
     /* 6760 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule66Enabled),
     /* 6763 */   // Combiner Rule #66: extract_vec_elt_build_vec; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6763 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner28),
     /* 6766 */ // Label 444: @6766
     /* 6766 */ GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(6777), // Rule ID 74 //
     /* 6771 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule70Enabled),
     /* 6774 */   // Combiner Rule #70: combine_extracted_vector_load; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6774 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner32),
     /* 6777 */ // Label 445: @6777
     /* 6777 */ GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(6788), // Rule ID 102 //
     /* 6782 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 6785 */   // Combiner Rule #82: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6785 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 6788 */ // Label 446: @6788
     /* 6788 */ GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(6812), // Rule ID 36 //
     /* 6793 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule34Enabled),
     /* 6796 */   // MIs[0] root
     /* 6796 */   // No operand predicates
     /* 6796 */   // MIs[0] src
     /* 6796 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6800 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6804 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/9,
     /* 6807 */   // MIs[1] x
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[1] y
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[1] z
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[1] a
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[1] b
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[1] c
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[1] d
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[1] e
     /* 6807 */   // No operand predicates
     /* 6807 */   // MIs[0] idx
     /* 6807 */   // No operand predicates
     /* 6807 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6809 */   // Combiner Rule #34: extract_vector_element_build_vector_trunc8
     /* 6809 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6812 */ // Label 447: @6812
     /* 6812 */ GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(6836), // Rule ID 35 //
     /* 6817 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule33Enabled),
     /* 6820 */   // MIs[0] root
     /* 6820 */   // No operand predicates
     /* 6820 */   // MIs[0] src
     /* 6820 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6824 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6828 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/8,
     /* 6831 */   // MIs[1] x
     /* 6831 */   // No operand predicates
     /* 6831 */   // MIs[1] y
     /* 6831 */   // No operand predicates
     /* 6831 */   // MIs[1] z
     /* 6831 */   // No operand predicates
     /* 6831 */   // MIs[1] a
     /* 6831 */   // No operand predicates
     /* 6831 */   // MIs[1] b
     /* 6831 */   // No operand predicates
     /* 6831 */   // MIs[1] c
     /* 6831 */   // No operand predicates
     /* 6831 */   // MIs[1] d
     /* 6831 */   // No operand predicates
     /* 6831 */   // MIs[0] idx
     /* 6831 */   // No operand predicates
     /* 6831 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6833 */   // Combiner Rule #33: extract_vector_element_build_vector_trunc7
     /* 6833 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6836 */ // Label 448: @6836
     /* 6836 */ GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(6860), // Rule ID 34 //
     /* 6841 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule32Enabled),
     /* 6844 */   // MIs[0] root
     /* 6844 */   // No operand predicates
     /* 6844 */   // MIs[0] src
     /* 6844 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6848 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6852 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/7,
     /* 6855 */   // MIs[1] x
     /* 6855 */   // No operand predicates
     /* 6855 */   // MIs[1] y
     /* 6855 */   // No operand predicates
     /* 6855 */   // MIs[1] z
     /* 6855 */   // No operand predicates
     /* 6855 */   // MIs[1] a
     /* 6855 */   // No operand predicates
     /* 6855 */   // MIs[1] b
     /* 6855 */   // No operand predicates
     /* 6855 */   // MIs[1] c
     /* 6855 */   // No operand predicates
     /* 6855 */   // MIs[0] idx
     /* 6855 */   // No operand predicates
     /* 6855 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6857 */   // Combiner Rule #32: extract_vector_element_build_vector_trunc6
     /* 6857 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6860 */ // Label 449: @6860
     /* 6860 */ GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(6884), // Rule ID 33 //
     /* 6865 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule31Enabled),
     /* 6868 */   // MIs[0] root
     /* 6868 */   // No operand predicates
     /* 6868 */   // MIs[0] src
     /* 6868 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6872 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6876 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/6,
     /* 6879 */   // MIs[1] x
     /* 6879 */   // No operand predicates
     /* 6879 */   // MIs[1] y
     /* 6879 */   // No operand predicates
     /* 6879 */   // MIs[1] z
     /* 6879 */   // No operand predicates
     /* 6879 */   // MIs[1] a
     /* 6879 */   // No operand predicates
     /* 6879 */   // MIs[1] b
     /* 6879 */   // No operand predicates
     /* 6879 */   // MIs[0] idx
     /* 6879 */   // No operand predicates
     /* 6879 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6881 */   // Combiner Rule #31: extract_vector_element_build_vector_trunc5
     /* 6881 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6884 */ // Label 450: @6884
     /* 6884 */ GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(6908), // Rule ID 32 //
     /* 6889 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule30Enabled),
     /* 6892 */   // MIs[0] root
     /* 6892 */   // No operand predicates
     /* 6892 */   // MIs[0] src
     /* 6892 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6896 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6900 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/5,
     /* 6903 */   // MIs[1] x
     /* 6903 */   // No operand predicates
     /* 6903 */   // MIs[1] y
     /* 6903 */   // No operand predicates
     /* 6903 */   // MIs[1] z
     /* 6903 */   // No operand predicates
     /* 6903 */   // MIs[1] a
     /* 6903 */   // No operand predicates
     /* 6903 */   // MIs[0] idx
     /* 6903 */   // No operand predicates
     /* 6903 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6905 */   // Combiner Rule #30: extract_vector_element_build_vector_trunc4
     /* 6905 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6908 */ // Label 451: @6908
     /* 6908 */ GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(6932), // Rule ID 31 //
     /* 6913 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule29Enabled),
     /* 6916 */   // MIs[0] root
     /* 6916 */   // No operand predicates
     /* 6916 */   // MIs[0] src
     /* 6916 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6920 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6924 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 6927 */   // MIs[1] x
     /* 6927 */   // No operand predicates
     /* 6927 */   // MIs[1] y
     /* 6927 */   // No operand predicates
     /* 6927 */   // MIs[1] z
     /* 6927 */   // No operand predicates
     /* 6927 */   // MIs[0] idx
     /* 6927 */   // No operand predicates
     /* 6927 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6929 */   // Combiner Rule #29: extract_vector_element_build_vector_trunc3
     /* 6929 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6932 */ // Label 452: @6932
     /* 6932 */ GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(6966), // Rule ID 27 //
     /* 6937 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule25Enabled),
     /* 6940 */   // MIs[0] root
     /* 6940 */   // No operand predicates
     /* 6940 */   // MIs[0] src
     /* 6940 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6944 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 6948 */   // MIs[1] x
     /* 6948 */   // No operand predicates
     /* 6948 */   // MIs[1] value
     /* 6948 */   // No operand predicates
     /* 6948 */   // MIs[1] idx
     /* 6948 */   // No operand predicates
     /* 6948 */   // MIs[0] idx
     /* 6948 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/3,
     /* 6953 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 6958 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6960 */   // Combiner Rule #25: extract_vector_element_not_const
     /* 6960 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 6965 */   GIR_EraseRootFromParent_Done,
     /* 6966 */ // Label 453: @6966
     /* 6966 */ GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(6987), // Rule ID 28 //
     /* 6971 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule26Enabled),
     /* 6974 */   // MIs[0] root
     /* 6974 */   // No operand predicates
     /* 6974 */   // MIs[0] src
     /* 6974 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6978 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 6982 */   // MIs[1] x
     /* 6982 */   // No operand predicates
     /* 6982 */   // MIs[1] value
     /* 6982 */   // No operand predicates
     /* 6982 */   // MIs[1] idx2
     /* 6982 */   // No operand predicates
     /* 6982 */   // MIs[0] idx1
     /* 6982 */   // No operand predicates
     /* 6982 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6984 */   // Combiner Rule #26: extract_vector_element_different_indices
     /* 6984 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner11),
     /* 6987 */ // Label 454: @6987
     /* 6987 */ GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(7016), // Rule ID 37 //
     /* 6992 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule35Enabled),
     /* 6995 */   // MIs[0] root
     /* 6995 */   // No operand predicates
     /* 6995 */   // MIs[0] src
     /* 6995 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHUFFLE_VECTOR),
     /* 7003 */   // MIs[1] src1
     /* 7003 */   // No operand predicates
     /* 7003 */   // MIs[1] src2
     /* 7003 */   // No operand predicates
     /* 7003 */   // MIs[1] mask
     /* 7003 */   // No operand predicates
     /* 7003 */   // MIs[0] idx
     /* 7003 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 7007 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 7011 */   // MIs[2] imm
     /* 7011 */   // No operand predicates
     /* 7011 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 7013 */   // Combiner Rule #35: extract_vector_element_shuffle_vector
     /* 7013 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner14),
     /* 7016 */ // Label 455: @7016
     /* 7016 */ GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(7040), // Rule ID 30 //
     /* 7021 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule28Enabled),
     /* 7024 */   // MIs[0] root
     /* 7024 */   // No operand predicates
     /* 7024 */   // MIs[0] src
     /* 7024 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7028 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 7032 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 7035 */   // MIs[1] x
     /* 7035 */   // No operand predicates
     /* 7035 */   // MIs[1] y
     /* 7035 */   // No operand predicates
     /* 7035 */   // MIs[0] idx
     /* 7035 */   // No operand predicates
     /* 7035 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 7037 */   // Combiner Rule #28: extract_vector_element_build_vector_trunc2
     /* 7037 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 7040 */ // Label 456: @7040
     /* 7040 */ GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(7072), // Rule ID 29 //
     /* 7045 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule27Enabled),
     /* 7048 */   // MIs[0] root
     /* 7048 */   // No operand predicates
     /* 7048 */   // MIs[0] src
     /* 7048 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7052 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 7056 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 7059 */   // MIs[1] unused
     /* 7059 */   // No operand predicates
     /* 7059 */   // MIs[0] idx
     /* 7059 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 7063 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 7067 */   // MIs[2] imm
     /* 7067 */   // No operand predicates
     /* 7067 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 7069 */   // Combiner Rule #27: extract_vector_element_build_vector
     /* 7069 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner12),
     /* 7072 */ // Label 457: @7072
     /* 7072 */ GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(7096), // Rule ID 21 //
     /* 7077 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule19Enabled),
     /* 7080 */   // MIs[0] root
     /* 7080 */   // No operand predicates
     /* 7080 */   // MIs[0] vector
     /* 7080 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7084 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 7088 */   // MIs[0] idx
     /* 7088 */   // No operand predicates
     /* 7088 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 7090 */   // Combiner Rule #19: match_extract_of_element_undef_vector
     /* 7090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 7093 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 7095 */   GIR_EraseRootFromParent_Done,
     /* 7096 */ // Label 458: @7096
     /* 7096 */ GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(7120), // Rule ID 22 //
     /* 7101 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule20Enabled),
     /* 7104 */   // MIs[0] root
     /* 7104 */   // No operand predicates
     /* 7104 */   // MIs[0] vector
     /* 7104 */   // No operand predicates
     /* 7104 */   // MIs[0] idx
     /* 7104 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 7108 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 7112 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 7114 */   // Combiner Rule #20: match_extract_of_element_undef_index
     /* 7114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 7117 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 7119 */   GIR_EraseRootFromParent_Done,
     /* 7120 */ // Label 459: @7120
     /* 7120 */ GIM_Reject,
     /* 7121 */ // Label 94: @7121
     /* 7121 */ GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(7132), // Rule ID 97 //
     /* 7126 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 7129 */   // Combiner Rule #79: propagate_undef_all_ops; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 7129 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 7132 */ // Label 460: @7132
     /* 7132 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(7143), // Rule ID 99 //
     /* 7137 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule80Enabled),
     /* 7140 */   // Combiner Rule #80: propagate_undef_shuffle_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 7140 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner41),
     /* 7143 */ // Label 461: @7143
     /* 7143 */ GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(7154), // Rule ID 344 //
     /* 7148 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule199Enabled),
     /* 7151 */   // Combiner Rule #199: combine_shuffle_concat; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 7151 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner136),
     /* 7154 */ // Label 462: @7154
     /* 7154 */ GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(7165), // Rule ID 346 //
     /* 7159 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule201Enabled),
     /* 7162 */   // Combiner Rule #201: combine_shuffle_disjoint_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 7162 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner138),
     /* 7165 */ // Label 463: @7165
     /* 7165 */ GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(7176), // Rule ID 364 //
     /* 7170 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule217Enabled),
     /* 7173 */   // Combiner Rule #217: shuffle_to_extract; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 7173 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner154),
     /* 7176 */ // Label 464: @7176
     /* 7176 */ GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(7197), // Rule ID 345 //
     /* 7181 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule200Enabled),
     /* 7184 */   // MIs[0] root
     /* 7184 */   // No operand predicates
     /* 7184 */   // MIs[0] src1
     /* 7184 */   // No operand predicates
     /* 7184 */   // MIs[0] undef
     /* 7184 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 7188 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 7192 */   // MIs[0] mask
     /* 7192 */   // No operand predicates
     /* 7192 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 7194 */   // Combiner Rule #200: combine_shuffle_undef_rhs
     /* 7194 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner137),
     /* 7197 */ // Label 465: @7197
     /* 7197 */ GIM_Reject,
     /* 7198 */ // Label 95: @7198
     /* 7198 */ GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(7242), // Rule ID 223 //
     /* 7203 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule160Enabled),
     /* 7206 */   // MIs[0] d
     /* 7206 */   // No operand predicates
     /* 7206 */   // MIs[0] src
     /* 7206 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7210 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 7214 */   // MIs[1] rev
     /* 7214 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 7218 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 7222 */   // MIs[2] val
     /* 7222 */   // No operand predicates
     /* 7222 */   // MIs[1] amt
     /* 7222 */   // No operand predicates
     /* 7222 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner9),
     /* 7226 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 7228 */   // Combiner Rule #160: bitreverse_lshr
     /* 7228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SHL),
     /* 7231 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 7233 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 7237 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 7241 */   GIR_EraseRootFromParent_Done,
     /* 7242 */ // Label 466: @7242
     /* 7242 */ GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(7286), // Rule ID 222 //
     /* 7247 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule159Enabled),
     /* 7250 */   // MIs[0] d
     /* 7250 */   // No operand predicates
     /* 7250 */   // MIs[0] src
     /* 7250 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7254 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 7258 */   // MIs[1] rev
     /* 7258 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 7262 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 7266 */   // MIs[2] val
     /* 7266 */   // No operand predicates
     /* 7266 */   // MIs[1] amt
     /* 7266 */   // No operand predicates
     /* 7266 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner8),
     /* 7270 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 7272 */   // Combiner Rule #159: bitreverse_shl
     /* 7272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 7275 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 7277 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 7281 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 7285 */   GIR_EraseRootFromParent_Done,
     /* 7286 */ // Label 467: @7286
     /* 7286 */ GIM_Reject,
     /* 7287 */ // Label 96: @7287
     /* 7287 */ GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(7308), // Rule ID 178 //
     /* 7292 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule136Enabled),
     /* 7295 */   // MIs[0] dst
     /* 7295 */   // No operand predicates
     /* 7295 */   // MIs[0] src0
     /* 7295 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7299 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 7303 */   // MIs[1] cst
     /* 7303 */   // No operand predicates
     /* 7303 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 7305 */   // Combiner Rule #136: constant_fold_fsqrt
     /* 7305 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 7308 */ // Label 468: @7308
     /* 7308 */ GIM_Reject,
     /* 7309 */ // Label 97: @7309
     /* 7309 */ GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(7323), // Rule ID 365 //
     /* 7314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 7317 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule218Enabled),
     /* 7320 */   // Combiner Rule #218: ext_addv_to_udot_addv; wip_match_opcode 'G_VECREDUCE_ADD'
     /* 7320 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner155),
     /* 7323 */ // Label 469: @7323
     /* 7323 */ GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(7334), // Rule ID 366 //
     /* 7328 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule219Enabled),
     /* 7331 */   // Combiner Rule #219: ext_uaddv_to_uaddlv; wip_match_opcode 'G_VECREDUCE_ADD'
     /* 7331 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner156),
     /* 7334 */ // Label 470: @7334
     /* 7334 */ GIM_Reject,
     /* 7335 */ // Label 98: @7335
     /* 7335 */ GIM_Reject,
     /* 7336 */ }; // Size: 7336 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GICOMBINER_IMPL

#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
, State(0),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS

