/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* RISCVPreLegalizerCombinerImpl Combiner Match Table                         *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GICOMBINER_DEPS
#include "llvm/ADT/SparseBitVector.h"
namespace llvm {
extern cl::OptionCategory GICombinerOptionCategory;
} // end namespace llvm
#endif // ifdef GET_GICOMBINER_DEPS

#ifdef GET_GICOMBINER_TYPES
struct RISCVPreLegalizerCombinerImplRuleConfig {
  SparseBitVector<> DisabledRules;

  bool isRuleEnabled(unsigned RuleID) const;
  bool parseCommandLineOption();
  bool setRuleEnabled(StringRef RuleIdentifier);
  bool setRuleDisabled(StringRef RuleIdentifier);
};

static std::optional<uint64_t> getRuleIdxForIdentifier(StringRef RuleIdentifier) {
  uint64_t I;
  // getAtInteger(...) returns false on success
  bool Parsed = !RuleIdentifier.getAsInteger(0, I);
  if (Parsed)
    return I;

#ifndef NDEBUG
  switch (RuleIdentifier.size()) {
  default: break;
  case 9:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "opy_prop", 8) != 0)
        break;
      return 13;	 // "copy_prop"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ors", 7) != 0)
          break;
        return 193;	 // "match_ors"
      case 'u':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "lo_by_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case '0':	 // 1 string to match.
          return 144;	 // "mulo_by_0"
        case '2':	 // 1 string to match.
          return 143;	 // "mulo_by_2"
        }
        break;
      }
      break;
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "neg_zext", 8) != 0)
        break;
      return 198;	 // "nneg_zext"
    }
    break;
  case 10:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2p_to_p2i", 9) != 0)
        break;
      return 89;	 // "i2p_to_p2i"
    case 'm':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ands", 8) != 0)
          break;
        return 192;	 // "match_ands"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_to_shl", 8) != 0)
          break;
        return 14;	 // "mul_to_shl"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2i_to_i2p", 9) != 0)
        break;
      return 88;	 // "p2i_to_i2p"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_trunc", 8) != 0)
          break;
        return 196;	 // "sext_trunc"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_to_add", 8) != 0)
          break;
        return 15;	 // "sub_to_add"
      }
      break;
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc", 9) != 0)
        break;
      return 197;	 // "zext_trunc"
    }
    break;
  case 11:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_sub_reg", 10) != 0)
        break;
      return 94;	 // "add_sub_reg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_addos", 10) != 0)
        break;
      return 212;	 // "match_addos"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ub_add_reg", 10) != 0)
        break;
      return 187;	 // "sub_add_reg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_shift", 10) != 0)
        break;
      return 131;	 // "trunc_shift"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_cst", 10) != 0)
        break;
      return 206;	 // "unmerge_cst"
    }
    break;
  case 12:	 // 11 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinusB", 11) != 0)
        break;
      return 2;	 // "APlusBMinusB"
    case 'B':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusAPlusA", 11) != 0)
        break;
      return 3;	 // "BMinusAPlusA"
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dde_to_addo", 11) != 0)
        break;
      return 145;	 // "adde_to_addo"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "sub_to_fneg", 11) != 0)
        break;
      return 189;	 // "fsub_to_fneg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ulh_to_lshr", 11) != 0)
        break;
      return 175;	 // "mulh_to_lshr"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ot_cmp_fold", 11) != 0)
        break;
      return 132;	 // "not_cmp_fold"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_or", 11) != 0)
        break;
      return 127;	 // "redundant_or"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_pow2", 10) != 0)
          break;
        return 173;	 // "sdiv_by_pow2"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_of_sext", 10) != 0)
          break;
        return 48;	 // "sext_of_sext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "div_by_pow2", 11) != 0)
        break;
      return 174;	 // "udiv_by_pow2"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_zext", 11) != 0)
        break;
      return 46;	 // "zext_of_zext"
    }
    break;
  case 13:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_of_vscale", 12) != 0)
        break;
      return 37;	 // "add_of_vscale"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_shift", 12) != 0)
        break;
      return 161;	 // "commute_shift"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_and_mask", 12) != 0)
        break;
      return 69;	 // "load_and_mask"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_selects", 11) != 0)
          break;
        return 124;	 // "match_selects"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "rge_unmerge", 11) != 0)
          break;
        return 205;	 // "merge_unmerge"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 38;	 // "mul_of_vscale"
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_and", 12) != 0)
        break;
      return 125;	 // "redundant_and"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 172;	 // "sdiv_by_const"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 39;	 // "shl_of_vscale"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_of_vscale", 11) != 0)
          break;
        return 40;	 // "sub_of_vscale"
      }
      break;
    case 'u':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 171;	 // "udiv_by_const"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "merge_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case 'm':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "erge", 4) != 0)
            break;
          return 204;	 // "unmerge_merge"
        case 'u':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "ndef", 4) != 0)
            break;
          return 207;	 // "unmerge_undef"
        }
        break;
      }
      break;
    }
    break;
  case 14:	 // 15 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1PlusC2", 12) != 0)
          break;
        return 12;	 // "AMinusC1PlusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusC1MinusC2", 12) != 0)
          break;
        return 8;	 // "APlusC1MinusC2"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2MinusAPlusC1", 13) != 0)
        break;
      return 9;	 // "C2MinusAPlusC1"
    case 'a':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_", 9) != 0)
        break;
      switch (RuleIdentifier[10]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 52;	 // "anyext_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 51;	 // "anyext_of_zext"
      }
      break;
    case 'b':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'i')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "op_same_val", 11) != 0)
          break;
        return 85;	 // "binop_same_val"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "reverse_shl", 11) != 0)
          break;
        return 159;	 // "bitreverse_shl"
      }
      break;
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "bs_fneg_fold", 12) != 0)
          break;
        return 170;	 // "fabs_fneg_fold"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "eg_fneg_fold", 12) != 0)
          break;
        return 91;	 // "fneg_fneg_fold"
      }
      break;
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ul_by_neg_one", 13) != 0)
        break;
      return 17;	 // "mul_by_neg_one"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eassoc_ptradd", 13) != 0)
        break;
      return 106;	 // "reassoc_ptradd"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 2 strings to match.
        switch (RuleIdentifier[2]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "ect_of_zext", 11) != 0)
            break;
          return 54;	 // "select_of_zext"
        case 'x':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "t_of_anyext", 11) != 0)
            break;
          return 49;	 // "sext_of_anyext"
        }
        break;
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ifts_too_big", 12) != 0)
          break;
        return 105;	 // "shifts_too_big"
      }
      break;
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_anyext", 13) != 0)
        break;
      return 47;	 // "zext_of_anyext"
    }
    break;
  case 15:	 // 12 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1MinusC2", 13) != 0)
          break;
        return 10;	 // "AMinusC1MinusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusZeroMinusB", 13) != 0)
          break;
        return 1;	 // "APlusZeroMinusB"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "1Minus2MinusC2", 14) != 0)
        break;
      return 11;	 // "C1Minus2MinusC2"
    case 'Z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eroMinusAPlusB", 14) != 0)
        break;
      return 0;	 // "ZeroMinusAPlusB"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itreverse_lshr", 14) != 0)
        break;
      return 160;	 // "bitreverse_lshr"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtending_loads", 14) != 0)
        break;
      return 68;	 // "extending_loads"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dempotent_prop", 14) != 0)
        break;
      return 18;	 // "idempotent_prop"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_or_combine", 14) != 0)
        break;
      return 152;	 // "load_or_combine"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_or", 14) != 0)
        break;
      return 62;	 // "narrow_binop_or"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "verlapping_and", 14) != 0)
        break;
      return 142;	 // "overlapping_and"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_same_val", 14) != 0)
        break;
      return 83;	 // "select_same_val"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc_fold", 14) != 0)
        break;
      return 129;	 // "zext_trunc_fold"
    }
    break;
  case 16:	 // 12 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_anyext", 15) != 0)
        break;
      return 50;	 // "anyext_of_anyext"
    case 'n':	 // 5 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_", 12) != 0)
        break;
      switch (RuleIdentifier[13]) {
      default: break;
      case 'a':	 // 2 strings to match.
        switch (RuleIdentifier[14]) {
        default: break;
        case 'd':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 58;	 // "narrow_binop_add"
        case 'n':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 61;	 // "narrow_binop_and"
        }
        break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ul", 2) != 0)
          break;
        return 60;	 // "narrow_binop_mul"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ub", 2) != 0)
          break;
        return 59;	 // "narrow_binop_sub"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "or", 2) != 0)
          break;
        return 63;	 // "narrow_binop_xor"
      }
      break;
    case 's':	 // 3 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_", 6) != 0)
        break;
      switch (RuleIdentifier[7]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "f_anyext", 8) != 0)
          break;
        return 55;	 // "select_of_anyext"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "o_minmax", 8) != 0)
          break;
        return 188;	 // "select_to_minmax"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "ndef_cmp", 8) != 0)
          break;
        return 121;	 // "select_undef_cmp"
      }
      break;
    case 't':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_", 11) != 0)
        break;
      switch (RuleIdentifier[12]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 44;	 // "truncate_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 43;	 // "truncate_of_zext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ndef_to_fp_zero", 15) != 0)
        break;
      return 71;	 // "undef_to_fp_zero"
    }
    break;
  case 17:	 // 14 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'A':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "plusC", 5) != 0)
          break;
        return 6;	 // "APlusBMinusAplusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "PlusA", 5) != 0)
          break;
        return 7;	 // "APlusBMinusCPlusA"
      }
      break;
    case 'a':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "d_p2i_to_ptradd", 15) != 0)
          break;
        return 16;	 // "add_p2i_to_ptradd"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "yext_trunc_fold", 15) != 0)
          break;
        return 90;	 // "anyext_trunc_fold"
      }
      break;
    case 'c':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nonicalize_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 110;	 // "canonicalize_fcmp"
        case 'i':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 109;	 // "canonicalize_icmp"
        }
        break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "nstant_fold_fma", 15) != 0)
          break;
        return 168;	 // "constant_fold_fma"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "iv_rem_to_divrem", 16) != 0)
        break;
      return 153;	 // "div_rem_to_divrem"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "rase_undef_store", 16) != 0)
        break;
      return 81;	 // "erase_undef_store"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_with_zero", 16) != 0)
        break;
      return 149;	 // "ptr_add_with_zero"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_to_iminmax", 15) != 0)
          break;
        return 123;	 // "select_to_iminmax"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ift_immed_chain", 15) != 0)
          break;
        return 150;	 // "shift_immed_chain"
      }
      break;
    case 'u':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "def_to_int_zero", 15) != 0)
          break;
        return 72;	 // "undef_to_int_zero"
      case 'r':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "em_pow2_to_mask", 15) != 0)
          break;
        return 128;	 // "urem_pow2_to_mask"
      }
      break;
    }
    break;
  case 18:	 // 11 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusBPlus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'B':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusC", 6) != 0)
          break;
        return 5;	 // "AMinusBPlusBMinusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusA", 6) != 0)
          break;
        return 4;	 // "AMinusBPlusCMinusA"
      }
      break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_to_zero", 17) != 0)
        break;
      return 86;	 // "binop_left_to_zero"
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_minmax_nan", 15) != 0)
          break;
        return 146;	 // "combine_minmax_nan"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_f", 12) != 0)
          break;
        switch (RuleIdentifier[15]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "bs", 2) != 0)
            break;
          return 135;	 // "constant_fold_fabs"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "eg", 2) != 0)
            break;
          return 134;	 // "constant_fold_fneg"
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xpand_const_fpowi", 17) != 0)
        break;
      return 147;	 // "expand_const_fpowi"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ptrunc_fpext_fold", 17) != 0)
        break;
      return 99;	 // "fptrunc_fpext_fold"
    case 's':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'e')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'l':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ect_of_truncate", 15) != 0)
          break;
        return 56;	 // "select_of_truncate"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "t_inreg_of_load", 15) != 0)
          break;
        return 118;	 // "sext_inreg_of_load"
      }
      break;
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_anyext", 17) != 0)
        break;
      return 45;	 // "truncate_of_anyext"
    }
    break;
  case 19:	 // 15 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_to_zero", 18) != 0)
        break;
      return 87;	 // "binop_right_to_zero"
    case 'c':	 // 4 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "onst", 4) != 0)
        break;
      switch (RuleIdentifier[5]) {
      default: break;
      case '_':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+6, "ptradd_to_i2p", 13) != 0)
          break;
        return 141;	 // "const_ptradd_to_i2p"
      case 'a':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+6, "nt_fold_", 8) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'b':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "inop", 4) != 0)
            break;
          return 166;	 // "constant_fold_binop"
        case 'f':	 // 2 strings to match.
          switch (RuleIdentifier[15]) {
          default: break;
          case 'l':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "og2", 3) != 0)
              break;
            return 137;	 // "constant_fold_flog2"
          case 's':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "qrt", 3) != 0)
              break;
            return 136;	 // "constant_fold_fsqrt"
          }
          break;
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtend_through_phis", 18) != 0)
        break;
      return 102;	 // "extend_through_phis"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nteger_of_truncate", 18) != 0)
        break;
      return 64;	 // "integer_of_truncate"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_zero", 18) != 0)
        break;
      return 211;	 // "merge_of_x_and_zero"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_immed_chain", 18) != 0)
        break;
      return 108;	 // "ptr_add_immed_chain"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "assoc_comm_binops", 17) != 0)
          break;
        return 107;	 // "reassoc_comm_binops"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_zero", 17) != 0)
          break;
        return 84;	 // "right_identity_zero"
      }
      break;
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_constant_cmp", 17) != 0)
          break;
        return 122;	 // "select_constant_cmp"
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "mplify_", 7) != 0)
          break;
        switch (RuleIdentifier[9]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "dd_to_sub", 9) != 0)
            break;
          return 103;	 // "simplify_add_to_sub"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "eg_minmax", 9) != 0)
            break;
          return 194;	 // "simplify_neg_minmax"
        }
        break;
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nary_undef_to_zero", 18) != 0)
        break;
      return 76;	 // "unary_undef_to_zero"
    }
    break;
  case 20:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nd_or_disjoint_mask", 19) != 0)
        break;
      return 177;	 // "and_or_disjoint_mask"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itcast_bitcast_fold", 19) != 0)
        break;
      return 98;	 // "bitcast_bitcast_fold"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_undef", 19) != 0)
        break;
      return 210;	 // "merge_of_x_and_undef"
    case 'r':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "edu", 3) != 0)
        break;
      switch (RuleIdentifier[4]) {
      default: break;
      case 'c':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+5, "e_shl_of_extend", 15) != 0)
          break;
        return 119;	 // "reduce_shl_of_extend"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+5, "dant_sext_inreg", 15) != 0)
          break;
        return 126;	 // "redundant_sext_inreg"
      }
      break;
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ry_undef_to_undef", 17) != 0)
          break;
        return 77;	 // "unary_undef_to_undef"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_zext_to_zext", 17) != 0)
          break;
        return 209;	 // "unmerge_zext_to_zext"
      }
      break;
    }
    break;
  case 21:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_concat_vector", 18) != 0)
          break;
        return 195;	 // "combine_concat_vector"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_", 11) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'c':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ast_op", 6) != 0)
            break;
          return 169;	 // "constant_fold_cast_op"
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ptrunc", 6) != 0)
            break;
          return 138;	 // "constant_fold_fptrunc"
        }
        break;
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_vector_elt_oob", 20) != 0)
        break;
      return 24;	 // "insert_vector_elt_oob"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_one_fp", 20) != 0)
        break;
      return 93;	 // "right_identity_one_fp"
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ef_to_negative_one", 18) != 0)
          break;
        return 73;	 // "undef_to_negative_one"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_dead_to_trunc", 18) != 0)
          break;
        return 208;	 // "unmerge_dead_to_trunc"
      }
      break;
    }
    break;
  case 22:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_shuffle_concat", 19) != 0)
          break;
        return 199;	 // "combine_shuffle_concat"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_fp_binop", 19) != 0)
          break;
        return 167;	 // "constant_fold_fp_binop"
      }
      break;
    case 'f':	 // 4 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ld_binop_into_select", 20) != 0)
          break;
        return 186;	 // "fold_binop_into_select"
      case 'u':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nnel_shift_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "eft_zero", 8) != 0)
            break;
          return 157;	 // "funnel_shift_left_zero"
        case 'o':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "vershift", 8) != 0)
            break;
          return 158;	 // "funnel_shift_overshift"
        case 't':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "o_rotate", 8) != 0)
            break;
          return 155;	 // "funnel_shift_to_rotate"
        }
        break;
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_lhs_known_bits", 21) != 0)
        break;
      return 112;	 // "icmp_to_lhs_known_bits"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_subo_no_overflow", 21) != 0)
        break;
      return 213;	 // "match_subo_no_overflow"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_any_op", 21) != 0)
        break;
      return 78;	 // "propagate_undef_any_op"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "dundant_neg_operands", 20) != 0)
          break;
        return 176;	 // "redundant_neg_operands"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_one_int", 20) != 0)
          break;
        return 92;	 // "right_identity_one_int"
      }
      break;
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hl_ashr_to_sext_inreg", 21) != 0)
        break;
      return 116;	 // "shl_ashr_to_sext_inreg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_buildvector_fold", 21) != 0)
        break;
      return 96;	 // "trunc_buildvector_fold"
    }
    break;
  case 23:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "uildvector_of_truncate", 22) != 0)
        break;
      return 57;	 // "buildvector_of_truncate"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "unnel_shift_right_zero", 22) != 0)
        break;
      return 156;	 // "funnel_shift_right_zero"
    case 'i':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "tof_const_zero_fold_", 20) != 0)
        break;
      switch (RuleIdentifier[21]) {
      default: break;
      case 's':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 139;	 // "itof_const_zero_fold_si"
      case 'u':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 140;	 // "itof_const_zero_fold_ui"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_all_ops", 22) != 0)
        break;
      return 79;	 // "propagate_undef_all_ops"
    }
    break;
  case 24:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_undef_to_zero", 23) != 0)
        break;
      return 74;	 // "binop_left_undef_to_zero"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element", 23) != 0)
        break;
      return 23;	 // "match_extract_of_element"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_feeding_and", 23) != 0)
        break;
      return 120;	 // "narrow_binop_feeding_and"
    case 's':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_inreg_", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "f_sext_inreg", 12) != 0)
          break;
        return 53;	 // "sext_inreg_of_sext_inreg"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "o_zext_inreg", 12) != 0)
          break;
        return 130;	 // "sext_inreg_to_zext_inreg"
      }
      break;
    case 'x':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "or_of_and_with_same_reg", 23) != 0)
        break;
      return 148;	 // "xor_of_and_with_same_reg"
    }
    break;
  case 25:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "tfield_extract_from_", 20) != 0)
          break;
        switch (RuleIdentifier[22]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "nd", 2) != 0)
            break;
          return 163;	 // "bitfield_extract_from_and"
        case 's':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "hr", 2) != 0)
            break;
          return 164;	 // "bitfield_extract_from_shr"
        }
        break;
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ildvector_identity_fold", 23) != 0)
          break;
        return 95;	 // "buildvector_identity_fold"
      }
      break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_shuffle_undef_rhs", 24) != 0)
        break;
      return 200;	 // "combine_shuffle_undef_rhs"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vec_elt_build_vec", 24) != 0)
        break;
      return 66;	 // "extract_vec_elt_build_vec"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eg_and_one_to_sext_inreg", 24) != 0)
        break;
      return 117;	 // "neg_and_one_to_sext_inreg"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_one_fp", 24) != 0)
        break;
      return 101;	 // "right_identity_neg_one_fp"
    }
    break;
  case 26:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_undef_to_undef", 25) != 0)
        break;
      return 75;	 // "binop_right_undef_to_undef"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_fp_constant_to_rhs", 25) != 0)
        break;
      return 191;	 // "commute_fp_constant_to_rhs"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "unnel_shift_from_or_shift", 25) != 0)
        break;
      return 154;	 // "funnel_shift_from_or_shift"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_zero_fp", 25) != 0)
        break;
      return 100;	 // "right_identity_neg_zero_fp"
    }
    break;
  case 27:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "om", 2) != 0)
        break;
      switch (RuleIdentifier[3]) {
      default: break;
      case 'b':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ine_use_vector_truncate", 23) != 0)
          break;
        return 202;	 // "combine_use_vector_truncate"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ute_int_constant_to_rhs", 23) != 0)
          break;
        return 190;	 // "commute_int_constant_to_rhs"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_or_combine", 26) != 0)
        break;
      return 114;	 // "double_icmp_zero_or_combine"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_binop_in_equality", 26) != 0)
        break;
      return 115;	 // "redundant_binop_in_equality"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_lshr_buildvector_fold", 26) != 0)
        break;
      return 97;	 // "trunc_lshr_buildvector_fold"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_anyext_build_vector", 26) != 0)
        break;
      return 203;	 // "unmerge_anyext_build_vector"
    }
    break;
  case 28:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_and_combine", 27) != 0)
        break;
      return 113;	 // "double_icmp_zero_and_combine"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "pt_brcond_by_inverting_cond", 27) != 0)
        break;
      return 133;	 // "opt_brcond_by_inverting_cond"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_shuffle_mask", 27) != 0)
        break;
      return 80;	 // "propagate_undef_shuffle_mask"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hift_of_shifted_logic_chain", 27) != 0)
        break;
      return 151;	 // "shift_of_shifted_logic_chain"
    }
    break;
  case 29:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_shr_and", 28) != 0)
        break;
      return 165;	 // "bitfield_extract_from_shr_and"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "xtracted_vector_load", 20) != 0)
          break;
        return 70;	 // "combine_extracted_vector_load"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "huffle_disjoint_mask", 20) != 0)
          break;
        return 201;	 // "combine_shuffle_disjoint_mask"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_true_false_known_bits", 28) != 0)
        break;
      return 111;	 // "icmp_to_true_false_known_bits"
    }
    break;
  case 30:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "freeze_of_non_undef_non_poison", 30) != 0)
      break;
    return 41;	 // "freeze_of_non_undef_non_poison"
  case 31:	 // 2 strings to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_vector_element_", 22) != 0)
      break;
    switch (RuleIdentifier[22]) {
    default: break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+23, "lt_undef", 8) != 0)
        break;
      return 22;	 // "insert_vector_element_elt_undef"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+23, "dx_undef", 8) != 0)
        break;
      return 21;	 // "insert_vector_element_idx_undef"
    }
    break;
  case 32:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_sext_inreg", 31) != 0)
        break;
      return 162;	 // "bitfield_extract_from_sext_inreg"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_f", 8) != 0)
        break;
      switch (RuleIdentifier[9]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "dd_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 178;	 // "combine_fadd_fmul_to_fmad_or_fma"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "ub_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 182;	 // "combine_fsub_fmul_to_fmad_or_fma"
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_not_const", 31) != 0)
        break;
      return 25;	 // "extract_vector_element_not_const"
    }
    break;
  case 34:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_all_elts_from_build_vector", 34) != 0)
      break;
    return 67;	 // "extract_all_elts_from_build_vector"
  case 35:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_build_vector", 35) != 0)
      break;
    return 27;	 // "extract_vector_element_build_vector"
  case 36:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'f':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "add_fma_fmul_to_fmad_or_fma", 27) != 0)
          break;
        return 180;	 // "combine_fadd_fma_fmul_to_fmad_or_fma"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "nsert_vec_elts_build_vector", 27) != 0)
          break;
        return 65;	 // "combine_insert_vec_elts_build_vector"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_extract_vec_elt_out_of_bounds", 35) != 0)
        break;
      return 82;	 // "insert_extract_vec_elt_out_of_bounds"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_index", 35) != 0)
        break;
      return 20;	 // "match_extract_of_element_undef_index"
    }
    break;
  case 37:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fsub_fneg_fmul_to_fmad_or_fma", 36) != 0)
        break;
      return 183;	 // "combine_fsub_fneg_fmul_to_fmad_or_fma"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_shuffle_vector", 36) != 0)
        break;
      return 35;	 // "extract_vector_element_shuffle_vector"
    case 'h':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oist_logic_op_with_same_opcode_hands", 36) != 0)
        break;
      return 104;	 // "hoist_logic_op_with_same_opcode_hands"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_vector", 36) != 0)
        break;
      return 19;	 // "match_extract_of_element_undef_vector"
    }
    break;
  case 38:	 // 2 strings to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_f", 9) != 0)
      break;
    switch (RuleIdentifier[9]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+10, "dd_fpext_fmul_to_fmad_or_fma", 28) != 0)
        break;
      return 179;	 // "combine_fadd_fpext_fmul_to_fmad_or_fma"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+10, "ub_fpext_fmul_to_fmad_or_fma", 28) != 0)
        break;
      return 184;	 // "combine_fsub_fpext_fmul_to_fmad_or_fma"
    }
    break;
  case 40:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_different_indices", 40) != 0)
      break;
    return 26;	 // "extract_vector_element_different_indices"
  case 42:	 // 8 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fadd_fpext_fma_fmul_to_fmad_or_fma", 41) != 0)
        break;
      return 181;	 // "combine_fadd_fpext_fma_fmul_to_fmad_or_fma"
    case 'e':	 // 7 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_build_vector_trunc", 40) != 0)
        break;
      switch (RuleIdentifier[41]) {
      default: break;
      case '2':	 // 1 string to match.
        return 28;	 // "extract_vector_element_build_vector_trunc2"
      case '3':	 // 1 string to match.
        return 29;	 // "extract_vector_element_build_vector_trunc3"
      case '4':	 // 1 string to match.
        return 30;	 // "extract_vector_element_build_vector_trunc4"
      case '5':	 // 1 string to match.
        return 31;	 // "extract_vector_element_build_vector_trunc5"
      case '6':	 // 1 string to match.
        return 32;	 // "extract_vector_element_build_vector_trunc6"
      case '7':	 // 1 string to match.
        return 33;	 // "extract_vector_element_build_vector_trunc7"
      case '8':	 // 1 string to match.
        return 34;	 // "extract_vector_element_build_vector_trunc8"
      }
      break;
    }
    break;
  case 43:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma", 43) != 0)
      break;
    return 185;	 // "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma"
  case 44:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_vector_element_extract_vector_element", 44) != 0)
      break;
    return 36;	 // "insert_vector_element_extract_vector_element"
  case 46:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "push_freeze_to_prevent_poison_from_propagating", 46) != 0)
      break;
    return 42;	 // "push_freeze_to_prevent_poison_from_propagating"
  }
#endif // ifndef NDEBUG

  return std::nullopt;
}
static std::optional<std::pair<uint64_t, uint64_t>> getRuleRangeForIdentifier(StringRef RuleIdentifier) {
  std::pair<StringRef, StringRef> RangePair = RuleIdentifier.split('-');
  if (!RangePair.second.empty()) {
    const auto First = getRuleIdxForIdentifier(RangePair.first);
    const auto Last = getRuleIdxForIdentifier(RangePair.second);
    if (!First || !Last)
      return std::nullopt;
    if (First >= Last)
      report_fatal_error("Beginning of range should be before end of range");
    return {{*First, *Last + 1}};
  }
  if (RangePair.first == "*") {
    return {{0, 214}};
  }
  const auto I = getRuleIdxForIdentifier(RangePair.first);
  if (!I)
    return std::nullopt;
  return {{*I, *I + 1}};
}

bool RISCVPreLegalizerCombinerImplRuleConfig::setRuleEnabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.reset(I);
  return true;
}

bool RISCVPreLegalizerCombinerImplRuleConfig::setRuleDisabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.set(I);
  return true;
}

static std::vector<std::string> RISCVPreLegalizerCombinerOption;
static cl::list<std::string> RISCVPreLegalizerCombinerDisableOption(
    "riscvprelegalizercombiner-disable-rule",
    cl::desc("Disable one or more combiner rules temporarily in the RISCVPreLegalizerCombiner pass"),
    cl::CommaSeparated,
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &Str) {
      RISCVPreLegalizerCombinerOption.push_back(Str);
    }));
static cl::list<std::string> RISCVPreLegalizerCombinerOnlyEnableOption(
    "riscvprelegalizercombiner-only-enable-rule",
    cl::desc("Disable all rules in the RISCVPreLegalizerCombiner pass then re-enable the specified ones"),
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &CommaSeparatedArg) {
      StringRef Str = CommaSeparatedArg;
      RISCVPreLegalizerCombinerOption.push_back("*");
      do {
        auto X = Str.split(",");
        RISCVPreLegalizerCombinerOption.push_back(("!" + X.first).str());
        Str = X.second;
      } while (!Str.empty());
    }));


bool RISCVPreLegalizerCombinerImplRuleConfig::isRuleEnabled(unsigned RuleID) const {
    return  !DisabledRules.test(RuleID);
}
bool RISCVPreLegalizerCombinerImplRuleConfig::parseCommandLineOption() {
  for (StringRef Identifier : RISCVPreLegalizerCombinerOption) {
    bool Enabled = Identifier.consume_front("!");
    if (Enabled && !setRuleEnabled(Identifier))
      return false;
    if (!Enabled && !setRuleDisabled(Identifier))
      return false;
  }
  return true;
}

#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_TYPES
const unsigned MAX_SUBTARGET_PREDICATES = 0;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_CLASS_MEMBERS
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS
#ifdef GET_GICOMBINER_CLASS_MEMBERS
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVPreLegalizerCombinerImpl::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVPreLegalizerCombinerImpl::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVPreLegalizerCombinerImpl::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVPreLegalizerCombinerImpl::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS

#ifdef GET_GICOMBINER_IMPL
// LLT Objects.
enum {
  GILLT_s1,
};
const static size_t NumTypeObjects = 1;
const static LLT TypeObjects[] = {
  LLT::scalar(1),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
};

PredicateBitset RISCVPreLegalizerCombinerImpl::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  return Features;
}

void RISCVPreLegalizerCombinerImpl::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVPreLegalizerCombinerImpl::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
};
// See constructor for table contents

RISCVPreLegalizerCombinerImpl::ComplexMatcherMemFn
RISCVPreLegalizerCombinerImpl::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
};

enum {
  GICXXPred_MI_Predicate_GICombiner0 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_GICombiner1,
  GICXXPred_MI_Predicate_GICombiner2,
  GICXXPred_MI_Predicate_GICombiner3,
  GICXXPred_MI_Predicate_GICombiner4,
  GICXXPred_MI_Predicate_GICombiner5,
  GICXXPred_MI_Predicate_GICombiner6,
  GICXXPred_MI_Predicate_GICombiner7,
  GICXXPred_MI_Predicate_GICombiner8,
  GICXXPred_MI_Predicate_GICombiner9,
};
bool RISCVPreLegalizerCombinerImpl::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_GICombiner0: {
    return isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner1: {
    return isGuaranteedNotToBeUndefOrPoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner2: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), 1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner3: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -0.0);
  }
  case GICXXPred_MI_Predicate_GICombiner4: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner5: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_EQ &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner6: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_NE &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner7: {
    return MRI.hasOneNonDBGUse(State.MIs[0]->getOperand(2).getReg()) &&
                    Helper.isLegalOrBeforeLegalizer(
                      {TargetOpcode::G_SEXT_INREG, {MRI.getType(State.MIs[1]->getOperand(1).getReg())}});
  }
  case GICXXPred_MI_Predicate_GICombiner8: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_LSHR,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  case GICXXPred_MI_Predicate_GICombiner9: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_SHL,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVPreLegalizerCombinerImpl::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVPreLegalizerCombinerImpl::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVPreLegalizerCombinerImpl::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
enum {
  GICXXPred_Simple_IsRule0Enabled = GICXXPred_Invalid + 1,
  GICXXPred_Simple_IsRule1Enabled,
  GICXXPred_Simple_IsRule2Enabled,
  GICXXPred_Simple_IsRule3Enabled,
  GICXXPred_Simple_IsRule4Enabled,
  GICXXPred_Simple_IsRule5Enabled,
  GICXXPred_Simple_IsRule6Enabled,
  GICXXPred_Simple_IsRule7Enabled,
  GICXXPred_Simple_IsRule8Enabled,
  GICXXPred_Simple_IsRule9Enabled,
  GICXXPred_Simple_IsRule10Enabled,
  GICXXPred_Simple_IsRule11Enabled,
  GICXXPred_Simple_IsRule12Enabled,
  GICXXPred_Simple_IsRule13Enabled,
  GICXXPred_Simple_IsRule14Enabled,
  GICXXPred_Simple_IsRule15Enabled,
  GICXXPred_Simple_IsRule16Enabled,
  GICXXPred_Simple_IsRule17Enabled,
  GICXXPred_Simple_IsRule18Enabled,
  GICXXPred_Simple_IsRule19Enabled,
  GICXXPred_Simple_IsRule20Enabled,
  GICXXPred_Simple_IsRule21Enabled,
  GICXXPred_Simple_IsRule22Enabled,
  GICXXPred_Simple_IsRule23Enabled,
  GICXXPred_Simple_IsRule24Enabled,
  GICXXPred_Simple_IsRule25Enabled,
  GICXXPred_Simple_IsRule26Enabled,
  GICXXPred_Simple_IsRule27Enabled,
  GICXXPred_Simple_IsRule28Enabled,
  GICXXPred_Simple_IsRule29Enabled,
  GICXXPred_Simple_IsRule30Enabled,
  GICXXPred_Simple_IsRule31Enabled,
  GICXXPred_Simple_IsRule32Enabled,
  GICXXPred_Simple_IsRule33Enabled,
  GICXXPred_Simple_IsRule34Enabled,
  GICXXPred_Simple_IsRule35Enabled,
  GICXXPred_Simple_IsRule36Enabled,
  GICXXPred_Simple_IsRule37Enabled,
  GICXXPred_Simple_IsRule38Enabled,
  GICXXPred_Simple_IsRule39Enabled,
  GICXXPred_Simple_IsRule40Enabled,
  GICXXPred_Simple_IsRule41Enabled,
  GICXXPred_Simple_IsRule42Enabled,
  GICXXPred_Simple_IsRule43Enabled,
  GICXXPred_Simple_IsRule44Enabled,
  GICXXPred_Simple_IsRule45Enabled,
  GICXXPred_Simple_IsRule46Enabled,
  GICXXPred_Simple_IsRule47Enabled,
  GICXXPred_Simple_IsRule48Enabled,
  GICXXPred_Simple_IsRule49Enabled,
  GICXXPred_Simple_IsRule50Enabled,
  GICXXPred_Simple_IsRule51Enabled,
  GICXXPred_Simple_IsRule52Enabled,
  GICXXPred_Simple_IsRule53Enabled,
  GICXXPred_Simple_IsRule54Enabled,
  GICXXPred_Simple_IsRule55Enabled,
  GICXXPred_Simple_IsRule56Enabled,
  GICXXPred_Simple_IsRule57Enabled,
  GICXXPred_Simple_IsRule58Enabled,
  GICXXPred_Simple_IsRule59Enabled,
  GICXXPred_Simple_IsRule60Enabled,
  GICXXPred_Simple_IsRule61Enabled,
  GICXXPred_Simple_IsRule62Enabled,
  GICXXPred_Simple_IsRule63Enabled,
  GICXXPred_Simple_IsRule64Enabled,
  GICXXPred_Simple_IsRule65Enabled,
  GICXXPred_Simple_IsRule66Enabled,
  GICXXPred_Simple_IsRule67Enabled,
  GICXXPred_Simple_IsRule68Enabled,
  GICXXPred_Simple_IsRule69Enabled,
  GICXXPred_Simple_IsRule70Enabled,
  GICXXPred_Simple_IsRule71Enabled,
  GICXXPred_Simple_IsRule72Enabled,
  GICXXPred_Simple_IsRule73Enabled,
  GICXXPred_Simple_IsRule74Enabled,
  GICXXPred_Simple_IsRule75Enabled,
  GICXXPred_Simple_IsRule76Enabled,
  GICXXPred_Simple_IsRule77Enabled,
  GICXXPred_Simple_IsRule78Enabled,
  GICXXPred_Simple_IsRule79Enabled,
  GICXXPred_Simple_IsRule80Enabled,
  GICXXPred_Simple_IsRule81Enabled,
  GICXXPred_Simple_IsRule82Enabled,
  GICXXPred_Simple_IsRule83Enabled,
  GICXXPred_Simple_IsRule84Enabled,
  GICXXPred_Simple_IsRule85Enabled,
  GICXXPred_Simple_IsRule86Enabled,
  GICXXPred_Simple_IsRule87Enabled,
  GICXXPred_Simple_IsRule88Enabled,
  GICXXPred_Simple_IsRule89Enabled,
  GICXXPred_Simple_IsRule90Enabled,
  GICXXPred_Simple_IsRule91Enabled,
  GICXXPred_Simple_IsRule92Enabled,
  GICXXPred_Simple_IsRule93Enabled,
  GICXXPred_Simple_IsRule94Enabled,
  GICXXPred_Simple_IsRule95Enabled,
  GICXXPred_Simple_IsRule96Enabled,
  GICXXPred_Simple_IsRule97Enabled,
  GICXXPred_Simple_IsRule98Enabled,
  GICXXPred_Simple_IsRule99Enabled,
  GICXXPred_Simple_IsRule100Enabled,
  GICXXPred_Simple_IsRule101Enabled,
  GICXXPred_Simple_IsRule102Enabled,
  GICXXPred_Simple_IsRule103Enabled,
  GICXXPred_Simple_IsRule104Enabled,
  GICXXPred_Simple_IsRule105Enabled,
  GICXXPred_Simple_IsRule106Enabled,
  GICXXPred_Simple_IsRule107Enabled,
  GICXXPred_Simple_IsRule108Enabled,
  GICXXPred_Simple_IsRule109Enabled,
  GICXXPred_Simple_IsRule110Enabled,
  GICXXPred_Simple_IsRule111Enabled,
  GICXXPred_Simple_IsRule112Enabled,
  GICXXPred_Simple_IsRule113Enabled,
  GICXXPred_Simple_IsRule114Enabled,
  GICXXPred_Simple_IsRule115Enabled,
  GICXXPred_Simple_IsRule116Enabled,
  GICXXPred_Simple_IsRule117Enabled,
  GICXXPred_Simple_IsRule118Enabled,
  GICXXPred_Simple_IsRule119Enabled,
  GICXXPred_Simple_IsRule120Enabled,
  GICXXPred_Simple_IsRule121Enabled,
  GICXXPred_Simple_IsRule122Enabled,
  GICXXPred_Simple_IsRule123Enabled,
  GICXXPred_Simple_IsRule124Enabled,
  GICXXPred_Simple_IsRule125Enabled,
  GICXXPred_Simple_IsRule126Enabled,
  GICXXPred_Simple_IsRule127Enabled,
  GICXXPred_Simple_IsRule128Enabled,
  GICXXPred_Simple_IsRule129Enabled,
  GICXXPred_Simple_IsRule130Enabled,
  GICXXPred_Simple_IsRule131Enabled,
  GICXXPred_Simple_IsRule132Enabled,
  GICXXPred_Simple_IsRule133Enabled,
  GICXXPred_Simple_IsRule134Enabled,
  GICXXPred_Simple_IsRule135Enabled,
  GICXXPred_Simple_IsRule136Enabled,
  GICXXPred_Simple_IsRule137Enabled,
  GICXXPred_Simple_IsRule138Enabled,
  GICXXPred_Simple_IsRule139Enabled,
  GICXXPred_Simple_IsRule140Enabled,
  GICXXPred_Simple_IsRule141Enabled,
  GICXXPred_Simple_IsRule142Enabled,
  GICXXPred_Simple_IsRule143Enabled,
  GICXXPred_Simple_IsRule144Enabled,
  GICXXPred_Simple_IsRule145Enabled,
  GICXXPred_Simple_IsRule146Enabled,
  GICXXPred_Simple_IsRule147Enabled,
  GICXXPred_Simple_IsRule148Enabled,
  GICXXPred_Simple_IsRule149Enabled,
  GICXXPred_Simple_IsRule150Enabled,
  GICXXPred_Simple_IsRule151Enabled,
  GICXXPred_Simple_IsRule152Enabled,
  GICXXPred_Simple_IsRule153Enabled,
  GICXXPred_Simple_IsRule154Enabled,
  GICXXPred_Simple_IsRule155Enabled,
  GICXXPred_Simple_IsRule156Enabled,
  GICXXPred_Simple_IsRule157Enabled,
  GICXXPred_Simple_IsRule158Enabled,
  GICXXPred_Simple_IsRule159Enabled,
  GICXXPred_Simple_IsRule160Enabled,
  GICXXPred_Simple_IsRule161Enabled,
  GICXXPred_Simple_IsRule162Enabled,
  GICXXPred_Simple_IsRule163Enabled,
  GICXXPred_Simple_IsRule164Enabled,
  GICXXPred_Simple_IsRule165Enabled,
  GICXXPred_Simple_IsRule166Enabled,
  GICXXPred_Simple_IsRule167Enabled,
  GICXXPred_Simple_IsRule168Enabled,
  GICXXPred_Simple_IsRule169Enabled,
  GICXXPred_Simple_IsRule170Enabled,
  GICXXPred_Simple_IsRule171Enabled,
  GICXXPred_Simple_IsRule172Enabled,
  GICXXPred_Simple_IsRule173Enabled,
  GICXXPred_Simple_IsRule174Enabled,
  GICXXPred_Simple_IsRule175Enabled,
  GICXXPred_Simple_IsRule176Enabled,
  GICXXPred_Simple_IsRule177Enabled,
  GICXXPred_Simple_IsRule178Enabled,
  GICXXPred_Simple_IsRule179Enabled,
  GICXXPred_Simple_IsRule180Enabled,
  GICXXPred_Simple_IsRule181Enabled,
  GICXXPred_Simple_IsRule182Enabled,
  GICXXPred_Simple_IsRule183Enabled,
  GICXXPred_Simple_IsRule184Enabled,
  GICXXPred_Simple_IsRule185Enabled,
  GICXXPred_Simple_IsRule186Enabled,
  GICXXPred_Simple_IsRule187Enabled,
  GICXXPred_Simple_IsRule188Enabled,
  GICXXPred_Simple_IsRule189Enabled,
  GICXXPred_Simple_IsRule190Enabled,
  GICXXPred_Simple_IsRule191Enabled,
  GICXXPred_Simple_IsRule192Enabled,
  GICXXPred_Simple_IsRule193Enabled,
  GICXXPred_Simple_IsRule194Enabled,
  GICXXPred_Simple_IsRule195Enabled,
  GICXXPred_Simple_IsRule196Enabled,
  GICXXPred_Simple_IsRule197Enabled,
  GICXXPred_Simple_IsRule198Enabled,
  GICXXPred_Simple_IsRule199Enabled,
  GICXXPred_Simple_IsRule200Enabled,
  GICXXPred_Simple_IsRule201Enabled,
  GICXXPred_Simple_IsRule202Enabled,
  GICXXPred_Simple_IsRule203Enabled,
  GICXXPred_Simple_IsRule204Enabled,
  GICXXPred_Simple_IsRule205Enabled,
  GICXXPred_Simple_IsRule206Enabled,
  GICXXPred_Simple_IsRule207Enabled,
  GICXXPred_Simple_IsRule208Enabled,
  GICXXPred_Simple_IsRule209Enabled,
  GICXXPred_Simple_IsRule210Enabled,
  GICXXPred_Simple_IsRule211Enabled,
  GICXXPred_Simple_IsRule212Enabled,
  GICXXPred_Simple_IsRule213Enabled,
};

bool RISCVPreLegalizerCombinerImpl::testSimplePredicate(unsigned Predicate) const {
    return RuleConfig.isRuleEnabled(Predicate - GICXXPred_Invalid - 1);
}
// Custom renderers.
enum {
  GICR_Invalid,
};
RISCVPreLegalizerCombinerImpl::CustomRendererFn
RISCVPreLegalizerCombinerImpl::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool RISCVPreLegalizerCombinerImpl::tryCombineAll(MachineInstr &I) const {
  const TargetSubtargetInfo &ST = MF.getSubtarget();
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  B.setInstrAndDebugLoc(I);
  State.MIs.clear();
  State.MIs.push_back(&I);
  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), *ST.getInstrInfo(), MRI, *MRI.getTargetRegisterInfo(), *ST.getRegBankInfo(), AvailableFeatures, /*CoverageInfo*/ nullptr)) {
    return true;
  }

  return false;
}

enum {
  GICXXCustomAction_GICombiner0 = GICXXCustomAction_Invalid + 1,
  GICXXCustomAction_GICombiner1,
  GICXXCustomAction_GICombiner2,
  GICXXCustomAction_GICombiner3,
  GICXXCustomAction_GICombiner4,
  GICXXCustomAction_GICombiner5,
  GICXXCustomAction_GICombiner6,
  GICXXCustomAction_GICombiner7,
  GICXXCustomAction_GICombiner8,
  GICXXCustomAction_GICombiner9,
  GICXXCustomAction_GICombiner10,
  GICXXCustomAction_GICombiner11,
  GICXXCustomAction_GICombiner12,
  GICXXCustomAction_GICombiner13,
  GICXXCustomAction_GICombiner14,
  GICXXCustomAction_GICombiner15,
  GICXXCustomAction_GICombiner16,
  GICXXCustomAction_GICombiner17,
  GICXXCustomAction_GICombiner18,
  GICXXCustomAction_GICombiner19,
  GICXXCustomAction_GICombiner20,
  GICXXCustomAction_GICombiner21,
  GICXXCustomAction_GICombiner22,
  GICXXCustomAction_GICombiner23,
  GICXXCustomAction_GICombiner24,
  GICXXCustomAction_GICombiner25,
  GICXXCustomAction_GICombiner26,
  GICXXCustomAction_GICombiner27,
  GICXXCustomAction_GICombiner28,
  GICXXCustomAction_GICombiner29,
  GICXXCustomAction_GICombiner30,
  GICXXCustomAction_GICombiner31,
  GICXXCustomAction_GICombiner32,
  GICXXCustomAction_GICombiner33,
  GICXXCustomAction_GICombiner34,
  GICXXCustomAction_GICombiner35,
  GICXXCustomAction_GICombiner36,
  GICXXCustomAction_GICombiner37,
  GICXXCustomAction_GICombiner38,
  GICXXCustomAction_GICombiner39,
  GICXXCustomAction_GICombiner40,
  GICXXCustomAction_GICombiner41,
  GICXXCustomAction_GICombiner42,
  GICXXCustomAction_GICombiner43,
  GICXXCustomAction_GICombiner44,
  GICXXCustomAction_GICombiner45,
  GICXXCustomAction_GICombiner46,
  GICXXCustomAction_GICombiner47,
  GICXXCustomAction_GICombiner48,
  GICXXCustomAction_GICombiner49,
  GICXXCustomAction_GICombiner50,
  GICXXCustomAction_GICombiner51,
  GICXXCustomAction_GICombiner52,
  GICXXCustomAction_GICombiner53,
  GICXXCustomAction_GICombiner54,
  GICXXCustomAction_GICombiner55,
  GICXXCustomAction_GICombiner56,
  GICXXCustomAction_GICombiner57,
  GICXXCustomAction_GICombiner58,
  GICXXCustomAction_GICombiner59,
  GICXXCustomAction_GICombiner60,
  GICXXCustomAction_GICombiner61,
  GICXXCustomAction_GICombiner62,
  GICXXCustomAction_GICombiner63,
  GICXXCustomAction_GICombiner64,
  GICXXCustomAction_GICombiner65,
  GICXXCustomAction_GICombiner66,
  GICXXCustomAction_GICombiner67,
  GICXXCustomAction_GICombiner68,
  GICXXCustomAction_GICombiner69,
  GICXXCustomAction_GICombiner70,
  GICXXCustomAction_GICombiner71,
  GICXXCustomAction_GICombiner72,
  GICXXCustomAction_GICombiner73,
  GICXXCustomAction_GICombiner74,
  GICXXCustomAction_GICombiner75,
  GICXXCustomAction_GICombiner76,
  GICXXCustomAction_GICombiner77,
  GICXXCustomAction_GICombiner78,
  GICXXCustomAction_GICombiner79,
  GICXXCustomAction_GICombiner80,
  GICXXCustomAction_GICombiner81,
  GICXXCustomAction_GICombiner82,
  GICXXCustomAction_GICombiner83,
  GICXXCustomAction_GICombiner84,
  GICXXCustomAction_GICombiner85,
  GICXXCustomAction_GICombiner86,
  GICXXCustomAction_GICombiner87,
  GICXXCustomAction_GICombiner88,
  GICXXCustomAction_GICombiner89,
  GICXXCustomAction_GICombiner90,
  GICXXCustomAction_GICombiner91,
  GICXXCustomAction_GICombiner92,
  GICXXCustomAction_GICombiner93,
  GICXXCustomAction_GICombiner94,
  GICXXCustomAction_GICombiner95,
  GICXXCustomAction_GICombiner96,
  GICXXCustomAction_GICombiner97,
  GICXXCustomAction_GICombiner98,
  GICXXCustomAction_GICombiner99,
  GICXXCustomAction_GICombiner100,
  GICXXCustomAction_GICombiner101,
  GICXXCustomAction_GICombiner102,
  GICXXCustomAction_GICombiner103,
  GICXXCustomAction_GICombiner104,
  GICXXCustomAction_GICombiner105,
  GICXXCustomAction_GICombiner106,
  GICXXCustomAction_GICombiner107,
  GICXXCustomAction_GICombiner108,
  GICXXCustomAction_GICombiner109,
  GICXXCustomAction_GICombiner110,
  GICXXCustomAction_GICombiner111,
  GICXXCustomAction_GICombiner112,
  GICXXCustomAction_GICombiner113,
  GICXXCustomAction_GICombiner114,
  GICXXCustomAction_GICombiner115,
  GICXXCustomAction_GICombiner116,
  GICXXCustomAction_GICombiner117,
  GICXXCustomAction_GICombiner118,
  GICXXCustomAction_GICombiner119,
  GICXXCustomAction_GICombiner120,
  GICXXCustomAction_GICombiner121,
  GICXXCustomAction_GICombiner122,
  GICXXCustomAction_GICombiner123,
  GICXXCustomAction_GICombiner124,
  GICXXCustomAction_GICombiner125,
  GICXXCustomAction_GICombiner126,
  GICXXCustomAction_GICombiner127,
  GICXXCustomAction_GICombiner128,
  GICXXCustomAction_GICombiner129,
  GICXXCustomAction_GICombiner130,
  GICXXCustomAction_GICombiner131,
  GICXXCustomAction_GICombiner132,
  GICXXCustomAction_GICombiner133,
  GICXXCustomAction_GICombiner134,
  GICXXCustomAction_GICombiner135,
  GICXXCustomAction_GICombiner136,
  GICXXCustomAction_GICombiner137,
  GICXXCustomAction_GICombiner138,
  GICXXCustomAction_GICombiner139,
  GICXXCustomAction_GICombiner140,
  GICXXCustomAction_GICombiner141,
  GICXXCustomAction_GICombiner142,
  GICXXCustomAction_GICombiner143,
  GICXXCustomAction_GICombiner144,
  GICXXCustomAction_GICombiner145,
  GICXXCustomAction_GICombiner146,
  GICXXCustomAction_GICombiner147,
  GICXXCustomAction_GICombiner148,
  GICXXCustomAction_GICombiner149,
  GICXXCustomAction_GICombiner150,
};
bool RISCVPreLegalizerCombinerImpl::runCustomAction(unsigned ApplyID, const MatcherState &State, NewMIVector &OutMIs) const {
  Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
  switch(ApplyID) {
  case GICXXCustomAction_GICombiner0:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAPlusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner1:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC2MinusAPlusC1(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner2:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner3:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC1Minus2MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner4:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1PlusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner5:{
    // Match Patterns
    if(![&](){return Helper.matchCombineCopy(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineCopy(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner6:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner7:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineSubToAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner8:{
    std::pair<Register, bool> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner9:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElement(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner10:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchInsertVectorElementOOB(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner11:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithDifferentIndices(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner12:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner13:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVectorTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner14:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithShuffleVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner15:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner16:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner17:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShlOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner18:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner19:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return !isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI) && Helper.matchFreezeOfSingleMaybePoisonOperand(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner20:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncateOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner21:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner22:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantSextInReg(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner23:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfSelect(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner24:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfBuildVector(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner25:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinop(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner26:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfInteger(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner27:{
    SmallVector<Register, 4> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineInsertVecElts(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineInsertVecElts(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner28:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner29:{
    SmallVector<std::pair<Register, MachineInstr*>> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner30:{
    PreferredTuple GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner31:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineLoadWithAndMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner32:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtractedVectorLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner33:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner34:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner35:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], -1);
    return true;
  }
  case GICXXCustomAction_GICombiner36:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner37:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner38:{
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]->getOperand(0).getParent());
    return true;
  }
  case GICXXCustomAction_GICombiner39:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner40:{
    // Match Patterns
    if(![&](){return Helper.matchAllExplicitUsesAreUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner41:{
    // Match Patterns
    if(![&](){return Helper.matchUndefShuffleVectorMask(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner42:{
    // Match Patterns
    if(![&](){return Helper.matchUndefStore(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.eraseInst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner43:{
    // Match Patterns
    if(![&](){return Helper.matchInsertExtractVecEltOutOfBounds(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner44:{
    // Match Patterns
    if(![&](){return Helper.matchSelectSameVal(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 2);
    return true;
  }
  case GICXXCustomAction_GICombiner45:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsZero(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner46:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineI2PToP2I(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineI2PToP2I(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner47:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){GIMatchData_info = State.MIs[1]->getOperand(1).getReg(); return true;}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineP2IToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner48:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineAnyExtTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner49:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchBuildVectorIdentityFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner50:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner51:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncLshrBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner52:{
    // Match Patterns
    if(![&](){return MRI.getType(State.MIs[1]->getOperand(1).getReg()) == MRI.getType(State.MIs[0]->getOperand(0).getReg());}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], State.MIs[1]->getOperand(1).getReg());
    return true;
  }
  case GICXXCustomAction_GICombiner53:{
    MachineInstr* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner54:{
    std::tuple<Register, Register> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyAddToSub(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyAddToSub(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner55:{
    InstructionStepsMatchInfo GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchHoistLogicOpWithSameOpcodeHands(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildInstructionSteps(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner56:{
    std::optional<int64_t> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftsTooBig(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    if (GIMatchData_matchinfo) {
              Helper.replaceInstWithConstant(*State.MIs[0], *GIMatchData_matchinfo);
            } else {
              Helper.replaceInstWithUndef(*State.MIs[0]);
            }
    return true;
  }
  case GICXXCustomAction_GICombiner57:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocPtrAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner58:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocCommBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner59:{
    PtrAddChain GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner60:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeICmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner61:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeFCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner62:{
    int64_t GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchICmpToTrueFalseKnownBits(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner63:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchICmpToLHSKnownBits(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner64:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchRedundantBinOpInEquality(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner65:{
    std::tuple<Register, int64_t> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAshrShlToSextInreg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyAshShlToSextInreg(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner66:{
    std::tuple<Register, unsigned> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner67:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner68:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinopFeedingAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner69:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantSelectCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner70:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSelectIMinMax(State.MIs[0]->getOperand(0), GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner71:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSelect(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner72:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner73:{
    // Match Patterns
    if(![&](){return Helper.matchRedundantSExtInReg(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner74:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner75:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsKnownToBeAPowerOfTwo(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyURemByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner76:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineZextTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner77:{
    // Match Patterns
    if(![&](){unsigned BitWidth = MRI.getType(State.MIs[0]->getOperand(1).getReg()).getScalarSizeInBits();
                return Helper.getValueTracking()->maskedValueIsZero(State.MIs[0]->getOperand(1).getReg(),
                         APInt::getOneBitSet(BitWidth, State.MIs[0]->getOperand(2).getImm() - 1));}()) {
      return false;
    }
    // Apply Patterns
    Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
              Helper.getBuilder().buildZExtInReg(State.MIs[0]->getOperand(0), State.MIs[0]->getOperand(1), State.MIs[0]->getOperand(2).getImm());
              State.MIs[0]->eraseFromParent();
    return true;
  }
  case GICXXCustomAction_GICombiner78:{
    std::pair<MachineInstr*, LLT> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner79:{
    SmallVector<Register, 4> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchNotCmp(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyNotCmp(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner80:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner81:{
    // Apply Patterns
    Helper.applyCombineConstantFoldFpUnary(*State.MIs[0], State.MIs[1]->getOperand(1).getFPImm());
    return true;
  }
  case GICXXCustomAction_GICombiner82:{
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0]->getOperand(0).getParent(), 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner83:{
    APInt GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner84:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOverlappingAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner85:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner86:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy0(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner87:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddEToAddO(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner88:{
    unsigned GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFMinMaxNaN(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner89:{
    // Match Patterns
    if(![&](){return Helper.matchFPowIExpansion(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExpandFPowI(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());
    return true;
  }
  case GICXXCustomAction_GICombiner90:{
    std::pair<Register, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner91:{
    // Match Patterns
    if(![&](){return Helper.matchPtrAddZero(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddZero(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner92:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner93:{
    ShiftOfShiftedLogic GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner94:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchLoadOrCombine(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner95:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner96:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOrShiftToFunnelShift(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner97:{
    // Match Patterns
    if(![&](){return Helper.matchFunnelShiftToRotate(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftToRotate(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner98:{
    // Match Patterns
    if(![&](){return Helper.matchConstantLargerBitWidth(*State.MIs[0], 3);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftConstantModulo(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner99:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCommuteShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner100:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromSExtInReg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner101:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner102:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShr(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner103:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShrAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner104:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner105:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFPBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner106:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFMA(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner107:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldCastOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner108:{
    // Match Patterns
    if(![&](){return Helper.matchUDivByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner109:{
    // Match Patterns
    if(![&](){return Helper.matchSDivByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner110:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/true);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner111:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/false);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner112:{
    // Match Patterns
    if(![&](){return Helper.matchUMulHToLShr(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUMulHToLShr(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner113:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantNegOperands(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner114:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAndOrDisjointMask(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner115:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner116:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner117:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMAFMulToFMadOrFMA(*State.MIs[0],
                                                                     GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner118:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMAAggressive(
                                                          *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner119:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner120:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFNegFMulToFMadOrFMA(*State.MIs[0],
                                                                      GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner121:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner122:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFNegFMulToFMadOrFMA(
                                                    *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner123:{
    unsigned GIMatchData_select_op_no;
    // Match Patterns
    if(![&](){return Helper.matchFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);
    return true;
  }
  case GICXXCustomAction_GICombiner124:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubAddSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner125:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifySelectToMinMax(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner126:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner127:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner128:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteFPConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner129:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner130:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner131:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyNegMinMax(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner132:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner133:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner134:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchZextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner135:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNonNegZext(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner136:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner137:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleUndefRHS(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner138:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleDisjointMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner139:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner140:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUnmergeValuesAnyExtBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner141:{
    SmallVector<Register, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner142:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMergeUnmerge(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner143:{
    SmallVector<APInt, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner144:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeUndef(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner145:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner146:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeZExtToZExt(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeZExtToZExt(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner147:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndUndef(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner148:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndZero(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner149:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOverflow(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner150:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSuboCarryOut(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  }
  llvm_unreachable("Unknown Apply Action");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVPreLegalizerCombinerImpl::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*    0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(20), GIMT_Encode2(260), /*)*//*default:*//*Label 95*/ GIMT_Encode4(7003),
     /*   10 */ /*TargetOpcode::COPY*//*Label 0*/ GIMT_Encode4(970), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  142 */ /*TargetOpcode::G_ADD*//*Label 1*/ GIMT_Encode4(982),
     /*  146 */ /*TargetOpcode::G_SUB*//*Label 2*/ GIMT_Encode4(1539),
     /*  150 */ /*TargetOpcode::G_MUL*//*Label 3*/ GIMT_Encode4(1857),
     /*  154 */ /*TargetOpcode::G_SDIV*//*Label 4*/ GIMT_Encode4(2023),
     /*  158 */ /*TargetOpcode::G_UDIV*//*Label 5*/ GIMT_Encode4(2096),
     /*  162 */ /*TargetOpcode::G_SREM*//*Label 6*/ GIMT_Encode4(2180),
     /*  166 */ /*TargetOpcode::G_UREM*//*Label 7*/ GIMT_Encode4(2225), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  178 */ /*TargetOpcode::G_AND*//*Label 8*/ GIMT_Encode4(2292),
     /*  182 */ /*TargetOpcode::G_OR*//*Label 9*/ GIMT_Encode4(2573),
     /*  186 */ /*TargetOpcode::G_XOR*//*Label 10*/ GIMT_Encode4(2818), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  202 */ /*TargetOpcode::G_PHI*//*Label 11*/ GIMT_Encode4(2919), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  226 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 12*/ GIMT_Encode4(2931), GIMT_Encode4(0),
     /*  234 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 13*/ GIMT_Encode4(2998),
     /*  238 */ /*TargetOpcode::G_BUILD_VECTOR*//*Label 14*/ GIMT_Encode4(3072),
     /*  242 */ /*TargetOpcode::G_BUILD_VECTOR_TRUNC*//*Label 15*/ GIMT_Encode4(3120),
     /*  246 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 16*/ GIMT_Encode4(3132),
     /*  250 */ /*TargetOpcode::G_PTRTOINT*//*Label 17*/ GIMT_Encode4(3144),
     /*  254 */ /*TargetOpcode::G_INTTOPTR*//*Label 18*/ GIMT_Encode4(3187),
     /*  258 */ /*TargetOpcode::G_BITCAST*//*Label 19*/ GIMT_Encode4(3220),
     /*  262 */ /*TargetOpcode::G_FREEZE*//*Label 20*/ GIMT_Encode4(3263), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  302 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(3327),
     /*  306 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(3339),
     /*  310 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(3351), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  326 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(3363), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  454 */ /*TargetOpcode::G_ANYEXT*//*Label 25*/ GIMT_Encode4(3375),
     /*  458 */ /*TargetOpcode::G_TRUNC*//*Label 26*/ GIMT_Encode4(3503), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  478 */ /*TargetOpcode::G_SEXT*//*Label 27*/ GIMT_Encode4(3861),
     /*  482 */ /*TargetOpcode::G_SEXT_INREG*//*Label 28*/ GIMT_Encode4(3936),
     /*  486 */ /*TargetOpcode::G_ZEXT*//*Label 29*/ GIMT_Encode4(4002),
     /*  490 */ /*TargetOpcode::G_SHL*//*Label 30*/ GIMT_Encode4(4132),
     /*  494 */ /*TargetOpcode::G_LSHR*//*Label 31*/ GIMT_Encode4(4301),
     /*  498 */ /*TargetOpcode::G_ASHR*//*Label 32*/ GIMT_Encode4(4424),
     /*  502 */ /*TargetOpcode::G_FSHL*//*Label 33*/ GIMT_Encode4(4558),
     /*  506 */ /*TargetOpcode::G_FSHR*//*Label 34*/ GIMT_Encode4(4601),
     /*  510 */ /*TargetOpcode::G_ROTR*//*Label 35*/ GIMT_Encode4(4644),
     /*  514 */ /*TargetOpcode::G_ROTL*//*Label 36*/ GIMT_Encode4(4668),
     /*  518 */ /*TargetOpcode::G_ICMP*//*Label 37*/ GIMT_Encode4(4692),
     /*  522 */ /*TargetOpcode::G_FCMP*//*Label 38*/ GIMT_Encode4(4737), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  534 */ /*TargetOpcode::G_SELECT*//*Label 39*/ GIMT_Encode4(4749),
     /*  538 */ /*TargetOpcode::G_UADDO*//*Label 40*/ GIMT_Encode4(4844),
     /*  542 */ /*TargetOpcode::G_UADDE*//*Label 41*/ GIMT_Encode4(4867),
     /*  546 */ /*TargetOpcode::G_USUBO*//*Label 42*/ GIMT_Encode4(4879),
     /*  550 */ /*TargetOpcode::G_USUBE*//*Label 43*/ GIMT_Encode4(4891),
     /*  554 */ /*TargetOpcode::G_SADDO*//*Label 44*/ GIMT_Encode4(4903),
     /*  558 */ /*TargetOpcode::G_SADDE*//*Label 45*/ GIMT_Encode4(4926),
     /*  562 */ /*TargetOpcode::G_SSUBO*//*Label 46*/ GIMT_Encode4(4938),
     /*  566 */ /*TargetOpcode::G_SSUBE*//*Label 47*/ GIMT_Encode4(4950),
     /*  570 */ /*TargetOpcode::G_UMULO*//*Label 48*/ GIMT_Encode4(4962),
     /*  574 */ /*TargetOpcode::G_SMULO*//*Label 49*/ GIMT_Encode4(4996),
     /*  578 */ /*TargetOpcode::G_UMULH*//*Label 50*/ GIMT_Encode4(5030),
     /*  582 */ /*TargetOpcode::G_SMULH*//*Label 51*/ GIMT_Encode4(5053),
     /*  586 */ /*TargetOpcode::G_UADDSAT*//*Label 52*/ GIMT_Encode4(5065),
     /*  590 */ /*TargetOpcode::G_SADDSAT*//*Label 53*/ GIMT_Encode4(5077), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  602 */ /*TargetOpcode::G_USHLSAT*//*Label 54*/ GIMT_Encode4(5089),
     /*  606 */ /*TargetOpcode::G_SSHLSAT*//*Label 55*/ GIMT_Encode4(5112),
     /*  610 */ /*TargetOpcode::G_SMULFIX*//*Label 56*/ GIMT_Encode4(5135),
     /*  614 */ /*TargetOpcode::G_UMULFIX*//*Label 57*/ GIMT_Encode4(5147),
     /*  618 */ /*TargetOpcode::G_SMULFIXSAT*//*Label 58*/ GIMT_Encode4(5159),
     /*  622 */ /*TargetOpcode::G_UMULFIXSAT*//*Label 59*/ GIMT_Encode4(5171), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  642 */ /*TargetOpcode::G_FADD*//*Label 60*/ GIMT_Encode4(5183),
     /*  646 */ /*TargetOpcode::G_FSUB*//*Label 61*/ GIMT_Encode4(5295),
     /*  650 */ /*TargetOpcode::G_FMUL*//*Label 62*/ GIMT_Encode4(5384),
     /*  654 */ /*TargetOpcode::G_FMA*//*Label 63*/ GIMT_Encode4(5472),
     /*  658 */ /*TargetOpcode::G_FMAD*//*Label 64*/ GIMT_Encode4(5495),
     /*  662 */ /*TargetOpcode::G_FDIV*//*Label 65*/ GIMT_Encode4(5518),
     /*  666 */ /*TargetOpcode::G_FREM*//*Label 66*/ GIMT_Encode4(5552), GIMT_Encode4(0),
     /*  674 */ /*TargetOpcode::G_FPOWI*//*Label 67*/ GIMT_Encode4(5564), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  694 */ /*TargetOpcode::G_FLOG2*//*Label 68*/ GIMT_Encode4(5586), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  710 */ /*TargetOpcode::G_FNEG*//*Label 69*/ GIMT_Encode4(5608), GIMT_Encode4(0),
     /*  718 */ /*TargetOpcode::G_FPTRUNC*//*Label 70*/ GIMT_Encode4(5659),
     /*  722 */ /*TargetOpcode::G_FPTOSI*//*Label 71*/ GIMT_Encode4(5702),
     /*  726 */ /*TargetOpcode::G_FPTOUI*//*Label 72*/ GIMT_Encode4(5724),
     /*  730 */ /*TargetOpcode::G_SITOFP*//*Label 73*/ GIMT_Encode4(5746),
     /*  734 */ /*TargetOpcode::G_UITOFP*//*Label 74*/ GIMT_Encode4(5773), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  746 */ /*TargetOpcode::G_FABS*//*Label 75*/ GIMT_Encode4(5800), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  758 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 76*/ GIMT_Encode4(5879),
     /*  762 */ /*TargetOpcode::G_FMINNUM*//*Label 77*/ GIMT_Encode4(5909),
     /*  766 */ /*TargetOpcode::G_FMAXNUM*//*Label 78*/ GIMT_Encode4(5943),
     /*  770 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 79*/ GIMT_Encode4(5977),
     /*  774 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 80*/ GIMT_Encode4(5989),
     /*  778 */ /*TargetOpcode::G_FMINIMUM*//*Label 81*/ GIMT_Encode4(6001),
     /*  782 */ /*TargetOpcode::G_FMAXIMUM*//*Label 82*/ GIMT_Encode4(6035), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  810 */ /*TargetOpcode::G_PTR_ADD*//*Label 83*/ GIMT_Encode4(6069), GIMT_Encode4(0),
     /*  818 */ /*TargetOpcode::G_SMIN*//*Label 84*/ GIMT_Encode4(6159),
     /*  822 */ /*TargetOpcode::G_SMAX*//*Label 85*/ GIMT_Encode4(6193),
     /*  826 */ /*TargetOpcode::G_UMIN*//*Label 86*/ GIMT_Encode4(6227),
     /*  830 */ /*TargetOpcode::G_UMAX*//*Label 87*/ GIMT_Encode4(6261),
     /*  834 */ /*TargetOpcode::G_ABS*//*Label 88*/ GIMT_Encode4(6295), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  846 */ /*TargetOpcode::G_BR*//*Label 89*/ GIMT_Encode4(6307), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  866 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 90*/ GIMT_Encode4(6319),
     /*  870 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 91*/ GIMT_Encode4(6449),
     /*  874 */ /*TargetOpcode::G_SHUFFLE_VECTOR*//*Label 92*/ GIMT_Encode4(6826), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  914 */ /*TargetOpcode::G_BITREVERSE*//*Label 93*/ GIMT_Encode4(6892), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  966 */ /*TargetOpcode::G_FSQRT*//*Label 94*/ GIMT_Encode4(6981),
     /*  970 */ // Label 0: @970
     /*  970 */ GIM_Try, /*On fail goto*//*Label 96*/ GIMT_Encode4(981), // Rule ID 13 //
     /*  975 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule13Enabled),
     /*  978 */   // MIs[0] d
     /*  978 */   // No operand predicates
     /*  978 */   // MIs[0] s
     /*  978 */   // No operand predicates
     /*  978 */   // Combiner Rule #13: copy_prop
     /*  978 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner5),
     /*  981 */ // Label 96: @981
     /*  981 */ GIM_Reject,
     /*  982 */ // Label 1: @982
     /*  982 */ GIM_Try, /*On fail goto*//*Label 97*/ GIMT_Encode4(993), // Rule ID 16 //
     /*  987 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule16Enabled),
     /*  990 */   // Combiner Rule #16: add_p2i_to_ptradd; wip_match_opcode 'G_ADD'
     /*  990 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner8),
     /*  993 */ // Label 97: @993
     /*  993 */ GIM_Try, /*On fail goto*//*Label 98*/ GIMT_Encode4(1004), // Rule ID 94 //
     /*  998 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1001 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_ADD'
     /* 1001 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1004 */ // Label 98: @1004
     /* 1004 */ GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1015), // Rule ID 141 //
     /* 1009 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule103Enabled),
     /* 1012 */   // Combiner Rule #103: simplify_add_to_sub; wip_match_opcode 'G_ADD'
     /* 1012 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 1015 */ // Label 99: @1015
     /* 1015 */ GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1026), // Rule ID 231 //
     /* 1020 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1023 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_ADD'
     /* 1023 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1026 */ // Label 100: @1026
     /* 1026 */ GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(1037), // Rule ID 279 //
     /* 1031 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 1034 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_ADD'
     /* 1034 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 1037 */ // Label 101: @1037
     /* 1037 */ GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(1048), // Rule ID 308 //
     /* 1042 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 1045 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_ADD'
     /* 1045 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 1048 */ // Label 102: @1048
     /* 1048 */ GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(1082), // Rule ID 0 //
     /* 1053 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule0Enabled),
     /* 1056 */   // MIs[0] root
     /* 1056 */   // No operand predicates
     /* 1056 */   // MIs[0] sub
     /* 1056 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1060 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1064 */   // MIs[1] Operand 1
     /* 1064 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 1068 */   // MIs[1] A
     /* 1068 */   // No operand predicates
     /* 1068 */   // MIs[0] B
     /* 1068 */   // No operand predicates
     /* 1068 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1070 */   // Combiner Rule #0: ZeroMinusAPlusB
     /* 1070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1073 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1075 */   GIR_RootToRootCopy, /*OpIdx*/2, // B
     /* 1077 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // A
     /* 1081 */   GIR_EraseRootFromParent_Done,
     /* 1082 */ // Label 103: @1082
     /* 1082 */ GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(1119), // Rule ID 12 //
     /* 1087 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule12Enabled),
     /* 1090 */   // MIs[0] root
     /* 1090 */   // No operand predicates
     /* 1090 */   // MIs[0] sub
     /* 1090 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1094 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1098 */   // MIs[1] A
     /* 1098 */   // No operand predicates
     /* 1098 */   // MIs[1] c1
     /* 1098 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1102 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1106 */   // MIs[2] imm1
     /* 1106 */   // No operand predicates
     /* 1106 */   // MIs[0] c2
     /* 1106 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1110 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1114 */   // MIs[3] imm2
     /* 1114 */   // No operand predicates
     /* 1114 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1116 */   // Combiner Rule #12: AMinusC1PlusC2
     /* 1116 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner4),
     /* 1119 */ // Label 104: @1119
     /* 1119 */ GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(1153), // Rule ID 3 //
     /* 1124 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule3Enabled),
     /* 1127 */   // MIs[0] root
     /* 1127 */   // No operand predicates
     /* 1127 */   // MIs[0] sub
     /* 1127 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1135 */   // MIs[1] B
     /* 1135 */   // No operand predicates
     /* 1135 */   // MIs[1] A
     /* 1135 */   // No operand predicates
     /* 1135 */   // MIs[0] A
     /* 1135 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1140 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1145 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1147 */   // Combiner Rule #3: BMinusAPlusA
     /* 1147 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1152 */   GIR_EraseRootFromParent_Done,
     /* 1153 */ // Label 105: @1153
     /* 1153 */ GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(1187), // Rule ID 131 //
     /* 1158 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 1161 */   // MIs[0] dst
     /* 1161 */   // No operand predicates
     /* 1161 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 1161 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1165 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1169 */   // MIs[1] src
     /* 1169 */   // No operand predicates
     /* 1169 */   // MIs[1] __add_sub_reg_match_0.x
     /* 1169 */   // No operand predicates
     /* 1169 */   // MIs[0] __add_sub_reg_match_0.x
     /* 1169 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1174 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1179 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1181 */   // Combiner Rule #94: add_sub_reg @ [__add_sub_reg_match_0[1]]
     /* 1181 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1186 */   GIR_EraseRootFromParent_Done,
     /* 1187 */ // Label 106: @1187
     /* 1187 */ GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(1232), // Rule ID 5 //
     /* 1192 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule5Enabled),
     /* 1195 */   // MIs[0] root
     /* 1195 */   // No operand predicates
     /* 1195 */   // MIs[0] sub1
     /* 1195 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1199 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1203 */   // MIs[1] A
     /* 1203 */   // No operand predicates
     /* 1203 */   // MIs[1] B
     /* 1203 */   // No operand predicates
     /* 1203 */   // MIs[0] sub2
     /* 1203 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1207 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1211 */   // MIs[2] B
     /* 1211 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1216 */   // MIs[2] C
     /* 1216 */   // No operand predicates
     /* 1216 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1218 */   // Combiner Rule #5: AMinusBPlusBMinusC
     /* 1218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1221 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1223 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // A
     /* 1227 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 1231 */   GIR_EraseRootFromParent_Done,
     /* 1232 */ // Label 107: @1232
     /* 1232 */ GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(1277), // Rule ID 4 //
     /* 1237 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule4Enabled),
     /* 1240 */   // MIs[0] root
     /* 1240 */   // No operand predicates
     /* 1240 */   // MIs[0] sub1
     /* 1240 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1244 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1248 */   // MIs[1] A
     /* 1248 */   // No operand predicates
     /* 1248 */   // MIs[1] B
     /* 1248 */   // No operand predicates
     /* 1248 */   // MIs[0] sub2
     /* 1248 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1252 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1256 */   // MIs[2] C
     /* 1256 */   // No operand predicates
     /* 1256 */   // MIs[2] A
     /* 1256 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 1261 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1263 */   // Combiner Rule #4: AMinusBPlusCMinusA
     /* 1263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1266 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1268 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 1272 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 1276 */   GIR_EraseRootFromParent_Done,
     /* 1277 */ // Label 108: @1277
     /* 1277 */ GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(1312), // Rule ID 39 //
     /* 1282 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule37Enabled),
     /* 1285 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 1291 */   // MIs[0] root
     /* 1291 */   // No operand predicates
     /* 1291 */   // MIs[0] left
     /* 1291 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1295 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1299 */   // MIs[1] imm1
     /* 1299 */   // No operand predicates
     /* 1299 */   // MIs[0] right
     /* 1299 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1303 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1307 */   // MIs[2] imm2
     /* 1307 */   // No operand predicates
     /* 1307 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1309 */   // Combiner Rule #37: add_of_vscale
     /* 1309 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner15),
     /* 1312 */ // Label 109: @1312
     /* 1312 */ GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(1346), // Rule ID 1 //
     /* 1317 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule1Enabled),
     /* 1320 */   // MIs[0] root
     /* 1320 */   // No operand predicates
     /* 1320 */   // MIs[0] A
     /* 1320 */   // No operand predicates
     /* 1320 */   // MIs[0] sub
     /* 1320 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1324 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1328 */   // MIs[1] Operand 1
     /* 1328 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 1332 */   // MIs[1] B
     /* 1332 */   // No operand predicates
     /* 1332 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334 */   // Combiner Rule #1: APlusZeroMinusB
     /* 1334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1337 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1339 */   GIR_RootToRootCopy, /*OpIdx*/1, // A
     /* 1341 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 1345 */   GIR_EraseRootFromParent_Done,
     /* 1346 */ // Label 110: @1346
     /* 1346 */ GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(1380), // Rule ID 2 //
     /* 1351 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule2Enabled),
     /* 1354 */   // MIs[0] root
     /* 1354 */   // No operand predicates
     /* 1354 */   // MIs[0] A
     /* 1354 */   // No operand predicates
     /* 1354 */   // MIs[0] sub
     /* 1354 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1358 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1362 */   // MIs[1] B
     /* 1362 */   // No operand predicates
     /* 1362 */   // MIs[1] A
     /* 1362 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1367 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1372 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374 */   // Combiner Rule #2: APlusBMinusB
     /* 1374 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1379 */   GIR_EraseRootFromParent_Done,
     /* 1380 */ // Label 111: @1380
     /* 1380 */ GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(1414), // Rule ID 130 //
     /* 1385 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 1388 */   // MIs[0] dst
     /* 1388 */   // No operand predicates
     /* 1388 */   // MIs[0] __add_sub_reg_match_0.x
     /* 1388 */   // No operand predicates
     /* 1388 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 1388 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1392 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1396 */   // MIs[1] src
     /* 1396 */   // No operand predicates
     /* 1396 */   // MIs[1] __add_sub_reg_match_0.x
     /* 1396 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1401 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1406 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408 */   // Combiner Rule #94: add_sub_reg @ [__add_sub_reg_match_0[0]]
     /* 1408 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1413 */   GIR_EraseRootFromParent_Done,
     /* 1414 */ // Label 112: @1414
     /* 1414 */ GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(1459), // Rule ID 6 //
     /* 1419 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule6Enabled),
     /* 1422 */   // MIs[0] root
     /* 1422 */   // No operand predicates
     /* 1422 */   // MIs[0] A
     /* 1422 */   // No operand predicates
     /* 1422 */   // MIs[0] sub1
     /* 1422 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1426 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1430 */   // MIs[1] B
     /* 1430 */   // No operand predicates
     /* 1430 */   // MIs[1] add1
     /* 1430 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1434 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1438 */   // MIs[2] A
     /* 1438 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1443 */   // MIs[2] C
     /* 1443 */   // No operand predicates
     /* 1443 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1445 */   // Combiner Rule #6: APlusBMinusAplusC
     /* 1445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1448 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1450 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 1454 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 1458 */   GIR_EraseRootFromParent_Done,
     /* 1459 */ // Label 113: @1459
     /* 1459 */ GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(1504), // Rule ID 7 //
     /* 1464 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule7Enabled),
     /* 1467 */   // MIs[0] root
     /* 1467 */   // No operand predicates
     /* 1467 */   // MIs[0] A
     /* 1467 */   // No operand predicates
     /* 1467 */   // MIs[0] sub1
     /* 1467 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1471 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1475 */   // MIs[1] B
     /* 1475 */   // No operand predicates
     /* 1475 */   // MIs[1] add1
     /* 1475 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1479 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1483 */   // MIs[2] C
     /* 1483 */   // No operand predicates
     /* 1483 */   // MIs[2] A
     /* 1483 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1488 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1490 */   // Combiner Rule #7: APlusBMinusCPlusA
     /* 1490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1493 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1495 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 1499 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 1503 */   GIR_EraseRootFromParent_Done,
     /* 1504 */ // Label 114: @1504
     /* 1504 */ GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(1527), // Rule ID 105 //
     /* 1509 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 1512 */   // MIs[0] dst
     /* 1512 */   // No operand predicates
     /* 1512 */   // MIs[0] lhs
     /* 1512 */   // No operand predicates
     /* 1512 */   // MIs[0] Operand 2
     /* 1512 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1516 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1521 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[1]]
     /* 1521 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1526 */   GIR_EraseRootFromParent_Done,
     /* 1527 */ // Label 115: @1527
     /* 1527 */ GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(1538), // Rule ID 149 //
     /* 1532 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule107Enabled),
     /* 1535 */   // MIs[0] root
     /* 1535 */   // No operand predicates
     /* 1535 */   // MIs[0] src1
     /* 1535 */   // No operand predicates
     /* 1535 */   // MIs[0] src2
     /* 1535 */   // No operand predicates
     /* 1535 */   // Combiner Rule #107: reassoc_comm_binops
     /* 1535 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 1538 */ // Label 116: @1538
     /* 1538 */ GIM_Reject,
     /* 1539 */ // Label 2: @1539
     /* 1539 */ GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(1550), // Rule ID 95 //
     /* 1544 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1547 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_SUB'
     /* 1547 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1550 */ // Label 117: @1550
     /* 1550 */ GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(1561), // Rule ID 239 //
     /* 1555 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1558 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SUB'
     /* 1558 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1561 */ // Label 118: @1561
     /* 1561 */ GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(1572), // Rule ID 280 //
     /* 1566 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 1569 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SUB'
     /* 1569 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 1572 */ // Label 119: @1572
     /* 1572 */ GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(1583), // Rule ID 305 //
     /* 1577 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule187Enabled),
     /* 1580 */   // Combiner Rule #187: sub_add_reg; wip_match_opcode 'G_SUB'
     /* 1580 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner124),
     /* 1583 */ // Label 120: @1583
     /* 1583 */ GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(1594), // Rule ID 339 //
     /* 1588 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule194Enabled),
     /* 1591 */   // Combiner Rule #194: simplify_neg_minmax; wip_match_opcode 'G_SUB'
     /* 1591 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner131),
     /* 1594 */ // Label 121: @1594
     /* 1594 */ GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(1631), // Rule ID 8 //
     /* 1599 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule8Enabled),
     /* 1602 */   // MIs[0] root
     /* 1602 */   // No operand predicates
     /* 1602 */   // MIs[0] add
     /* 1602 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1610 */   // MIs[1] A
     /* 1610 */   // No operand predicates
     /* 1610 */   // MIs[1] c1
     /* 1610 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1614 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1618 */   // MIs[2] imm1
     /* 1618 */   // No operand predicates
     /* 1618 */   // MIs[0] c2
     /* 1618 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1622 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1626 */   // MIs[3] imm2
     /* 1626 */   // No operand predicates
     /* 1626 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1628 */   // Combiner Rule #8: APlusC1MinusC2
     /* 1628 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner0),
     /* 1631 */ // Label 122: @1631
     /* 1631 */ GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(1668), // Rule ID 11 //
     /* 1636 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule11Enabled),
     /* 1639 */   // MIs[0] root
     /* 1639 */   // No operand predicates
     /* 1639 */   // MIs[0] sub1
     /* 1639 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1643 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1647 */   // MIs[1] c1
     /* 1647 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 1651 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1655 */   // MIs[2] imm1
     /* 1655 */   // No operand predicates
     /* 1655 */   // MIs[1] A
     /* 1655 */   // No operand predicates
     /* 1655 */   // MIs[0] c2
     /* 1655 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1659 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1663 */   // MIs[3] imm2
     /* 1663 */   // No operand predicates
     /* 1663 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1665 */   // Combiner Rule #11: C1Minus2MinusC2
     /* 1665 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner3),
     /* 1668 */ // Label 123: @1668
     /* 1668 */ GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(1705), // Rule ID 10 //
     /* 1673 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule10Enabled),
     /* 1676 */   // MIs[0] root
     /* 1676 */   // No operand predicates
     /* 1676 */   // MIs[0] sub1
     /* 1676 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1684 */   // MIs[1] A
     /* 1684 */   // No operand predicates
     /* 1684 */   // MIs[1] c1
     /* 1684 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1688 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1692 */   // MIs[2] imm1
     /* 1692 */   // No operand predicates
     /* 1692 */   // MIs[0] c2
     /* 1692 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1696 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1700 */   // MIs[3] imm2
     /* 1700 */   // No operand predicates
     /* 1700 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1702 */   // Combiner Rule #10: AMinusC1MinusC2
     /* 1702 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 1705 */ // Label 124: @1705
     /* 1705 */ GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(1748), // Rule ID 159 //
     /* 1710 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule117Enabled),
     /* 1713 */   // MIs[0] dst
     /* 1713 */   // No operand predicates
     /* 1713 */   // MIs[0] Operand 1
     /* 1713 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 1717 */   // MIs[0] and
     /* 1717 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1721 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 1725 */   // MIs[1] x
     /* 1725 */   // No operand predicates
     /* 1725 */   // MIs[1] Operand 2
     /* 1725 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 1729 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner7),
     /* 1733 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1735 */   // Combiner Rule #117: neg_and_one_to_sext_inreg
     /* 1735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 1738 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 1740 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // x
     /* 1744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1747 */   GIR_EraseRootFromParent_Done,
     /* 1748 */ // Label 125: @1748
     /* 1748 */ GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(1785), // Rule ID 9 //
     /* 1753 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule9Enabled),
     /* 1756 */   // MIs[0] root
     /* 1756 */   // No operand predicates
     /* 1756 */   // MIs[0] c2
     /* 1756 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1760 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1764 */   // MIs[1] imm2
     /* 1764 */   // No operand predicates
     /* 1764 */   // MIs[0] add
     /* 1764 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1768 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1772 */   // MIs[2] A
     /* 1772 */   // No operand predicates
     /* 1772 */   // MIs[2] c1
     /* 1772 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 1776 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1780 */   // MIs[3] imm1
     /* 1780 */   // No operand predicates
     /* 1780 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1782 */   // Combiner Rule #9: C2MinusAPlusC1
     /* 1782 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner1),
     /* 1785 */ // Label 126: @1785
     /* 1785 */ GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(1812), // Rule ID 42 //
     /* 1790 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule40Enabled),
     /* 1793 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 1799 */   // MIs[0] root
     /* 1799 */   // No operand predicates
     /* 1799 */   // MIs[0] x
     /* 1799 */   // No operand predicates
     /* 1799 */   // MIs[0] right
     /* 1799 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1803 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1807 */   // MIs[1] imm
     /* 1807 */   // No operand predicates
     /* 1807 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1809 */   // Combiner Rule #40: sub_of_vscale
     /* 1809 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner18),
     /* 1812 */ // Label 127: @1812
     /* 1812 */ GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(1835), // Rule ID 104 //
     /* 1817 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 1820 */   // MIs[0] dst
     /* 1820 */   // No operand predicates
     /* 1820 */   // MIs[0] lhs
     /* 1820 */   // No operand predicates
     /* 1820 */   // MIs[0] Operand 2
     /* 1820 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1824 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1829 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[0]]
     /* 1829 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1834 */   GIR_EraseRootFromParent_Done,
     /* 1835 */ // Label 128: @1835
     /* 1835 */ GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(1856), // Rule ID 15 //
     /* 1840 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule15Enabled),
     /* 1843 */   // MIs[0] d
     /* 1843 */   // No operand predicates
     /* 1843 */   // MIs[0] op1
     /* 1843 */   // No operand predicates
     /* 1843 */   // MIs[0] c
     /* 1843 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1847 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1851 */   // MIs[1] imm
     /* 1851 */   // No operand predicates
     /* 1851 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1853 */   // Combiner Rule #15: sub_to_add
     /* 1853 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner7),
     /* 1856 */ // Label 129: @1856
     /* 1856 */ GIM_Reject,
     /* 1857 */ // Label 3: @1857
     /* 1857 */ GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(1868), // Rule ID 78 //
     /* 1862 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 1865 */   // Combiner Rule #72: undef_to_int_zero; wip_match_opcode 'G_MUL'
     /* 1865 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 1868 */ // Label 130: @1868
     /* 1868 */ GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(1879), // Rule ID 236 //
     /* 1873 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1876 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_MUL'
     /* 1876 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1879 */ // Label 131: @1879
     /* 1879 */ GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(1890), // Rule ID 309 //
     /* 1884 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 1887 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_MUL'
     /* 1887 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 1890 */ // Label 132: @1890
     /* 1890 */ GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(1930), // Rule ID 17 //
     /* 1895 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 1898 */   // MIs[0] dst
     /* 1898 */   GIM_RecordRegType, /*MI*/0, /*Op*/0, /*TempTypeIdx*/uint8_t(-1),
     /* 1902 */   // MIs[0] x
     /* 1902 */   // No operand predicates
     /* 1902 */   // MIs[0] Operand 2
     /* 1902 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /* 1906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 1909 */   GIR_BuildConstant, /*TempRegID*/0, /*Val*/GIMT_Encode8(0),
     /* 1919 */   // Combiner Rule #17: mul_by_neg_one
     /* 1919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1922 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 1924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 1927 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 1929 */   GIR_EraseRootFromParent_Done,
     /* 1930 */ // Label 133: @1930
     /* 1930 */ GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(1965), // Rule ID 40 //
     /* 1935 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule38Enabled),
     /* 1938 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 1944 */   // MIs[0] root
     /* 1944 */   // No operand predicates
     /* 1944 */   // MIs[0] left
     /* 1944 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1948 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1952 */   // MIs[1] scale
     /* 1952 */   // No operand predicates
     /* 1952 */   // MIs[0] x
     /* 1952 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1956 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1960 */   // MIs[2] imm1
     /* 1960 */   // No operand predicates
     /* 1960 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1962 */   // Combiner Rule #38: mul_of_vscale
     /* 1962 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner16),
     /* 1965 */ // Label 134: @1965
     /* 1965 */ GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(1988), // Rule ID 123 //
     /* 1970 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 1973 */   // MIs[0] dst
     /* 1973 */   // No operand predicates
     /* 1973 */   // MIs[0] lhs
     /* 1973 */   // No operand predicates
     /* 1973 */   // MIs[0] zero
     /* 1973 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1977 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 1982 */   // Combiner Rule #87: binop_right_to_zero
     /* 1982 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 1987 */   GIR_EraseRootFromParent_Done,
     /* 1988 */ // Label 135: @1988
     /* 1988 */ GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(2011), // Rule ID 128 //
     /* 1993 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule92Enabled),
     /* 1996 */   // MIs[0] dst
     /* 1996 */   // No operand predicates
     /* 1996 */   // MIs[0] x
     /* 1996 */   // No operand predicates
     /* 1996 */   // MIs[0] Operand 2
     /* 1996 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 2000 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2005 */   // Combiner Rule #92: right_identity_one_int
     /* 2005 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2010 */   GIR_EraseRootFromParent_Done,
     /* 2011 */ // Label 136: @2011
     /* 2011 */ GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(2022), // Rule ID 14 //
     /* 2016 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule14Enabled),
     /* 2019 */   // MIs[0] d
     /* 2019 */   // No operand predicates
     /* 2019 */   // MIs[0] op1
     /* 2019 */   // No operand predicates
     /* 2019 */   // MIs[0] op2
     /* 2019 */   // No operand predicates
     /* 2019 */   // Combiner Rule #14: mul_to_shl
     /* 2019 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner6),
     /* 2022 */ // Label 137: @2022
     /* 2022 */ GIM_Reject,
     /* 2023 */ // Label 4: @2023
     /* 2023 */ GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(2034), // Rule ID 119 //
     /* 2028 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2031 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SDIV'
     /* 2031 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2034 */ // Label 138: @2034
     /* 2034 */ GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(2045), // Rule ID 211 //
     /* 2039 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2042 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_SDIV'
     /* 2042 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2045 */ // Label 139: @2045
     /* 2045 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(2056), // Rule ID 242 //
     /* 2050 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2053 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SDIV'
     /* 2053 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2056 */ // Label 140: @2056
     /* 2056 */ GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(2067), // Rule ID 260 //
     /* 2061 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule172Enabled),
     /* 2064 */   // Combiner Rule #172: sdiv_by_const; wip_match_opcode 'G_SDIV'
     /* 2064 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner109),
     /* 2067 */ // Label 141: @2067
     /* 2067 */ GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(2078), // Rule ID 285 //
     /* 2072 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2075 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SDIV'
     /* 2075 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2078 */ // Label 142: @2078
     /* 2078 */ GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(2095), // Rule ID 261 //
     /* 2083 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule173Enabled),
     /* 2086 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 2092 */   // MIs[0] dst
     /* 2092 */   // No operand predicates
     /* 2092 */   // MIs[0] x
     /* 2092 */   // No operand predicates
     /* 2092 */   // MIs[0] y
     /* 2092 */   // No operand predicates
     /* 2092 */   // Combiner Rule #173: sdiv_by_pow2
     /* 2092 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner110),
     /* 2095 */ // Label 143: @2095
     /* 2095 */ GIM_Reject,
     /* 2096 */ // Label 5: @2096
     /* 2096 */ GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(2107), // Rule ID 81 //
     /* 2101 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 2104 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_UDIV'
     /* 2104 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 2107 */ // Label 144: @2107
     /* 2107 */ GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(2118), // Rule ID 120 //
     /* 2112 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2115 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_UDIV'
     /* 2115 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2118 */ // Label 145: @2118
     /* 2118 */ GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(2129), // Rule ID 212 //
     /* 2123 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2126 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_UDIV'
     /* 2126 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2129 */ // Label 146: @2129
     /* 2129 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2140), // Rule ID 241 //
     /* 2134 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2137 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UDIV'
     /* 2137 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2140 */ // Label 147: @2140
     /* 2140 */ GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(2151), // Rule ID 259 //
     /* 2145 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule171Enabled),
     /* 2148 */   // Combiner Rule #171: udiv_by_const; wip_match_opcode 'G_UDIV'
     /* 2148 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner108),
     /* 2151 */ // Label 148: @2151
     /* 2151 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2162), // Rule ID 287 //
     /* 2156 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2159 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UDIV'
     /* 2159 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2162 */ // Label 149: @2162
     /* 2162 */ GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(2179), // Rule ID 262 //
     /* 2167 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 2170 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 2176 */   // MIs[0] dst
     /* 2176 */   // No operand predicates
     /* 2176 */   // MIs[0] x
     /* 2176 */   // No operand predicates
     /* 2176 */   // MIs[0] y
     /* 2176 */   // No operand predicates
     /* 2176 */   // Combiner Rule #174: udiv_by_pow2
     /* 2176 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner111),
     /* 2179 */ // Label 150: @2179
     /* 2179 */ GIM_Reject,
     /* 2180 */ // Label 6: @2180
     /* 2180 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(2191), // Rule ID 121 //
     /* 2185 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2188 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SREM'
     /* 2188 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2191 */ // Label 151: @2191
     /* 2191 */ GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(2202), // Rule ID 213 //
     /* 2196 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2199 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_SREM'
     /* 2199 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2202 */ // Label 152: @2202
     /* 2202 */ GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(2213), // Rule ID 244 //
     /* 2207 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2210 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SREM'
     /* 2210 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2213 */ // Label 153: @2213
     /* 2213 */ GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(2224), // Rule ID 286 //
     /* 2218 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2221 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SREM'
     /* 2221 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2224 */ // Label 154: @2224
     /* 2224 */ GIM_Reject,
     /* 2225 */ // Label 7: @2225
     /* 2225 */ GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(2236), // Rule ID 82 //
     /* 2230 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 2233 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_UREM'
     /* 2233 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 2236 */ // Label 155: @2236
     /* 2236 */ GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(2247), // Rule ID 122 //
     /* 2241 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2244 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_UREM'
     /* 2244 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2247 */ // Label 156: @2247
     /* 2247 */ GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(2258), // Rule ID 170 //
     /* 2252 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule128Enabled),
     /* 2255 */   // Combiner Rule #128: urem_pow2_to_mask; wip_match_opcode 'G_UREM'
     /* 2255 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner75),
     /* 2258 */ // Label 157: @2258
     /* 2258 */ GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(2269), // Rule ID 214 //
     /* 2263 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2266 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_UREM'
     /* 2266 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2269 */ // Label 158: @2269
     /* 2269 */ GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(2280), // Rule ID 243 //
     /* 2274 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2277 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UREM'
     /* 2277 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2280 */ // Label 159: @2280
     /* 2280 */ GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(2291), // Rule ID 288 //
     /* 2285 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2288 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UREM'
     /* 2288 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2291 */ // Label 160: @2291
     /* 2291 */ GIM_Reject,
     /* 2292 */ // Label 8: @2292
     /* 2292 */ GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(2303), // Rule ID 73 //
     /* 2297 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule69Enabled),
     /* 2300 */   // Combiner Rule #69: load_and_mask; wip_match_opcode 'G_AND'
     /* 2300 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner31),
     /* 2303 */ // Label 161: @2303
     /* 2303 */ GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2314), // Rule ID 77 //
     /* 2308 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 2311 */   // Combiner Rule #72: undef_to_int_zero; wip_match_opcode 'G_AND'
     /* 2311 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 2314 */ // Label 162: @2314
     /* 2314 */ GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2325), // Rule ID 142 //
     /* 2319 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2322 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_AND'
     /* 2322 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2325 */ // Label 163: @2325
     /* 2325 */ GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2336), // Rule ID 162 //
     /* 2330 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule120Enabled),
     /* 2333 */   // Combiner Rule #120: narrow_binop_feeding_and; wip_match_opcode 'G_AND'
     /* 2333 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 2336 */ // Label 164: @2336
     /* 2336 */ GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2347), // Rule ID 167 //
     /* 2341 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule125Enabled),
     /* 2344 */   // Combiner Rule #125: redundant_and; wip_match_opcode 'G_AND'
     /* 2344 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner72),
     /* 2347 */ // Label 165: @2347
     /* 2347 */ GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2358), // Rule ID 184 //
     /* 2352 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule142Enabled),
     /* 2355 */   // Combiner Rule #142: overlapping_and; wip_match_opcode 'G_AND'
     /* 2355 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner84),
     /* 2358 */ // Label 166: @2358
     /* 2358 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2369), // Rule ID 233 //
     /* 2363 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2366 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_AND'
     /* 2366 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2369 */ // Label 167: @2369
     /* 2369 */ GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2380), // Rule ID 270 //
     /* 2374 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule177Enabled),
     /* 2377 */   // Combiner Rule #177: and_or_disjoint_mask; wip_match_opcode 'G_AND'
     /* 2377 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner114),
     /* 2380 */ // Label 168: @2380
     /* 2380 */ GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2391), // Rule ID 282 //
     /* 2385 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2388 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_AND'
     /* 2388 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2391 */ // Label 169: @2391
     /* 2391 */ GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2402), // Rule ID 310 //
     /* 2396 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 2399 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_AND'
     /* 2399 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2402 */ // Label 170: @2402
     /* 2402 */ GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2413), // Rule ID 337 //
     /* 2407 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 2410 */   // Combiner Rule #192: match_ands; wip_match_opcode 'G_AND'
     /* 2410 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner129),
     /* 2413 */ // Label 171: @2413
     /* 2413 */ GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2511), // Rule ID 155 //
     /* 2418 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule113Enabled),
     /* 2421 */   // MIs[0] root
     /* 2421 */   // No operand predicates
     /* 2421 */   // MIs[0] d1
     /* 2421 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2425 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2429 */   // MIs[1] p
     /* 2429 */   // No operand predicates
     /* 2429 */   // MIs[1] s1
     /* 2429 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 2433 */   // MIs[1] Operand 3
     /* 2433 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 2437 */   // MIs[0] d2
     /* 2437 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2441 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2445 */   // MIs[2] p
     /* 2445 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 2450 */   // MIs[2] s2
     /* 2450 */   // No operand predicates
     /* 2450 */   // MIs[2] Operand 3
     /* 2450 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 2454 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner5),
     /* 2458 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2460 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 2463 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 2473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 2476 */   // Combiner Rule #113: double_icmp_zero_and_combine
     /* 2476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 2479 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2484 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 2488 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 2492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2496 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 2500 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 2504 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 2507 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2510 */   GIR_EraseRootFromParent_Done,
     /* 2511 */ // Label 172: @2511
     /* 2511 */ GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2548), // Rule ID 226 //
     /* 2516 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule163Enabled),
     /* 2519 */   // MIs[0] root
     /* 2519 */   // No operand predicates
     /* 2519 */   // MIs[0] shift
     /* 2519 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2523 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 2527 */   // MIs[1] x
     /* 2527 */   // No operand predicates
     /* 2527 */   // MIs[1] lsb
     /* 2527 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 2531 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2535 */   // MIs[2] imm1
     /* 2535 */   // No operand predicates
     /* 2535 */   // MIs[0] mask
     /* 2535 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 2539 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2543 */   // MIs[3] imm2
     /* 2543 */   // No operand predicates
     /* 2543 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2545 */   // Combiner Rule #163: bitfield_extract_from_and
     /* 2545 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner101),
     /* 2548 */ // Label 173: @2548
     /* 2548 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2572), // Rule ID 114 //
     /* 2553 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 2556 */   // MIs[0] dst
     /* 2556 */   // No operand predicates
     /* 2556 */   // MIs[0] src
     /* 2556 */   // No operand predicates
     /* 2556 */   // MIs[0] src
     /* 2556 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 2561 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2566 */   // Combiner Rule #85: binop_same_val @ [__binop_same_val_match_0[0]]
     /* 2566 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2571 */   GIR_EraseRootFromParent_Done,
     /* 2572 */ // Label 174: @2572
     /* 2572 */ GIM_Reject,
     /* 2573 */ // Label 9: @2573
     /* 2573 */ GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2584), // Rule ID 79 //
     /* 2578 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 2581 */   // Combiner Rule #73: undef_to_negative_one; wip_match_opcode 'G_OR'
     /* 2581 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 2584 */ // Label 175: @2584
     /* 2584 */ GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2595), // Rule ID 143 //
     /* 2589 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2592 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_OR'
     /* 2592 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2595 */ // Label 176: @2595
     /* 2595 */ GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2606), // Rule ID 169 //
     /* 2600 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule127Enabled),
     /* 2603 */   // Combiner Rule #127: redundant_or; wip_match_opcode 'G_OR'
     /* 2603 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner74),
     /* 2606 */ // Label 177: @2606
     /* 2606 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2617), // Rule ID 210 //
     /* 2611 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule152Enabled),
     /* 2614 */   // Combiner Rule #152: load_or_combine; wip_match_opcode 'G_OR'
     /* 2614 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner94),
     /* 2617 */ // Label 178: @2617
     /* 2617 */ GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2628), // Rule ID 215 //
     /* 2622 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule154Enabled),
     /* 2625 */   // Combiner Rule #154: funnel_shift_from_or_shift; wip_match_opcode 'G_OR'
     /* 2625 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner96),
     /* 2628 */ // Label 179: @2628
     /* 2628 */ GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2639), // Rule ID 237 //
     /* 2633 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2636 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_OR'
     /* 2636 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2639 */ // Label 180: @2639
     /* 2639 */ GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2650), // Rule ID 283 //
     /* 2644 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2647 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_OR'
     /* 2647 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2650 */ // Label 181: @2650
     /* 2650 */ GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(2661), // Rule ID 311 //
     /* 2655 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 2658 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_OR'
     /* 2658 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2661 */ // Label 182: @2661
     /* 2661 */ GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(2672), // Rule ID 338 //
     /* 2666 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule193Enabled),
     /* 2669 */   // Combiner Rule #193: match_ors; wip_match_opcode 'G_OR'
     /* 2669 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner130),
     /* 2672 */ // Label 183: @2672
     /* 2672 */ GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(2770), // Rule ID 156 //
     /* 2677 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule114Enabled),
     /* 2680 */   // MIs[0] root
     /* 2680 */   // No operand predicates
     /* 2680 */   // MIs[0] d1
     /* 2680 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2684 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2688 */   // MIs[1] p
     /* 2688 */   // No operand predicates
     /* 2688 */   // MIs[1] s1
     /* 2688 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 2692 */   // MIs[1] Operand 3
     /* 2692 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 2696 */   // MIs[0] d2
     /* 2696 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2700 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2704 */   // MIs[2] p
     /* 2704 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 2709 */   // MIs[2] s2
     /* 2709 */   // No operand predicates
     /* 2709 */   // MIs[2] Operand 3
     /* 2709 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 2713 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner6),
     /* 2717 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2719 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 2722 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 2732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 2735 */   // Combiner Rule #114: double_icmp_zero_or_combine
     /* 2735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 2738 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2743 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 2747 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 2751 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2755 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 2759 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 2763 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 2766 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2769 */   GIR_EraseRootFromParent_Done,
     /* 2770 */ // Label 184: @2770
     /* 2770 */ GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(2794), // Rule ID 115 //
     /* 2775 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 2778 */   // MIs[0] dst
     /* 2778 */   // No operand predicates
     /* 2778 */   // MIs[0] src
     /* 2778 */   // No operand predicates
     /* 2778 */   // MIs[0] src
     /* 2778 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 2783 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2788 */   // Combiner Rule #85: binop_same_val @ [__binop_same_val_match_0[1]]
     /* 2788 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2793 */   GIR_EraseRootFromParent_Done,
     /* 2794 */ // Label 185: @2794
     /* 2794 */ GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(2817), // Rule ID 106 //
     /* 2799 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 2802 */   // MIs[0] dst
     /* 2802 */   // No operand predicates
     /* 2802 */   // MIs[0] lhs
     /* 2802 */   // No operand predicates
     /* 2802 */   // MIs[0] Operand 2
     /* 2802 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2806 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2811 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[2]]
     /* 2811 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2816 */   GIR_EraseRootFromParent_Done,
     /* 2817 */ // Label 186: @2817
     /* 2817 */ GIM_Reject,
     /* 2818 */ // Label 10: @2818
     /* 2818 */ GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(2829), // Rule ID 96 //
     /* 2823 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 2826 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_XOR'
     /* 2826 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 2829 */ // Label 187: @2829
     /* 2829 */ GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(2840), // Rule ID 144 //
     /* 2834 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2837 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_XOR'
     /* 2837 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2840 */ // Label 188: @2840
     /* 2840 */ GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(2851), // Rule ID 174 //
     /* 2845 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule132Enabled),
     /* 2848 */   // Combiner Rule #132: not_cmp_fold; wip_match_opcode 'G_XOR'
     /* 2848 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner79),
     /* 2851 */ // Label 189: @2851
     /* 2851 */ GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(2862), // Rule ID 198 //
     /* 2856 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 2859 */   // Combiner Rule #148: xor_of_and_with_same_reg; wip_match_opcode 'G_XOR'
     /* 2859 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner90),
     /* 2862 */ // Label 190: @2862
     /* 2862 */ GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(2873), // Rule ID 240 //
     /* 2867 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2870 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_XOR'
     /* 2870 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2873 */ // Label 191: @2873
     /* 2873 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(2884), // Rule ID 284 //
     /* 2878 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2881 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_XOR'
     /* 2881 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2884 */ // Label 192: @2884
     /* 2884 */ GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(2895), // Rule ID 312 //
     /* 2889 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 2892 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_XOR'
     /* 2892 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2895 */ // Label 193: @2895
     /* 2895 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(2918), // Rule ID 107 //
     /* 2900 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 2903 */   // MIs[0] dst
     /* 2903 */   // No operand predicates
     /* 2903 */   // MIs[0] lhs
     /* 2903 */   // No operand predicates
     /* 2903 */   // MIs[0] Operand 2
     /* 2903 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2907 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2912 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[3]]
     /* 2912 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2917 */   GIR_EraseRootFromParent_Done,
     /* 2918 */ // Label 194: @2918
     /* 2918 */ GIM_Reject,
     /* 2919 */ // Label 11: @2919
     /* 2919 */ GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(2930), // Rule ID 140 //
     /* 2924 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule102Enabled),
     /* 2927 */   // Combiner Rule #102: extend_through_phis; wip_match_opcode 'G_PHI'
     /* 2927 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner53),
     /* 2930 */ // Label 195: @2930
     /* 2930 */ GIM_Reject,
     /* 2931 */ // Label 12: @2931
     /* 2931 */ GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(2942), // Rule ID 348 //
     /* 2936 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule203Enabled),
     /* 2939 */   // Combiner Rule #203: unmerge_anyext_build_vector; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2939 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner140),
     /* 2942 */ // Label 196: @2942
     /* 2942 */ GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(2953), // Rule ID 349 //
     /* 2947 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule204Enabled),
     /* 2950 */   // Combiner Rule #204: unmerge_merge; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2950 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner141),
     /* 2953 */ // Label 197: @2953
     /* 2953 */ GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(2964), // Rule ID 351 //
     /* 2958 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule206Enabled),
     /* 2961 */   // Combiner Rule #206: unmerge_cst; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2961 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner143),
     /* 2964 */ // Label 198: @2964
     /* 2964 */ GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(2975), // Rule ID 352 //
     /* 2969 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule207Enabled),
     /* 2972 */   // Combiner Rule #207: unmerge_undef; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2972 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner144),
     /* 2975 */ // Label 199: @2975
     /* 2975 */ GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(2986), // Rule ID 353 //
     /* 2980 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule208Enabled),
     /* 2983 */   // Combiner Rule #208: unmerge_dead_to_trunc; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2983 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner145),
     /* 2986 */ // Label 200: @2986
     /* 2986 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(2997), // Rule ID 354 //
     /* 2991 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule209Enabled),
     /* 2994 */   // Combiner Rule #209: unmerge_zext_to_zext; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2994 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner146),
     /* 2997 */ // Label 201: @2997
     /* 2997 */ GIM_Reject,
     /* 2998 */ // Label 13: @2998
     /* 2998 */ GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(3009), // Rule ID 350 //
     /* 3003 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule205Enabled),
     /* 3006 */   // Combiner Rule #205: merge_unmerge; wip_match_opcode 'G_MERGE_VALUES'
     /* 3006 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner142),
     /* 3009 */ // Label 202: @3009
     /* 3009 */ GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(3071),
     /* 3014 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 3017 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(3038), // Rule ID 355 //
     /* 3022 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule210Enabled),
     /* 3025 */     // MIs[0] root
     /* 3025 */     // No operand predicates
     /* 3025 */     // MIs[0] x
     /* 3025 */     // No operand predicates
     /* 3025 */     // MIs[0] undef
     /* 3025 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 3029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3035 */     // Combiner Rule #210: merge_of_x_and_undef
     /* 3035 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner147),
     /* 3038 */   // Label 204: @3038
     /* 3038 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(3070), // Rule ID 356 //
     /* 3043 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule211Enabled),
     /* 3046 */     // MIs[0] root
     /* 3046 */     // No operand predicates
     /* 3046 */     // MIs[0] x
     /* 3046 */     // No operand predicates
     /* 3046 */     // MIs[0] zero
     /* 3046 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 3050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3054 */     // MIs[1] Operand 1
     /* 3054 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/1, GIMT_Encode8(0),
     /* 3065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3067 */     // Combiner Rule #211: merge_of_x_and_zero
     /* 3067 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner148),
     /* 3070 */   // Label 205: @3070
     /* 3070 */   GIM_Reject,
     /* 3071 */ // Label 203: @3071
     /* 3071 */ GIM_Reject,
     /* 3072 */ // Label 14: @3072
     /* 3072 */ GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(3083), // Rule ID 69 //
     /* 3077 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule67Enabled),
     /* 3080 */   // Combiner Rule #67: extract_all_elts_from_build_vector; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3080 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner29),
     /* 3083 */ // Label 206: @3083
     /* 3083 */ GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(3094), // Rule ID 98 //
     /* 3088 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 3091 */   // Combiner Rule #79: propagate_undef_all_ops; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3091 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 3094 */ // Label 207: @3094
     /* 3094 */ GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(3105), // Rule ID 133 //
     /* 3099 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule95Enabled),
     /* 3102 */   // Combiner Rule #95: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3102 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 3105 */ // Label 208: @3105
     /* 3105 */ GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(3119), // Rule ID 347 //
     /* 3110 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule202Enabled),
     /* 3113 */   GIM_CheckNumOperandsGE, /*MI*/0, /*Expected*/2,
     /* 3116 */   // MIs[0] dst
     /* 3116 */   // No operand predicates
     /* 3116 */   // MIs[0] unused
     /* 3116 */   // No operand predicates
     /* 3116 */   // Combiner Rule #202: combine_use_vector_truncate
     /* 3116 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner139),
     /* 3119 */ // Label 209: @3119
     /* 3119 */ GIM_Reject,
     /* 3120 */ // Label 15: @3120
     /* 3120 */ GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(3131), // Rule ID 132 //
     /* 3125 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule95Enabled),
     /* 3128 */   // Combiner Rule #95: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR_TRUNC'
     /* 3128 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 3131 */ // Label 210: @3131
     /* 3131 */ GIM_Reject,
     /* 3132 */ // Label 16: @3132
     /* 3132 */ GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(3143), // Rule ID 340 //
     /* 3137 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule195Enabled),
     /* 3140 */   // Combiner Rule #195: combine_concat_vector; wip_match_opcode 'G_CONCAT_VECTORS'
     /* 3140 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner132),
     /* 3143 */ // Label 211: @3143
     /* 3143 */ GIM_Reject,
     /* 3144 */ // Label 17: @3144
     /* 3144 */ GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(3165), // Rule ID 125 //
     /* 3149 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule89Enabled),
     /* 3152 */   // MIs[0] dst
     /* 3152 */   // No operand predicates
     /* 3152 */   // MIs[0] t
     /* 3152 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3156 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTTOPTR),
     /* 3160 */   // MIs[1] ptr
     /* 3160 */   // No operand predicates
     /* 3160 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3162 */   // Combiner Rule #89: i2p_to_p2i
     /* 3162 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner47),
     /* 3165 */ // Label 212: @3165
     /* 3165 */ GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(3186), // Rule ID 90 //
     /* 3170 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3173 */   // MIs[0] dst
     /* 3173 */   // No operand predicates
     /* 3173 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3173 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3177 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3181 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3183 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[3]]
     /* 3183 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3186 */ // Label 213: @3186
     /* 3186 */ GIM_Reject,
     /* 3187 */ // Label 18: @3187
     /* 3187 */ GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(3198), // Rule ID 124 //
     /* 3192 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3195 */   // Combiner Rule #88: p2i_to_i2p; wip_match_opcode 'G_INTTOPTR'
     /* 3195 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner46),
     /* 3198 */ // Label 214: @3198
     /* 3198 */ GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(3219), // Rule ID 91 //
     /* 3203 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3206 */   // MIs[0] dst
     /* 3206 */   // No operand predicates
     /* 3206 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3206 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3210 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3214 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3216 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[4]]
     /* 3216 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3219 */ // Label 215: @3219
     /* 3219 */ GIM_Reject,
     /* 3220 */ // Label 19: @3220
     /* 3220 */ GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(3241), // Rule ID 136 //
     /* 3225 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule98Enabled),
     /* 3228 */   // MIs[0] dst
     /* 3228 */   // No operand predicates
     /* 3228 */   // MIs[0] src1
     /* 3228 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3232 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 3236 */   // MIs[1] src0
     /* 3236 */   // No operand predicates
     /* 3236 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3238 */   // Combiner Rule #98: bitcast_bitcast_fold
     /* 3238 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 3241 */ // Label 216: @3241
     /* 3241 */ GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(3262), // Rule ID 88 //
     /* 3246 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3249 */   // MIs[0] dst
     /* 3249 */   // No operand predicates
     /* 3249 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3249 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3253 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3257 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3259 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[1]]
     /* 3259 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3262 */ // Label 217: @3262
     /* 3262 */ GIM_Reject,
     /* 3263 */ // Label 20: @3263
     /* 3263 */ GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(3292), // Rule ID 18 //
     /* 3268 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 3271 */   // MIs[0] dst
     /* 3271 */   // No operand predicates
     /* 3271 */   // MIs[0] src
     /* 3271 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3275 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FREEZE),
     /* 3279 */   // MIs[1] __idempotent_prop_match_0.x
     /* 3279 */   // No operand predicates
     /* 3279 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3284 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3286 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[0]]
     /* 3286 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3291 */   GIR_EraseRootFromParent_Done,
     /* 3292 */ // Label 218: @3292
     /* 3292 */ GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(3315), // Rule ID 43 //
     /* 3297 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule41Enabled),
     /* 3300 */   // MIs[0] root
     /* 3300 */   // No operand predicates
     /* 3300 */   // MIs[0] src
     /* 3300 */   // No operand predicates
     /* 3300 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner1),
     /* 3304 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3309 */   // Combiner Rule #41: freeze_of_non_undef_non_poison
     /* 3309 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3314 */   GIR_EraseRootFromParent_Done,
     /* 3315 */ // Label 219: @3315
     /* 3315 */ GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(3326), // Rule ID 44 //
     /* 3320 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule42Enabled),
     /* 3323 */   // MIs[0] dst
     /* 3323 */   // No operand predicates
     /* 3323 */   // MIs[0] src
     /* 3323 */   // No operand predicates
     /* 3323 */   // Combiner Rule #42: push_freeze_to_prevent_poison_from_propagating
     /* 3323 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner19),
     /* 3326 */ // Label 220: @3326
     /* 3326 */ GIM_Reject,
     /* 3327 */ // Label 21: @3327
     /* 3327 */ GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(3338), // Rule ID 70 //
     /* 3332 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3335 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_LOAD'
     /* 3335 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3338 */ // Label 221: @3338
     /* 3338 */ GIM_Reject,
     /* 3339 */ // Label 22: @3339
     /* 3339 */ GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(3350), // Rule ID 71 //
     /* 3344 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3347 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_SEXTLOAD'
     /* 3347 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3350 */ // Label 222: @3350
     /* 3350 */ GIM_Reject,
     /* 3351 */ // Label 23: @3351
     /* 3351 */ GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(3362), // Rule ID 72 //
     /* 3356 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3359 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_ZEXTLOAD'
     /* 3359 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3362 */ // Label 223: @3362
     /* 3362 */ GIM_Reject,
     /* 3363 */ // Label 24: @3363
     /* 3363 */ GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(3374), // Rule ID 100 //
     /* 3368 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule81Enabled),
     /* 3371 */   // Combiner Rule #81: erase_undef_store; wip_match_opcode 'G_STORE'
     /* 3371 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 3374 */ // Label 224: @3374
     /* 3374 */ GIM_Reject,
     /* 3375 */ // Label 25: @3375
     /* 3375 */ GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(3386), // Rule ID 126 //
     /* 3380 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule90Enabled),
     /* 3383 */   // Combiner Rule #90: anyext_trunc_fold; wip_match_opcode 'G_ANYEXT'
     /* 3383 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner48),
     /* 3386 */ // Label 225: @3386
     /* 3386 */ GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(3397), // Rule ID 257 //
     /* 3391 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 3394 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_ANYEXT'
     /* 3394 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 3397 */ // Label 226: @3397
     /* 3397 */ GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(3418), // Rule ID 57 //
     /* 3402 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule55Enabled),
     /* 3405 */   // MIs[0] root
     /* 3405 */   // No operand predicates
     /* 3405 */   // MIs[0] select
     /* 3405 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3409 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 3413 */   // MIs[1] cond
     /* 3413 */   // No operand predicates
     /* 3413 */   // MIs[1] true
     /* 3413 */   // No operand predicates
     /* 3413 */   // MIs[1] false
     /* 3413 */   // No operand predicates
     /* 3413 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3415 */   // Combiner Rule #55: select_of_anyext
     /* 3415 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 3418 */ // Label 227: @3418
     /* 3418 */ GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(3439), // Rule ID 52 //
     /* 3423 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule50Enabled),
     /* 3426 */   // MIs[0] root
     /* 3426 */   // No operand predicates
     /* 3426 */   // MIs[0] second
     /* 3426 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3430 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 3434 */   // MIs[1] src
     /* 3434 */   // No operand predicates
     /* 3434 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3436 */   // Combiner Rule #50: anyext_of_anyext
     /* 3436 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3439 */ // Label 228: @3439
     /* 3439 */ GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(3460), // Rule ID 54 //
     /* 3444 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule52Enabled),
     /* 3447 */   // MIs[0] root
     /* 3447 */   // No operand predicates
     /* 3447 */   // MIs[0] second
     /* 3447 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3451 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 3455 */   // MIs[1] src
     /* 3455 */   // No operand predicates
     /* 3455 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3457 */   // Combiner Rule #52: anyext_of_sext
     /* 3457 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3460 */ // Label 229: @3460
     /* 3460 */ GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(3481), // Rule ID 53 //
     /* 3465 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 3468 */   // MIs[0] root
     /* 3468 */   // No operand predicates
     /* 3468 */   // MIs[0] second
     /* 3468 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3472 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 3476 */   // MIs[1] src
     /* 3476 */   // No operand predicates
     /* 3476 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3478 */   // Combiner Rule #51: anyext_of_zext
     /* 3478 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3481 */ // Label 230: @3481
     /* 3481 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(3502), // Rule ID 89 //
     /* 3486 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3489 */   // MIs[0] dst
     /* 3489 */   // No operand predicates
     /* 3489 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3489 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3493 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3497 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3499 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[2]]
     /* 3499 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3502 */ // Label 231: @3502
     /* 3502 */ GIM_Reject,
     /* 3503 */ // Label 26: @3503
     /* 3503 */ GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(3514), // Rule ID 134 //
     /* 3508 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule96Enabled),
     /* 3511 */   // Combiner Rule #96: trunc_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 3511 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner50),
     /* 3514 */ // Label 232: @3514
     /* 3514 */ GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(3525), // Rule ID 135 //
     /* 3519 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule97Enabled),
     /* 3522 */   // Combiner Rule #97: trunc_lshr_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 3522 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner51),
     /* 3525 */ // Label 233: @3525
     /* 3525 */ GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(3536), // Rule ID 173 //
     /* 3530 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule131Enabled),
     /* 3533 */   // Combiner Rule #131: trunc_shift; wip_match_opcode 'G_TRUNC'
     /* 3533 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner78),
     /* 3536 */ // Label 234: @3536
     /* 3536 */ GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(3557), // Rule ID 58 //
     /* 3541 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule56Enabled),
     /* 3544 */   // MIs[0] root
     /* 3544 */   // No operand predicates
     /* 3544 */   // MIs[0] select
     /* 3544 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3548 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 3552 */   // MIs[1] cond
     /* 3552 */   // No operand predicates
     /* 3552 */   // MIs[1] true
     /* 3552 */   // No operand predicates
     /* 3552 */   // MIs[1] false
     /* 3552 */   // No operand predicates
     /* 3552 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3554 */   // Combiner Rule #56: select_of_truncate
     /* 3554 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 3557 */ // Label 235: @3557
     /* 3557 */ GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(3586), // Rule ID 60 //
     /* 3562 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule58Enabled),
     /* 3565 */   // MIs[0] root
     /* 3565 */   // No operand predicates
     /* 3565 */   // MIs[0] binop
     /* 3565 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3569 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 3573 */   // MIs[1] x
     /* 3573 */   // No operand predicates
     /* 3573 */   // MIs[1] const
     /* 3573 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3577 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3581 */   // MIs[2] imm
     /* 3581 */   // No operand predicates
     /* 3581 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3583 */   // Combiner Rule #58: narrow_binop_add
     /* 3583 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3586 */ // Label 236: @3586
     /* 3586 */ GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(3615), // Rule ID 63 //
     /* 3591 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule61Enabled),
     /* 3594 */   // MIs[0] root
     /* 3594 */   // No operand predicates
     /* 3594 */   // MIs[0] binop
     /* 3594 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3598 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 3602 */   // MIs[1] x
     /* 3602 */   // No operand predicates
     /* 3602 */   // MIs[1] const
     /* 3602 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3606 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3610 */   // MIs[2] imm
     /* 3610 */   // No operand predicates
     /* 3610 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3612 */   // Combiner Rule #61: narrow_binop_and
     /* 3612 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3615 */ // Label 237: @3615
     /* 3615 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(3644), // Rule ID 62 //
     /* 3620 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule60Enabled),
     /* 3623 */   // MIs[0] root
     /* 3623 */   // No operand predicates
     /* 3623 */   // MIs[0] binop
     /* 3623 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3627 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 3631 */   // MIs[1] x
     /* 3631 */   // No operand predicates
     /* 3631 */   // MIs[1] const
     /* 3631 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3635 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3639 */   // MIs[2] imm
     /* 3639 */   // No operand predicates
     /* 3639 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3641 */   // Combiner Rule #60: narrow_binop_mul
     /* 3641 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3644 */ // Label 238: @3644
     /* 3644 */ GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(3673), // Rule ID 64 //
     /* 3649 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule62Enabled),
     /* 3652 */   // MIs[0] root
     /* 3652 */   // No operand predicates
     /* 3652 */   // MIs[0] binop
     /* 3652 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3656 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 3660 */   // MIs[1] x
     /* 3660 */   // No operand predicates
     /* 3660 */   // MIs[1] const
     /* 3660 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3664 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3668 */   // MIs[2] imm
     /* 3668 */   // No operand predicates
     /* 3668 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3670 */   // Combiner Rule #62: narrow_binop_or
     /* 3670 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3673 */ // Label 239: @3673
     /* 3673 */ GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(3702), // Rule ID 61 //
     /* 3678 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule59Enabled),
     /* 3681 */   // MIs[0] root
     /* 3681 */   // No operand predicates
     /* 3681 */   // MIs[0] binop
     /* 3681 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3685 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 3689 */   // MIs[1] x
     /* 3689 */   // No operand predicates
     /* 3689 */   // MIs[1] const
     /* 3689 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3693 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3697 */   // MIs[2] imm
     /* 3697 */   // No operand predicates
     /* 3697 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3699 */   // Combiner Rule #59: narrow_binop_sub
     /* 3699 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3702 */ // Label 240: @3702
     /* 3702 */ GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(3731), // Rule ID 65 //
     /* 3707 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule63Enabled),
     /* 3710 */   // MIs[0] root
     /* 3710 */   // No operand predicates
     /* 3710 */   // MIs[0] binop
     /* 3710 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3714 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 3718 */   // MIs[1] x
     /* 3718 */   // No operand predicates
     /* 3718 */   // MIs[1] const
     /* 3718 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3722 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3726 */   // MIs[2] imm
     /* 3726 */   // No operand predicates
     /* 3726 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3728 */   // Combiner Rule #63: narrow_binop_xor
     /* 3728 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3731 */ // Label 241: @3731
     /* 3731 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(3752), // Rule ID 47 //
     /* 3736 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule45Enabled),
     /* 3739 */   // MIs[0] root
     /* 3739 */   // No operand predicates
     /* 3739 */   // MIs[0] ext
     /* 3739 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3743 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 3747 */   // MIs[1] src
     /* 3747 */   // No operand predicates
     /* 3747 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3749 */   // Combiner Rule #45: truncate_of_anyext
     /* 3749 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 3752 */ // Label 242: @3752
     /* 3752 */ GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(3776), // Rule ID 59 //
     /* 3757 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule57Enabled),
     /* 3760 */   // MIs[0] root
     /* 3760 */   // No operand predicates
     /* 3760 */   // MIs[0] bv
     /* 3760 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3764 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 3768 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 3771 */   // MIs[1] unused
     /* 3771 */   // No operand predicates
     /* 3771 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3773 */   // Combiner Rule #57: buildvector_of_truncate
     /* 3773 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 3776 */ // Label 243: @3776
     /* 3776 */ GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(3797), // Rule ID 46 //
     /* 3781 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule44Enabled),
     /* 3784 */   // MIs[0] root
     /* 3784 */   // No operand predicates
     /* 3784 */   // MIs[0] ext
     /* 3784 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3788 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 3792 */   // MIs[1] src
     /* 3792 */   // No operand predicates
     /* 3792 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3794 */   // Combiner Rule #44: truncate_of_sext
     /* 3794 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 3797 */ // Label 244: @3797
     /* 3797 */ GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(3818), // Rule ID 45 //
     /* 3802 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule43Enabled),
     /* 3805 */   // MIs[0] root
     /* 3805 */   // No operand predicates
     /* 3805 */   // MIs[0] ext
     /* 3805 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3809 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 3813 */   // MIs[1] src
     /* 3813 */   // No operand predicates
     /* 3813 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3815 */   // Combiner Rule #43: truncate_of_zext
     /* 3815 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 3818 */ // Label 245: @3818
     /* 3818 */ GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(3839), // Rule ID 87 //
     /* 3823 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3826 */   // MIs[0] dst
     /* 3826 */   // No operand predicates
     /* 3826 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3826 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3830 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3834 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3836 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[0]]
     /* 3836 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3839 */ // Label 246: @3839
     /* 3839 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(3860), // Rule ID 66 //
     /* 3844 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule64Enabled),
     /* 3847 */   // MIs[0] root
     /* 3847 */   // No operand predicates
     /* 3847 */   // MIs[0] int
     /* 3847 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3851 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3855 */   // MIs[1] imm
     /* 3855 */   // No operand predicates
     /* 3855 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3857 */   // Combiner Rule #64: integer_of_truncate
     /* 3857 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner26),
     /* 3860 */ // Label 247: @3860
     /* 3860 */ GIM_Reject,
     /* 3861 */ // Label 27: @3861
     /* 3861 */ GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(3872), // Rule ID 256 //
     /* 3866 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 3869 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_SEXT'
     /* 3869 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 3872 */ // Label 248: @3872
     /* 3872 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(3893), // Rule ID 51 //
     /* 3877 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 3880 */   // MIs[0] root
     /* 3880 */   // No operand predicates
     /* 3880 */   // MIs[0] second
     /* 3880 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3884 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 3888 */   // MIs[1] src
     /* 3888 */   // No operand predicates
     /* 3888 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3890 */   // Combiner Rule #49: sext_of_anyext
     /* 3890 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3893 */ // Label 249: @3893
     /* 3893 */ GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(3914), // Rule ID 50 //
     /* 3898 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 3901 */   // MIs[0] root
     /* 3901 */   // No operand predicates
     /* 3901 */   // MIs[0] second
     /* 3901 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3905 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 3909 */   // MIs[1] src
     /* 3909 */   // No operand predicates
     /* 3909 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3911 */   // Combiner Rule #48: sext_of_sext
     /* 3911 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3914 */ // Label 250: @3914
     /* 3914 */ GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(3935), // Rule ID 341 //
     /* 3919 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule196Enabled),
     /* 3922 */   // MIs[0] root
     /* 3922 */   // No operand predicates
     /* 3922 */   // MIs[0] src
     /* 3922 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3926 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 3930 */   // MIs[1] x
     /* 3930 */   // No operand predicates
     /* 3930 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3932 */   // Combiner Rule #196: sext_trunc
     /* 3932 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner133),
     /* 3935 */ // Label 251: @3935
     /* 3935 */ GIM_Reject,
     /* 3936 */ // Label 28: @3936
     /* 3936 */ GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(3947), // Rule ID 160 //
     /* 3941 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule118Enabled),
     /* 3944 */   // Combiner Rule #118: sext_inreg_of_load; wip_match_opcode 'G_SEXT_INREG'
     /* 3944 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner66),
     /* 3947 */ // Label 252: @3947
     /* 3947 */ GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(3958), // Rule ID 168 //
     /* 3952 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule126Enabled),
     /* 3955 */   // Combiner Rule #126: redundant_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 3955 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner73),
     /* 3958 */ // Label 253: @3958
     /* 3958 */ GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(3969), // Rule ID 225 //
     /* 3963 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule162Enabled),
     /* 3966 */   // Combiner Rule #162: bitfield_extract_from_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 3966 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner100),
     /* 3969 */ // Label 254: @3969
     /* 3969 */ GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(3990), // Rule ID 55 //
     /* 3974 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 3977 */   // MIs[0] dst
     /* 3977 */   // No operand predicates
     /* 3977 */   // MIs[0] x
     /* 3977 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3981 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 3985 */   // MIs[1] src
     /* 3985 */   // No operand predicates
     /* 3985 */   // MIs[1] a
     /* 3985 */   // No operand predicates
     /* 3985 */   // MIs[0] b
     /* 3985 */   // No operand predicates
     /* 3985 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3987 */   // Combiner Rule #53: sext_inreg_of_sext_inreg
     /* 3987 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 3990 */ // Label 255: @3990
     /* 3990 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(4001), // Rule ID 172 //
     /* 3995 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule130Enabled),
     /* 3998 */   // MIs[0] dst
     /* 3998 */   // No operand predicates
     /* 3998 */   // MIs[0] src
     /* 3998 */   // No operand predicates
     /* 3998 */   // MIs[0] imm
     /* 3998 */   // No operand predicates
     /* 3998 */   // Combiner Rule #130: sext_inreg_to_zext_inreg
     /* 3998 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner77),
     /* 4001 */ // Label 256: @4001
     /* 4001 */ GIM_Reject,
     /* 4002 */ // Label 29: @4002
     /* 4002 */ GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(4013), // Rule ID 171 //
     /* 4007 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule129Enabled),
     /* 4010 */   // Combiner Rule #129: zext_trunc_fold; wip_match_opcode 'G_ZEXT'
     /* 4010 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner76),
     /* 4013 */ // Label 257: @4013
     /* 4013 */ GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(4024), // Rule ID 255 //
     /* 4018 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 4021 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_ZEXT'
     /* 4021 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 4024 */ // Label 258: @4024
     /* 4024 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(4045), // Rule ID 56 //
     /* 4029 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule54Enabled),
     /* 4032 */   // MIs[0] root
     /* 4032 */   // No operand predicates
     /* 4032 */   // MIs[0] select
     /* 4032 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4036 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 4040 */   // MIs[1] cond
     /* 4040 */   // No operand predicates
     /* 4040 */   // MIs[1] true
     /* 4040 */   // No operand predicates
     /* 4040 */   // MIs[1] false
     /* 4040 */   // No operand predicates
     /* 4040 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4042 */   // Combiner Rule #54: select_of_zext
     /* 4042 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 4045 */ // Label 259: @4045
     /* 4045 */ GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(4066), // Rule ID 49 //
     /* 4050 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule47Enabled),
     /* 4053 */   // MIs[0] root
     /* 4053 */   // No operand predicates
     /* 4053 */   // MIs[0] second
     /* 4053 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4057 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 4061 */   // MIs[1] src
     /* 4061 */   // No operand predicates
     /* 4061 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4063 */   // Combiner Rule #47: zext_of_anyext
     /* 4063 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4066 */ // Label 260: @4066
     /* 4066 */ GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(4093), // Rule ID 342 //
     /* 4071 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule197Enabled),
     /* 4074 */   // MIs[0] root
     /* 4074 */   // No operand predicates
     /* 4074 */   // MIs[0] src
     /* 4074 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4078 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 4082 */   GIM_MIFlags, /*MI*/1, GIMT_Encode4(MachineInstr::NoUWrap),
     /* 4088 */   // MIs[1] x
     /* 4088 */   // No operand predicates
     /* 4088 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4090 */   // Combiner Rule #197: zext_trunc
     /* 4090 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner134),
     /* 4093 */ // Label 261: @4093
     /* 4093 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(4114), // Rule ID 48 //
     /* 4098 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule46Enabled),
     /* 4101 */   // MIs[0] root
     /* 4101 */   // No operand predicates
     /* 4101 */   // MIs[0] second
     /* 4101 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4105 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 4109 */   // MIs[1] src
     /* 4109 */   // No operand predicates
     /* 4109 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4111 */   // Combiner Rule #46: zext_of_zext
     /* 4111 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4114 */ // Label 262: @4114
     /* 4114 */ GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(4131), // Rule ID 343 //
     /* 4119 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule198Enabled),
     /* 4122 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NonNeg),
     /* 4128 */   // MIs[0] root
     /* 4128 */   // No operand predicates
     /* 4128 */   // MIs[0] x
     /* 4128 */   // No operand predicates
     /* 4128 */   // Combiner Rule #198: nneg_zext
     /* 4128 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner135),
     /* 4131 */ // Label 263: @4131
     /* 4131 */ GIM_Reject,
     /* 4132 */ // Label 30: @4132
     /* 4132 */ GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(4143), // Rule ID 80 //
     /* 4137 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 4140 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_SHL'
     /* 4140 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 4143 */ // Label 264: @4143
     /* 4143 */ GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(4154), // Rule ID 83 //
     /* 4148 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4151 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_SHL'
     /* 4151 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4154 */ // Label 265: @4154
     /* 4154 */ GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(4165), // Rule ID 116 //
     /* 4159 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4162 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SHL'
     /* 4162 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4165 */ // Label 266: @4165
     /* 4165 */ GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(4176), // Rule ID 200 //
     /* 4170 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4173 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_SHL'
     /* 4173 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4176 */ // Label 267: @4176
     /* 4176 */ GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(4187), // Rule ID 205 //
     /* 4181 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4184 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_SHL'
     /* 4184 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4187 */ // Label 268: @4187
     /* 4187 */ GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(4198), // Rule ID 224 //
     /* 4192 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule161Enabled),
     /* 4195 */   // Combiner Rule #161: commute_shift; wip_match_opcode 'G_SHL'
     /* 4195 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner99),
     /* 4198 */ // Label 269: @4198
     /* 4198 */ GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(4209), // Rule ID 238 //
     /* 4203 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4206 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SHL'
     /* 4206 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4209 */ // Label 270: @4209
     /* 4209 */ GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(4220), // Rule ID 291 //
     /* 4214 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4217 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SHL'
     /* 4217 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4220 */ // Label 271: @4220
     /* 4220 */ GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(4255), // Rule ID 41 //
     /* 4225 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule39Enabled),
     /* 4228 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 4234 */   // MIs[0] root
     /* 4234 */   // No operand predicates
     /* 4234 */   // MIs[0] left
     /* 4234 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4238 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 4242 */   // MIs[1] imm
     /* 4242 */   // No operand predicates
     /* 4242 */   // MIs[0] x
     /* 4242 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 4246 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 4250 */   // MIs[2] imm1
     /* 4250 */   // No operand predicates
     /* 4250 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 4252 */   // Combiner Rule #39: shl_of_vscale
     /* 4252 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner17),
     /* 4255 */ // Label 272: @4255
     /* 4255 */ GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(4278), // Rule ID 108 //
     /* 4260 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4263 */   // MIs[0] dst
     /* 4263 */   // No operand predicates
     /* 4263 */   // MIs[0] lhs
     /* 4263 */   // No operand predicates
     /* 4263 */   // MIs[0] Operand 2
     /* 4263 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4267 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4272 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[4]]
     /* 4272 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4277 */   GIR_EraseRootFromParent_Done,
     /* 4278 */ // Label 273: @4278
     /* 4278 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(4289), // Rule ID 145 //
     /* 4283 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4286 */   // MIs[0] root
     /* 4286 */   // No operand predicates
     /* 4286 */   // MIs[0] mi.shifted
     /* 4286 */   // No operand predicates
     /* 4286 */   // MIs[0] mi.amt
     /* 4286 */   // No operand predicates
     /* 4286 */   // Combiner Rule #105: shifts_too_big @ [mi[0]]
     /* 4286 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4289 */ // Label 274: @4289
     /* 4289 */ GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(4300), // Rule ID 161 //
     /* 4294 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule119Enabled),
     /* 4297 */   // MIs[0] dst
     /* 4297 */   // No operand predicates
     /* 4297 */   // MIs[0] src0
     /* 4297 */   // No operand predicates
     /* 4297 */   // MIs[0] src1
     /* 4297 */   // No operand predicates
     /* 4297 */   // Combiner Rule #119: reduce_shl_of_extend
     /* 4297 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 4300 */ // Label 275: @4300
     /* 4300 */ GIM_Reject,
     /* 4301 */ // Label 31: @4301
     /* 4301 */ GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(4312), // Rule ID 85 //
     /* 4306 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4309 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_LSHR'
     /* 4309 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4312 */ // Label 276: @4312
     /* 4312 */ GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(4323), // Rule ID 117 //
     /* 4317 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4320 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_LSHR'
     /* 4320 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4323 */ // Label 277: @4323
     /* 4323 */ GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(4334), // Rule ID 202 //
     /* 4328 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4331 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_LSHR'
     /* 4331 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4334 */ // Label 278: @4334
     /* 4334 */ GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(4345), // Rule ID 207 //
     /* 4339 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4342 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_LSHR'
     /* 4342 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4345 */ // Label 279: @4345
     /* 4345 */ GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(4356), // Rule ID 228 //
     /* 4350 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 4353 */   // Combiner Rule #164: bitfield_extract_from_shr; wip_match_opcode 'G_LSHR'
     /* 4353 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 4356 */ // Label 280: @4356
     /* 4356 */ GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(4367), // Rule ID 230 //
     /* 4361 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 4364 */   // Combiner Rule #165: bitfield_extract_from_shr_and; wip_match_opcode 'G_LSHR'
     /* 4364 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 4367 */ // Label 281: @4367
     /* 4367 */ GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(4378), // Rule ID 235 //
     /* 4372 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4375 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_LSHR'
     /* 4375 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4378 */ // Label 282: @4378
     /* 4378 */ GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(4389), // Rule ID 289 //
     /* 4383 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4386 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_LSHR'
     /* 4386 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4389 */ // Label 283: @4389
     /* 4389 */ GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(4412), // Rule ID 110 //
     /* 4394 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4397 */   // MIs[0] dst
     /* 4397 */   // No operand predicates
     /* 4397 */   // MIs[0] lhs
     /* 4397 */   // No operand predicates
     /* 4397 */   // MIs[0] Operand 2
     /* 4397 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4401 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4406 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[6]]
     /* 4406 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4411 */   GIR_EraseRootFromParent_Done,
     /* 4412 */ // Label 284: @4412
     /* 4412 */ GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(4423), // Rule ID 147 //
     /* 4417 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4420 */   // MIs[0] root
     /* 4420 */   // No operand predicates
     /* 4420 */   // MIs[0] mi.shifted
     /* 4420 */   // No operand predicates
     /* 4420 */   // MIs[0] mi.amt
     /* 4420 */   // No operand predicates
     /* 4420 */   // Combiner Rule #105: shifts_too_big @ [mi[2]]
     /* 4420 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4423 */ // Label 285: @4423
     /* 4423 */ GIM_Reject,
     /* 4424 */ // Label 32: @4424
     /* 4424 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(4435), // Rule ID 84 //
     /* 4429 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4432 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_ASHR'
     /* 4432 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4435 */ // Label 286: @4435
     /* 4435 */ GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(4446), // Rule ID 118 //
     /* 4440 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4443 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_ASHR'
     /* 4443 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4446 */ // Label 287: @4446
     /* 4446 */ GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(4457), // Rule ID 158 //
     /* 4451 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule116Enabled),
     /* 4454 */   // Combiner Rule #116: shl_ashr_to_sext_inreg; wip_match_opcode 'G_ASHR'
     /* 4454 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner65),
     /* 4457 */ // Label 288: @4457
     /* 4457 */ GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(4468), // Rule ID 201 //
     /* 4462 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4465 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_ASHR'
     /* 4465 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4468 */ // Label 289: @4468
     /* 4468 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(4479), // Rule ID 206 //
     /* 4473 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4476 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_ASHR'
     /* 4476 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4479 */ // Label 290: @4479
     /* 4479 */ GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(4490), // Rule ID 227 //
     /* 4484 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 4487 */   // Combiner Rule #164: bitfield_extract_from_shr; wip_match_opcode 'G_ASHR'
     /* 4487 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 4490 */ // Label 291: @4490
     /* 4490 */ GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(4501), // Rule ID 229 //
     /* 4495 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 4498 */   // Combiner Rule #165: bitfield_extract_from_shr_and; wip_match_opcode 'G_ASHR'
     /* 4498 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 4501 */ // Label 292: @4501
     /* 4501 */ GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(4512), // Rule ID 234 //
     /* 4506 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4509 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_ASHR'
     /* 4509 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4512 */ // Label 293: @4512
     /* 4512 */ GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(4523), // Rule ID 290 //
     /* 4517 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4520 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_ASHR'
     /* 4520 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4523 */ // Label 294: @4523
     /* 4523 */ GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(4546), // Rule ID 109 //
     /* 4528 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4531 */   // MIs[0] dst
     /* 4531 */   // No operand predicates
     /* 4531 */   // MIs[0] lhs
     /* 4531 */   // No operand predicates
     /* 4531 */   // MIs[0] Operand 2
     /* 4531 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4535 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4540 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[5]]
     /* 4540 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4545 */   GIR_EraseRootFromParent_Done,
     /* 4546 */ // Label 295: @4546
     /* 4546 */ GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(4557), // Rule ID 146 //
     /* 4551 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4554 */   // MIs[0] root
     /* 4554 */   // No operand predicates
     /* 4554 */   // MIs[0] mi.shifted
     /* 4554 */   // No operand predicates
     /* 4554 */   // MIs[0] mi.amt
     /* 4554 */   // No operand predicates
     /* 4554 */   // Combiner Rule #105: shifts_too_big @ [mi[1]]
     /* 4554 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4557 */ // Label 296: @4557
     /* 4557 */ GIM_Reject,
     /* 4558 */ // Label 33: @4558
     /* 4558 */ GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(4569), // Rule ID 216 //
     /* 4563 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule155Enabled),
     /* 4566 */   // Combiner Rule #155: funnel_shift_to_rotate; wip_match_opcode 'G_FSHL'
     /* 4566 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 4569 */ // Label 297: @4569
     /* 4569 */ GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(4580), // Rule ID 220 //
     /* 4574 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule158Enabled),
     /* 4577 */   // Combiner Rule #158: funnel_shift_overshift; wip_match_opcode 'G_FSHL'
     /* 4577 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner98),
     /* 4580 */ // Label 298: @4580
     /* 4580 */ GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(4600), // Rule ID 219 //
     /* 4585 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule157Enabled),
     /* 4588 */   // MIs[0] x
     /* 4588 */   // No operand predicates
     /* 4588 */   // MIs[0] y
     /* 4588 */   // No operand predicates
     /* 4588 */   // MIs[0] z
     /* 4588 */   // No operand predicates
     /* 4588 */   // MIs[0] Operand 3
     /* 4588 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 4592 */   // Combiner Rule #157: funnel_shift_left_zero
     /* 4592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 4595 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 4597 */   GIR_RootToRootCopy, /*OpIdx*/1, // y
     /* 4599 */   GIR_EraseRootFromParent_Done,
     /* 4600 */ // Label 299: @4600
     /* 4600 */ GIM_Reject,
     /* 4601 */ // Label 34: @4601
     /* 4601 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(4612), // Rule ID 217 //
     /* 4606 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule155Enabled),
     /* 4609 */   // Combiner Rule #155: funnel_shift_to_rotate; wip_match_opcode 'G_FSHR'
     /* 4609 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 4612 */ // Label 300: @4612
     /* 4612 */ GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(4623), // Rule ID 221 //
     /* 4617 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule158Enabled),
     /* 4620 */   // Combiner Rule #158: funnel_shift_overshift; wip_match_opcode 'G_FSHR'
     /* 4620 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner98),
     /* 4623 */ // Label 301: @4623
     /* 4623 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(4643), // Rule ID 218 //
     /* 4628 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule156Enabled),
     /* 4631 */   // MIs[0] x
     /* 4631 */   // No operand predicates
     /* 4631 */   // MIs[0] y
     /* 4631 */   // No operand predicates
     /* 4631 */   // MIs[0] z
     /* 4631 */   // No operand predicates
     /* 4631 */   // MIs[0] Operand 3
     /* 4631 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 4635 */   // Combiner Rule #156: funnel_shift_right_zero
     /* 4635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 4638 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 4640 */   GIR_RootToRootCopy, /*OpIdx*/2, // z
     /* 4642 */   GIR_EraseRootFromParent_Done,
     /* 4643 */ // Label 302: @4643
     /* 4643 */ GIM_Reject,
     /* 4644 */ // Label 35: @4644
     /* 4644 */ GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(4667), // Rule ID 113 //
     /* 4649 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4652 */   // MIs[0] dst
     /* 4652 */   // No operand predicates
     /* 4652 */   // MIs[0] lhs
     /* 4652 */   // No operand predicates
     /* 4652 */   // MIs[0] Operand 2
     /* 4652 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4656 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4661 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[9]]
     /* 4661 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4666 */   GIR_EraseRootFromParent_Done,
     /* 4667 */ // Label 303: @4667
     /* 4667 */ GIM_Reject,
     /* 4668 */ // Label 36: @4668
     /* 4668 */ GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(4691), // Rule ID 112 //
     /* 4673 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4676 */   // MIs[0] dst
     /* 4676 */   // No operand predicates
     /* 4676 */   // MIs[0] lhs
     /* 4676 */   // No operand predicates
     /* 4676 */   // MIs[0] Operand 2
     /* 4676 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4680 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4685 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[8]]
     /* 4685 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4690 */   GIR_EraseRootFromParent_Done,
     /* 4691 */ // Label 304: @4691
     /* 4691 */ GIM_Reject,
     /* 4692 */ // Label 37: @4692
     /* 4692 */ GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(4703), // Rule ID 153 //
     /* 4697 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule111Enabled),
     /* 4700 */   // Combiner Rule #111: icmp_to_true_false_known_bits; wip_match_opcode 'G_ICMP'
     /* 4700 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner62),
     /* 4703 */ // Label 305: @4703
     /* 4703 */ GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(4714), // Rule ID 154 //
     /* 4708 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule112Enabled),
     /* 4711 */   // Combiner Rule #112: icmp_to_lhs_known_bits; wip_match_opcode 'G_ICMP'
     /* 4711 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner63),
     /* 4714 */ // Label 306: @4714
     /* 4714 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(4725), // Rule ID 157 //
     /* 4719 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule115Enabled),
     /* 4722 */   // Combiner Rule #115: redundant_binop_in_equality; wip_match_opcode 'G_ICMP'
     /* 4722 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner64),
     /* 4725 */ // Label 307: @4725
     /* 4725 */ GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(4736), // Rule ID 151 //
     /* 4730 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule109Enabled),
     /* 4733 */   // MIs[0] root
     /* 4733 */   // No operand predicates
     /* 4733 */   // MIs[0] pred
     /* 4733 */   // No operand predicates
     /* 4733 */   // MIs[0] lhs
     /* 4733 */   // No operand predicates
     /* 4733 */   // MIs[0] rhs
     /* 4733 */   // No operand predicates
     /* 4733 */   // Combiner Rule #109: canonicalize_icmp
     /* 4733 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner60),
     /* 4736 */ // Label 308: @4736
     /* 4736 */ GIM_Reject,
     /* 4737 */ // Label 38: @4737
     /* 4737 */ GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(4748), // Rule ID 152 //
     /* 4742 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule110Enabled),
     /* 4745 */   // MIs[0] root
     /* 4745 */   // No operand predicates
     /* 4745 */   // MIs[0] pred
     /* 4745 */   // No operand predicates
     /* 4745 */   // MIs[0] lhs
     /* 4745 */   // No operand predicates
     /* 4745 */   // MIs[0] rhs
     /* 4745 */   // No operand predicates
     /* 4745 */   // Combiner Rule #110: canonicalize_fcmp
     /* 4745 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner61),
     /* 4748 */ // Label 309: @4748
     /* 4748 */ GIM_Reject,
     /* 4749 */ // Label 39: @4749
     /* 4749 */ GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(4760), // Rule ID 103 //
     /* 4754 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 4757 */   // Combiner Rule #83: select_same_val; wip_match_opcode 'G_SELECT'
     /* 4757 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 4760 */ // Label 310: @4760
     /* 4760 */ GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(4771), // Rule ID 164 //
     /* 4765 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule122Enabled),
     /* 4768 */   // Combiner Rule #122: select_constant_cmp; wip_match_opcode 'G_SELECT'
     /* 4768 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner69),
     /* 4771 */ // Label 311: @4771
     /* 4771 */ GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(4782), // Rule ID 166 //
     /* 4776 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule124Enabled),
     /* 4779 */   // Combiner Rule #124: match_selects; wip_match_opcode 'G_SELECT'
     /* 4779 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner71),
     /* 4782 */ // Label 312: @4782
     /* 4782 */ GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(4793), // Rule ID 306 //
     /* 4787 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 4790 */   // Combiner Rule #188: select_to_minmax; wip_match_opcode 'G_SELECT'
     /* 4790 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner125),
     /* 4793 */ // Label 313: @4793
     /* 4793 */ GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(4814), // Rule ID 165 //
     /* 4798 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule123Enabled),
     /* 4801 */   // MIs[0] root
     /* 4801 */   // No operand predicates
     /* 4801 */   // MIs[0] tst
     /* 4801 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4805 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 4809 */   // MIs[1] tst1
     /* 4809 */   // No operand predicates
     /* 4809 */   // MIs[1] a
     /* 4809 */   // No operand predicates
     /* 4809 */   // MIs[1] b
     /* 4809 */   // No operand predicates
     /* 4809 */   // MIs[0] x
     /* 4809 */   // No operand predicates
     /* 4809 */   // MIs[0] y
     /* 4809 */   // No operand predicates
     /* 4809 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4811 */   // Combiner Rule #123: select_to_iminmax
     /* 4811 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner70),
     /* 4814 */ // Label 314: @4814
     /* 4814 */ GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(4843), // Rule ID 163 //
     /* 4819 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule121Enabled),
     /* 4822 */   // MIs[0] dst
     /* 4822 */   // No operand predicates
     /* 4822 */   // MIs[0] undef
     /* 4822 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4826 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 4830 */   // MIs[0] x
     /* 4830 */   // No operand predicates
     /* 4830 */   // MIs[0] y
     /* 4830 */   // No operand predicates
     /* 4830 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 4835 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4837 */   // Combiner Rule #121: select_undef_cmp
     /* 4837 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 4842 */   GIR_EraseRootFromParent_Done,
     /* 4843 */ // Label 315: @4843
     /* 4843 */ GIM_Reject,
     /* 4844 */ // Label 40: @4844
     /* 4844 */ GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(4855), // Rule ID 317 //
     /* 4849 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 4852 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDO'
     /* 4852 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 4855 */ // Label 316: @4855
     /* 4855 */ GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(4866), // Rule ID 358 //
     /* 4860 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule212Enabled),
     /* 4863 */   // Combiner Rule #212: match_addos; wip_match_opcode 'G_UADDO'
     /* 4863 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 4866 */ // Label 317: @4866
     /* 4866 */ GIM_Reject,
     /* 4867 */ // Label 41: @4867
     /* 4867 */ GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(4878), // Rule ID 189 //
     /* 4872 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 4875 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_UADDE'
     /* 4875 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 4878 */ // Label 318: @4878
     /* 4878 */ GIM_Reject,
     /* 4879 */ // Label 42: @4879
     /* 4879 */ GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(4890), // Rule ID 360 //
     /* 4884 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule213Enabled),
     /* 4887 */   // Combiner Rule #213: match_subo_no_overflow; wip_match_opcode 'G_USUBO'
     /* 4887 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner150),
     /* 4890 */ // Label 319: @4890
     /* 4890 */ GIM_Reject,
     /* 4891 */ // Label 43: @4891
     /* 4891 */ GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(4902), // Rule ID 191 //
     /* 4896 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 4899 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_USUBE'
     /* 4899 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 4902 */ // Label 320: @4902
     /* 4902 */ GIM_Reject,
     /* 4903 */ // Label 44: @4903
     /* 4903 */ GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(4914), // Rule ID 318 //
     /* 4908 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 4911 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDO'
     /* 4911 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 4914 */ // Label 321: @4914
     /* 4914 */ GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(4925), // Rule ID 357 //
     /* 4919 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule212Enabled),
     /* 4922 */   // Combiner Rule #212: match_addos; wip_match_opcode 'G_SADDO'
     /* 4922 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 4925 */ // Label 322: @4925
     /* 4925 */ GIM_Reject,
     /* 4926 */ // Label 45: @4926
     /* 4926 */ GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(4937), // Rule ID 190 //
     /* 4931 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 4934 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_SADDE'
     /* 4934 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 4937 */ // Label 323: @4937
     /* 4937 */ GIM_Reject,
     /* 4938 */ // Label 46: @4938
     /* 4938 */ GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(4949), // Rule ID 359 //
     /* 4943 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule213Enabled),
     /* 4946 */   // Combiner Rule #213: match_subo_no_overflow; wip_match_opcode 'G_SSUBO'
     /* 4946 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner150),
     /* 4949 */ // Label 324: @4949
     /* 4949 */ GIM_Reject,
     /* 4950 */ // Label 47: @4950
     /* 4950 */ GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(4961), // Rule ID 192 //
     /* 4955 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 4958 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_SSUBE'
     /* 4958 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 4961 */ // Label 325: @4961
     /* 4961 */ GIM_Reject,
     /* 4962 */ // Label 48: @4962
     /* 4962 */ GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(4973), // Rule ID 185 //
     /* 4967 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 4970 */   // Combiner Rule #143: mulo_by_2; wip_match_opcode 'G_UMULO'
     /* 4970 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 4973 */ // Label 326: @4973
     /* 4973 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(4984), // Rule ID 187 //
     /* 4978 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 4981 */   // Combiner Rule #144: mulo_by_0; wip_match_opcode 'G_UMULO'
     /* 4981 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 4984 */ // Label 327: @4984
     /* 4984 */ GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(4995), // Rule ID 319 //
     /* 4989 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 4992 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULO'
     /* 4992 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 4995 */ // Label 328: @4995
     /* 4995 */ GIM_Reject,
     /* 4996 */ // Label 49: @4996
     /* 4996 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(5007), // Rule ID 186 //
     /* 5001 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 5004 */   // Combiner Rule #143: mulo_by_2; wip_match_opcode 'G_SMULO'
     /* 5004 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 5007 */ // Label 329: @5007
     /* 5007 */ GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(5018), // Rule ID 188 //
     /* 5012 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 5015 */   // Combiner Rule #144: mulo_by_0; wip_match_opcode 'G_SMULO'
     /* 5015 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 5018 */ // Label 330: @5018
     /* 5018 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(5029), // Rule ID 320 //
     /* 5023 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5026 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULO'
     /* 5026 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5029 */ // Label 331: @5029
     /* 5029 */ GIM_Reject,
     /* 5030 */ // Label 50: @5030
     /* 5030 */ GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(5041), // Rule ID 263 //
     /* 5035 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule175Enabled),
     /* 5038 */   // Combiner Rule #175: mulh_to_lshr; wip_match_opcode 'G_UMULH'
     /* 5038 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 5041 */ // Label 332: @5041
     /* 5041 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(5052), // Rule ID 321 //
     /* 5046 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5049 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULH'
     /* 5049 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5052 */ // Label 333: @5052
     /* 5052 */ GIM_Reject,
     /* 5053 */ // Label 51: @5053
     /* 5053 */ GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(5064), // Rule ID 322 //
     /* 5058 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5061 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULH'
     /* 5061 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5064 */ // Label 334: @5064
     /* 5064 */ GIM_Reject,
     /* 5065 */ // Label 52: @5065
     /* 5065 */ GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(5076), // Rule ID 323 //
     /* 5070 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5073 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDSAT'
     /* 5073 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5076 */ // Label 335: @5076
     /* 5076 */ GIM_Reject,
     /* 5077 */ // Label 53: @5077
     /* 5077 */ GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(5088), // Rule ID 324 //
     /* 5082 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5085 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDSAT'
     /* 5085 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5088 */ // Label 336: @5088
     /* 5088 */ GIM_Reject,
     /* 5089 */ // Label 54: @5089
     /* 5089 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(5100), // Rule ID 204 //
     /* 5094 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 5097 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_USHLSAT'
     /* 5097 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 5100 */ // Label 337: @5100
     /* 5100 */ GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(5111), // Rule ID 208 //
     /* 5105 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 5108 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_USHLSAT'
     /* 5108 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 5111 */ // Label 338: @5111
     /* 5111 */ GIM_Reject,
     /* 5112 */ // Label 55: @5112
     /* 5112 */ GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(5123), // Rule ID 203 //
     /* 5117 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 5120 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_SSHLSAT'
     /* 5120 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 5123 */ // Label 339: @5123
     /* 5123 */ GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(5134), // Rule ID 209 //
     /* 5128 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 5131 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_SSHLSAT'
     /* 5131 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 5134 */ // Label 340: @5134
     /* 5134 */ GIM_Reject,
     /* 5135 */ // Label 56: @5135
     /* 5135 */ GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(5146), // Rule ID 325 //
     /* 5140 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5143 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIX'
     /* 5143 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5146 */ // Label 341: @5146
     /* 5146 */ GIM_Reject,
     /* 5147 */ // Label 57: @5147
     /* 5147 */ GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(5158), // Rule ID 326 //
     /* 5152 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5155 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIX'
     /* 5155 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5158 */ // Label 342: @5158
     /* 5158 */ GIM_Reject,
     /* 5159 */ // Label 58: @5159
     /* 5159 */ GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(5170), // Rule ID 327 //
     /* 5164 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5167 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIXSAT'
     /* 5167 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5170 */ // Label 343: @5170
     /* 5170 */ GIM_Reject,
     /* 5171 */ // Label 59: @5171
     /* 5171 */ GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(5182), // Rule ID 328 //
     /* 5176 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5179 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIXSAT'
     /* 5179 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5182 */ // Label 344: @5182
     /* 5182 */ GIM_Reject,
     /* 5183 */ // Label 60: @5183
     /* 5183 */ GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(5194), // Rule ID 249 //
     /* 5188 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5191 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FADD'
     /* 5191 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5194 */ // Label 345: @5194
     /* 5194 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(5205), // Rule ID 264 //
     /* 5199 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5202 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FADD'
     /* 5202 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5205 */ // Label 346: @5205
     /* 5205 */ GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(5216), // Rule ID 271 //
     /* 5210 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule178Enabled),
     /* 5213 */   // Combiner Rule #178: combine_fadd_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5213 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner115),
     /* 5216 */ // Label 347: @5216
     /* 5216 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(5227), // Rule ID 272 //
     /* 5221 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule179Enabled),
     /* 5224 */   // Combiner Rule #179: combine_fadd_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5224 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner116),
     /* 5227 */ // Label 348: @5227
     /* 5227 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(5238), // Rule ID 273 //
     /* 5232 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule180Enabled),
     /* 5235 */   // Combiner Rule #180: combine_fadd_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5235 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner117),
     /* 5238 */ // Label 349: @5238
     /* 5238 */ GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(5249), // Rule ID 274 //
     /* 5243 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule181Enabled),
     /* 5246 */   // Combiner Rule #181: combine_fadd_fpext_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5246 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner118),
     /* 5249 */ // Label 350: @5249
     /* 5249 */ GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(5260), // Rule ID 297 //
     /* 5254 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5257 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FADD'
     /* 5257 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5260 */ // Label 351: @5260
     /* 5260 */ GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(5271), // Rule ID 329 //
     /* 5265 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5268 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FADD'
     /* 5268 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5271 */ // Label 352: @5271
     /* 5271 */ GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(5294), // Rule ID 138 //
     /* 5276 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule100Enabled),
     /* 5279 */   // MIs[0] dst
     /* 5279 */   // No operand predicates
     /* 5279 */   // MIs[0] x
     /* 5279 */   // No operand predicates
     /* 5279 */   // MIs[0] y
     /* 5279 */   // No operand predicates
     /* 5279 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner3),
     /* 5283 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5288 */   // Combiner Rule #100: right_identity_neg_zero_fp
     /* 5288 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5293 */   GIR_EraseRootFromParent_Done,
     /* 5294 */ // Label 353: @5294
     /* 5294 */ GIM_Reject,
     /* 5295 */ // Label 61: @5295
     /* 5295 */ GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(5306), // Rule ID 250 //
     /* 5300 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5303 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FSUB'
     /* 5303 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5306 */ // Label 354: @5306
     /* 5306 */ GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(5317), // Rule ID 265 //
     /* 5311 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5314 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FSUB'
     /* 5314 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5317 */ // Label 355: @5317
     /* 5317 */ GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(5328), // Rule ID 275 //
     /* 5322 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule182Enabled),
     /* 5325 */   // Combiner Rule #182: combine_fsub_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5325 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner119),
     /* 5328 */ // Label 356: @5328
     /* 5328 */ GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(5339), // Rule ID 276 //
     /* 5333 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule183Enabled),
     /* 5336 */   // Combiner Rule #183: combine_fsub_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5336 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner120),
     /* 5339 */ // Label 357: @5339
     /* 5339 */ GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(5350), // Rule ID 277 //
     /* 5344 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 5347 */   // Combiner Rule #184: combine_fsub_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5347 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner121),
     /* 5350 */ // Label 358: @5350
     /* 5350 */ GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(5361), // Rule ID 278 //
     /* 5355 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule185Enabled),
     /* 5358 */   // Combiner Rule #185: combine_fsub_fpext_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5358 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 5361 */ // Label 359: @5361
     /* 5361 */ GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(5372), // Rule ID 298 //
     /* 5366 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5369 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FSUB'
     /* 5369 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5372 */ // Label 360: @5372
     /* 5372 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(5383), // Rule ID 307 //
     /* 5377 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 5380 */   // Combiner Rule #189: fsub_to_fneg; wip_match_opcode 'G_FSUB'
     /* 5380 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 5383 */ // Label 361: @5383
     /* 5383 */ GIM_Reject,
     /* 5384 */ // Label 62: @5384
     /* 5384 */ GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(5395), // Rule ID 251 //
     /* 5389 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5392 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FMUL'
     /* 5392 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5395 */ // Label 362: @5395
     /* 5395 */ GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(5406), // Rule ID 266 //
     /* 5400 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5403 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMUL'
     /* 5403 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5406 */ // Label 363: @5406
     /* 5406 */ GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(5417), // Rule ID 296 //
     /* 5411 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5414 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMUL'
     /* 5414 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5417 */ // Label 364: @5417
     /* 5417 */ GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(5428), // Rule ID 330 //
     /* 5422 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5425 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMUL'
     /* 5425 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5428 */ // Label 365: @5428
     /* 5428 */ GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(5451), // Rule ID 129 //
     /* 5433 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule93Enabled),
     /* 5436 */   // MIs[0] dst
     /* 5436 */   // No operand predicates
     /* 5436 */   // MIs[0] x
     /* 5436 */   // No operand predicates
     /* 5436 */   // MIs[0] y
     /* 5436 */   // No operand predicates
     /* 5436 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner2),
     /* 5440 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5445 */   // Combiner Rule #93: right_identity_one_fp
     /* 5445 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5450 */   GIR_EraseRootFromParent_Done,
     /* 5451 */ // Label 366: @5451
     /* 5451 */ GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(5471), // Rule ID 139 //
     /* 5456 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule101Enabled),
     /* 5459 */   // MIs[0] dst
     /* 5459 */   // No operand predicates
     /* 5459 */   // MIs[0] x
     /* 5459 */   // No operand predicates
     /* 5459 */   // MIs[0] y
     /* 5459 */   // No operand predicates
     /* 5459 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner4),
     /* 5463 */   // Combiner Rule #101: right_identity_neg_one_fp
     /* 5463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5466 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 5468 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 5470 */   GIR_EraseRootFromParent_Done,
     /* 5471 */ // Label 367: @5471
     /* 5471 */ GIM_Reject,
     /* 5472 */ // Label 63: @5472
     /* 5472 */ GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(5483), // Rule ID 254 //
     /* 5477 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule168Enabled),
     /* 5480 */   // Combiner Rule #168: constant_fold_fma; wip_match_opcode 'G_FMA'
     /* 5480 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 5483 */ // Label 368: @5483
     /* 5483 */ GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(5494), // Rule ID 269 //
     /* 5488 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5491 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMA'
     /* 5491 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5494 */ // Label 369: @5494
     /* 5494 */ GIM_Reject,
     /* 5495 */ // Label 64: @5495
     /* 5495 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(5506), // Rule ID 253 //
     /* 5500 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule168Enabled),
     /* 5503 */   // Combiner Rule #168: constant_fold_fma; wip_match_opcode 'G_FMAD'
     /* 5503 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 5506 */ // Label 370: @5506
     /* 5506 */ GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(5517), // Rule ID 268 //
     /* 5511 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5514 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMAD'
     /* 5514 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5517 */ // Label 371: @5517
     /* 5517 */ GIM_Reject,
     /* 5518 */ // Label 65: @5518
     /* 5518 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(5529), // Rule ID 252 //
     /* 5523 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5526 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FDIV'
     /* 5526 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5529 */ // Label 372: @5529
     /* 5529 */ GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(5540), // Rule ID 267 //
     /* 5534 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5537 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FDIV'
     /* 5537 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5540 */ // Label 373: @5540
     /* 5540 */ GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(5551), // Rule ID 299 //
     /* 5545 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5548 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FDIV'
     /* 5548 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5551 */ // Label 374: @5551
     /* 5551 */ GIM_Reject,
     /* 5552 */ // Label 66: @5552
     /* 5552 */ GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(5563), // Rule ID 300 //
     /* 5557 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5560 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FREM'
     /* 5560 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5563 */ // Label 375: @5563
     /* 5563 */ GIM_Reject,
     /* 5564 */ // Label 67: @5564
     /* 5564 */ GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(5585), // Rule ID 197 //
     /* 5569 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule147Enabled),
     /* 5572 */   // MIs[0] dst
     /* 5572 */   // No operand predicates
     /* 5572 */   // MIs[0] float
     /* 5572 */   // No operand predicates
     /* 5572 */   // MIs[0] int
     /* 5572 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 5576 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 5580 */   // MIs[1] imm
     /* 5580 */   // No operand predicates
     /* 5580 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5582 */   // Combiner Rule #147: expand_const_fpowi
     /* 5582 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner89),
     /* 5585 */ // Label 376: @5585
     /* 5585 */ GIM_Reject,
     /* 5586 */ // Label 68: @5586
     /* 5586 */ GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(5607), // Rule ID 179 //
     /* 5591 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule137Enabled),
     /* 5594 */   // MIs[0] dst
     /* 5594 */   // No operand predicates
     /* 5594 */   // MIs[0] src0
     /* 5594 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5598 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5602 */   // MIs[1] cst
     /* 5602 */   // No operand predicates
     /* 5602 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5604 */   // Combiner Rule #137: constant_fold_flog2
     /* 5604 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5607 */ // Label 377: @5607
     /* 5607 */ GIM_Reject,
     /* 5608 */ // Label 69: @5608
     /* 5608 */ GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(5629), // Rule ID 176 //
     /* 5613 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule134Enabled),
     /* 5616 */   // MIs[0] dst
     /* 5616 */   // No operand predicates
     /* 5616 */   // MIs[0] src0
     /* 5616 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5620 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5624 */   // MIs[1] cst
     /* 5624 */   // No operand predicates
     /* 5624 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5626 */   // Combiner Rule #134: constant_fold_fneg
     /* 5626 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5629 */ // Label 378: @5629
     /* 5629 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(5658), // Rule ID 127 //
     /* 5634 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule91Enabled),
     /* 5637 */   // MIs[0] dst
     /* 5637 */   // No operand predicates
     /* 5637 */   // MIs[0] t
     /* 5637 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5641 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5645 */   // MIs[1] src
     /* 5645 */   // No operand predicates
     /* 5645 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 5650 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5652 */   // Combiner Rule #91: fneg_fneg_fold
     /* 5652 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 5657 */   GIR_EraseRootFromParent_Done,
     /* 5658 */ // Label 379: @5658
     /* 5658 */ GIM_Reject,
     /* 5659 */ // Label 70: @5659
     /* 5659 */ GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(5680), // Rule ID 180 //
     /* 5664 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule138Enabled),
     /* 5667 */   // MIs[0] dst
     /* 5667 */   // No operand predicates
     /* 5667 */   // MIs[0] src0
     /* 5667 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5671 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5675 */   // MIs[1] cst
     /* 5675 */   // No operand predicates
     /* 5675 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5677 */   // Combiner Rule #138: constant_fold_fptrunc
     /* 5677 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5680 */ // Label 380: @5680
     /* 5680 */ GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(5701), // Rule ID 137 //
     /* 5685 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule99Enabled),
     /* 5688 */   // MIs[0] dst
     /* 5688 */   // No operand predicates
     /* 5688 */   // MIs[0] src1
     /* 5688 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5692 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPEXT),
     /* 5696 */   // MIs[1] src0
     /* 5696 */   // No operand predicates
     /* 5696 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5698 */   // Combiner Rule #99: fptrunc_fpext_fold
     /* 5698 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 5701 */ // Label 381: @5701
     /* 5701 */ GIM_Reject,
     /* 5702 */ // Label 71: @5702
     /* 5702 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(5723), // Rule ID 92 //
     /* 5707 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 5710 */   // MIs[0] dst
     /* 5710 */   // No operand predicates
     /* 5710 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 5710 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5714 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 5718 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5720 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[5]]
     /* 5720 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 5723 */ // Label 382: @5723
     /* 5723 */ GIM_Reject,
     /* 5724 */ // Label 72: @5724
     /* 5724 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(5745), // Rule ID 93 //
     /* 5729 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 5732 */   // MIs[0] dst
     /* 5732 */   // No operand predicates
     /* 5732 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 5732 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5736 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 5740 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5742 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[6]]
     /* 5742 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 5745 */ // Label 383: @5745
     /* 5745 */ GIM_Reject,
     /* 5746 */ // Label 73: @5746
     /* 5746 */ GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(5757), // Rule ID 76 //
     /* 5751 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 5754 */   // Combiner Rule #71: undef_to_fp_zero; wip_match_opcode 'G_SITOFP'
     /* 5754 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 5757 */ // Label 384: @5757
     /* 5757 */ GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(5772), // Rule ID 181 //
     /* 5762 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule139Enabled),
     /* 5765 */   // MIs[0] dst
     /* 5765 */   // No operand predicates
     /* 5765 */   // MIs[0] Operand 1
     /* 5765 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 5769 */   // Combiner Rule #139: itof_const_zero_fold_si
     /* 5769 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner82),
     /* 5772 */ // Label 385: @5772
     /* 5772 */ GIM_Reject,
     /* 5773 */ // Label 74: @5773
     /* 5773 */ GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(5784), // Rule ID 75 //
     /* 5778 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 5781 */   // Combiner Rule #71: undef_to_fp_zero; wip_match_opcode 'G_UITOFP'
     /* 5781 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 5784 */ // Label 386: @5784
     /* 5784 */ GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(5799), // Rule ID 182 //
     /* 5789 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule140Enabled),
     /* 5792 */   // MIs[0] dst
     /* 5792 */   // No operand predicates
     /* 5792 */   // MIs[0] Operand 1
     /* 5792 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 5796 */   // Combiner Rule #140: itof_const_zero_fold_ui
     /* 5796 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner82),
     /* 5799 */ // Label 387: @5799
     /* 5799 */ GIM_Reject,
     /* 5800 */ // Label 75: @5800
     /* 5800 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(5829), // Rule ID 19 //
     /* 5805 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 5808 */   // MIs[0] dst
     /* 5808 */   // No operand predicates
     /* 5808 */   // MIs[0] src
     /* 5808 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5812 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 5816 */   // MIs[1] __idempotent_prop_match_0.x
     /* 5816 */   // No operand predicates
     /* 5816 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5821 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5823 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[1]]
     /* 5823 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5828 */   GIR_EraseRootFromParent_Done,
     /* 5829 */ // Label 388: @5829
     /* 5829 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(5850), // Rule ID 177 //
     /* 5834 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule135Enabled),
     /* 5837 */   // MIs[0] dst
     /* 5837 */   // No operand predicates
     /* 5837 */   // MIs[0] src0
     /* 5837 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5841 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5845 */   // MIs[1] cst
     /* 5845 */   // No operand predicates
     /* 5845 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5847 */   // Combiner Rule #135: constant_fold_fabs
     /* 5847 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5850 */ // Label 389: @5850
     /* 5850 */ GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(5878), // Rule ID 258 //
     /* 5855 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule170Enabled),
     /* 5858 */   // MIs[0] dst
     /* 5858 */   // No operand predicates
     /* 5858 */   // MIs[0] tmp
     /* 5858 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5866 */   // MIs[1] x
     /* 5866 */   // No operand predicates
     /* 5866 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5868 */   // Combiner Rule #170: fabs_fneg_fold
     /* 5868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FABS),
     /* 5871 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 5873 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // x
     /* 5877 */   GIR_EraseRootFromParent_Done,
     /* 5878 */ // Label 390: @5878
     /* 5878 */ GIM_Reject,
     /* 5879 */ // Label 76: @5879
     /* 5879 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(5908), // Rule ID 20 //
     /* 5884 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 5887 */   // MIs[0] dst
     /* 5887 */   // No operand predicates
     /* 5887 */   // MIs[0] src
     /* 5887 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5891 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 5895 */   // MIs[1] __idempotent_prop_match_0.x
     /* 5895 */   // No operand predicates
     /* 5895 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5900 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5902 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[2]]
     /* 5902 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5907 */   GIR_EraseRootFromParent_Done,
     /* 5908 */ // Label 391: @5908
     /* 5908 */ GIM_Reject,
     /* 5909 */ // Label 77: @5909
     /* 5909 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(5920), // Rule ID 193 //
     /* 5914 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 5917 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMINNUM'
     /* 5917 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 5920 */ // Label 392: @5920
     /* 5920 */ GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(5931), // Rule ID 301 //
     /* 5925 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5928 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMINNUM'
     /* 5928 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5931 */ // Label 393: @5931
     /* 5931 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(5942), // Rule ID 331 //
     /* 5936 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5939 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM'
     /* 5939 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5942 */ // Label 394: @5942
     /* 5942 */ GIM_Reject,
     /* 5943 */ // Label 78: @5943
     /* 5943 */ GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(5954), // Rule ID 194 //
     /* 5948 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 5951 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMAXNUM'
     /* 5951 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 5954 */ // Label 395: @5954
     /* 5954 */ GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(5965), // Rule ID 302 //
     /* 5959 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5962 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMAXNUM'
     /* 5962 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5965 */ // Label 396: @5965
     /* 5965 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(5976), // Rule ID 332 //
     /* 5970 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5973 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM'
     /* 5973 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5976 */ // Label 397: @5976
     /* 5976 */ GIM_Reject,
     /* 5977 */ // Label 79: @5977
     /* 5977 */ GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(5988), // Rule ID 333 //
     /* 5982 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5985 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM_IEEE'
     /* 5985 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5988 */ // Label 398: @5988
     /* 5988 */ GIM_Reject,
     /* 5989 */ // Label 80: @5989
     /* 5989 */ GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(6000), // Rule ID 334 //
     /* 5994 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5997 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM_IEEE'
     /* 5997 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6000 */ // Label 399: @6000
     /* 6000 */ GIM_Reject,
     /* 6001 */ // Label 81: @6001
     /* 6001 */ GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(6012), // Rule ID 195 //
     /* 6006 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6009 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMINIMUM'
     /* 6009 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6012 */ // Label 400: @6012
     /* 6012 */ GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(6023), // Rule ID 303 //
     /* 6017 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6020 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMINIMUM'
     /* 6020 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6023 */ // Label 401: @6023
     /* 6023 */ GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(6034), // Rule ID 335 //
     /* 6028 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6031 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINIMUM'
     /* 6031 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6034 */ // Label 402: @6034
     /* 6034 */ GIM_Reject,
     /* 6035 */ // Label 82: @6035
     /* 6035 */ GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(6046), // Rule ID 196 //
     /* 6040 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6043 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMAXIMUM'
     /* 6043 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6046 */ // Label 403: @6046
     /* 6046 */ GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(6057), // Rule ID 304 //
     /* 6051 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6054 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMAXIMUM'
     /* 6054 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6057 */ // Label 404: @6057
     /* 6057 */ GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(6068), // Rule ID 336 //
     /* 6062 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6065 */   // Combiner Rule #191: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXIMUM'
     /* 6065 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6068 */ // Label 405: @6068
     /* 6068 */ GIM_Reject,
     /* 6069 */ // Label 83: @6069
     /* 6069 */ GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(6080), // Rule ID 148 //
     /* 6074 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule106Enabled),
     /* 6077 */   // Combiner Rule #106: reassoc_ptradd; wip_match_opcode 'G_PTR_ADD'
     /* 6077 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner57),
     /* 6080 */ // Label 406: @6080
     /* 6080 */ GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(6091), // Rule ID 150 //
     /* 6085 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule108Enabled),
     /* 6088 */   // Combiner Rule #108: ptr_add_immed_chain; wip_match_opcode 'G_PTR_ADD'
     /* 6088 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner59),
     /* 6091 */ // Label 407: @6091
     /* 6091 */ GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(6102), // Rule ID 183 //
     /* 6096 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule141Enabled),
     /* 6099 */   // Combiner Rule #141: const_ptradd_to_i2p; wip_match_opcode 'G_PTR_ADD'
     /* 6099 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner83),
     /* 6102 */ // Label 408: @6102
     /* 6102 */ GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(6113), // Rule ID 199 //
     /* 6107 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 6110 */   // Combiner Rule #149: ptr_add_with_zero; wip_match_opcode 'G_PTR_ADD'
     /* 6110 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 6113 */ // Label 409: @6113
     /* 6113 */ GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(6124), // Rule ID 232 //
     /* 6118 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6121 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_PTR_ADD'
     /* 6121 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6124 */ // Label 410: @6124
     /* 6124 */ GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(6135), // Rule ID 281 //
     /* 6129 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6132 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_PTR_ADD'
     /* 6132 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6135 */ // Label 411: @6135
     /* 6135 */ GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(6158), // Rule ID 111 //
     /* 6140 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 6143 */   // MIs[0] dst
     /* 6143 */   // No operand predicates
     /* 6143 */   // MIs[0] lhs
     /* 6143 */   // No operand predicates
     /* 6143 */   // MIs[0] Operand 2
     /* 6143 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 6147 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6152 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[7]]
     /* 6152 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6157 */   GIR_EraseRootFromParent_Done,
     /* 6158 */ // Label 412: @6158
     /* 6158 */ GIM_Reject,
     /* 6159 */ // Label 84: @6159
     /* 6159 */ GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(6170), // Rule ID 245 //
     /* 6164 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6167 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SMIN'
     /* 6167 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6170 */ // Label 413: @6170
     /* 6170 */ GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(6181), // Rule ID 292 //
     /* 6175 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6178 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SMIN'
     /* 6178 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6181 */ // Label 414: @6181
     /* 6181 */ GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(6192), // Rule ID 313 //
     /* 6186 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6189 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMIN'
     /* 6189 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6192 */ // Label 415: @6192
     /* 6192 */ GIM_Reject,
     /* 6193 */ // Label 85: @6193
     /* 6193 */ GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(6204), // Rule ID 246 //
     /* 6198 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6201 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SMAX'
     /* 6201 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6204 */ // Label 416: @6204
     /* 6204 */ GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(6215), // Rule ID 293 //
     /* 6209 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6212 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SMAX'
     /* 6212 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6215 */ // Label 417: @6215
     /* 6215 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(6226), // Rule ID 314 //
     /* 6220 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6223 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_SMAX'
     /* 6223 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6226 */ // Label 418: @6226
     /* 6226 */ GIM_Reject,
     /* 6227 */ // Label 86: @6227
     /* 6227 */ GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(6238), // Rule ID 247 //
     /* 6232 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6235 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UMIN'
     /* 6235 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6238 */ // Label 419: @6238
     /* 6238 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(6249), // Rule ID 294 //
     /* 6243 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6246 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UMIN'
     /* 6246 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6249 */ // Label 420: @6249
     /* 6249 */ GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(6260), // Rule ID 315 //
     /* 6254 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6257 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMIN'
     /* 6257 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6260 */ // Label 421: @6260
     /* 6260 */ GIM_Reject,
     /* 6261 */ // Label 87: @6261
     /* 6261 */ GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(6272), // Rule ID 248 //
     /* 6266 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6269 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UMAX'
     /* 6269 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6272 */ // Label 422: @6272
     /* 6272 */ GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(6283), // Rule ID 295 //
     /* 6277 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6280 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UMAX'
     /* 6280 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6283 */ // Label 423: @6283
     /* 6283 */ GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(6294), // Rule ID 316 //
     /* 6288 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 6291 */   // Combiner Rule #190: commute_int_constant_to_rhs; wip_match_opcode 'G_UMAX'
     /* 6291 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6294 */ // Label 424: @6294
     /* 6294 */ GIM_Reject,
     /* 6295 */ // Label 88: @6295
     /* 6295 */ GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(6306), // Rule ID 86 //
     /* 6300 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 6303 */   // Combiner Rule #76: unary_undef_to_zero; wip_match_opcode 'G_ABS'
     /* 6303 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 6306 */ // Label 425: @6306
     /* 6306 */ GIM_Reject,
     /* 6307 */ // Label 89: @6307
     /* 6307 */ GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(6318), // Rule ID 175 //
     /* 6312 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule133Enabled),
     /* 6315 */   // Combiner Rule #133: opt_brcond_by_inverting_cond; wip_match_opcode 'G_BR'
     /* 6315 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 6318 */ // Label 426: @6318
     /* 6318 */ GIM_Reject,
     /* 6319 */ // Label 90: @6319
     /* 6319 */ GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(6330), // Rule ID 26 //
     /* 6324 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule24Enabled),
     /* 6327 */   // Combiner Rule #24: insert_vector_elt_oob; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6327 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner10),
     /* 6330 */ // Label 427: @6330
     /* 6330 */ GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(6341), // Rule ID 67 //
     /* 6335 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule65Enabled),
     /* 6338 */   // Combiner Rule #65: combine_insert_vec_elts_build_vector; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6338 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner27),
     /* 6341 */ // Label 428: @6341
     /* 6341 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(6352), // Rule ID 101 //
     /* 6346 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 6349 */   // Combiner Rule #82: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6349 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 6352 */ // Label 429: @6352
     /* 6352 */ GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(6391), // Rule ID 38 //
     /* 6357 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule36Enabled),
     /* 6360 */   // MIs[0] root
     /* 6360 */   // No operand predicates
     /* 6360 */   // MIs[0] src
     /* 6360 */   // No operand predicates
     /* 6360 */   // MIs[0] elt
     /* 6360 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6364 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 6368 */   // MIs[1] src
     /* 6368 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 6373 */   // MIs[1] idx
     /* 6373 */   // No operand predicates
     /* 6373 */   // MIs[0] idx
     /* 6373 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 6378 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6383 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6385 */   // Combiner Rule #36: insert_vector_element_extract_vector_element
     /* 6385 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6390 */   GIR_EraseRootFromParent_Done,
     /* 6391 */ // Label 430: @6391
     /* 6391 */ GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(6424), // Rule ID 24 //
     /* 6396 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule22Enabled),
     /* 6399 */   // MIs[0] root
     /* 6399 */   // No operand predicates
     /* 6399 */   // MIs[0] src
     /* 6399 */   // No operand predicates
     /* 6399 */   // MIs[0] elt
     /* 6399 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6403 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6407 */   // MIs[0] idx
     /* 6407 */   // No operand predicates
     /* 6407 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner0),
     /* 6411 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6416 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6418 */   // Combiner Rule #22: insert_vector_element_elt_undef
     /* 6418 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6423 */   GIR_EraseRootFromParent_Done,
     /* 6424 */ // Label 431: @6424
     /* 6424 */ GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(6448), // Rule ID 23 //
     /* 6429 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule21Enabled),
     /* 6432 */   // MIs[0] root
     /* 6432 */   // No operand predicates
     /* 6432 */   // MIs[0] src
     /* 6432 */   // No operand predicates
     /* 6432 */   // MIs[0] elt
     /* 6432 */   // No operand predicates
     /* 6432 */   // MIs[0] idx
     /* 6432 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 6436 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6440 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6442 */   // Combiner Rule #21: insert_vector_element_idx_undef
     /* 6442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6445 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 6447 */   GIR_EraseRootFromParent_Done,
     /* 6448 */ // Label 432: @6448
     /* 6448 */ GIM_Reject,
     /* 6449 */ // Label 91: @6449
     /* 6449 */ GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(6460), // Rule ID 25 //
     /* 6454 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule23Enabled),
     /* 6457 */   // Combiner Rule #23: match_extract_of_element; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6457 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 6460 */ // Label 433: @6460
     /* 6460 */ GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(6471), // Rule ID 68 //
     /* 6465 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule66Enabled),
     /* 6468 */   // Combiner Rule #66: extract_vec_elt_build_vec; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6468 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner28),
     /* 6471 */ // Label 434: @6471
     /* 6471 */ GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(6482), // Rule ID 74 //
     /* 6476 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule70Enabled),
     /* 6479 */   // Combiner Rule #70: combine_extracted_vector_load; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6479 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner32),
     /* 6482 */ // Label 435: @6482
     /* 6482 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(6493), // Rule ID 102 //
     /* 6487 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 6490 */   // Combiner Rule #82: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6490 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 6493 */ // Label 436: @6493
     /* 6493 */ GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(6517), // Rule ID 36 //
     /* 6498 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule34Enabled),
     /* 6501 */   // MIs[0] root
     /* 6501 */   // No operand predicates
     /* 6501 */   // MIs[0] src
     /* 6501 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6505 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6509 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/9,
     /* 6512 */   // MIs[1] x
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[1] y
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[1] z
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[1] a
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[1] b
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[1] c
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[1] d
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[1] e
     /* 6512 */   // No operand predicates
     /* 6512 */   // MIs[0] idx
     /* 6512 */   // No operand predicates
     /* 6512 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6514 */   // Combiner Rule #34: extract_vector_element_build_vector_trunc8
     /* 6514 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6517 */ // Label 437: @6517
     /* 6517 */ GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(6541), // Rule ID 35 //
     /* 6522 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule33Enabled),
     /* 6525 */   // MIs[0] root
     /* 6525 */   // No operand predicates
     /* 6525 */   // MIs[0] src
     /* 6525 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6529 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6533 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/8,
     /* 6536 */   // MIs[1] x
     /* 6536 */   // No operand predicates
     /* 6536 */   // MIs[1] y
     /* 6536 */   // No operand predicates
     /* 6536 */   // MIs[1] z
     /* 6536 */   // No operand predicates
     /* 6536 */   // MIs[1] a
     /* 6536 */   // No operand predicates
     /* 6536 */   // MIs[1] b
     /* 6536 */   // No operand predicates
     /* 6536 */   // MIs[1] c
     /* 6536 */   // No operand predicates
     /* 6536 */   // MIs[1] d
     /* 6536 */   // No operand predicates
     /* 6536 */   // MIs[0] idx
     /* 6536 */   // No operand predicates
     /* 6536 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6538 */   // Combiner Rule #33: extract_vector_element_build_vector_trunc7
     /* 6538 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6541 */ // Label 438: @6541
     /* 6541 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(6565), // Rule ID 34 //
     /* 6546 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule32Enabled),
     /* 6549 */   // MIs[0] root
     /* 6549 */   // No operand predicates
     /* 6549 */   // MIs[0] src
     /* 6549 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6553 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6557 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/7,
     /* 6560 */   // MIs[1] x
     /* 6560 */   // No operand predicates
     /* 6560 */   // MIs[1] y
     /* 6560 */   // No operand predicates
     /* 6560 */   // MIs[1] z
     /* 6560 */   // No operand predicates
     /* 6560 */   // MIs[1] a
     /* 6560 */   // No operand predicates
     /* 6560 */   // MIs[1] b
     /* 6560 */   // No operand predicates
     /* 6560 */   // MIs[1] c
     /* 6560 */   // No operand predicates
     /* 6560 */   // MIs[0] idx
     /* 6560 */   // No operand predicates
     /* 6560 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6562 */   // Combiner Rule #32: extract_vector_element_build_vector_trunc6
     /* 6562 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6565 */ // Label 439: @6565
     /* 6565 */ GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(6589), // Rule ID 33 //
     /* 6570 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule31Enabled),
     /* 6573 */   // MIs[0] root
     /* 6573 */   // No operand predicates
     /* 6573 */   // MIs[0] src
     /* 6573 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6577 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6581 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/6,
     /* 6584 */   // MIs[1] x
     /* 6584 */   // No operand predicates
     /* 6584 */   // MIs[1] y
     /* 6584 */   // No operand predicates
     /* 6584 */   // MIs[1] z
     /* 6584 */   // No operand predicates
     /* 6584 */   // MIs[1] a
     /* 6584 */   // No operand predicates
     /* 6584 */   // MIs[1] b
     /* 6584 */   // No operand predicates
     /* 6584 */   // MIs[0] idx
     /* 6584 */   // No operand predicates
     /* 6584 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6586 */   // Combiner Rule #31: extract_vector_element_build_vector_trunc5
     /* 6586 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6589 */ // Label 440: @6589
     /* 6589 */ GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(6613), // Rule ID 32 //
     /* 6594 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule30Enabled),
     /* 6597 */   // MIs[0] root
     /* 6597 */   // No operand predicates
     /* 6597 */   // MIs[0] src
     /* 6597 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6601 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6605 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/5,
     /* 6608 */   // MIs[1] x
     /* 6608 */   // No operand predicates
     /* 6608 */   // MIs[1] y
     /* 6608 */   // No operand predicates
     /* 6608 */   // MIs[1] z
     /* 6608 */   // No operand predicates
     /* 6608 */   // MIs[1] a
     /* 6608 */   // No operand predicates
     /* 6608 */   // MIs[0] idx
     /* 6608 */   // No operand predicates
     /* 6608 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6610 */   // Combiner Rule #30: extract_vector_element_build_vector_trunc4
     /* 6610 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6613 */ // Label 441: @6613
     /* 6613 */ GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(6637), // Rule ID 31 //
     /* 6618 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule29Enabled),
     /* 6621 */   // MIs[0] root
     /* 6621 */   // No operand predicates
     /* 6621 */   // MIs[0] src
     /* 6621 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6625 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6629 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 6632 */   // MIs[1] x
     /* 6632 */   // No operand predicates
     /* 6632 */   // MIs[1] y
     /* 6632 */   // No operand predicates
     /* 6632 */   // MIs[1] z
     /* 6632 */   // No operand predicates
     /* 6632 */   // MIs[0] idx
     /* 6632 */   // No operand predicates
     /* 6632 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6634 */   // Combiner Rule #29: extract_vector_element_build_vector_trunc3
     /* 6634 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6637 */ // Label 442: @6637
     /* 6637 */ GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(6671), // Rule ID 27 //
     /* 6642 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule25Enabled),
     /* 6645 */   // MIs[0] root
     /* 6645 */   // No operand predicates
     /* 6645 */   // MIs[0] src
     /* 6645 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6649 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 6653 */   // MIs[1] x
     /* 6653 */   // No operand predicates
     /* 6653 */   // MIs[1] value
     /* 6653 */   // No operand predicates
     /* 6653 */   // MIs[1] idx
     /* 6653 */   // No operand predicates
     /* 6653 */   // MIs[0] idx
     /* 6653 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/3,
     /* 6658 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 6663 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6665 */   // Combiner Rule #25: extract_vector_element_not_const
     /* 6665 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 6670 */   GIR_EraseRootFromParent_Done,
     /* 6671 */ // Label 443: @6671
     /* 6671 */ GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(6692), // Rule ID 28 //
     /* 6676 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule26Enabled),
     /* 6679 */   // MIs[0] root
     /* 6679 */   // No operand predicates
     /* 6679 */   // MIs[0] src
     /* 6679 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6683 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 6687 */   // MIs[1] x
     /* 6687 */   // No operand predicates
     /* 6687 */   // MIs[1] value
     /* 6687 */   // No operand predicates
     /* 6687 */   // MIs[1] idx2
     /* 6687 */   // No operand predicates
     /* 6687 */   // MIs[0] idx1
     /* 6687 */   // No operand predicates
     /* 6687 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6689 */   // Combiner Rule #26: extract_vector_element_different_indices
     /* 6689 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner11),
     /* 6692 */ // Label 444: @6692
     /* 6692 */ GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(6721), // Rule ID 37 //
     /* 6697 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule35Enabled),
     /* 6700 */   // MIs[0] root
     /* 6700 */   // No operand predicates
     /* 6700 */   // MIs[0] src
     /* 6700 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6704 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHUFFLE_VECTOR),
     /* 6708 */   // MIs[1] src1
     /* 6708 */   // No operand predicates
     /* 6708 */   // MIs[1] src2
     /* 6708 */   // No operand predicates
     /* 6708 */   // MIs[1] mask
     /* 6708 */   // No operand predicates
     /* 6708 */   // MIs[0] idx
     /* 6708 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 6712 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 6716 */   // MIs[2] imm
     /* 6716 */   // No operand predicates
     /* 6716 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 6718 */   // Combiner Rule #35: extract_vector_element_shuffle_vector
     /* 6718 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner14),
     /* 6721 */ // Label 445: @6721
     /* 6721 */ GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(6745), // Rule ID 30 //
     /* 6726 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule28Enabled),
     /* 6729 */   // MIs[0] root
     /* 6729 */   // No operand predicates
     /* 6729 */   // MIs[0] src
     /* 6729 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6733 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6737 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 6740 */   // MIs[1] x
     /* 6740 */   // No operand predicates
     /* 6740 */   // MIs[1] y
     /* 6740 */   // No operand predicates
     /* 6740 */   // MIs[0] idx
     /* 6740 */   // No operand predicates
     /* 6740 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6742 */   // Combiner Rule #28: extract_vector_element_build_vector_trunc2
     /* 6742 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6745 */ // Label 446: @6745
     /* 6745 */ GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(6777), // Rule ID 29 //
     /* 6750 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule27Enabled),
     /* 6753 */   // MIs[0] root
     /* 6753 */   // No operand predicates
     /* 6753 */   // MIs[0] src
     /* 6753 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6757 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 6761 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 6764 */   // MIs[1] unused
     /* 6764 */   // No operand predicates
     /* 6764 */   // MIs[0] idx
     /* 6764 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 6768 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 6772 */   // MIs[2] imm
     /* 6772 */   // No operand predicates
     /* 6772 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 6774 */   // Combiner Rule #27: extract_vector_element_build_vector
     /* 6774 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner12),
     /* 6777 */ // Label 447: @6777
     /* 6777 */ GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(6801), // Rule ID 21 //
     /* 6782 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule19Enabled),
     /* 6785 */   // MIs[0] root
     /* 6785 */   // No operand predicates
     /* 6785 */   // MIs[0] vector
     /* 6785 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6789 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6793 */   // MIs[0] idx
     /* 6793 */   // No operand predicates
     /* 6793 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6795 */   // Combiner Rule #19: match_extract_of_element_undef_vector
     /* 6795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6798 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 6800 */   GIR_EraseRootFromParent_Done,
     /* 6801 */ // Label 448: @6801
     /* 6801 */ GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(6825), // Rule ID 22 //
     /* 6806 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule20Enabled),
     /* 6809 */   // MIs[0] root
     /* 6809 */   // No operand predicates
     /* 6809 */   // MIs[0] vector
     /* 6809 */   // No operand predicates
     /* 6809 */   // MIs[0] idx
     /* 6809 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6813 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6817 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6819 */   // Combiner Rule #20: match_extract_of_element_undef_index
     /* 6819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6822 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 6824 */   GIR_EraseRootFromParent_Done,
     /* 6825 */ // Label 449: @6825
     /* 6825 */ GIM_Reject,
     /* 6826 */ // Label 92: @6826
     /* 6826 */ GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(6837), // Rule ID 97 //
     /* 6831 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 6834 */   // Combiner Rule #79: propagate_undef_all_ops; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6834 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 6837 */ // Label 450: @6837
     /* 6837 */ GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(6848), // Rule ID 99 //
     /* 6842 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule80Enabled),
     /* 6845 */   // Combiner Rule #80: propagate_undef_shuffle_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6845 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner41),
     /* 6848 */ // Label 451: @6848
     /* 6848 */ GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(6859), // Rule ID 344 //
     /* 6853 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule199Enabled),
     /* 6856 */   // Combiner Rule #199: combine_shuffle_concat; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6856 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner136),
     /* 6859 */ // Label 452: @6859
     /* 6859 */ GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(6870), // Rule ID 346 //
     /* 6864 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule201Enabled),
     /* 6867 */   // Combiner Rule #201: combine_shuffle_disjoint_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6867 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner138),
     /* 6870 */ // Label 453: @6870
     /* 6870 */ GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(6891), // Rule ID 345 //
     /* 6875 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule200Enabled),
     /* 6878 */   // MIs[0] root
     /* 6878 */   // No operand predicates
     /* 6878 */   // MIs[0] src1
     /* 6878 */   // No operand predicates
     /* 6878 */   // MIs[0] undef
     /* 6878 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6882 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6886 */   // MIs[0] mask
     /* 6886 */   // No operand predicates
     /* 6886 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6888 */   // Combiner Rule #200: combine_shuffle_undef_rhs
     /* 6888 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner137),
     /* 6891 */ // Label 454: @6891
     /* 6891 */ GIM_Reject,
     /* 6892 */ // Label 93: @6892
     /* 6892 */ GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(6936), // Rule ID 223 //
     /* 6897 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule160Enabled),
     /* 6900 */   // MIs[0] d
     /* 6900 */   // No operand predicates
     /* 6900 */   // MIs[0] src
     /* 6900 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6904 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 6908 */   // MIs[1] rev
     /* 6908 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 6912 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 6916 */   // MIs[2] val
     /* 6916 */   // No operand predicates
     /* 6916 */   // MIs[1] amt
     /* 6916 */   // No operand predicates
     /* 6916 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner9),
     /* 6920 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 6922 */   // Combiner Rule #160: bitreverse_lshr
     /* 6922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SHL),
     /* 6925 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 6927 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 6931 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 6935 */   GIR_EraseRootFromParent_Done,
     /* 6936 */ // Label 455: @6936
     /* 6936 */ GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(6980), // Rule ID 222 //
     /* 6941 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule159Enabled),
     /* 6944 */   // MIs[0] d
     /* 6944 */   // No operand predicates
     /* 6944 */   // MIs[0] src
     /* 6944 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6948 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 6952 */   // MIs[1] rev
     /* 6952 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 6956 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 6960 */   // MIs[2] val
     /* 6960 */   // No operand predicates
     /* 6960 */   // MIs[1] amt
     /* 6960 */   // No operand predicates
     /* 6960 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner8),
     /* 6964 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 6966 */   // Combiner Rule #159: bitreverse_shl
     /* 6966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 6969 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 6971 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 6975 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 6979 */   GIR_EraseRootFromParent_Done,
     /* 6980 */ // Label 456: @6980
     /* 6980 */ GIM_Reject,
     /* 6981 */ // Label 94: @6981
     /* 6981 */ GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(7002), // Rule ID 178 //
     /* 6986 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule136Enabled),
     /* 6989 */   // MIs[0] dst
     /* 6989 */   // No operand predicates
     /* 6989 */   // MIs[0] src0
     /* 6989 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6993 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 6997 */   // MIs[1] cst
     /* 6997 */   // No operand predicates
     /* 6997 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6999 */   // Combiner Rule #136: constant_fold_fsqrt
     /* 6999 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 7002 */ // Label 457: @7002
     /* 7002 */ GIM_Reject,
     /* 7003 */ // Label 95: @7003
     /* 7003 */ GIM_Reject,
     /* 7004 */ }; // Size: 7004 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GICOMBINER_IMPL

#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
, State(0),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS

